prompt --application/create_application
begin
--   Manifest
--     FLOW: 120
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_flow(
 p_id=>wwv_flow.g_flow_id
,p_owner=>nvl(wwv_flow_application_install.get_schema,'CATASTRO')
,p_name=>nvl(wwv_flow_application_install.get_application_name,'CATASTRO 2')
,p_alias=>nvl(wwv_flow_application_install.get_application_alias,'120')
,p_page_view_logging=>'YES'
,p_page_protection_enabled_y_n=>'Y'
,p_checksum_salt=>'C00E348489C9F88CC7FAB6CA0F4C46DB488A51DAE3D73B1D411980A30D127064'
,p_bookmark_checksum_function=>'SH512'
,p_max_session_length_sec=>28800
,p_max_session_idle_sec=>28800
,p_session_timeout_warning_sec=>0
,p_compatibility_mode=>'19.2'
,p_flow_language=>'es-ar'
,p_flow_language_derived_from=>'FLOW_PRIMARY_LANGUAGE'
,p_allow_feedback_yn=>'Y'
,p_date_format=>'DD/MM/YYYY'
,p_date_time_format=>'DD/MM/YYYY HH24:MI:SS'
,p_timestamp_format=>'DD/MM/YYYY HH24:MI:SS'
,p_timestamp_tz_format=>'DD/MM/YYYY HH24:MI:SS'
,p_direction_right_to_left=>'N'
,p_flow_image_prefix => nvl(wwv_flow_application_install.get_image_prefix,'')
,p_documentation_banner=>'Application created from create application wizard 2020.07.02.'
,p_authentication=>'PLUGIN'
,p_authentication_id=>wwv_flow_api.id(50701235783672257)
,p_application_tab_set=>1
,p_logo_type=>'IT'
,p_logo=>'#WORKSPACE_IMAGES#LOGO_ARCA_TRANSP.png'
,p_logo_text=>unistr('Agencia de Recaudaci\00F3n de Catamarca')
,p_app_builder_icon_name=>'Catastro.Icon.transparent.png'
,p_favicons=>'<link rel="icon" sizes="16x16" href="#APP_IMAGES#Catastro.Icon.transparent.png">'
,p_public_user=>'APEX_PUBLIC_USER'
,p_proxy_server=>nvl(wwv_flow_application_install.get_proxy,'')
,p_no_proxy_domains=>nvl(wwv_flow_application_install.get_no_proxy_domains,'')
,p_flow_version=>'DD.MM.YYYY'
,p_flow_status=>'AVAILABLE_W_EDIT_LINK'
,p_flow_unavailable_text=>'This application is currently unavailable at this time.'
,p_exact_substitutions_only=>'Y'
,p_browser_cache=>'N'
,p_browser_frame=>'D'
,p_rejoin_existing_sessions=>'N'
,p_csv_encoding=>'Y'
,p_auto_time_zone=>'N'
,p_substitution_string_01=>'APP_NAME'
,p_substitution_value_01=>'CATASTRO 2'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210412143033'
,p_file_prefix => nvl(wwv_flow_application_install.get_static_app_file_prefix,'')
,p_files_version=>9
,p_ui_type_name => null
);
wwv_flow_api.component_end;
end;
/
