prompt --application/pages/page_00001
begin
--   Manifest
--     PAGE: 00001
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>1
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Home'
,p_step_title=>'Catastro On-line - Pantalla de bienvenida'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.inicio{',
'    text-align: center;',
'    color: #666;',
'}',
'',
'.inicio > h1{',
'    font-size: 4em;',
'}',
'',
'.titulo{',
'    font-size: 2em;',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210325102032'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(25646504773252624)
,p_name=>unistr('<span class="titulo">Direcci\00F3n General del Registro de la Propiedad Inmobiliaria</span>')
,p_template=>wwv_flow_api.id(50755426344672302)
,p_display_sequence=>50
,p_include_in_reg_disp_sel_yn=>'Y'
,p_region_template_options=>'#DEFAULT#:t-Region--accent1:t-Region--scrollBody:t-Form--noPadding'
,p_component_template_options=>'#DEFAULT#:u-colors:t-Cards--featured force-fa-lg:t-Cards--displayIcons:t-Cards--3cols:t-Cards--animColorFill'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ID,',
'       DESCRIPCION "CARD_TITLE",',
'       ORGANISMO_ID,',
'       ''#WORKSPACE_IMAGES#RPI_ARCA.png'' "IMAGEN",',
'       ''fa fa-file-plus'' "CARD_ICON",',
'       APEX_PAGE.GET_URL (',
'            p_page   => 31,',
'            p_clear_cache  => 31,',
'            p_items  => ''P31_ORGANISMO,P31_SOLICITUD_TIPO_PROPIEDAD'',',
'            p_values => ORGANISMO_ID||'',''||ID )',
'         "CARD_LINK"',
'  from SOLICITUD_TIPO',
' where ORGANISMO_ID = 2',
'   and OBTENER_TIPO_SOLICITUD_POR_PERFIL(:PERFIL, ID) = 1 ',
'   and to_number(to_char(sysdate, ''HH24'')) >= 7 ',
'   and to_number(to_char(sysdate, ''HH24'')) < 20'))
,p_display_when_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'OBTENER_TIPO_SOLICITUD_POR_PERFIL(:PERFIL) = 1',
'AND ''N'' = NVL(:ES_INTERNO, ''N'')'))
,p_display_condition_type=>'PLSQL_EXPRESSION'
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(51913252266547681)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(25646605780252625)
,p_query_column_id=>1
,p_column_alias=>'ID'
,p_column_display_sequence=>1
,p_column_heading=>'Id'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(25646825115252627)
,p_query_column_id=>2
,p_column_alias=>'CARD_TITLE'
,p_column_display_sequence=>3
,p_column_heading=>'Card Title'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(25646755048252626)
,p_query_column_id=>3
,p_column_alias=>'ORGANISMO_ID'
,p_column_display_sequence=>2
,p_column_heading=>'Organismo Id'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(44933705704539144)
,p_query_column_id=>4
,p_column_alias=>'IMAGEN'
,p_column_display_sequence=>6
,p_column_heading=>'Imagen'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(25647087224252629)
,p_query_column_id=>5
,p_column_alias=>'CARD_ICON'
,p_column_display_sequence=>5
,p_column_heading=>'Card Icon'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(25646918162252628)
,p_query_column_id=>6
,p_column_alias=>'CARD_LINK'
,p_column_display_sequence=>4
,p_column_heading=>'Card Link'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(50344034286886805)
,p_plug_name=>'INICIO'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="inicio">',
'    <img src="#WORKSPACE_IMAGES#LOGO_ARCA.png"> ',
unistr('    <h1>Gesti\00F3n de Tramites Web</h1>'),
'</div>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(50344510131886810)
,p_name=>unistr('<span class="titulo">Direcci\00F3n General de Catastro</span>')
,p_template=>wwv_flow_api.id(50755426344672302)
,p_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_region_css_classes=>'test'
,p_region_template_options=>'#DEFAULT#:t-Region--accent1:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:u-colors:t-Cards--featured force-fa-lg:t-Cards--displayIcons:t-Cards--3cols:t-Cards--animColorFill'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ID,',
'       DESCRIPCION "CARD_TITLE",',
'       ORGANISMO_ID,',
'       ''#WORKSPACE_IMAGES#CATASTRO_ARCA.png'' "IMAGEN",',
'       ''fa fa-file-plus'' "CARD_ICON",',
'       CASE ID',
'           WHEN 3 THEN',
'               APEX_PAGE.GET_URL (',
'                    p_page   => 32,',
'                    p_clear_cache  => 32 )',
'           ELSE',
'               APEX_PAGE.GET_URL (',
'                    p_page   => 31,',
'                    p_clear_cache  => 31,',
'                    p_items  => ''P31_ORGANISMO,P31_SOLICITUD_TIPO_ID'',',
'                    p_values => ORGANISMO_ID||'',''||ID )',
'',
'       END "CARD_LINK"',
'  from SOLICITUD_TIPO',
' where ORGANISMO_ID = 1',
'   and OBTENER_TIPO_SOLICITUD_POR_PERFIL(:PERFIL, ID) = 1 ',
'   and ((id = 10 and :perfil = 12 and :persona_id = 1100) -- Estado Parcelario de Organismo Exento solo para Una Persona en Particular',
'     or (id = 10 and :perfil !=12)                        -- Estado Parcelario Para cualquier Perfil',
'     or (id != 10))                                       -- Otras Solicitudes ',
'   -- and id != 3 -- Mensura'))
,p_display_when_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'OBTENER_TIPO_SOLICITUD_POR_PERFIL(:PERFIL) = 1',
'AND ''N'' = NVL(:ES_INTERNO, ''N'')'))
,p_display_condition_type=>'PLSQL_EXPRESSION'
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(51913252266547681)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_no_data_found=>'No se encontraron Accesos Directos para Catastro.'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(50344680244886811)
,p_query_column_id=>1
,p_column_alias=>'ID'
,p_column_display_sequence=>1
,p_column_heading=>'Id'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(50344902916886814)
,p_query_column_id=>2
,p_column_alias=>'CARD_TITLE'
,p_column_display_sequence=>3
,p_column_heading=>'Card Title'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(50344878144886813)
,p_query_column_id=>3
,p_column_alias=>'ORGANISMO_ID'
,p_column_display_sequence=>2
,p_column_heading=>'Organismo Id'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(44933896385539145)
,p_query_column_id=>4
,p_column_alias=>'IMAGEN'
,p_column_display_sequence=>6
,p_column_heading=>'Imagen'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(44933676152539143)
,p_query_column_id=>5
,p_column_alias=>'CARD_ICON'
,p_column_display_sequence=>5
,p_column_heading=>'Card Icon'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(50345010429886815)
,p_query_column_id=>6
,p_column_alias=>'CARD_LINK'
,p_column_display_sequence=>4
,p_column_heading=>'Card Link'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(51858674585875556)
,p_branch_name=>'Go To Page 203'
,p_branch_action=>'f?p=&APP_ID.:203:&SESSION.::&DEBUG.:RP::&success_msg=#SUCCESS_MSG#'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>10
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(51858206354875556)
,p_branch_name=>'Cambiar_Pass_Redirect'
,p_branch_action=>'f?p=&APP_ID.:8:&SESSION.::&DEBUG.::P8_ID:&PERSONA_ID.'
,p_branch_point=>'BEFORE_HEADER'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>10
,p_branch_condition_type=>'EXISTS'
,p_branch_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona',
'where cuil = :app_user',
'  and PASSWORD_CHANGE = 1'))
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5521576888313420)
,p_name=>'P1_RPI_MESSAGE_FUERA_DE_HORA'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(25646504773252624)
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_grid_column=>5
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where to_number(to_char(sysdate, ''HH24'')) >= 7 ',
'  and to_number(to_char(sysdate, ''HH24'')) < 20'))
,p_display_when_type=>'NOT_EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'PLSQL'
,p_attribute_03=>'htp.p(''<h4 style="text-align: center;"><strong><span style="color: #ff0000;">El Horario de Presentaci&oacute;n de Tr&aacute;mites es de 7:00am a 20:00pm.</span></strong><br /><br /><strong> Disculpe las molestias.</strong></h4>'');'
,p_attribute_04=>'N'
);
wwv_flow_api.component_end;
end;
/
