prompt --application/pages/page_00007
begin
--   Manifest
--     PAGE: 00007
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>7
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Modal Matriculas Mensura'
,p_alias=>'MODAL-MATRICULAS-MENSURA'
,p_page_mode=>'MODAL'
,p_step_title=>unistr('Matr\00EDcula de Escritura')
,p_autocomplete_on_off=>'OFF'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#P7_MATRICULA_CATASTRAL, #P7_MATRICULA_NO_CATASTRADO{',
'    font-size: 1.5em;',
'    text-align: center;',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20201111131642'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(10883912077106827)
,p_plug_name=>'Botonera'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50729062024672289)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_03'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(64385640959417282)
,p_plug_name=>unistr('Modal Matr\00EDcula')
,p_region_name=>'modalMatricula'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'PLSQL_EXPRESSION'
,p_plug_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P7_MATRICULA_ID IS NOT NULL',
'AND (:P7_ESTADO_ID NOT IN (0,3) ',
'    OR',
'    :ES_INTERNO = ''S'')',
''))
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(12210383537663132)
,p_plug_name=>'PROPIEDAD'
,p_parent_plug_id=>wwv_flow_api.id(64385640959417282)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>70
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(64386435064417290)
,p_plug_name=>'Catastrado'
,p_parent_plug_id=>wwv_flow_api.id(64385640959417282)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>40
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(64386757093417293)
,p_plug_name=>'No Catastrado'
,p_parent_plug_id=>wwv_flow_api.id(64385640959417282)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>60
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(10966721315579767)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(10883912077106827)
,p_button_name=>'CANCELAR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Cancelar'
,p_button_position=>'REGION_TEMPLATE_CLOSE'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-times'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(10965916022579766)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(10883912077106827)
,p_button_name=>'ELIMINAR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Eliminar Matricula'
,p_button_position=>'REGION_TEMPLATE_DELETE'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P7_MATRICULA_ID is not null ',
'and (:P7_ESTADO_ID in (0,3) or :P7_ESTADO_ID is null)',
'and (:ES_INTERNO != ''S'' or :ES_INTERNO is null)'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-trash'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(10966376023579766)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(10883912077106827)
,p_button_name=>'GUARDAR'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Guardar Cambios'
,p_button_position=>'REGION_TEMPLATE_EDIT'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P7_MATRICULA_ID is not null ',
'and (:P7_ESTADO_ID in (0,3) or :P7_ESTADO_ID is null)',
'and (:ES_INTERNO != ''S'' or :ES_INTERNO is null)'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-save'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(10965530826579765)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(10883912077106827)
,p_button_name=>'CREAR'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Crear Matricula'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>'P7_MATRICULA_ID'
,p_button_condition_type=>'ITEM_IS_NULL'
,p_icon_css_classes=>'fa-plus'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10883880685106826)
,p_name=>'P7_ESCRITURA_ID'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(64385640959417282)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10967138203579772)
,p_name=>'P7_MATRICULA_ID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(64385640959417282)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10967466654579774)
,p_name=>'P7_CATASTRADO_TIPO_MATRICULA'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(64385640959417282)
,p_prompt=>unistr('Tipo (Matr\00EDcula / Padr\00F3n)')
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_CATASTRADO_TIPO'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ..'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10967860902579774)
,p_name=>'P7_MC_DEPARTAMENTO_ID_MATRICULA'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(64385640959417282)
,p_prompt=>'Departamento'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select codigo||'': ''||DESCRIPCION as descrip, id r',
'from   CATASTRO_DEPARTAMENTO',
'where  (CATASTRADO = :P7_CATASTRADO_TIPO_MATRICULA or CATASTRADO = 3)',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_lov_cascade_parent_items=>'P7_CATASTRADO_TIPO_MATRICULA'
,p_ajax_items_to_submit=>'P7_CATASTRADO_TIPO_MATRICULA'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
,p_item_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select codigo||'': ''||DESCRIPCION as descrip, id ',
'from CATASTRO_DEPARTAMENTO',
'where CATASTRADO = :P7_CATASTRADO_TIPO_MATRICULA ',
'or CATASTRADO = 3',
'order by id asc'))
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10968244460579774)
,p_name=>'P7_INSCRIPCION_INMUEBLE_ID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(12210383537663132)
,p_prompt=>unistr('Inscripci\00F3n Inmueble')
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_INSCRIPCION_INMUEBLE_MENSURA'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT descripcion, id',
'FROM   TIPO_INSCRIPCION_INMUEBLE',
'where  id IN (1,2);'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ..'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10968639821579775)
,p_name=>'P7_FICHA_FINCA'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(12210383537663132)
,p_prompt=>'Ficha Finca'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>4
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10969046918579775)
,p_name=>'P7_MATRICULA_FOLIO_REAL'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(12210383537663132)
,p_prompt=>'Matricula Folio Real'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>6
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);" onChange="agregarCeros(this,6);" '
,p_begin_on_new_line=>'N'
,p_begin_on_new_field=>'N'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10969439492579775)
,p_name=>'P7_FICHA_FINCA_ANIO'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(12210383537663132)
,p_prompt=>unistr('Ficha Finca A\00F1o')
,p_display_as=>'NATIVE_AUTO_COMPLETE'
,p_named_lov=>'LOV_ANIOS'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT TO_CHAR(SYSDATE,''YYYY'')-LEVEL+1 d,',
'       TO_CHAR(SYSDATE,''YYYY'')-LEVEL+1 r',
'FROM DUAL',
'CONNECT BY LEVEL <= 500',
'ORDER BY 1 asc;'))
,p_cSize=>30
,p_cMaxlength=>4
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'CONTAINS_IGNORE'
,p_attribute_04=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10970177262579777)
,p_name=>'P7_MATRICULA_CATASTRAL_MENSURA'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(64386435064417290)
,p_prompt=>'Parcela / Centroide'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>15
,p_cMaxlength=>4
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);" onChange="agregarCeros(this,4);"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'Y'
,p_attribute_03=>'center'
,p_item_comment=>unistr('str.padStart(tama\00F1o [, "0"])')
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10970515164579777)
,p_name=>'P7_MATRICULA_CATASTRAL_OP_MENSURA'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(64386435064417290)
,p_prompt=>'Subparcela'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>4
,p_cMaxlength=>4
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);" onChange="agregarCeros(this,4);"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_03=>'center'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10971262260579778)
,p_name=>'P7_PADRON_LOCALIDAD_ID_MENSURA'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(64385640959417282)
,p_prompt=>'Distrito / Localidad'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select l.codigo||'': ''||l.descripcion d, l.id r',
'from CATASTRO_LOCALIDAD l',
'where l.CATASTRO_DEPARTAMENTO_ID = :P7_MC_DEPARTAMENTO_ID_MATRICULA',
'  and l.catastrado = :P7_CATASTRADO_TIPO_MATRICULA',
'order by l.codigo asc'))
,p_lov_display_null=>'YES'
,p_lov_cascade_parent_items=>'P7_CATASTRADO_TIPO_MATRICULA,P7_MC_DEPARTAMENTO_ID_MATRICULA'
,p_ajax_items_to_submit=>'P7_CATASTRADO_TIPO_MATRICULA,P7_MC_DEPARTAMENTO_ID_MATRICULA'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10971664243579778)
,p_name=>'P7_PADRON_NUMERO_MENSURA'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(64386757093417293)
,p_prompt=>unistr('Padr\00F3n N\00BA')
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>15
,p_cMaxlength=>8
,p_tag_attributes=>'onChange="agregarCeros(this,8);"'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10972068125579778)
,p_name=>'P7_PADRON_LOTE_MENSURA'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(64386757093417293)
,p_item_default=>'000'
,p_prompt=>'Lote'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>15
,p_cMaxlength=>3
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"  onChange="agregarCeros(this,3);"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10972414473579778)
,p_name=>'P7_PADRON_MANZANA_MENSURA'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(64386757093417293)
,p_prompt=>'Manzana'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cMaxlength=>3
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(11162997689928119)
,p_name=>'P7_SECCION'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(64386435064417290)
,p_prompt=>unistr('Secci\00F3n')
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>2
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);" onChange="agregarCeros(this,2);"'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(11163012383928120)
,p_name=>'P7_MATRICULA_CATASTRAL'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(64386435064417290)
,p_prompt=>unistr('Matr\00EDcula Catastral')
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(11163139116928121)
,p_name=>'P7_MATRICULA_NO_CATASTRADO'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(64386757093417293)
,p_prompt=>unistr('Matr\00EDcula No Catastrado')
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12210460854663133)
,p_name=>'P7_CODIGO_DEP'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_api.id(64385640959417282)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12210773669663136)
,p_name=>'P7_CODIGO_LOC'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_api.id(64385640959417282)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(29923253476828005)
,p_name=>'P7_ESTADO_ID'
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_api.id(64385640959417282)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(79801583572873101)
,p_name=>'P7_SOLICITUD_ID'
,p_item_sequence=>150
,p_item_plug_id=>wwv_flow_api.id(64385640959417282)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(14502497412064317)
,p_computation_sequence=>20
,p_computation_item=>'P7_CODIGO_DEP'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT CODIGO',
'FROM   CATASTRO_DEPARTAMENTO',
'WHERE  ID = :P7_MC_DEPARTAMENTO_ID_MATRICULA;'))
,p_compute_when=>'P7_MATRICULA_ID'
,p_compute_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(14502561047064318)
,p_computation_sequence=>30
,p_computation_item=>'P7_CODIGO_LOC'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT  SUBSTR(codigo, -2, 2)',
'FROM    CATASTRO_LOCALIDAD',
'where   id = :P7_PADRON_LOCALIDAD_ID_MENSURA;'))
,p_compute_when=>'P7_MATRICULA_ID'
,p_compute_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(12210167476663130)
,p_computation_sequence=>40
,p_computation_item=>'P7_MATRICULA_CATASTRAL'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'FUNCTION_BODY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'',
'RETURN FNC_GENERAR_MATRICULA(p_id => :P7_CATASTRADO_TIPO_MATRICULA,',
'                p_departamento_id => :P7_MC_DEPARTAMENTO_ID_MATRICULA, ',
'                p_distrito_id => :P7_PADRON_LOCALIDAD_ID_MENSURA, ',
'                p_seccion => :P7_SECCION, ',
'                p_parcela => :P7_MATRICULA_CATASTRAL_MENSURA,',
'                p_opcional => :P7_MATRICULA_CATASTRAL_OP_MENSURA,',
'                p_manzana => :P7_PADRON_MANZANA_MENSURA,',
'                p_lote => :P7_PADRON_LOTE_MENSURA,',
'                p_padron => :P7_PADRON_NUMERO_MENSURA);'))
,p_compute_when=>'P7_CATASTRADO_TIPO_MATRICULA'
,p_compute_when_text=>'1'
,p_compute_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(12210273609663131)
,p_computation_sequence=>50
,p_computation_item=>'P7_MATRICULA_NO_CATASTRADO'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'FUNCTION_BODY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'      ',
'RETURN FNC_GENERAR_MATRICULA(p_id => :P7_CATASTRADO_TIPO_MATRICULA,',
'                p_departamento_id => :P7_MC_DEPARTAMENTO_ID_MATRICULA, ',
'                p_distrito_id => :P7_PADRON_LOCALIDAD_ID_MENSURA, ',
'                p_seccion => :P7_SECCION, ',
'                p_parcela => :P7_MATRICULA_CATASTRAL_MENSURA,',
'                p_opcional => :P7_MATRICULA_CATASTRAL_OP_MENSURA,',
'                p_manzana => :P7_PADRON_MANZANA_MENSURA,',
'                p_lote => :P7_PADRON_LOTE_MENSURA,',
'                p_padron => :P7_PADRON_NUMERO_MENSURA);'))
,p_compute_when=>'P7_CATASTRADO_TIPO_MATRICULA'
,p_compute_when_text=>'2'
,p_compute_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(12209741941663126)
,p_computation_sequence=>20
,p_computation_item=>'P7_ESCRITURA_ID'
,p_computation_point=>'BEFORE_HEADER'
,p_computation_type=>'ITEM_VALUE'
,p_computation=>'P32_ESCRITURA_MAESTRO'
,p_compute_when=>'P7_MATRICULA_ID'
,p_compute_when_type=>'ITEM_IS_NULL'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(10885450409106842)
,p_validation_name=>'FICHA_FINCA_ANIO length 4'
,p_validation_sequence=>10
,p_validation=>'LENGTH(:P7_FICHA_FINCA_ANIO) = 4'
,p_validation_type=>'PLSQL_EXPRESSION'
,p_error_message=>unistr('El formato del a\00F1o es incorrecto.')
,p_validation_condition=>'P7_INSCRIPCION_INMUEBLE_ID'
,p_validation_condition2=>'2'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(10969439492579775)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(12209110307663120)
,p_validation_name=>'SUBPARCELA length 4'
,p_validation_sequence=>20
,p_validation=>'LENGTH(:P7_MATRICULA_CATASTRAL_OP_MENSURA) = 4'
,p_validation_type=>'PLSQL_EXPRESSION'
,p_error_message=>unistr('La Subparcela requiere de 4 d\00EDgitos.')
,p_validation_condition=>'P7_CATASTRADO_TIPO_MATRICULA'
,p_validation_condition2=>'1'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(10970515164579777)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(12209288389663121)
,p_validation_name=>'PARCELA length 4'
,p_validation_sequence=>30
,p_validation=>'LENGTH(:P7_MATRICULA_CATASTRAL_MENSURA) = 4'
,p_validation_type=>'PLSQL_EXPRESSION'
,p_error_message=>unistr('La Parcela requiere de 4 d\00EDgitos.')
,p_validation_condition=>'P7_CATASTRADO_TIPO_MATRICULA'
,p_validation_condition2=>'1'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(10970177262579777)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(12209386694663122)
,p_validation_name=>'SECCION length 2'
,p_validation_sequence=>40
,p_validation=>'LENGTH(:P7_SECCION) = 2'
,p_validation_type=>'PLSQL_EXPRESSION'
,p_error_message=>unistr('La Secci\00F3n requiere de 2 d\00EDgitos.')
,p_validation_condition=>'P7_CATASTRADO_TIPO_MATRICULA'
,p_validation_condition2=>'1'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(11162997689928119)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(10885527532106843)
,p_validation_name=>'MC_DEPARTAMENTO_ID_MATRICULA not null'
,p_validation_sequence=>50
,p_validation=>'P7_MC_DEPARTAMENTO_ID_MATRICULA'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'El Departamento es un dato requerido.'
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(11163654532928126)
,p_validation_name=>'MATRICULA_FOLIO_REAL not null'
,p_validation_sequence=>60
,p_validation=>'P7_MATRICULA_FOLIO_REAL'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('La Matr\00EDcula Folio Real es un dato requerido.')
,p_validation_condition=>'P7_INSCRIPCION_INMUEBLE_ID'
,p_validation_condition2=>'1'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(10969046918579775)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(11163710887928127)
,p_validation_name=>'FICHA_FINCA not null'
,p_validation_sequence=>70
,p_validation=>'P7_FICHA_FINCA'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'La Ficha Finca es un dato requerido.'
,p_validation_condition=>'P7_INSCRIPCION_INMUEBLE_ID'
,p_validation_condition2=>'2'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(10968639821579775)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(11163864539928128)
,p_validation_name=>'FICHA_FINCA_ANIO not null'
,p_validation_sequence=>80
,p_validation=>'P7_FICHA_FINCA_ANIO'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('El A\00F1o de Ficha Finca es un dato requerido.')
,p_validation_condition=>'P7_INSCRIPCION_INMUEBLE_ID'
,p_validation_condition2=>'2'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(10969439492579775)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(11163926477928129)
,p_validation_name=>'PADRON_LOCALIDAD_ID_MENSURA not null'
,p_validation_sequence=>90
,p_validation=>'P7_PADRON_LOCALIDAD_ID_MENSURA'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'El Distrito es un dato requerido.'
,p_associated_item=>wwv_flow_api.id(10971262260579778)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(36240253305528113)
,p_validation_name=>'PADRON_LOCALIDAD_ID_MENSURA length'
,p_validation_sequence=>100
,p_validation=>'LENGTH(:P7_PADRON_NUMERO_MENSURA) = 8'
,p_validation_type=>'PLSQL_EXPRESSION'
,p_error_message=>unistr('El Padr\00F3n debe tener 8 d\00EDgitos. ')
,p_validation_condition=>'P7_PADRON_NUMERO_MENSURA'
,p_validation_condition2=>'2'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(10971664243579778)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(11164142424928131)
,p_validation_name=>'SECCION is not null'
,p_validation_sequence=>110
,p_validation=>'P7_SECCION'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('La Secci\00F3n es un dato requerido.')
,p_validation_condition=>'P7_CATASTRADO_TIPO_MATRICULA'
,p_validation_condition2=>'1'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(11162997689928119)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(11164266120928132)
,p_validation_name=>'PARCELA is not null'
,p_validation_sequence=>120
,p_validation=>'P7_MATRICULA_CATASTRAL_MENSURA'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'La Parcela/Centroide es un dato requerido.'
,p_validation_condition=>'P7_CATASTRADO_TIPO_MATRICULA'
,p_validation_condition2=>'1'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(10970177262579777)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(11164357712928133)
,p_validation_name=>'SUBPARCELA is not null'
,p_validation_sequence=>130
,p_validation=>'P7_MATRICULA_CATASTRAL_OP_MENSURA'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'La Subparcela es un dato requerido.'
,p_validation_condition=>'P7_CATASTRADO_TIPO_MATRICULA'
,p_validation_condition2=>'1'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(10970515164579777)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(25647245384252631)
,p_validation_name=>'INSCRIPCION_INMUEBLE_ID not null'
,p_validation_sequence=>140
,p_validation=>'P7_INSCRIPCION_INMUEBLE_ID'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('La Inscripci\00F3n del Inmueble es un dato requerido.')
,p_associated_item=>wwv_flow_api.id(10968244460579774)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(29923750689828010)
,p_validation_name=>'PADRON not null'
,p_validation_sequence=>150
,p_validation=>'P7_PADRON_NUMERO_MENSURA'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('El N\00FAmero de Padron es un dato requerido.')
,p_validation_condition=>'P7_PADRON_NUMERO_MENSURA'
,p_validation_condition2=>'2'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(10971664243579778)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(10884297509106830)
,p_name=>'CERRAR_MODAL'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(10966721315579767)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(10884303537106831)
,p_event_id=>wwv_flow_api.id(10884297509106830)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(11163268473928122)
,p_name=>'ARMAR_FORMATO_MATRICULA'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P7_CODIGO_LOC,P7_CODIGO_DEP,P7_SECCION,P7_MATRICULA_CATASTRAL_MENSURA,P7_MATRICULA_CATASTRAL_OP_MENSURA,P7_PADRON_NUMERO_MENSURA,P7_PADRON_LOTE_MENSURA,P7_PADRON_MANZANA_MENSURA'
,p_condition_element=>'P7_CATASTRADO_TIPO_MATRICULA'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'1'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(11163318488928123)
,p_event_id=>wwv_flow_api.id(11163268473928122)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P7_MATRICULA_CATASTRAL := FNC_GENERAR_MATRICULA(p_id => :P7_CATASTRADO_TIPO_MATRICULA,',
'                                                p_departamento_id => :P7_MC_DEPARTAMENTO_ID_MATRICULA, ',
'                                                p_distrito_id => :P7_PADRON_LOCALIDAD_ID_MENSURA, ',
'                                                p_seccion => :P7_SECCION, ',
'                                                p_parcela => :P7_MATRICULA_CATASTRAL_MENSURA,',
'                                                p_opcional => :P7_MATRICULA_CATASTRAL_OP_MENSURA,',
'                                                p_manzana => :P7_PADRON_MANZANA_MENSURA,',
'                                                p_lote => :P7_PADRON_LOTE_MENSURA,',
'                                                p_padron => :P7_PADRON_NUMERO_MENSURA);',
'                                                ',
'                                       '))
,p_attribute_02=>'P7_CODIGO_LOC,P7_CODIGO_DEP,P7_SECCION,P7_MATRICULA_CATASTRAL_MENSURA,P7_MATRICULA_CATASTRAL_OP_MENSURA,P7_CODIGO_DEP'
,p_attribute_03=>'P7_MATRICULA_CATASTRAL'
,p_attribute_04=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(11164068443928130)
,p_event_id=>wwv_flow_api.id(11163268473928122)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P7_MATRICULA_NO_CATASTRADO := FNC_GENERAR_MATRICULA(p_id => :P7_CATASTRADO_TIPO_MATRICULA,',
'                                                p_departamento_id => :P7_MC_DEPARTAMENTO_ID_MATRICULA, ',
'                                                p_distrito_id => :P7_PADRON_LOCALIDAD_ID_MENSURA, ',
'                                                p_seccion => :P7_SECCION, ',
'                                                p_parcela => :P7_MATRICULA_CATASTRAL_MENSURA,',
'                                                p_opcional => :P7_MATRICULA_CATASTRAL_OP_MENSURA,',
'                                                p_manzana => :P7_PADRON_MANZANA_MENSURA,',
'                                                p_lote => :P7_PADRON_LOTE_MENSURA,',
'                                                p_padron => :P7_PADRON_NUMERO_MENSURA);'))
,p_attribute_02=>'P7_CODIGO_LOC,P7_CODIGO_DEP,P7_PADRON_NUMERO_MENSURA,P7_PADRON_LOTE_MENSURA,P7_PADRON_MANZANA_MENSURA'
,p_attribute_03=>'P7_MATRICULA_NO_CATASTRADO'
,p_attribute_04=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(11003311438766264)
,p_name=>'CAMBIO_CATASTRADO_TIPO'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P7_CATASTRADO_TIPO_MATRICULA'
,p_condition_element=>'P7_CATASTRADO_TIPO_MATRICULA'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'1'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(11003708305766267)
,p_event_id=>wwv_flow_api.id(11003311438766264)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(64386435064417290)
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(11004294811766267)
,p_event_id=>wwv_flow_api.id(11003311438766264)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(64386757093417293)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(11004687485766268)
,p_event_id=>wwv_flow_api.id(11003311438766264)
,p_event_result=>'FALSE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(64386435064417290)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(11005173331766268)
,p_event_id=>wwv_flow_api.id(11003311438766264)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(64386757093417293)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(11005641412766268)
,p_event_id=>wwv_flow_api.id(11003311438766264)
,p_event_result=>'FALSE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P7_MATRICULA_CATASTRAL_MENSURA,P7_MATRICULA_CATASTRAL_OP_MENSURA,P7_SECCION,P7_MATRICULA_CATASTRAL,P7_MATRICULA_NO_CATASTRADO'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(11006166449766268)
,p_event_id=>wwv_flow_api.id(11003311438766264)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P7_PADRON_NUMERO_MENSURA,P7_PADRON_LOTE_MENSURA,P7_PADRON_MANZANA_MENSURA,P7_MATRICULA_NO_CATASTRADO'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18031373390180613)
,p_event_id=>wwv_flow_api.id(11003311438766264)
,p_event_result=>'FALSE'
,p_action_sequence=>40
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P7_PADRON_LOTE_MENSURA'
,p_attribute_01=>'STATIC_ASSIGNMENT'
,p_attribute_02=>'000'
,p_attribute_09=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18031432865180614)
,p_event_id=>wwv_flow_api.id(11003311438766264)
,p_event_result=>'TRUE'
,p_action_sequence=>50
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P7_MATRICULA_CATASTRAL_OP_MENSURA'
,p_attribute_01=>'STATIC_ASSIGNMENT'
,p_attribute_02=>'0000'
,p_attribute_09=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(14505538158064348)
,p_name=>'CAMBIO_CATASTRADO_TIPO_NULL'
,p_event_sequence=>30
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P7_CATASTRADO_TIPO_MATRICULA'
,p_condition_element=>'P7_CATASTRADO_TIPO_MATRICULA'
,p_triggering_condition_type=>'NULL'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18030284374180602)
,p_event_id=>wwv_flow_api.id(14505538158064348)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(64386757093417293)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18030560222180605)
,p_event_id=>wwv_flow_api.id(14505538158064348)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(64386435064417290)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18030469304180604)
,p_event_id=>wwv_flow_api.id(14505538158064348)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P7_PADRON_NUMERO_MENSURA,P7_PADRON_LOTE_MENSURA,P7_PADRON_MANZANA_MENSURA,P7_MATRICULA_NO_CATASTRADO,P7_MATRICULA_CATASTRAL_MENSURA,P7_MATRICULA_CATASTRAL_OP_MENSURA,P7_SECCION,P7_MATRICULA_CATASTRAL,P7_MATRICULA_NO_CATASTRADO'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(11006807204769159)
,p_name=>'INSCRIPCION_INMUEBLE'
,p_event_sequence=>40
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P7_INSCRIPCION_INMUEBLE_ID'
,p_condition_element=>'P7_INSCRIPCION_INMUEBLE_ID'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'1'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(11007261576769160)
,p_event_id=>wwv_flow_api.id(11006807204769159)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P7_MATRICULA_FOLIO_REAL'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(11007740485769160)
,p_event_id=>wwv_flow_api.id(11006807204769159)
,p_event_result=>'FALSE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P7_MATRICULA_FOLIO_REAL'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18031158060180611)
,p_event_id=>wwv_flow_api.id(11006807204769159)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P7_FICHA_FINCA,P7_FICHA_FINCA_ANIO'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(11008231311769160)
,p_event_id=>wwv_flow_api.id(11006807204769159)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P7_FICHA_FINCA,P7_FICHA_FINCA_ANIO'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(11008775614769161)
,p_event_id=>wwv_flow_api.id(11006807204769159)
,p_event_result=>'FALSE'
,p_action_sequence=>40
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P7_FICHA_FINCA,P7_FICHA_FINCA_ANIO'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18031292229180612)
,p_event_id=>wwv_flow_api.id(11006807204769159)
,p_event_result=>'FALSE'
,p_action_sequence=>50
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P7_MATRICULA_FOLIO_REAL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(18030686095180606)
,p_name=>'INSCRIPCION_INMUEBLE_NULL'
,p_event_sequence=>50
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P7_INSCRIPCION_INMUEBLE_ID'
,p_condition_element=>'P7_INSCRIPCION_INMUEBLE_ID'
,p_triggering_condition_type=>'NULL'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18030933247180609)
,p_event_id=>wwv_flow_api.id(18030686095180606)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P7_FICHA_FINCA,P7_FICHA_FINCA_ANIO,P7_MATRICULA_FOLIO_REAL'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18030717223180607)
,p_event_id=>wwv_flow_api.id(18030686095180606)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P7_FICHA_FINCA,P7_FICHA_FINCA_ANIO,P7_MATRICULA_FOLIO_REAL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(11164561720928135)
,p_name=>'BORRAR'
,p_event_sequence=>60
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(10965916022579766)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(11164680829928136)
,p_event_id=>wwv_flow_api.id(11164561720928135)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CONFIRM'
,p_attribute_01=>unistr('\00BFConfirma que desea eliminar la Matr\00EDcula y sus Propietarios?')
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(11164724321928137)
,p_event_id=>wwv_flow_api.id(11164561720928135)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SUBMIT_PAGE'
,p_attribute_01=>'ELIMINAR'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(12210556073663134)
,p_name=>'OBTENER_CODIGO_DEP'
,p_event_sequence=>70
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P7_MC_DEPARTAMENTO_ID_MATRICULA'
,p_condition_element=>'P7_MC_DEPARTAMENTO_ID_MATRICULA'
,p_triggering_condition_type=>'NOT_NULL'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(12210601118663135)
,p_event_id=>wwv_flow_api.id(12210556073663134)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT CODIGO',
'INTO   :P7_CODIGO_DEP',
'FROM   CATASTRO_DEPARTAMENTO',
'WHERE  ID = :P7_MC_DEPARTAMENTO_ID_MATRICULA;',
'',
'EXCEPTION',
'    WHEN others THEN',
'        :P7_CODIGO_DEP := '''';'))
,p_attribute_02=>'P7_MC_DEPARTAMENTO_ID_MATRICULA'
,p_attribute_03=>'P7_CODIGO_DEP'
,p_attribute_04=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(12210841961663137)
,p_name=>'OBTENER_CODIGO_LOCALIDAD'
,p_event_sequence=>80
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P7_PADRON_LOCALIDAD_ID_MENSURA'
,p_condition_element=>'P7_PADRON_LOCALIDAD_ID_MENSURA'
,p_triggering_condition_type=>'NOT_NULL'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(12210919075663138)
,p_event_id=>wwv_flow_api.id(12210841961663137)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT  SUBSTR(codigo, -2, 2)',
'INTO    :P7_CODIGO_LOC',
'FROM    CATASTRO_LOCALIDAD',
'where   id = :P7_PADRON_LOCALIDAD_ID_MENSURA;',
'',
'EXCEPTION',
'    WHEN others THEN',
'        :P7_CODIGO_LOC := '''';'))
,p_attribute_02=>'P7_PADRON_LOCALIDAD_ID_MENSURA'
,p_attribute_03=>'P7_CODIGO_LOC'
,p_attribute_04=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(12209003502663119)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Delete matricula censal'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DELETE FROM MENSURA_MATRICULA_CENSAL',
'WHERE MATRICULA_ID = :P7_MATRICULA_ID;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_type=>'NEVER'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(10884132899106829)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'PROCESO'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'CASE :P7_INSCRIPCION_INMUEBLE_ID',
'    WHEN 1 THEN',
'        :P7_FICHA_FINCA      := '''';',
'        :P7_FICHA_FINCA_ANIO := '''';',
'    WHEN 2 THEN',
'        :P7_MATRICULA_FOLIO_REAL := '''';',
'    ELSE null;',
'END CASE;',
'',
'PKG_MENSURA.PRC_CONTROL_MATRICULA( p_accion                 => :REQUEST,',
'                                   p_solicitud              => :P7_SOLICITUD_ID,',
'                                   p_matricula_id           => :P7_MATRICULA_ID, ',
'                                   p_escritura_id           => :P7_ESCRITURA_ID,',
'                                   p_catastro_tipo_id       => :P7_CATASTRADO_TIPO_MATRICULA,',
'                                   p_mc_departamento_id     => :P7_MC_DEPARTAMENTO_ID_MATRICULA,',
'                                   p_matricula_catastral    => :P7_MATRICULA_CATASTRAL_MENSURA,',
'                                   p_matricula_catastral_op => :P7_MATRICULA_CATASTRAL_OP_MENSURA,',
'                                   p_seccion                => :P7_SECCION,',
'                                   p_padron_numero          => :P7_PADRON_NUMERO_MENSURA,',
'                                   p_padron_localidad_id    => :P7_PADRON_LOCALIDAD_ID_MENSURA,',
'                                   p_padron_lote            => :P7_PADRON_LOTE_MENSURA,',
'                                   p_padron_manzana         => :P7_PADRON_MANZANA_MENSURA,',
'                                   p_tipo_inscripcion_inmueble_id => :P7_INSCRIPCION_INMUEBLE_ID,',
'                                   p_matricula_folio_real   => :P7_MATRICULA_FOLIO_REAL,',
'                                   p_ficha_finca            => :P7_FICHA_FINCA,',
'                                   p_ficha_finca_anio       => :P7_FICHA_FINCA_ANIO',
'                                 );      ',
''))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>':REQUEST IN (''CREAR'',''GUARDAR'',''ELIMINAR'')'
,p_process_when_type=>'PLSQL_EXPRESSION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(10884478626106832)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(10884755342106835)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'OBTENER_DATOS'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT  ESCRITURA_ID,',
'        CATASTRADO_TIPO_ID,',
'        MATRICULA_CATASTRAL,',
'        MATRICULA_CATASTRAL_OP,',
'        SECCION,',
'        PADRON_NUMERO,',
'        PADRON_LOCALIDAD_ID,',
'        PADRON_LOTE,',
'        PADRON_MANZANA,',
'        MC_DEPARTAMENTO_ID,        ',
'        CASE',
'            WHEN MATRICULA_FOLIO_REAL IS NOT NULL THEN',
'                LPAD(MATRICULA_FOLIO_REAL, 6, ''0'')',
'            ELSE ''''',
'        END MATRICULA_FOLIO_REAL,',
'        FICHA_FINCA,',
'        FICHA_FINCA_ANIO,',
'        TIPO_INSCRIPCION_INMUEBLE_ID',
'INTO    :P7_ESCRITURA_ID,',
'        :P7_CATASTRADO_TIPO_MATRICULA,',
'        :P7_MATRICULA_CATASTRAL_MENSURA,',
'        :P7_MATRICULA_CATASTRAL_OP_MENSURA,',
'        :P7_SECCION,',
'        :P7_PADRON_NUMERO_MENSURA,',
'        :P7_PADRON_LOCALIDAD_ID_MENSURA,',
'        :P7_PADRON_LOTE_MENSURA,',
'        :P7_PADRON_MANZANA_MENSURA,',
'        :P7_MC_DEPARTAMENTO_ID_MATRICULA,',
'        :P7_MATRICULA_FOLIO_REAL,',
'        :P7_FICHA_FINCA,',
'        :P7_FICHA_FINCA_ANIO,',
'        :P7_INSCRIPCION_INMUEBLE_ID',
'FROM    MENSURA_MATRICULA',
'WHERE   MATRICULA_ID = :P7_MATRICULA_ID;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'P7_MATRICULA_ID'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.component_end;
end;
/
