prompt --application/pages/page_00011
begin
--   Manifest
--     PAGE: 00011
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>11
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Reporte Usuarios'
,p_step_title=>'Usuarios'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210312100307'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(52027760562099263)
,p_plug_name=>'Breadcrumb'
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useBreadcrumbTitle'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50764894046672306)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_01'
,p_menu_id=>wwv_flow_api.id(50701543475672259)
,p_plug_source_type=>'NATIVE_BREADCRUMB'
,p_menu_template_id=>wwv_flow_api.id(50817546519672348)
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(100405655848354384)
,p_plug_name=>'Reporte 1'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select  ',
'    p.ID, ',
'    p.cuil USUARIO,',
'    PERFIL.DESCRIPCION PERFIL,',
'    P.APELLIDO||'', ''||P.NOMBRE AS "Apellido y Nombres",',
'    E.DESCRIPCION Estado,',
'    --TO_CHAR(estado_fecha, ''DD/MM/YYYY HH24:MI:SS'')  "Ultima Actualizacion"',
'    TO_CHAR(p.estado_fecha, ''DD/MM/YYYY'')  "Actualizado",',
'    p.MENSURA_AUTORIZADO Autorizado,',
'    p.MENSURA_RESTINGIDO Restringido,',
'    p.email,',
'    p.celular',
'',
'from PERSONA P, PERFIL, ESTADO_USUARIO E',
'WHERE p.PERFIL_ID = PERFIL.ID',
'  AND P.ESTADO_ID = E.ID',
'  AND P.ID != 63  -- RPI SYSTEM USER - No mostrar',
'  and p.PERFIL_ID in ( select p2.perfil_id',
'                        FROM PERSONA p2, persona u',
'                       WHERE u.cuil = :app_user',
'                        and ( (u.id in (1,2)) -- Just Super Admins',
'                           or (u.perfil_id = 4 and p2.perfil_id in (2,3,4,10,11,12,13))',
'                           or (u.perfil_id = 5 and p2.perfil_id in (1,5))',
'                           or (u.perfil_id = 6 and p2.perfil_id in (6,8))',
'                           or (u.perfil_id = 7 and p2.perfil_id in (7,9))',
'                           or (u.perfil_id = 16 and p2.perfil_id in (10,12,14,15,16,18))',
'                            )',
'                       group by p2.perfil_id)',
'order by p.id asc',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(100406011738354385)
,p_name=>'USUARIOS'
,p_max_row_count=>'1000000'
,p_max_row_count_message=>'The maximum row count for this report is #MAX_ROW_COUNT# rows.  Please apply a filter to reduce the number of records in your query.'
,p_no_data_found_message=>'No data found.'
,p_allow_report_saving=>'N'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_finder_drop_down=>'N'
,p_report_list_mode=>'NONE'
,p_show_detail_link=>'C'
,p_show_filter=>'N'
,p_show_sort=>'N'
,p_show_control_break=>'N'
,p_show_computation=>'N'
,p_show_aggregate=>'N'
,p_show_chart=>'N'
,p_show_group_by=>'N'
,p_show_pivot=>'N'
,p_show_flashback=>'N'
,p_download_formats=>'CSV'
,p_detail_link=>'f?p=&APP_ID.:12:&SESSION.::&DEBUG.:12:P12_ID:#ID#'
,p_detail_link_text=>'<span aria-label="Edit"><span class="fa fa-edit" aria-hidden="true" title="Edit"></span></span>'
,p_owner=>'SIPROM'
,p_internal_uid=>100406011738354385
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50919169919711490)
,p_db_column_name=>'ID'
,p_display_order=>1
,p_column_identifier=>'A'
,p_column_label=>'ID'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50918328828711489)
,p_db_column_name=>'Apellido y Nombres'
,p_display_order=>13
,p_column_identifier=>'K'
,p_column_label=>'Apellido y Nombre'
,p_column_html_expression=>'<div style="display:block; width:210px">#Apellido y Nombres#</div>'
,p_column_type=>'STRING'
,p_heading_alignment=>'LEFT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50917964799711489)
,p_db_column_name=>'PERFIL'
,p_display_order=>33
,p_column_identifier=>'H'
,p_column_label=>'Perfil'
,p_column_html_expression=>'<div style="display:block; width:140px">#PERFIL#</div>'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50918706995711490)
,p_db_column_name=>'USUARIO'
,p_display_order=>43
,p_column_identifier=>'L'
,p_column_label=>'Usuario'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50919507562711490)
,p_db_column_name=>'ESTADO'
,p_display_order=>63
,p_column_identifier=>'N'
,p_column_label=>'Estado'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50920326910711491)
,p_db_column_name=>'AUTORIZADO'
,p_display_order=>83
,p_column_identifier=>'Q'
,p_column_label=>'Mensura On-line<br>Autorizado'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'CENTER'
,p_rpt_named_lov=>wwv_flow_api.id(50926661583711499)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50920756898711491)
,p_db_column_name=>'RESTRINGIDO'
,p_display_order=>93
,p_column_identifier=>'R'
,p_column_label=>'Mensura On-line<br>Restringido'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'CENTER'
,p_rpt_named_lov=>wwv_flow_api.id(50926661583711499)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(5521679654313421)
,p_db_column_name=>'EMAIL'
,p_display_order=>103
,p_column_identifier=>'S'
,p_column_label=>'Email'
,p_column_html_expression=>'<div style="display:block; width:170px">#EMAIL#</div>'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(5521789755313422)
,p_db_column_name=>'CELULAR'
,p_display_order=>113
,p_column_identifier=>'T'
,p_column_label=>'Celular'
,p_column_html_expression=>'<div style="display:block; width:70px">#CELULAR#</div>'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(5521998166313424)
,p_db_column_name=>'Actualizado'
,p_display_order=>123
,p_column_identifier=>'V'
,p_column_label=>'Actualizado'
,p_column_html_expression=>'<div style="display:block; width:70px">#Actualizado#</div>'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(100410781074355804)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'509211'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_display_rows=>100000
,p_report_columns=>'ID:PERFIL:USUARIO:Apellido y Nombres:CELULAR:EMAIL:Actualizado:ESTADO:'
,p_sort_column_1=>'ID'
,p_sort_direction_1=>'ASC'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(7641749410732985)
,p_report_id=>wwv_flow_api.id(100410781074355804)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'AUTORIZADO'
,p_operator=>'='
,p_expr=>'NO'
,p_condition_sql=>' (case when ("AUTORIZADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''NO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>10
,p_column_bg_color=>'#E8E8E8'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(7642154168732985)
,p_report_id=>wwv_flow_api.id(100410781074355804)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'AUTORIZADO'
,p_operator=>'='
,p_expr=>'SI'
,p_condition_sql=>' (case when ("AUTORIZADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''SI''  '
,p_enabled=>'Y'
,p_highlight_sequence=>10
,p_column_bg_color=>'#D0F1CC'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(7642571263732986)
,p_report_id=>wwv_flow_api.id(100410781074355804)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'BLOQUEADO'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''BLOQUEADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>10
,p_column_bg_color=>'#FF776B'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(7642992099732986)
,p_report_id=>wwv_flow_api.id(100410781074355804)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'HABILITADO'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''HABILITADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>10
,p_column_bg_color=>'#99FF99'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(7643312804732986)
,p_report_id=>wwv_flow_api.id(100410781074355804)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'RESTRINGIDO'
,p_operator=>'='
,p_expr=>'NO'
,p_condition_sql=>' (case when ("RESTRINGIDO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''NO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>10
,p_column_bg_color=>'#E8E8E8'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(7643712943732986)
,p_report_id=>wwv_flow_api.id(100410781074355804)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'RESTRINGIDO'
,p_operator=>'='
,p_expr=>'SI'
,p_condition_sql=>' (case when ("RESTRINGIDO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''SI''  '
,p_enabled=>'Y'
,p_highlight_sequence=>10
,p_column_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(50924339284711494)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(52027760562099263)
,p_button_name=>'CREATE'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Nuevo Usuario'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_redirect_url=>'f?p=&APP_ID.:12:&SESSION.::&DEBUG.:12::'
,p_icon_css_classes=>'fa-plus'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(50926365874711497)
,p_branch_name=>'Cambiar_Pass_Redirect'
,p_branch_action=>'f?p=&APP_ID.:8:&SESSION.::&DEBUG.::P8_ID:&PERSONA_ID.'
,p_branch_point=>'BEFORE_HEADER'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>50
,p_branch_condition_type=>'EXISTS'
,p_branch_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona',
'where cuil = :app_user',
'  and PASSWORD_CHANGE = 1'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(50925308058711495)
,p_name=>'Edit Report - Dialog Closed'
,p_event_sequence=>10
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(100405655848354384)
,p_bind_type=>'bind'
,p_bind_event_type=>'apexafterclosedialog'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(50925827198711497)
,p_event_id=>wwv_flow_api.id(50925308058711495)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(100405655848354384)
);
wwv_flow_api.component_end;
end;
/
