prompt --application/pages/page_00016
begin
--   Manifest
--     PAGE: 00016
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>16
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'MODAL Cambio de Areas'
,p_page_mode=>'MODAL'
,p_step_title=>unistr('Gesti\00F3n de \00C1reas')
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210223100839'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(18034314937180643)
,p_plug_name=>'BOTONES'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50729062024672289)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_03'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(18034523487180645)
,p_plug_name=>'Cambio area'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(24077019853762643)
,p_name=>'Estado Solicitud'
,p_parent_plug_id=>wwv_flow_api.id(18034523487180645)
,p_template=>wwv_flow_api.id(50755426344672302)
,p_display_sequence=>10
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT id,',
'       SOLICITUD_ID,',
'       ORDEN,',
'       TO_CHAR(FECHA, ''DD/MM/YYYY HH24:MI'') FECHA,',
'       OBSERVACIONES,',
'       AREA_ANTERIOR_ID,',
'       AREA_ACTUAL_ID,',
'       PERSONA_ANTERIOR_ID,',
'       PERSONA_ASIGNADA_ID',
'  FROM AREAS_SOLICITUD',
' WHERE id = PKG_MENSURA.FNC_OBTENER_SOLICITUD_AREA_ACTUAL( :P16_SOLICITUD_ID )',
'ORDER BY id;'))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(50784351307672320)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_num_rows_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(24077127273762644)
,p_query_column_id=>1
,p_column_alias=>'ID'
,p_column_display_sequence=>1
,p_hidden_column=>'Y'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(24077274224762645)
,p_query_column_id=>2
,p_column_alias=>'SOLICITUD_ID'
,p_column_display_sequence=>2
,p_column_heading=>'Solicitud'
,p_use_as_row_header=>'N'
,p_column_alignment=>'CENTER'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(24077385789762646)
,p_query_column_id=>3
,p_column_alias=>'ORDEN'
,p_column_display_sequence=>3
,p_hidden_column=>'Y'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(24077495459762647)
,p_query_column_id=>4
,p_column_alias=>'FECHA'
,p_column_display_sequence=>4
,p_column_heading=>'Fecha'
,p_use_as_row_header=>'N'
,p_column_alignment=>'CENTER'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(24077549049762648)
,p_query_column_id=>5
,p_column_alias=>'OBSERVACIONES'
,p_column_display_sequence=>7
,p_column_heading=>unistr('Observaci\00F3n')
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(24077668814762649)
,p_query_column_id=>6
,p_column_alias=>'AREA_ANTERIOR_ID'
,p_column_display_sequence=>5
,p_column_heading=>unistr('\00C1rea Anterior')
,p_use_as_row_header=>'N'
,p_display_as=>'TEXT_FROM_LOV_ESC'
,p_named_lov=>wwv_flow_api.id(23292472684565231)
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(24077748296762650)
,p_query_column_id=>7
,p_column_alias=>'AREA_ACTUAL_ID'
,p_column_display_sequence=>8
,p_column_heading=>unistr('\00C1rea Actual')
,p_use_as_row_header=>'N'
,p_display_as=>'TEXT_FROM_LOV_ESC'
,p_named_lov=>wwv_flow_api.id(23292472684565231)
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(25644289006252601)
,p_query_column_id=>8
,p_column_alias=>'PERSONA_ANTERIOR_ID'
,p_column_display_sequence=>6
,p_column_heading=>'Persona Anterior'
,p_use_as_row_header=>'N'
,p_display_as=>'TEXT_FROM_LOV_ESC'
,p_named_lov=>wwv_flow_api.id(25276012992010539)
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(25644368699252602)
,p_query_column_id=>9
,p_column_alias=>'PERSONA_ASIGNADA_ID'
,p_column_display_sequence=>9
,p_column_heading=>'Persona Asignada'
,p_use_as_row_header=>'N'
,p_display_as=>'TEXT_FROM_LOV_ESC'
,p_named_lov=>wwv_flow_api.id(25276012992010539)
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(18619049948666223)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(18034314937180643)
,p_button_name=>'CANCELAR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Cancelar'
,p_button_position=>'REGION_TEMPLATE_CLOSE'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-times'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(18034469652180644)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(18034314937180643)
,p_button_name=>'CONFIRMAR'
,p_button_action=>'REDIRECT_URL'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Confirmar'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_redirect_url=>unistr('javascript:apex.confirm(''\00BFEsta seguro que desea Confirmar el pasaje?'', ''CONFIRMAR'');')
,p_icon_css_classes=>'fa-check'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(18034626820180646)
,p_name=>'P16_AREA_ID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_item_default=>'return PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(:P16_SOLICITUD_ID);'
,p_item_default_type=>'PLSQL_FUNCTION_BODY'
,p_prompt=>unistr('\00C1rea')
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT    (SELECT DESCRIPCION FROM AREA WHERE ID = fa.AREA_SIGUIENTE_ID) "D",',
'          AREA_SIGUIENTE_ID "R"',
'FROM      FLUJO_AREAS fa',
'WHERE     AREA_ACTUAL_ID = PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL( :P16_SOLICITUD_ID )',
'AND       (AREA_ANTERIOR_ID = nvl(PKG_MENSURA.FNC_OBTENER_AREA_ANTERIOR( :P16_SOLICITUD_ID ),AREA_ANTERIOR_ID)',
'           OR',
'          AREA_ANTERIOR_ID = PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL( :P16_SOLICITUD_ID ) )',
'--AND       ROL_AREA_ID IN (SELECT ROL_AREA_ID FROM ROL_AREA_PERSONA WHERE PERSONA_ID = :PERSONA_ID)',
'',
'UNION',
'SELECT    (SELECT DESCRIPCION FROM AREA WHERE ID = fa.AREA_ANTERIOR_ID) "D",',
'          AREA_ANTERIOR_ID "R"',
'FROM      FLUJO_AREAS fa',
'WHERE     AREA_ACTUAL_ID = PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL( :P16_SOLICITUD_ID )',
'--AND       ROL_AREA_ID IN (SELECT ROL_AREA_ID FROM ROL_AREA_PERSONA WHERE PERSONA_ID = :PERSONA_ID)',
'AND       AREA_ANTERIOR_ID = PKG_MENSURA.FNC_OBTENER_AREA_ANTERIOR( :P16_SOLICITUD_ID )',
'',
'UNION',
'select DESCRIPCION "D", ID "R"',
'from   AREA',
'where  :PERFIL = 4',
'order by 2'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(18034771540180647)
,p_name=>'P16_OBSERVACION'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_prompt=>unistr('Observaci\00F3n')
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cHeight=>5
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(18034895026180648)
,p_name=>'P16_PERSONA_ID'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_prompt=>'Persona Asignada'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT  (select CUIL ||'' - ''|| NOMBRE||'' ''||APELLIDO FROM PERSONA WHERE ID = rap.PERSONA_ID) d,',
'        rap.PERSONA_ID r',
'FROM    ROL_AREA_PERSONA rap,',
'        ROL_AREA ra',
'WHERE   ra.AREA_ID = :P16_AREA_ID',
'AND     rap.ROL_AREA_ID = ra.ID',
'AND     (',
'        (:P16_AREA_ID = :AREA',
'         AND rap.PERSONA_ID IN  (SELECT persona_id',
'                                 FROM (  select nvl(v.cantidad,0) cantidad, rap.persona_id, ra.area_id',
'                                         from rol_area_persona rap, rol_area ra, v_mensuras_asignadas v',
'                                         where ra.id = rap.rol_area_id',
'                                         and v.Agente(+) = rap.persona_id',
'                                         and ra.area_id = v.area_actual(+)',
'                                         and ra.area_id = :P16_AREA_ID',
'                                         order by area_id) persona',
'                                 WHERE cantidad = (SELECT MIN(NVL(cantidad,0))',
'                                                   FROM rol_area_persona rap2, rol_area ra2, v_mensuras_asignadas v2',
'                                                   where ra2.id = rap2.rol_area_id',
'                                                   and v2.Agente(+) = rap2.persona_id',
'                                                   and ra2.area_id = v2.area_actual(+)',
'                                                   and ra2.area_id = persona.area_id))',
'        )',
'        OR      ',
'       :P16_AREA_ID != :AREA AND rap.ROL_AREA_ID in (1,2,3,5,7,11,12,13,14,9,10) --Roles de Jefes + Directorio',
'        )',
'--AND     rap.ROL_AREA_ID not in (9,10) --Roles Directorio ',
'--AND :AREA != 1',
'AND ((PKG_MENSURA.FNC_ES_JEFE_AREA(:PERSONA_ID) = 1',
'     AND :P16_AREA_ID = :AREA)',
'     OR NOT EXISTS (SELECT 1',
'                    FROM AREAS_SOLICITUD a_s',
'                    WHERE a_s.AREA_ACTUAL_ID = :P16_AREA_ID',
'                    AND a_s.SOLICITUD_ID = :P16_SOLICITUD_ID',
'                    )',
'     )',
'',
'UNION',
'',
'SELECT  (p.CUIL ||'' - ''|| p.NOMBRE||'' ''||p.APELLIDO) d, ',
'        p.ID r',
'FROM AREAS_SOLICITUD a_s, PERSONA p',
'WHERE a_s.AREA_ACTUAL_ID = :P16_AREA_ID',
'AND a_s.PERSONA_ASIGNADA_ID = p.ID',
'AND p.ID != :PERSONA_ID -- Excluyo la persona logueada',
'AND a_s.SOLICITUD_ID = :P16_SOLICITUD_ID',
'AND a_s.ID = (SELECT MAX(ID)',
'              FROM AREAS_SOLICITUD a',
'              WHERE a.AREA_ACTUAL_ID = :P16_AREA_ID',
'              AND a.SOLICITUD_ID = :P16_SOLICITUD_ID',
'             )',
'',
'',
''))
,p_lov_cascade_parent_items=>'P16_AREA_ID'
,p_ajax_items_to_submit=>'P16_AREA_ID'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(18034916723180649)
,p_name=>'P16_SOLICITUD_ID'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33593147559289913)
,p_name=>'P16_BLOQUE_0_ESTADO_ACTUAL'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33593297567289914)
,p_name=>'P16_BLOQUE_I_ESTADO_ACTUAL'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33593321781289915)
,p_name=>'P16_BLOQUE_II_ESTADO_ACTUAL'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33593453779289916)
,p_name=>'P16_BLOQUE_III_ESTADO_ACTUAL'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33593504161289917)
,p_name=>'P16_BLOQUE_IV_ESTADO_ACTUAL'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33593682408289918)
,p_name=>'P16_BLOQUE_V_ESTADO_ACTUAL'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33593701266289919)
,p_name=>'P16_BLOQUE_VI_ESTADO_ACTUAL'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33593868710289920)
,p_name=>'P16_BLOQUE_VII_ESTADO_ACTUAL'
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33593966017289921)
,p_name=>'P16_BLOQUE_VIII_ESTADO_ACTUAL'
,p_item_sequence=>150
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33594042981289922)
,p_name=>'P16_BLOQUE_IX_ESTADO_ACTUAL'
,p_item_sequence=>160
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33594123443289923)
,p_name=>'P16_BLOQUE_X_ESTADO_ACTUAL'
,p_item_sequence=>170
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33594249891289924)
,p_name=>'P16_BLOQUE_XI_ESTADO_ACTUAL'
,p_item_sequence=>180
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33594397525289925)
,p_name=>'P16_BLOQUE_XII_ESTADO_ACTUAL'
,p_item_sequence=>190
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33594417004289926)
,p_name=>'P16_BLOQUE_XIII_ESTADO_ACTUAL'
,p_item_sequence=>200
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33594552018289927)
,p_name=>'P16_BLOQUE_XIV_ESTADO_ACTUAL'
,p_item_sequence=>210
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33595027896289932)
,p_name=>'P16_AREA_ACTUAL'
,p_item_sequence=>220
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(36243815809528149)
,p_name=>'P16_DISPOSICION_RESOLUCION'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(18034523487180645)
,p_prompt=>unistr('Disposici\00F3n/ Resoluci\00F3n')
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_DISPOSICION_RESOLUCION'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT  JRD_DESCRIPTION, JRD_ID',
'FROM    JRXML_REPORT_DEFINITIONS',
'WHERE (JRD_ID IN (12,13) AND :AREA = 6)',
'  OR (JRD_ID IN (9,10) AND :AREA != 6)',
''))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_display_when_type=>'NEVER'
,p_read_only_when=>':AREA in (2)'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
,p_item_comment=>':AREA IN (2,5,6) and 1=2'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(33595127569289933)
,p_computation_sequence=>10
,p_computation_item=>'P16_AREA_ACTUAL'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'PLSQL_EXPRESSION'
,p_computation=>'PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(:P16_SOLICITUD_ID)'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(24072805330762601)
,p_validation_name=>'AREA_ID not null'
,p_validation_sequence=>10
,p_validation=>'P16_AREA_ID'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('El \00C1rea es un dato requerido.')
,p_associated_item=>wwv_flow_api.id(18034626820180646)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(33594632278289928)
,p_validation_name=>'Validar Bloques 0-7 Visador'
,p_validation_sequence=>20
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P32_BLOQUE_0_ESTADO_SHOW in (3,4,5,6)',
'and',
':P32_BLOQUE_I_ESTADO_SHOW in (3,4,5,6)',
'and',
':P32_BLOQUE_II_ESTADO_SHOW in (3,4,5,6)',
'and',
':P32_BLOQUE_III_ESTADO_SHOW in (3,4,5,6)',
'and',
':P32_BLOQUE_IV_ESTADO_SHOW in (3,4,5,6)',
'and',
':P32_BLOQUE_V_ESTADO_SHOW in (3,4,5,6)',
'and',
':P32_BLOQUE_VI_ESTADO_SHOW in (3,4,5,6)',
'and',
':P32_BLOQUE_VII_ESTADO_SHOW in (3,4,5,6)'))
,p_validation_type=>'PLSQL_EXPRESSION'
,p_error_message=>'Es requerido actualizar los estados de los bloques de la solicitud.'
,p_validation_condition_type=>'NEVER'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_validation_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(:P16_SOLICITUD_ID) = :PERSONA_ID',
'and :AREA = 3',
'',
'',
'PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(:P16_SOLICITUD_ID) = :PERSONA_ID',
'and :AREA = 3'))
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(38128188277827916)
,p_validation_name=>'PERSONA_ID not null'
,p_validation_sequence=>30
,p_validation=>'P16_PERSONA_ID'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'La Persona es un dato requerido.'
,p_validation_condition=>'P16_AREA_ID'
,p_validation_condition2=>'1'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(18034916723180649)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(25644545236252604)
,p_name=>'OBTENER_PERSONA_ASIGNADA'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P16_AREA_ID'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25645368841252612)
,p_event_id=>wwv_flow_api.id(25644545236252604)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'BEGIN',
'    SELECT  PERSONA_ASIGNADA_ID',
'    INTO    :P16_PERSONA_ID',
'    FROM    AREAS_SOLICITUD',
'    WHERE   SOLICITUD_ID = :P16_SOLICITUD_ID',
'    AND     AREA_ACTUAL_ID = :P16_AREA_ID',
'     --falta filtro',
'    AND     ROWNUM = 1;',
'EXCEPTION',
'    WHEN NO_DATA_FOUND THEN',
'         :P16_PERSONA_ID := null;',
'END;'))
,p_attribute_02=>'P16_AREA_ID,P16_SOLICITUD_ID'
,p_attribute_03=>'P16_PERSONA_ID'
,p_attribute_04=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(18619185322666224)
,p_name=>'Cancel Dialog'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(18619049948666223)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18619278797666225)
,p_event_id=>wwv_flow_api.id(18619185322666224)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(33595466269289936)
,p_name=>'OCULTAR_PERSONA'
,p_event_sequence=>30
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P16_AREA_ID'
,p_condition_element=>'P16_AREA_ID'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'&P16_AREA_ACTUAL.'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
,p_display_when_type=>'NEVER'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(33595526892289937)
,p_event_id=>wwv_flow_api.id(33595466269289936)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P16_PERSONA_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(33595884231289940)
,p_event_id=>wwv_flow_api.id(33595466269289936)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P16_PERSONA_ID'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(24073094219762603)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'PASAJE_AREA'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'APEX_DEBUG.ERROR(''ENTROOOO'');',
'IF (PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL( :P16_SOLICITUD_ID ) = 1 AND :PERFIL_ID = 13) --municipal',
'    OR PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL( :P16_SOLICITUD_ID ) = 2 THEN',
'    :P16_PERSONA_ID := NVL(:P16_PERSONA_ID, :PERSONA_ID);',
'END IF;',
'',
'INSERT INTO AREAS_SOLICITUD ( SOLICITUD_ID,',
'                              FECHA,',
'                              OBSERVACIONES,',
'                              AREA_ANTERIOR_ID,',
'                              AREA_ACTUAL_ID,',
'                              PERSONA_ANTERIOR_ID,',
'                              PERSONA_ASIGNADA_ID )',
'VALUES ( :P16_SOLICITUD_ID,',
'         sysdate,',
'         :P16_OBSERVACION,',
'         PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL( :P16_SOLICITUD_ID ), --el area actual pasa a ser el anterior',
'         :P16_AREA_ID,',
'         NVL(PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL( :P16_SOLICITUD_ID ), :PERSONA_ID), --la persona actual pasa a ser la anterior',
'         :P16_PERSONA_ID',
'       );                            ',
''))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(:P16_SOLICITUD_ID) != :P16_PERSONA_ID',
'OR :AREA = 1',
'OR  :P16_AREA_ID = 1'))
,p_process_when_type=>'PLSQL_EXPRESSION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(24073112804762604)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'CLOSE_DIALOG'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
