prompt --application/pages/page_00024
begin
--   Manifest
--     PAGE: 00024
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>24
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'SOLICITUD PRESENTADA PROPIEDAD'
,p_alias=>'SOLICITUD-PRESENTADA-PROPIEDAD'
,p_step_title=>'Solicitud presentada RPI'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_html_page_header=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<style>',
'   .Region_fix_height',
'     {',
'      height:205px;',
'     }',
'   ',
'   .Region_fix_height_mini',
'     {',
'      height:105px;',
'     }',
'</style>'))
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'',
'',
''))
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>wwv_flow_api.id(23029806213157381)
,p_protection_level=>'C'
,p_help_text=>'No help is available for this page.'
,p_page_comment=>unistr('onChange=\201Djavascript:f_AsignaNombre()\201D;')
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210409105202'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(51789575978118870)
,p_plug_name=>'Solicitud Presentada RPI'
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useRegionTitle'
,p_plug_template=>wwv_flow_api.id(50764894046672306)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(130810570732221897)
,p_plug_name=>'SOLICITUD'
,p_region_template_options=>'#DEFAULT#:t-TabsRegion-mod--fillLabels:t-TabsRegion-mod--pill:t-TabsRegion-mod--large'
,p_plug_template=>wwv_flow_api.id(50762297377672305)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(130816132227221925)
,p_plug_name=>'Estado de la Solicitud'
,p_parent_plug_id=>wwv_flow_api.id(130810570732221897)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(136426595206737038)
,p_plug_name=>'Estado Actual'
,p_parent_plug_id=>wwv_flow_api.id(130816132227221925)
,p_region_template_options=>'#DEFAULT#:t-Region--accent1:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'PLSQL_EXPRESSION'
,p_plug_display_when_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'(',
'    (:PERFIL = 14 and :P24_SOLICITUD_ESTADO_ACTUAL in (1,2,4))',
'    or ',
'    (:PERFIL = 15 and :P24_SOLICITUD_ESTADO_ACTUAL in (5,8))',
'    or ',
'    (:PERFIL = 16 and :P24_SOLICITUD_ESTADO_ACTUAL in (1,2,3,4,5,8))',
'    or',
'    (:PERFIL = 18)',
')',
'and (:P24_READ_ONLY IS NULL)'))
,p_plug_read_only_when_type=>'NOT_EXISTS'
,p_plug_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from   dual p',
'where (',
'--         (:PERFIL = 4)',
'     (:PERFIL = 14 and :P24_SOLICITUD_ESTADO_ACTUAL in (1,2,4))      -- INSCRIPTOR',
'     or  (:PERFIL = 15 and :P24_SOLICITUD_ESTADO_ACTUAL in (5))    -- ASESOR',
'     or  (:PERFIL = 16)    -- ADMINISTRADOR RPI',
'     ',
'    )    ',
''))
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_plug_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona p',
'where p.cuil = :app_user',
'and (',
'     (p.perfil_id = 2 and :P24_SOLICITUD_ESTADO_ACTUAL in (1,2,4))      -- OPERADOR',
' or  (p.perfil_id = 3 and :P24_SOLICITUD_ESTADO_ACTUAL in (1,2,4,5))    -- SUPERVISOR',
' or  (p.perfil_id = 4 and :P24_SOLICITUD_ESTADO_ACTUAL in (1,2,3,4,5,6,7))    -- ADMINISTRADOR',
'    )    ',
'    ',
'    ',
'    ',
'    (',
'    (:PERFIL != 4)',
'    or',
'    (:PERFIL != 14 and :P24_SOLICITUD_ESTADO_ACTUAL in (1,2,4))',
'    or ',
'    (:PERFIL != 15 and :P24_SOLICITUD_ESTADO_ACTUAL in (1,2,4,5))',
'    or ',
'    (:PERFIL != 16 and :P24_SOLICITUD_ESTADO_ACTUAL in (1,2,3,4,5,6,7))',
')'))
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(142535158189264236)
,p_plug_name=>'Seguimiento de la Solicitud'
,p_parent_plug_id=>wwv_flow_api.id(130816132227221925)
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--accent1:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50738418481672294)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    H.ID, ',
'    TO_CHAR(H.fecha, ''DD/MM/YYYY - HH24:MI'')||''hrs.'' Fecha,',
'    E.DESCRIPCION Estado,',
'    per.descripcion||'': ''|| p.apellido||'', ''||p.nombre Agente,',
'    h.OBSERVACIONES Observaciones',
'    ',
'from SOLICITUD_ESTADO_HISTORICO H, ESTADO E, persona p, perfil per',
'WHERE H.SOLICITUD_ID = :P24_ID',
'AND H.ESTADO_ID = E.ID',
'AND H.USUARIO_ID = p.ID(+)',
'and p.perfil_id = per.id',
'',
'ORDER BY H.ID ASC'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'ALWAYS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_document_header=>'APEX'
,p_prn_units=>'MILLIMETERS'
,p_prn_paper_size=>'A4'
,p_prn_width=>210
,p_prn_height=>297
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(142536107261264245)
,p_max_row_count=>'1000000'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_search_bar=>'N'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'N'
,p_owner=>'CATASTRO'
,p_internal_uid=>142536107261264245
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26191600328866345)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26192061481866345)
,p_db_column_name=>'ESTADO'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Estado'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26192480519866345)
,p_db_column_name=>'AGENTE'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Usuario/ Agente '
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26192820027866346)
,p_db_column_name=>'OBSERVACIONES'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Observaciones'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26193212473866346)
,p_db_column_name=>'FECHA'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Fecha'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(142866090147137947)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'261936'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'FECHA:ESTADO:AGENTE:OBSERVACIONES:'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(74769958484128018)
,p_report_id=>wwv_flow_api.id(142866090147137947)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'PRESENTADO'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRESENTADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>1
,p_column_bg_color=>'#E8E8E8'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(74769149915128017)
,p_report_id=>wwv_flow_api.id(142866090147137947)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'EN PROCESO'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''EN PROCESO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>2
,p_column_bg_color=>'#FFF5CE'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(74767957793128016)
,p_report_id=>wwv_flow_api.id(142866090147137947)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'A CORREGIR'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''A CORREGIR''  '
,p_enabled=>'Y'
,p_highlight_sequence=>3
,p_column_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(74768795368128017)
,p_report_id=>wwv_flow_api.id(142866090147137947)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'CORREGIDO'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''CORREGIDO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>4
,p_column_bg_color=>'#D6D6D6'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(74769572493128017)
,p_report_id=>wwv_flow_api.id(142866090147137947)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'PRE-APROBADO'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRE-APROBADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>5
,p_column_bg_color=>'#D0F1CC'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(74768341314128016)
,p_report_id=>wwv_flow_api.id(142866090147137947)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'EXPEDIDO'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''EXPEDIDO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>6
,p_column_bg_color=>'#99FF99'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(136790463725909421)
,p_plug_name=>'Solicitud de Referencia'
,p_parent_plug_id=>wwv_flow_api.id(130810570732221897)
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useBreadcrumbTitle'
,p_plug_template=>wwv_flow_api.id(50764894046672306)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'NEVER'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_plug_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'--rows returned',
'select 1',
'from solicitud',
'where id = (select SOLICITUD_DE_REFERENCIA_ID ',
'            from solicitud ',
'            where id = :p24_id)'))
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(136790616348909422)
,p_plug_name=>'Solicitud de Referencia'
,p_parent_plug_id=>wwv_flow_api.id(136790463725909421)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50724384228672284)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ',
'    S.ID,',
unistr('    S.ID "N\00BA", '),
'    S.FECHA "Fecha",',
'    T.DESCRIPCION "Solicitud de",',
'    CT.DESCRIPCION "Tipo",',
unistr('    --S.MATRICULA_CATASTRAL||'' ''||S.MATRICULA_CATASTRAL_OP||S.PADRON_NUMERO "Matr\00EDcula / Padr\00F3n",'),
unistr('    S.MATRICULA_CATASTRAL||'' ''||S.MATRICULA_CATASTRAL_OP "Matr\00EDcula",'),
unistr('    S.PADRON_NUMERO||'' ''||S.PADRON_LOTE||'' ''||S.PADRON_MANZANA "Padr\00F3n",'),
'    ''CUIL: ''||p.CUIL||'': ''||p.APELLIDO||'', ''||p.NOMBRE "Profesional",',
'    E.DESCRIPCION "Estado",',
'    p2.APELLIDO||'', ''||p2.NOMBRE "Agente",',
'    dbms_lob.getlength(COMPROBANTE_BLOB_CONTENT) COMPROBANTE_BLOB_CONTENT,',
'    dbms_lob.getlength(PLANO_BLOB_CONTENT) PLANO_BLOB_CONTENT,',
'    dbms_lob.getlength(CC_BLOB_CONTENT) CC_BLOB_CONTENT',
'',
' FROM SOLICITUD S, SOLICITUD_TIPO T, PERSONA P, PERSONA P2, ESTADO E, CATASTRADO_TIPO CT,',
'      (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH ',
'      ',
'WHERE S.SOLICITUD_TIPO_ID = T.ID',
'  AND S.PERSONA_ID = P.Id',
'  AND S.CATASTRADO_TIPO_ID = CT.ID',
'  AND S.ID = TH.SOLICITUD_ID',
'  AND TH.ESTADO_ID = E.ID',
'  AND TH.USUARIO_ID = P2.ID(+)',
'  and s.id = (select SOLICITUD_DE_REFERENCIA_ID ',
'              from solicitud ',
'              where id = :p24_id)'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_document_header=>'APEX'
,p_prn_units=>'MILLIMETERS'
,p_prn_paper_size=>'A4'
,p_prn_width=>210
,p_prn_height=>297
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(136790644536909423)
,p_max_row_count=>'1000000'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'C'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:EMAIL:XLS:PDF:RTF'
,p_detail_link=>unistr('f?p=&APP_ID.:41:&SESSION.::&DEBUG.:41:P41_ID:#N\00BA#')
,p_detail_link_text=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-pencil.png" class="apex-edit-pencil" alt="">'
,p_detail_link_attr=>'target="_blank"'
,p_owner=>'CATASTRO'
,p_internal_uid=>136790644536909423
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26189065763866342)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'BM'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26185437774866339)
,p_db_column_name=>unistr('N\00BA')
,p_display_order=>20
,p_column_identifier=>'AS'
,p_column_label=>unistr('N\00BA')
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26185854240866339)
,p_db_column_name=>'Fecha'
,p_display_order=>30
,p_column_identifier=>'AT'
,p_column_label=>'Fecha'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26186263213866339)
,p_db_column_name=>'Tipo'
,p_display_order=>40
,p_column_identifier=>'AU'
,p_column_label=>'Tipo'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26186681540866340)
,p_db_column_name=>unistr('Matr\00EDcula')
,p_display_order=>50
,p_column_identifier=>'AV'
,p_column_label=>unistr('Matr\00EDcula')
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26187060293866340)
,p_db_column_name=>unistr('Padr\00F3n')
,p_display_order=>60
,p_column_identifier=>'AW'
,p_column_label=>unistr('Padr\00F3n')
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26187442537866340)
,p_db_column_name=>'Profesional'
,p_display_order=>70
,p_column_identifier=>'AZ'
,p_column_label=>'Profesional'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26187823624866341)
,p_db_column_name=>'Estado'
,p_display_order=>80
,p_column_identifier=>'BA'
,p_column_label=>'Estado'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26188246911866341)
,p_db_column_name=>'Agente'
,p_display_order=>90
,p_column_identifier=>'BB'
,p_column_label=>'Agente'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26188642793866341)
,p_db_column_name=>'COMPROBANTE_BLOB_CONTENT'
,p_display_order=>100
,p_column_identifier=>'BH'
,p_column_label=>'Comprobante'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DOWNLOAD:SOLICITUD:COMPROBANTE_BLOB_CONTENT:ID::COMPROBANTE_MIME_TYPE:COMPROBANTE_FILENAME:COMPROBANTE_LAST_UPDATED:COMPROBANTE_CHARACTER_SET:attachment::'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26189436673866342)
,p_db_column_name=>'PLANO_BLOB_CONTENT'
,p_display_order=>110
,p_column_identifier=>'BN'
,p_column_label=>'Plano'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DOWNLOAD:SOLICITUD:PLANO_BLOB_CONTENT:ID::PLANO_MIME_TYPE:PLANO_FILENAME:PLANO_LAST_UPDATED:PLANO_CHARACTER_SET:attachment::'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26189874975866342)
,p_db_column_name=>'CC_BLOB_CONTENT'
,p_display_order=>120
,p_column_identifier=>'BO'
,p_column_label=>'Certificado'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DOWNLOAD:SOLICITUD:CC_BLOB_CONTENT:ID::CC_MIME_TYPE:CC_FILENAME:CC_LAST_UPDATED:CC_CHARACTER_SET:attachment::'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26190249991866343)
,p_db_column_name=>'Solicitud de'
,p_display_order=>130
,p_column_identifier=>'BP'
,p_column_label=>'Solicitud De'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(136870626524034916)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'261906'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>unistr('N\00BA:Fecha:Solicitud de:Tipo:Matr\00EDcula:Padr\00F3n:Profesional:Estado:PLANO_BLOB_CONTENT:CC_BLOB_CONTENT:')
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(137192514238878138)
,p_plug_name=>'Datos de la Solicitud'
,p_parent_plug_id=>wwv_flow_api.id(130810570732221897)
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useBreadcrumbTitle'
,p_plug_template=>wwv_flow_api.id(50764894046672306)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'ALWAYS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(69080423719585777)
,p_plug_name=>'Registro de Propiedad'
,p_parent_plug_id=>wwv_flow_api.id(137192514238878138)
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--noUI:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'NOT_EXISTS'
,p_plug_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM DUAL ',
'WHERE :P24_SOLICITUD_ESTADO_ACTUAL = 3 OR :P24_ID IS NULL',
''))
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(40493489578792504)
,p_plug_name=>unistr('Objeto de la informaci\00F3n ')
,p_parent_plug_id=>wwv_flow_api.id(69080423719585777)
,p_region_template_options=>'#DEFAULT#:t-Region--noBorder:t-Region--scrollBody:margin-bottom-none'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_plug_display_when_condition=>'P24_SOLICITUD_TIPO_ID'
,p_plug_display_when_cond2=>'9'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(40493557838792505)
,p_plug_name=>unistr('Informaci\00F3n que se solicita')
,p_parent_plug_id=>wwv_flow_api.id(69080423719585777)
,p_region_template_options=>'#DEFAULT#:t-Region--noBorder:t-Region--scrollBody:margin-bottom-none'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_NULL'
,p_plug_display_when_condition=>'P24_INFO_SOLICITA'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(40493703839792506)
,p_plug_name=>unistr('Ubicaci\00F3n del inmueble')
,p_parent_plug_id=>wwv_flow_api.id(69080423719585777)
,p_region_template_options=>'#DEFAULT#:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>40
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'PLSQL_EXPRESSION'
,p_plug_display_when_condition=>':P24_SOLICITUD_TIPO_ID in (4,5,8,9)'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(40493807580792507)
,p_plug_name=>unistr('Inscripci\00F3n del inmueble')
,p_parent_plug_id=>wwv_flow_api.id(69080423719585777)
,p_region_template_options=>'#DEFAULT#:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>50
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'PLSQL_EXPRESSION'
,p_plug_display_when_condition=>':P24_SOLICITUD_TIPO_ID in (4,8,9)'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(40493916269792508)
,p_plug_name=>unistr('Identificaci\00F3n catastral')
,p_parent_plug_id=>wwv_flow_api.id(69080423719585777)
,p_region_template_options=>'#DEFAULT#:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>80
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'PLSQL_EXPRESSION'
,p_plug_display_when_condition=>':P24_SOLICITUD_TIPO_ID in (4,5,9)'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(40493992469792509)
,p_plug_name=>'Observaciones'
,p_parent_plug_id=>wwv_flow_api.id(69080423719585777)
,p_region_template_options=>'#DEFAULT#:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>120
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(40494145773792511)
,p_plug_name=>unistr('Operaci\00F3n')
,p_parent_plug_id=>wwv_flow_api.id(69080423719585777)
,p_region_template_options=>'#DEFAULT#:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>60
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_NULL'
,p_plug_display_when_condition=>'P24_OPERACION'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(42690228149156562)
,p_plug_name=>'Plano'
,p_parent_plug_id=>wwv_flow_api.id(69080423719585777)
,p_region_template_options=>'#DEFAULT#:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>90
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_NULL'
,p_plug_display_when_condition=>'P24_PLANO'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(42690312395156563)
,p_plug_name=>'Autorizante'
,p_parent_plug_id=>wwv_flow_api.id(69080423719585777)
,p_region_template_options=>'#DEFAULT#:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>70
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P24_SOLICITUD_TIPO_ID'
,p_plug_display_when_cond2=>'9'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(43437702069336996)
,p_plug_name=>'Titulares de Dominio'
,p_parent_plug_id=>wwv_flow_api.id(69080423719585777)
,p_region_template_options=>'#DEFAULT#:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>110
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(69083509794585808)
,p_plug_name=>'Titulares de Dominio'
,p_parent_plug_id=>wwv_flow_api.id(43437702069336996)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select',
'    sp.ID,',
'    --SP.SECUENCIA "Orden",',
'    CASE :ES_INTERNO ',
'            WHEN ''S'' THEN',
'                ''<a class="t-Button t-Button--hot t-Button--simple" title="Orden " href="'' ||',
'            APEX_PAGE.GET_URL (',
'                p_page   => 311,',
'                p_clear_cache  => 311,',
'                p_items  => ''P311_ID,P311_TIPO_SOLICITUD,P311_READ_ONLY'',',
'                p_values => sp.ID ||'',''|| :P24_SOLICITUD_TIPO_ID||'',S'')     ||''">''||SP.SECUENCIA||''</a>'' ',
'       ELSE            ',
'        ''<a class="t-Button t-Button--hot t-Button--simple" title="Orden " href="'' ||',
'                APEX_PAGE.GET_URL (',
'                    p_page   => 311,',
'                    p_clear_cache  => 311,',
'                    p_items  => ''P311_ID,P311_TIPO_SOLICITUD'',',
'                    p_values => sp.ID ||'',''|| :P24_SOLICITUD_TIPO_ID)     ||''">''||SP.SECUENCIA||''</a>''',
'   END "Orden",',
'    --pt.descripcion Tipo,',
'    sp.PERSONA_TIPO_ID Tipo,',
'    sp.DNI "D.N.I",',
'    sp.CUIL "CUIL/T",',
unistr('    sp.RAZON_SOCIAL||sp.NOMBRE||'' ''||sp.APELLIDO "Nombre o Raz\00F3n Social",'),
'    sp.sexo_id Sexo,',
'    --s.descripcion Sexo,',
'    sp.FECHANACIMIENTO "Fecha/Nac.",',
'    --p.nacionalidad Nacionalidad,',
'    sp.NACIONALIDAD_ID Nacionalidad,',
'    sp.DOMICILIO_CALLE ||'' ''||sp.DOMICILIO_NUMERO "Domicilio",',
'    --l.codigopostal||'': ''||l.DESCRIPCION Localidad,',
'    sp.DOMICILIO_LOCALIDAD_ID Localidad,',
'    --ec.descripcion "Estado Civil",',
'    sp.ESTADO_CIVIL_ID "Estado Civil",',
'    sp.SOLICITUD_ID,',
'    USUARIO_ID,',
unistr('    --dt.descripcion "D\00D1O Tipo",'),
unistr('    sp.DUE\00D1O_TIPO_ID "D\00D1O Tipo",'),
'    case when (sp.sucesion = 0) then ''NO'' else ''SI'' end Sucesion,',
'    PORCENTAJE',
'    ',
'',
'  from SOLICITUD_PERSONAS SP',
' WHERE ((SP.SOLICITUD_ID = :P24_ID) OR (SP.SOLICITUD_ID IS NULL AND SP.USUARIO_ID = :PERSONA_ID))',
'   --AND SP.INTERVINIENTES_TIPO_ID = 1',
'order by sp.id asc'))
,p_plug_source_type=>'NATIVE_IR'
,p_ajax_items_to_submit=>'P24_SOLICITUD_TIPO_ID'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_document_header=>'APEX'
,p_prn_units=>'MILLIMETERS'
,p_prn_paper_size=>'A4'
,p_prn_width=>297
,p_prn_height=>210
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Titulares de Dominio'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
,p_plug_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select  SECUENCIA,',
'        ID_PERSONA,',
'        ID_SOLICITUD,',
'        RAZON_SOCIAL,',
'        APELLIDO,',
'        NOMBRE,',
'        FECHANACIMIENTO,',
'        SEXO_ID,',
'        ESTADO_CIVIL_ID,',
'        NACIONALIDAD_ID,',
'        TIPO_DOCUMENTO,',
'        NRO_DOCUMENTO,',
'        DOMICILIO_LOCALIDAD_ID,	',
'        DOMICILIO_CALLE,',
'        DOMICILIO_NUMERO,',
'        DOMICILIO_PROVINCIA_ID,',
'        DOMICILIO_DEPARTAMENTO_ID,',
'        PORCENTAJE,',
'        ''fa fa-edit'' link',
'from VT_TITULARES'))
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(43435880522336978)
,p_max_row_count=>'1000000'
,p_max_row_count_message=>'Demasiados datos.'
,p_no_data_found_message=>'No se encontraron titulares.'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_actions_menu=>'N'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'N'
,p_owner=>'CATASTRO'
,p_internal_uid=>43435880522336978
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26293419273130673)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26294209247130673)
,p_db_column_name=>'TIPO'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Tipo'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'CENTER'
,p_rpt_named_lov=>wwv_flow_api.id(10671295984291696)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26294617348130674)
,p_db_column_name=>'D.N.I'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'D.N.I.'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26295005221130674)
,p_db_column_name=>'CUIL/T'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Cuil&#x2F;t'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26295471849130674)
,p_db_column_name=>unistr('Nombre o Raz\00F3n Social')
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>unistr('Nombre o Raz\00F3n Social')
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26295842947130675)
,p_db_column_name=>'SEXO'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Sexo'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'RIGHT'
,p_rpt_named_lov=>wwv_flow_api.id(17160568340256071)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26296206158130675)
,p_db_column_name=>'Fecha/Nac.'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Fecha&#x2F;nac.'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26296670971130675)
,p_db_column_name=>'NACIONALIDAD'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Nacionalidad'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'RIGHT'
,p_rpt_named_lov=>wwv_flow_api.id(17162291258379957)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26297092059130675)
,p_db_column_name=>'Domicilio'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Domicilio'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26297469762130676)
,p_db_column_name=>'LOCALIDAD'
,p_display_order=>110
,p_column_identifier=>'K'
,p_column_label=>'Localidad'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'RIGHT'
,p_rpt_named_lov=>wwv_flow_api.id(17162426181384554)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26297824805130676)
,p_db_column_name=>'Estado Civil'
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>'Estado Civil'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'RIGHT'
,p_rpt_named_lov=>wwv_flow_api.id(17160776818359125)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26298208875130676)
,p_db_column_name=>'SOLICITUD_ID'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Solicitud Id'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26298673748130677)
,p_db_column_name=>'USUARIO_ID'
,p_display_order=>140
,p_column_identifier=>'N'
,p_column_label=>'Usuario'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'RIGHT'
,p_rpt_named_lov=>wwv_flow_api.id(53386866857657561)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26299016629130677)
,p_db_column_name=>unistr('D\00D1O Tipo')
,p_display_order=>150
,p_column_identifier=>'O'
,p_column_label=>unistr('Due\00F1o')
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_display_condition_type=>'NEVER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(26300269429130678)
,p_db_column_name=>'PORCENTAJE'
,p_display_order=>180
,p_column_identifier=>'R'
,p_column_label=>'Porcentaje'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_display_condition_type=>'NEVER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(95146489628135902)
,p_db_column_name=>'Orden'
,p_display_order=>190
,p_column_identifier=>'S'
,p_column_label=>'Orden'
,p_column_type=>'STRING'
,p_display_text_as=>'WITHOUT_MODIFICATION'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23520935124660809)
,p_db_column_name=>'SUCESION'
,p_display_order=>200
,p_column_identifier=>'T'
,p_column_label=>'Sucesion'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(44443179298169608)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'263006'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>unistr('Orden:TIPO:SUCESION:D.N.I:CUIL/T:Nombre o Raz\00F3n Social:')
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(130816543541221925)
,p_plug_name=>'Datos de la Solicitud'
,p_parent_plug_id=>wwv_flow_api.id(137192514238878138)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50724384228672284)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'NEVER'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(186662936807189040)
,p_plug_name=>'Archivos'
,p_parent_plug_id=>wwv_flow_api.id(130810570732221897)
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useBreadcrumbTitle'
,p_plug_template=>wwv_flow_api.id(50764894046672306)
,p_plug_display_sequence=>40
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'PLSQL_EXPRESSION'
,p_plug_display_when_condition=>':P24_SOLICITUD_ESTADO_ACTUAL != 1'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_plug_comment=>'--AND :P31_SOLICITUD_TIPO_ID = 1'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(75070654110939308)
,p_plug_name=>'Archivo Digitalizado'
,p_parent_plug_id=>wwv_flow_api.id(186662936807189040)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>130
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'PLSQL_EXPRESSION'
,p_plug_display_when_condition=>':P24_SOLICITUD_TIPO_ID in (4,8,5,6)'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(129886773744496029)
,p_plug_name=>unistr('Documentaci\00F3n Respaldatoria de Inter\00E9s Leg\00EDtimo')
,p_parent_plug_id=>wwv_flow_api.id(186662936807189040)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>10
,p_plug_new_grid_row=>false
,p_plug_new_grid_column=>false
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'EXISTS'
,p_plug_display_when_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from solicitud s, persona p',
'where s.id = :p24_ID',
'  and s.PERSONA_ID = p.id(+) ',
'  and p.perfil_id = 10',
'  ',
'  /*   and dbms_lob.getlength(PLANO_BLOB_CONTENT) > 0 */'))
,p_plug_read_only_when_type=>'ALWAYS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_plug_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM DUAL',
'WHERE :P31_SOLICITUD_ESTADO_ACTUAL IN (2,4,5,6,7) '))
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(130275058884254889)
,p_plug_name=>'Informe/Certificado con Firma Digital'
,p_parent_plug_id=>wwv_flow_api.id(186662936807189040)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>120
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(19276003464346036)
,p_button_sequence=>60
,p_button_plug_id=>wwv_flow_api.id(129886773744496029)
,p_button_name=>'VER_PLANO_PDF'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--simple:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Ver Documento'
,p_button_position=>'BODY'
,p_button_redirect_url=>'f?p=&APP_ID.:43:&SESSION.::&DEBUG.::P43_MOSTRAR_PDF,P43_ID:2,&P24_ID.'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from solicitud',
'where id = :p24_ID ',
'  and dbms_lob.getlength(PLANO_BLOB_CONTENT) > 0'))
,p_button_condition_type=>'EXISTS'
,p_icon_css_classes=>'FA-SEARCH'
,p_button_cattributes=>'style="width:200px";'
,p_grid_new_row=>'N'
,p_grid_column=>8
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(75070962943939311)
,p_button_sequence=>70
,p_button_plug_id=>wwv_flow_api.id(75070654110939308)
,p_button_name=>'VER_DEVOLUCION'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Ver Archivo'
,p_button_position=>'BODY'
,p_button_redirect_url=>'f?p=&APP_ID.:43:&SESSION.::&DEBUG.:43:P43_ID,P43_MOSTRAR_PDF:&P24_ID.,6'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from  SOLICITUD',
'where DEVOLUCION_FILENAME IS NOT NULL',
'and   ID = :P24_ID'))
,p_button_condition_type=>'EXISTS'
,p_icon_css_classes=>'fa-file-search'
,p_grid_new_row=>'N'
,p_grid_new_column=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(16958600600503804)
,p_button_sequence=>100
,p_button_plug_id=>wwv_flow_api.id(130275058884254889)
,p_button_name=>'DESCARGAR_ARCHIVO_RPI'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft:t-Button--stretch:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Descargar Archivo'
,p_button_position=>'BODY'
,p_button_execute_validations=>'N'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from  SOLICITUD',
'where DBMS_LOB.GETLENGTH(COMPROBANTE_BLOB_CONTENT) > 0',
'  and ID = :P24_ID'))
,p_button_condition_type=>'EXISTS'
,p_icon_css_classes=>'fa-download'
,p_grid_new_row=>'N'
,p_grid_new_column=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(75022218936645304)
,p_button_sequence=>110
,p_button_plug_id=>wwv_flow_api.id(130275058884254889)
,p_button_name=>'VER_ARCHIVO_RPI'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft:t-Button--stretch:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Ver Archivo'
,p_button_position=>'BODY'
,p_button_redirect_url=>'f?p=&APP_ID.:43:&SESSION.::&DEBUG.:43:P43_ID,P43_MOSTRAR_PDF:&P24_ID.,1'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from  SOLICITUD',
'where DBMS_LOB.GETLENGTH(COMPROBANTE_BLOB_CONTENT) > 0',
'  and ID = :P24_ID'))
,p_button_condition_type=>'EXISTS'
,p_icon_css_classes=>'fa-file-search'
,p_grid_new_row=>'N'
,p_grid_new_column=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(19682738790242250)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(130275058884254889)
,p_button_name=>'GENERAR_ARCHIVO_DEVOLUCION'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--primary:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>unistr('Generar Archivo de Devoluci\00F3n')
,p_button_position=>'REGION_TEMPLATE_COPY'
,p_button_execute_validations=>'N'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':PERFIL in (15,16)',
'and :P24_SOLICITUD_ESTADO_ACTUAL = 5',
'and :P24_CHK_ARCHIVO_RPI = ''N''',
'and :P24_READ_ONLY IS NULL'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-file-pdf-o'
,p_database_action=>'UPDATE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(17518040164449845)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(130275058884254889)
,p_button_name=>'FIRMAR_ARCHIVO'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Firmar Archivo'
,p_button_position=>'REGION_TEMPLATE_COPY'
,p_button_redirect_url=>'f?p=&APP_ID.:48:&SESSION.::&DEBUG.:48:P48_TIPO_DOCUMENTO,P48_SOLICITUD_ID:6,&P24_ID.'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P24_SOLICITUD_ESTADO_ACTUAL = 5 ',
'AND :P24_NOMBRE_ARCHIVO is not null',
'and 1=1'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-key'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(26198273352866355)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(51789575978118870)
,p_button_name=>'CANCEL'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Volver'
,p_button_position=>'REGION_TEMPLATE_CREATE'
,p_button_redirect_url=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.:RP,15::'
,p_icon_css_classes=>'fa-times'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(26198604877866356)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(51789575978118870)
,p_button_name=>'SAVE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Guardar Cambios'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'(',
'    (:PERFIL = 14 and :P24_SOLICITUD_ESTADO_ACTUAL in (1,2,4))',
'    or ',
'    (:PERFIL = 15 and :P24_SOLICITUD_ESTADO_ACTUAL in (5))',
'    or ',
'    (:PERFIL = 16 and :P24_SOLICITUD_ESTADO_ACTUAL in (1,2,3,4,5,8))',
'    or',
'    (:PERFIL = 18)',
')',
'and :P24_READ_ONLY IS NULL'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-save'
,p_database_action=>'UPDATE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(74702768287628300)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(51789575978118870)
,p_button_name=>'IMPRIMR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--primary:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Imprimir Formulario'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>':P24_ID IS NOT NULL'
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-print'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(26301021052130680)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(69083509794585808)
,p_button_name=>'AGREGAR_TITULAR'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Agregar Titular de Dominio'
,p_button_position=>'RIGHT_OF_IR_SEARCH_BAR'
,p_button_redirect_url=>'f?p=&APP_ID.:311:&SESSION.::&DEBUG.:RP,311:P311_SOLICITUD_ID,P311_TIPO_SOLICITUD:&P24_ID.,&P24_SOLICITUD_TIPO_ID.'
,p_button_condition=>'(:P24_ID is NULL or :P24_SOLICITUD_ESTADO_ACTUAL = 3) and :ES_INTERNO = ''N'''
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-plus'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(26205673698866375)
,p_branch_name=>'Go To Page 15'
,p_branch_action=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.:::&success_msg=#SUCCESS_MSG#'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>1
,p_branch_condition_type=>'PLSQL_EXPRESSION'
,p_branch_condition=>':REQUEST not in (''DESCARGAR_ARCHIVO_RPI'',''GENERAR_ARCHIVO_DEVOLUCION'')'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(16958827197503806)
,p_branch_name=>'Go To Page 24'
,p_branch_action=>'f?p=&APP_ID.:24:&SESSION.:DESCARGAR_ARCHIVO_RPI:&DEBUG.:24:P24_ID:&P24_ID.'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>11
,p_branch_condition_type=>'PLSQL_EXPRESSION'
,p_branch_condition=>':REQUEST in (''DESCARGAR_ARCHIVO_RPI'')'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(18610908240821028)
,p_branch_name=>'Go To Page 24'
,p_branch_action=>'f?p=&APP_ID.:24:&SESSION.::&DEBUG.:24:P24_ID:&P24_ID.&success_msg=#SUCCESS_MSG#'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>21
,p_branch_condition_type=>'PLSQL_EXPRESSION'
,p_branch_condition=>':REQUEST in (''GENERAR_ARCHIVO_DEVOLUCION'')'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(11245671358010016)
,p_name=>'P24_TEXTO'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(129886773744496029)
,p_pre_element_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p><strong>Personas F&iacute;sicas&nbsp;</strong></p>',
'<ul>',
'	<li>Boleto de compraventa al titular registral.&nbsp;</li>',
'	<li>Partida de Nacimiento para acreditar el v&iacute;nculo con el propietario.</li>',
'	<li>Acta de Defunci&oacute;n.</li>',
'</ul>'))
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_grid_column=>1
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(11245751847010017)
,p_name=>'P24_TEXTO_1'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(129886773744496029)
,p_pre_element_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p><strong>Personas Jur&iacute;dicas&nbsp;</strong></p>',
'',
'<ul>',
'	<li>Documento que acredite su representaci&oacute;n legal.</li>',
'</ul>'))
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_grid_column=>1
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(19099826807915840)
,p_name=>'P24_RPI_SOLICITAR_ARCHIVO'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(75070654110939308)
,p_use_cache_before_default=>'NO'
,p_item_default=>'0'
,p_prompt=>'Solicitar Archivo'
,p_source=>'RPI_SOLICITAR_ARCHIVO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:NO;0,SI;1'
,p_cHeight=>1
,p_display_when=>':P24_SOLICITUD_TIPO_ID in (5,6)'
,p_display_when_type=>'SQL_EXPRESSION'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where :PERFIL = 14 ',
'   and :P24_ESTADO_ACTUAL in (2,4)'))
,p_read_only_when_type=>'NOT_EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(19099960266915841)
,p_name=>'P24_RPI_SOLICITAR_ARCHIVO_OBSERV'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(75070654110939308)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Cargar Observaciones'
,p_source=>'RPI_SOLICITAR_ARCHIVO_OBSERV'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cMaxlength=>450
,p_cHeight=>5
,p_begin_on_new_line=>'N'
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P24_SOLICITUD_TIPO_ID in (5,6)',
''))
,p_display_when_type=>'SQL_EXPRESSION'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where :PERFIL = 14 ',
'   and :P24_ESTADO_ACTUAL in (2,4)'))
,p_read_only_when_type=>'NOT_EXISTS'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(19276415054346039)
,p_name=>'P24_IMG_PLANO'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(129886773744496029)
,p_prompt=>'Img Plano'
,p_source=>'#WORKSPACE_IMAGES#Plano-Icon.png'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_IMAGE'
,p_tag_attributes=>'style="width:40px"'
,p_grid_column=>1
,p_grid_label_column_span=>0
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_attribute_01=>'URL'
,p_attribute_02=>'Plano'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(19276801248346041)
,p_name=>'P24_PLANO_FILENAME'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(129886773744496029)
,p_use_cache_before_default=>'NO'
,p_item_default=>'El Usuario no ha subido el Archivo.'
,p_prompt=>'Plano'
,p_source=>'PLANO_FILENAME'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>2
,p_grid_label_column_span=>0
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'U'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(19277209415346041)
,p_name=>'P24_ARCHIVO_PLANO_FECHA'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(129886773744496029)
,p_prompt=>'Cargado el'
,p_source=>'P24_PLANO_LAST_UPDATED'
,p_source_type=>'ITEM'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>4
,p_grid_label_column_span=>1
,p_display_when=>'P24_PLANO_LAST_UPDATED'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(19277667886346042)
,p_name=>'P24_PLANO_BLOB_CONTENT'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(129886773744496029)
,p_use_cache_before_default=>'NO'
,p_source=>'PLANO_BLOB_CONTENT'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_FILE'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_grid_column=>6
,p_grid_label_column_span=>0
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'DB_COLUMN'
,p_attribute_02=>'PLANO_MIME_TYPE'
,p_attribute_03=>'PLANO_FILENAME'
,p_attribute_04=>'PLANO_CHARACTER_SET'
,p_attribute_05=>'PLANO_LAST_UPDATED'
,p_attribute_06=>'Y'
,p_attribute_07=>'<b>Descargar Documento</b>'
,p_attribute_08=>'attachment'
,p_attribute_11=>'image/*,application/pdf'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(19278091777346042)
,p_name=>'P24_PLANO_MIME_TYPE'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(129886773744496029)
,p_use_cache_before_default=>'NO'
,p_source=>'PLANO_MIME_TYPE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(19278492456346043)
,p_name=>'P24_PLANO_LAST_UPDATED'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(129886773744496029)
,p_use_cache_before_default=>'NO'
,p_source=>'PLANO_LAST_UPDATED'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(19278823158346043)
,p_name=>'P24_PLANO_CHARACTER_SET'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(129886773744496029)
,p_use_cache_before_default=>'NO'
,p_source=>'PLANO_CHARACTER_SET'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26180112768866333)
,p_name=>'P24_ID'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(137192514238878138)
,p_use_cache_before_default=>'NO'
,p_source=>'ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26180591960866334)
,p_name=>'P24_SOLICUTD_N'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(130810570732221897)
,p_prompt=>unistr('N\00BA de Solicitud')
,p_source=>'P24_ID'
,p_source_type=>'ITEM'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26180983582866334)
,p_name=>'P24_FECHA'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(137192514238878138)
,p_use_cache_before_default=>'NO'
,p_item_default=>'SYSDATE()'
,p_item_default_type=>'PLSQL_EXPRESSION'
,p_source=>'FECHA'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26181375408866334)
,p_name=>'P24_PROFESIONAL_ID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(137192514238878138)
,p_use_cache_before_default=>'NO'
,p_source=>'PERSONA_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26181710069866335)
,p_name=>'P24_SOLICITUD_ESTADO_ACTUAL'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(137192514238878138)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26182106753866335)
,p_name=>'P24_SOLICITUD_TIPO_ID'
,p_is_required=>true
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(130810570732221897)
,p_use_cache_before_default=>'NO'
,p_item_default=>'1'
,p_prompt=>'Tipo de Solicitud'
,p_source=>'SOLICITUD_TIPO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from SOLICITUD_TIPO',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ...'
,p_cHeight=>1
,p_tag_attributes=>'sStyle=''width:226px'''
,p_begin_on_new_line=>'N'
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26197112936866352)
,p_name=>'P24_ESTADO_ACTUAL'
,p_is_required=>true
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(136426595206737038)
,p_item_default=>'P24_SOLICITUD_ESTADO_ACTUAL'
,p_item_default_type=>'ITEM'
,p_prompt=>'Estado Actual'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select E.DESCRIPCION, EF.ESTADO_POSIBLE_ID ID',
'',
'from ESTADO_FLUJO EF, PERSONA P, ESTADO E',
'WHERE EF.PERFIL_ID = P.PERFIL_ID',
'  AND P.CUIL = :APP_USER',
'  AND EF.ESTADO_ID = :P24_SOLICITUD_ESTADO_ACTUAL',
'  AND EF.ESTADO_POSIBLE_ID = E.ID',
'  AND E.ID NOT IN (6,7)',
'',
'order by E.id asc'))
,p_cHeight=>1
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where :P24_SOLICITUD_ESTADO_ACTUAL = 8',
'  and :PERFIL in (14,15)'))
,p_read_only_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26197544396866354)
,p_name=>'P24_USUARIO_OBSERVACIONES'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(136426595206737038)
,p_prompt=>'Observaciones / Comentarios'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>60
,p_cMaxlength=>2000
,p_cHeight=>5
,p_begin_on_new_line=>'N'
,p_grid_column=>4
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where :P24_AGC_SOLICITUD_ESTADO_ID in (3,4) or :P24_SOLICITUD_ESTADO_ACTUAL = 8'))
,p_read_only_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26287227967130663)
,p_name=>'P24_DEPARTAMENTO'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(40493703839792506)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Departamento'
,p_source=>'MC_DEPARTAMENTO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select codigo||'': ''||DESCRIPCION d, id r',
'from CATASTRO_DEPARTAMENTO'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ..'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26287666939130664)
,p_name=>'P24_DISTRITO'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(40493703839792506)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Distrito'
,p_source=>'PADRON_LOCALIDAD_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select l.codigo||'': ''||l.descripcion d, l.id r',
'from CATASTRO_LOCALIDAD l',
'where l.CATASTRO_DEPARTAMENTO_ID = :P24_DEPARTAMENTO'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ..'
,p_lov_cascade_parent_items=>'P24_DEPARTAMENTO'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26288310525130665)
,p_name=>'P24_INSCRIPCION_INFORME'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(40493807580792507)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Inscripci\00F3n del informe')
,p_source=>'INSCRIPC_INMUEBLE_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_INSCRIPCION_INMUEBLE'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ..'
,p_cHeight=>1
,p_colspan=>3
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26288712149130666)
,p_name=>'P24_FICHA_FINCA'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(40493807580792507)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('N\00B0 de Ficha Finca')
,p_source=>'FICHA_FINCA'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>4
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_display_when=>'P24_FICHA_FINCA'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26289126483130667)
,p_name=>'P24_MATRICULA_FOLIO_REAL'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(40493807580792507)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Matricula Folio Real'
,p_source=>'FOLIO_REAL'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_begin_on_new_field=>'N'
,p_display_when=>'P24_MATRICULA_FOLIO_REAL'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26289591804130667)
,p_name=>'P24_FOJA'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(40493807580792507)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Foja'
,p_source=>'FOJA'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_begin_on_new_field=>'N'
,p_display_when=>'P24_FOJA'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26289919156130667)
,p_name=>'P24_FECHA_INSCRIPCION'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(40493807580792507)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('A\00F1o')
,p_source=>'FECHA_ANIO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>30
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_display_when=>'P24_FECHA_INSCRIPCION'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26290376188130667)
,p_name=>'P24_TIPO_ANOTACION_PERSONAL'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(40493807580792507)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Tipo Anotaci\00F3n Personal')
,p_source=>'TIPO_ANOTACION_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_TIPO_ANOTACION_PERSONAL'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ..'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_display_when=>'P24_TIPO_ANOTACION_PERSONAL'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26290643311130668)
,p_name=>'P24_OTRO_TIPO_ANOT_PERS'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(40493807580792507)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Otro'
,p_source=>'OTRO_TIPO_ANOTACION'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cMaxlength=>255
,p_cHeight=>5
,p_display_when=>'P24_TIPO_ANOTACION_PERSONAL'
,p_display_when2=>'5'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26291399011130668)
,p_name=>'P24_OBSERVACION_PROP'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(40493992469792509)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Agregar lo que el usuario considere pertinente'
,p_source=>'OBSERVACIONES'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cMaxlength=>3900
,p_cHeight=>5
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26292020306130670)
,p_name=>'P24_OBJ_DE_LA_INFO'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(40493489578792504)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Objeto de la informaci\00F3n')
,p_source=>'OBJ_INFO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select o.DESCRIPCION d, o.ID r',
'from OBJETO_DE_INFO o, TIPO_SOLIC_OBJ_INFO t',
'where t.OBJETO_INFO_ID = o.ID',
' and (t.TIPO_SOLICITUD_ID is null or t.TIPO_SOLICITUD_ID = :P24_SOLICITUD_TIPO_ID)'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ..'
,p_lov_cascade_parent_items=>'P24_SOLICITUD_TIPO_ID'
,p_ajax_items_to_submit=>'P24_OBJ_DE_LA_INFO'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26292454553130670)
,p_name=>'P24_OTRO_OBJ_INFO'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(40493489578792504)
,p_prompt=>'Otro'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cHeight=>5
,p_begin_on_new_line=>'N'
,p_begin_on_new_field=>'N'
,p_display_when=>'P24_OBJ_DE_LA_INFO'
,p_display_when2=>'8'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26301797121130680)
,p_name=>'P24_INFO_SOLICITA'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(40493557838792505)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Informaci\00F3n que se solicita')
,p_source=>'INFO_QUE_SOLICITA_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_INFO_SOLICITA'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ..'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26302112606130681)
,p_name=>'P24_OTRO_INFO_SOLICITA'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(40493557838792505)
,p_prompt=>'Otro'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cHeight=>5
,p_begin_on_new_line=>'N'
,p_begin_on_new_field=>'N'
,p_display_when=>'P24_INFO_SOLICITA'
,p_display_when2=>'4'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26302578862130681)
,p_name=>'P24_JUZGADO'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(40493557838792505)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Juzgado'
,p_source=>'JUZGADO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'OTRO'
,p_cHeight=>1
,p_display_when=>'P24_JUZGADO'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26302975045130681)
,p_name=>'P24_OTRO_JUZGADO'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(40493557838792505)
,p_prompt=>'Otro Juzgado'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_display_when=>'P24_OTRO_JUZGADO'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26303388436130681)
,p_name=>'P24_N_EXPEDIENTE'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(40493557838792505)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('N\00B0 de Expediente')
,p_source=>'NRO_EXPEDIENTE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_display_when=>'P24_N_EXPEDIENTE'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26303764132130681)
,p_name=>'P24_CAUSA'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(40493557838792505)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Causa'
,p_source=>'CAUSA'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>255
,p_display_when=>'P24_CAUSA'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26304465360130682)
,p_name=>'P24_ID_CATASTRAL'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(40493916269792508)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Identificaci\00F3n Catastral')
,p_source=>'CATASTRADO_TIPO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_ID_CATASTRAL'
,p_lov=>'.'||wwv_flow_api.id(11258071024989472)||'.'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ..'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26304817686130682)
,p_name=>'P24_SECCION'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(40493916269792508)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Secci\00F3n')
,p_source=>'SECCION'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_display_when=>'P24_ID_CATASTRAL'
,p_display_when2=>'1'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26305278077130683)
,p_name=>'P24_PADRON'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(40493916269792508)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Padr\00F3n')
,p_source=>'PADRON_NUMERO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>8
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_begin_on_new_field=>'N'
,p_display_when=>'P24_ID_CATASTRAL'
,p_display_when2=>'2'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26305639833130683)
,p_name=>'P24_PARCELA'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(40493916269792508)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Parcela/Centroide'
,p_source=>'MATRICULA_CATASTRAL'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>10
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_display_when=>'P24_PARCELA'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26306043079130683)
,p_name=>'P24_MATRICULA_OPCIONAL'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(40493916269792508)
,p_use_cache_before_default=>'NO'
,p_item_default=>'0000'
,p_prompt=>'Matricula Catastral (Opcional)'
,p_source=>'MATRICULA_CATASTRAL_OP'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>4
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_display_when=>'P24_MATRICULA_OPCIONAL'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26306440559130684)
,p_name=>'P24_MATRICULA'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(40493916269792508)
,p_prompt=>'Matricula'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_tag_css_classes=>'matricula'
,p_tag_attributes=>'readonly'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26307169749130684)
,p_name=>'P24_OPERACION'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(40494145773792511)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Operaci\00F3n')
,p_source=>'OPERACION_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion d, id r',
'from OPERACION_TIPO',
'ORDER BY ID ASC'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ..'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26307898923130685)
,p_name=>'P24_PLANO'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(42690228149156562)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Plano'
,p_source=>'PLANO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cMaxlength=>255
,p_cHeight=>3
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26308574383130686)
,p_name=>'P24_AUTORIZANTE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(42690312395156563)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Autorizante'
,p_source=>'AUTORIZANTE_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select  D, R',
'from ( select  APELLIDO||'', ''||NOMBRE||'' - MP: ''||PROFESIONAL_MATRICULA D, ID R',
'         from    PERSONA',
'        where   PROFESIONAL_TIPO_ID = 1',
'      UNION',
'       select ''OTRO (Especificar)'' D, 0 R',
'         from dual)',
'ORDER BY R ASC',
''))
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26308924230130686)
,p_name=>'P24_AUTORIZANTE_NOMBRE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(42690312395156563)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Autorizante Nombre'
,p_source=>'AUTORIZANTE_NOMBRE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>100
,p_display_when=>'P24_AUTORIZANTE'
,p_display_when2=>'0'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26309398508130686)
,p_name=>'P24_AUTORIZANTE_REGISTRO'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(42690312395156563)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Autorizante Registro'
,p_source=>'AUTORIZANTE_REGISTRO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>100
,p_begin_on_new_line=>'N'
,p_display_when=>'P24_AUTORIZANTE'
,p_display_when2=>'0'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26309709397130686)
,p_name=>'P24_AUTORIZANTE_PROVINCIA'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(42690312395156563)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Autorizante Provincia'
,p_source=>'AUTORIZANTE_PROVINCIA'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from provincia',
'order by descripcion asc'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_display_when=>'P24_AUTORIZANTE'
,p_display_when2=>'0'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26310100791130686)
,p_name=>'P24_AUTORIZANTE_DEPARTAMENTO'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(42690312395156563)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Autorizante Departamento'
,p_source=>'AUTORIZANTE_DEPTO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from DEPARTAMENTO',
'where PROVINCIA_ID = :P24_AUTORIZANTE_PROVINCIA',
'order by descripcion asc'))
,p_lov_display_null=>'YES'
,p_lov_cascade_parent_items=>'P24_AUTORIZANTE_PROVINCIA'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_display_when=>'P24_AUTORIZANTE'
,p_display_when2=>'0'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(38131230258827947)
,p_name=>'P24_IMAGEN'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(136426595206737038)
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'return owa_util.get_cgi_env(''REQUEST_PROTOCOL'')  ||''://''||',
'       owa_util.get_cgi_env(''HTTP_HOST'')         ||''/ords/#WORKSPACE_IMAGES#RPI_ARCA.png'' ;'))
,p_item_default_type=>'PLSQL_FUNCTION_BODY'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75022675214645305)
,p_name=>'P24_ARCHIVO_RPI'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(130275058884254889)
,p_prompt=>'Archivo de Informe/Certificado'
,p_display_as=>'NATIVE_FILE'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P24_SOLICITUD_ESTADO_ACTUAL in (2,4,5) ',
'and :PERFIL in (14,15,16) -- Inscriptor y Asesor',
'and :P24_ESTADO_ACTUAL is not null',
'',
'',
''))
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P24_SOLICITUD_ESTADO_ACTUAL not in (2,4,5) ',
'-- or :P24_ESTADO_ACTUAL is null ',
'or :PERFIL in (18) --ADMIN y ARCHIVADOR',
'or :P24_READ_ONLY is not null'))
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'APEX_APPLICATION_TEMP_FILES'
,p_attribute_09=>'REQUEST'
,p_attribute_10=>'N'
,p_attribute_11=>'application/PDF'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75070043837939302)
,p_name=>'P24_NOMBRE_ARCHIVO'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(130275058884254889)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Nombre_Archivo'
,p_source=>'COMPROBANTE_FILENAME'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>255
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from  SOLICITUD',
'where DBMS_LOB.GETLENGTH(COMPROBANTE_BLOB_CONTENT) > 0',
'  and ID = :P24_ID'))
,p_display_when_type=>'EXISTS'
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75070575686939307)
,p_name=>'P24_READ_ONLY'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(130810570732221897)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75070797330939309)
,p_name=>'P24_DEVOLUCION'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(75070654110939308)
,p_prompt=>'Archivo'
,p_display_as=>'NATIVE_FILE'
,p_cSize=>30
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM SOLICITUD',
'WHERE DEVOLUCION_FILENAME IS NULL',
'  AND OBSERVACIONES_DEVOLUCION IS NULL',
'  AND ID = :P24_ID',
'  AND :PERFIL = 18',
'  AND :P24_ESTADO_ACTUAL in (2,4) ',
''))
,p_display_when_type=>'EXISTS'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':PERFIL != 18 --ARCHIVADOR',
'OR :P24_ESTADO_ACTUAL not in (2,4) ',
'OR :P24_READ_ONLY IS NOT NULL'))
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'APEX_APPLICATION_TEMP_FILES'
,p_attribute_09=>'REQUEST'
,p_attribute_10=>'N'
,p_attribute_11=>'image/*,application/PDF'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75070899944939310)
,p_name=>'P24_NOMBRE_DEVOLUCION'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(75070654110939308)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Nombre_Archivo'
,p_source=>'DEVOLUCION_FILENAME'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>255
,p_begin_on_new_line=>'N'
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where DEVOLUCION_FILENAME IS NOT NULL',
'and :P24_ID = ID'))
,p_display_when_type=>'EXISTS'
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75071074212939312)
,p_name=>'P24_CHK_DEVOLUCION'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(75070654110939308)
,p_item_default=>'S'
,p_prompt=>'Archivo Digital'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_SN_ARCHIVO_DIGITAL_RPI'
,p_lov=>'.'||wwv_flow_api.id(76600176732658626)||'.'
,p_cHeight=>1
,p_colspan=>2
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':PERFIL != 18 ',
'OR :P24_ESTADO_ACTUAL not in (2,4) ',
'OR :P24_READ_ONLY IS NOT NULL'))
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75071137042939313)
,p_name=>'P24_RPI_DEVOLUCION_MOTIVOS_ID'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(130275058884254889)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Motivo Devoluci\00F3n')
,p_source=>'RPI_DEVOLUCION_MOTIVOS_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select id||'': ''||descripcion, id',
'from RPI_DEVOLUCION_MOTIVOS',
'order by id asc',
'',
'',
''))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione..'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT   1',
'FROM     solicitud',
'WHERE    (id = :P24_ID ',
'     AND :PERFIL in (14,16) -- Asesor y Admin',
'     and :P24_SOLICITUD_ESTADO_ACTUAL in (1,2,4)) ',
'',
'OR       :P24_RPI_DEVOLUCION_MOTIVOS_ID IS NOT NULL',
''))
,p_display_when_type=>'EXISTS'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':PERFIL not in (14,16) ',
'OR ',
':P24_READ_ONLY IS NOT NULL',
'OR',
':P24_SOLICITUD_ESTADO_ACTUAL NOT IN (2,4)'))
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75071259854939314)
,p_name=>'P24_OBSERVACIONES_DEVOLUCION'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(75070654110939308)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Observaciones'
,p_source=>'OBSERVACIONES_DEVOLUCION'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cMaxlength=>3900
,p_cHeight=>5
,p_begin_on_new_line=>'N'
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM solicitud',
'WHERE id = :P24_ID',
'AND (OBSERVACIONES_DEVOLUCION IS NOT NULL OR :PERFIL = 18)'))
,p_display_when_type=>'EXISTS'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':PERFIL != 18 ',
'OR :P24_ESTADO_ACTUAL not in (2,4) ',
'OR :P24_READ_ONLY IS NOT NULL'))
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75072962605939331)
,p_name=>'P24_CHK_ARCHIVO_RPI'
,p_is_required=>true
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(130275058884254889)
,p_item_default=>'S'
,p_prompt=>'Archivo Firmado'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_SN_ARCHIVO_FIRMADO_RPI'
,p_lov=>'.'||wwv_flow_api.id(76588955550497417)||'.'
,p_cHeight=>1
,p_colspan=>2
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':PERFIL not in (14,16) ',
'OR ',
':P24_READ_ONLY IS NOT NULL',
'OR',
':P24_SOLICITUD_ESTADO_ACTUAL NOT IN (2,4)',
''))
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
,p_item_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM solicitud',
'WHERE (comprobante_filename IS NULL',
'AND descripcion_archivo_rpi IS NOT NULL)',
'AND id = :P24_ID',
'OR :P24_READ_ONLY IS NOT NULL',
'OR :PERFIL != 14'))
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75073026832939332)
,p_name=>'P24_DESCRIPCION_ARCHIVO_RPI'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(130275058884254889)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Descripci\00F3n')
,p_source=>'DESCRIPCION_ARCHIVO_RPI'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cMaxlength=>3900
,p_cHeight=>5
,p_begin_on_new_line=>'N'
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT   1',
'FROM     solicitud',
'WHERE    (id = :P24_ID',
'AND      :PERFIL in (14,16))',
'OR       :P24_RPI_DEVOLUCION_MOTIVOS_ID IS NOT NULL'))
,p_display_when_type=>'EXISTS'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':PERFIL not in (14,16) ',
'OR ',
':P24_READ_ONLY IS NOT NULL',
'OR',
':P24_SOLICITUD_ESTADO_ACTUAL NOT IN (2,4)'))
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75074078599939342)
,p_name=>'P24_MOTIVO_DEVOLUCION'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(130275058884254889)
,p_use_cache_before_default=>'NO'
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select CONTENIDO',
'from RPI_DEVOLUCION_MOTIVOS',
'where id = :P24_RPI_DEVOLUCION_MOTIVOS_ID'))
,p_item_default_type=>'SQL_QUERY'
,p_prompt=>unistr('Motivo Devoluci\00F3n')
,p_source=>'MOTIVO_DEVOLUCION'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cMaxlength=>4000
,p_cHeight=>5
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':PERFIL in (15,16) and :P24_SOLICITUD_ESTADO_ACTUAL = 5',
'AND :P24_RPI_DEVOLUCION_MOTIVOS_ID IS NOT NULL'))
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_read_only_when=>'P24_READ_ONLY'
,p_read_only_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(29923844652828011)
,p_computation_sequence=>10
,p_computation_item=>'P24_SOLICITUD_ESTADO_ACTUAL'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ESTADO_ID ',
'FROM SOLICITUD_ESTADO_HISTORICO ',
'WHERE SOLICITUD_ID = :P24_ID',
'  and id IN (SELECT MAX(id) ',
'               FROM SOLICITUD_ESTADO_HISTORICO ',
'           GROUP BY SOLICITUD_ID)'))
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(75072514697939327)
,p_computation_sequence=>20
,p_computation_item=>'P24_CHK_DEVOLUCION'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ''N''',
'FROM   solicitud',
'WHERE  id = :P24_ID',
'AND    devolucion_filename IS NULL',
'AND    observaciones_devolucion IS NOT NULL'))
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(75073996938939341)
,p_computation_sequence=>30
,p_computation_item=>'P24_CHK_ARCHIVO_RPI'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ''N''',
'FROM   solicitud',
'WHERE  id = :P24_ID',
'AND    RPI_DEVOLUCION_MOTIVOS_ID IS NOT NULL'))
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(75069971314939301)
,p_validation_name=>'ARCHIVO_RPI not null (inscriptor)'
,p_validation_sequence=>10
,p_validation=>'P24_ARCHIVO_RPI'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'El Archivo de Informe/Certificado es requerido para Pre-Aprobar la Solicitud.'
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1 ',
'  FROM SOLICITUD',
' WHERE ID = :P24_ID',
'   AND (COMPROBANTE_BLOB_CONTENT is null or DBMS_LOB.GETLENGTH(COMPROBANTE_BLOB_CONTENT) = 0)',
'   AND :P24_ESTADO_ACTUAL in (5,8)',
'   AND :P24_CHK_ARCHIVO_RPI = ''S'''))
,p_validation_condition_type=>'EXISTS'
,p_associated_item=>wwv_flow_api.id(75022675214645305)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(75071996166939321)
,p_validation_name=>'DEVOLUCION not null (archivador)'
,p_validation_sequence=>20
,p_validation=>'P24_DEVOLUCION'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'El archivo digital es un dato requerido.'
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1 ',
'FROM   SOLICITUD',
'WHERE  ID = :P24_ID',
'AND    DEVOLUCION_BLOB_CONTENT is null',
'AND    :P24_CHK_DEVOLUCION = ''S''',
'AND    :PERFIL = 18',
'AND    :P24_ESTADO_ACTUAL = 2'))
,p_validation_condition_type=>'EXISTS'
,p_associated_item=>wwv_flow_api.id(75070797330939309)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(75072461863939326)
,p_validation_name=>'OBSERVACIONES_DEVOLUCION not null (Archivador)'
,p_validation_sequence=>30
,p_validation=>'P24_OBSERVACIONES_DEVOLUCION'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('La observaci\00F3n es un dato requerido.')
,p_validation_condition=>':P24_CHK_DEVOLUCION = ''N'' AND :PERFIL = 18'
,p_validation_condition_type=>'PLSQL_EXPRESSION'
,p_associated_item=>wwv_flow_api.id(75071259854939314)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(75073855503939340)
,p_validation_name=>'DESCRIPCION_ARCHIVO_RPI not null (inscriptor)'
,p_validation_sequence=>40
,p_validation=>'P24_DESCRIPCION_ARCHIVO_RPI'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('Motivo de Devoluci\00F3n (6:Otro), debe agregar una descripci\00F3n.')
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P24_RPI_DEVOLUCION_MOTIVOS_ID = 6 ',
'AND :P24_CHK_ARCHIVO_RPI = ''N'' ',
'AND :PERFIL in (14,16) ',
'and :P24_SOLICITUD_ESTADO_ACTUAL in (1,2,4)'))
,p_validation_condition_type=>'PLSQL_EXPRESSION'
,p_associated_item=>wwv_flow_api.id(75073026832939332)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(75074175134939343)
,p_validation_name=>'RPI_DEVOLUCION_MOTIVOS not null (Inscriptor)'
,p_validation_sequence=>50
,p_validation=>'P24_RPI_DEVOLUCION_MOTIVOS_ID'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('Indicar el Motivo de la Devoluci\00F3n es requerido para Pre-Aprobar la Solicitud.')
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM dual',
'WHERE :P24_ESTADO_ACTUAL in (5,8)',
'  AND :P24_CHK_ARCHIVO_RPI = ''N'''))
,p_validation_condition_type=>'EXISTS'
,p_associated_item=>wwv_flow_api.id(75071137042939313)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(18610138232821020)
,p_validation_name=>'MOTIVO_DEVOLUCION not null (asesor)'
,p_validation_sequence=>60
,p_validation=>'P24_MOTIVO_DEVOLUCION'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('El Motivo de la Devoluci\00F3n es requerido.')
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':PERFIL in (15,16)',
'and :P24_SOLICITUD_ESTADO_ACTUAL in (5)',
'AND :P24_CHK_ARCHIVO_RPI = ''N'''))
,p_validation_condition_type=>'PLSQL_EXPRESSION'
,p_associated_item=>wwv_flow_api.id(75074078599939342)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(17517854063449843)
,p_validation_name=>'ESTADO_EXPEDIDO_FIRMA_S'
,p_validation_sequence=>70
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM   SOLICITUD',
'WHERE  ID = :P24_ID',
'  AND  Comprobante_Filename is not null',
'  /*  AND DEVOLUCION_FIRMADO = ''S'' */'))
,p_validation_type=>'EXISTS'
,p_error_message=>'Para Expedir la Solicitud, se requiere que suba el Archivo de Informe/Certificado con Firma Digital.'
,p_validation_condition=>':P24_ESTADO_ACTUAL = 8 and :P24_CHK_ARCHIVO_RPI = ''S'''
,p_validation_condition_type=>'PLSQL_EXPRESSION'
,p_when_button_pressed=>wwv_flow_api.id(26198604877866356)
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_validation_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM   SOLICITUD',
'WHERE  ID = :P24_ID',
'  AND  Comprobante_Filename is not null',
'  and  DEVOLUCION_FIRMADO = ''S'''))
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(19099122224915833)
,p_validation_name=>'ESTADO_EXPEDIDO_FIRMA_N'
,p_validation_sequence=>80
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM   SOLICITUD',
'WHERE  ID = :P24_ID',
'  AND  Comprobante_Filename is not null',
'  /*  AND DEVOLUCION_FIRMADO = ''S'' */'))
,p_validation_type=>'EXISTS'
,p_error_message=>unistr('Para Expedir la Solicitud, se requiere que Genere el Archivo de Devoluci\00F3n con Firma Digital.')
,p_validation_condition=>':P24_ESTADO_ACTUAL = 8 and :P24_CHK_ARCHIVO_RPI = ''N'''
,p_validation_condition_type=>'PLSQL_EXPRESSION'
,p_when_button_pressed=>wwv_flow_api.id(26198604877866356)
,p_associated_item=>wwv_flow_api.id(75074078599939342)
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_validation_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM   SOLICITUD',
'WHERE  ID = :P24_ID',
'  AND  Comprobante_Filename is not null',
'  and  DEVOLUCION_FIRMADO = ''S'' '))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(55268286250609608)
,p_name=>'ABRIR_FORMULARIO'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(74702768287628300)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(55268316965609609)
,p_event_id=>wwv_flow_api.id(55268286250609608)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex.server.process ( "CB_OBTENER_LINK_FORMULARIO",     //NOMBRE PROCESO                                          ',
'                    {                   ',
'                        x01: $v("P24_ID")',
'                    }, ',
'                    {',
'                        dataType: "text",                 ',
'                        async: false,     ',
'                        success: function( pData ){        ',
'                            window.open( pData, ''_blank'');',
'                           ',
'                    } ',
'	});'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(75071304637939315)
,p_name=>'Ocultar TIPO_DEVOLUCION'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P24_CHK_DEVOLUCION'
,p_condition_element=>'P24_CHK_DEVOLUCION'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'N'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(75071462994939316)
,p_event_id=>wwv_flow_api.id(75071304637939315)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_DEVOLUCION'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(75072370100939325)
,p_event_id=>wwv_flow_api.id(75071304637939315)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_OBSERVACIONES_DEVOLUCION'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(75072114062939323)
,p_event_id=>wwv_flow_api.id(75071304637939315)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_OBSERVACIONES_DEVOLUCION'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(75072237084939324)
,p_event_id=>wwv_flow_api.id(75071304637939315)
,p_event_result=>'FALSE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_DEVOLUCION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(18609473529821013)
,p_name=>'On_Change_Inscritor_Admin'
,p_event_sequence=>30
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P24_CHK_ARCHIVO_RPI'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_display_when_cond=>':PERFIL in (14,16)'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18609518367821014)
,p_event_id=>wwv_flow_api.id(18609473529821013)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_RPI_DEVOLUCION_MOTIVOS_ID,P24_ARCHIVO_RPI,P24_DESCRIPCION_ARCHIVO_RPI'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(75071531985939317)
,p_name=>'Ocultar OBSERVACIONES_DEVOLUCION'
,p_event_sequence=>30
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P24_RPI_DEVOLUCION_MOTIVOS_ID'
,p_condition_element=>'P24_RPI_DEVOLUCION_MOTIVOS_ID'
,p_triggering_condition_type=>'NOT_EQUALS'
,p_triggering_expression=>'6'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(75071694346939318)
,p_event_id=>wwv_flow_api.id(75071531985939317)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_DESCRIPCION_ARCHIVO_RPI'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(75071748869939319)
,p_event_id=>wwv_flow_api.id(75071531985939317)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_DESCRIPCION_ARCHIVO_RPI'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(75892538881285809)
,p_event_id=>wwv_flow_api.id(75071531985939317)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_DESCRIPCION_ARCHIVO_RPI'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(75073134375939333)
,p_name=>'Mostrar/Ocultar Archivo_Inscriptor_S'
,p_event_sequence=>40
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P24_CHK_ARCHIVO_RPI'
,p_condition_element=>'P24_CHK_ARCHIVO_RPI'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'S'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_display_when_cond=>':PERFIL = 14'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(75073270389939334)
,p_event_id=>wwv_flow_api.id(75073134375939333)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_ARCHIVO_RPI,P24_NOMBRE_ARCHIVO'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(75893298718285816)
,p_event_id=>wwv_flow_api.id(75073134375939333)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_RPI_DEVOLUCION_MOTIVOS_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18612633491821045)
,p_event_id=>wwv_flow_api.id(75073134375939333)
,p_event_result=>'TRUE'
,p_action_sequence=>50
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'update solicitud',
'set RPI_DEVOLUCION_MOTIVOS_ID = null',
'where id = :p24_id',
'  and RPI_DEVOLUCION_MOTIVOS_ID is not null',
'  and 1=1;'))
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(18609662568821015)
,p_name=>'Mostrar/Ocultar Archivo_Inscriptor_N'
,p_event_sequence=>60
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P24_CHK_ARCHIVO_RPI'
,p_condition_element=>'P24_CHK_ARCHIVO_RPI'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'N'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_display_when_cond=>':PERFIL = 14'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(75073540779939337)
,p_event_id=>wwv_flow_api.id(18609662568821015)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_RPI_DEVOLUCION_MOTIVOS_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(19099639080915838)
,p_event_id=>wwv_flow_api.id(18609662568821015)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_ARCHIVO_RPI'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(18612067136821039)
,p_name=>'Mostrar/Ocultar Archivo_Admin_S'
,p_event_sequence=>90
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P24_CHK_ARCHIVO_RPI'
,p_condition_element=>'P24_CHK_ARCHIVO_RPI'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'S'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_display_when_cond=>':PERFIL = 16 and :P24_SOLICITUD_ESTADO_ACTUAL in (1,2,4,5)'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18612145753821040)
,p_event_id=>wwv_flow_api.id(18612067136821039)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_ARCHIVO_RPI,P24_NOMBRE_ARCHIVO'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18612226275821041)
,p_event_id=>wwv_flow_api.id(18612067136821039)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_RPI_DEVOLUCION_MOTIVOS_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18612734672821046)
,p_event_id=>wwv_flow_api.id(18612067136821039)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'update solicitud',
'set RPI_DEVOLUCION_MOTIVOS_ID = null',
'where id = :p24_id',
'  and RPI_DEVOLUCION_MOTIVOS_ID is not null',
'  and 1=1;'))
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(18612354265821042)
,p_name=>'Mostrar/Ocultar Archivo_Admin_N'
,p_event_sequence=>91
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P24_CHK_ARCHIVO_RPI'
,p_condition_element=>'P24_CHK_ARCHIVO_RPI'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'N'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_display_when_cond=>':PERFIL = 16 and :P24_SOLICITUD_ESTADO_ACTUAL in (1,2,4,5)'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18612476745821043)
,p_event_id=>wwv_flow_api.id(18612354265821042)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_RPI_DEVOLUCION_MOTIVOS_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(19099748345915839)
,p_event_id=>wwv_flow_api.id(18612354265821042)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_ARCHIVO_RPI'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(18610231207821021)
,p_name=>'Mostrar/Ocultar Archivo_Pre_Aprobado'
,p_event_sequence=>92
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P24_CHK_ARCHIVO_RPI'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_display_when_cond=>':P24_SOLICITUD_ESTADO_ACTUAL = 5'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18610335345821022)
,p_event_id=>wwv_flow_api.id(18610231207821021)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_ARCHIVO_RPI'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(19100022487915842)
,p_name=>'Change_1'
,p_event_sequence=>102
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P24_RPI_SOLICITAR_ARCHIVO'
,p_condition_element=>'P24_RPI_SOLICITAR_ARCHIVO'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'1'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(19100102829915843)
,p_event_id=>wwv_flow_api.id(19100022487915842)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_RPI_SOLICITAR_ARCHIVO_OBSERV'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(19100372545915845)
,p_event_id=>wwv_flow_api.id(19100022487915842)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_RPI_SOLICITAR_ARCHIVO_OBSERV'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(19100284780915844)
,p_event_id=>wwv_flow_api.id(19100022487915842)
,p_event_result=>'FALSE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_RPI_SOLICITAR_ARCHIVO_OBSERV'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(26200652681866364)
,p_process_sequence=>10
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from SOLICITUD'
,p_attribute_02=>'SOLICITUD'
,p_attribute_03=>'P24_ID'
,p_attribute_04=>'ID'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(18617929896666212)
,p_process_sequence=>20
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'CARGA_DATOS_MATRICULA'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'--carga matricula',
':P24_MATRICULA := FNC_GENERAR_MATRICULA(p_id               => :P24_ID_CATASTRAL,',
'                                        p_departamento_id  => :P24_DEPARTAMENTO, ',
'                                        p_distrito_id      => :P24_DISTRITO, ',
'                                        p_seccion          => :P24_SECCION, ',
'                                        p_parcela          => :P24_PARCELA,',
'                                        p_opcional         => :P24_MATRICULA_OPCIONAL,',
'                                        p_manzana          => null,',
'                                        p_lote             => null,',
'                                        p_padron           => :P24_PADRON);'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(26203472741866367)
,p_process_sequence=>30
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Load_Blob_from_file'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare ',
'    v_comprobante_length number;',
'    v_plano_length number;',
'    v_devolucion_length number;',
'    ',
'    v_comprobante_filename VARCHAR2(100);',
'    v_plano_filename VARCHAR2(100);',
'    v_devolucion_filename VARCHAR2(100);',
'    ',
'BEGIN',
'    SELECT dbms_lob.getlength(COMPROBANTE_BLOB_CONTENT), COMPROBANTE_FILENAME_HARD_DISK, ',
'           dbms_lob.getlength(PLANO_BLOB_CONTENT), PLANO_FILENAME_HARD_DISK,',
'           dbms_lob.getlength(DEVOLUCION_BLOB_CONTENT), DEVOLUCION_FILENAME_HARD_DISK',
'',
'      INTO v_comprobante_length, v_comprobante_filename,',
'           v_plano_length, v_plano_filename,',
'           v_devolucion_length, v_devolucion_filename',
'           ',
'      FROM solicitud WHERE ID = :P24_ID; ',
'    ',
'    if (:P24_SOLICITUD_TIPO_ID in (4,5,6,7,8,9))  then -- Solo para RPI',
'    ',
'        -- 1:Levanta el archivo del Certificado/Devolucion Firmado',
'        if (v_comprobante_length is null and v_comprobante_filename is not null) then',
'          UPDATE SOLICITUD SET COMPROBANTE_BLOB_CONTENT = load_Blob_From_File(v_comprobante_filename) WHERE ID = :P24_ID;',
'        end if;',
'        ',
'        -- 2:Levanta el archivo del Plano (Interes Legitimo)',
'        if (v_plano_length is null and v_plano_filename is not null) then',
'          UPDATE SOLICITUD SET PLANO_BLOB_CONTENT = load_Blob_From_File(v_plano_filename) WHERE ID = :P24_ID;',
'        end if;',
'        ',
'        -- 5:Levanta el Archivo del Jefe de Archivo',
'        if (v_devolucion_length is null and v_devolucion_filename is not null) then',
'          UPDATE SOLICITUD SET DEVOLUCION_BLOB_CONTENT = load_Blob_From_File(v_devolucion_filename) WHERE ID = :P24_ID;',
'        end if;',
'        ',
'    end if;',
'',
'EXCEPTION',
'  WHEN OTHERS THEN',
'    DBMS_OUTPUT.PUT_LINE('' No se pudo encontrar el archivo en el FileSystem. '');',
'END;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'P24_ID'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(16958974821503807)
,p_process_sequence=>40
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'DOWNLOAD'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare ',
'    l_row solicitud%rowtype;',
'begin',
'    dbms_lob.createtemporary( l_row.comprobante_blob_content, true ); ',
'    begin ',
'        select *',
'        into l_row ',
'        from solicitud ',
'        where id = :P24_ID;',
'   exception ',
'        when others then ',
'            return; ',
'        --apex_application.stop_apex_engine; ',
'        --owa_util.http_header_close; ',
'    end; ',
'    ',
'    htp.init;',
'    -- Set the MIME typebranck',
'    OWA_UTIL.mime_header(l_row.comprobante_mime_type, FALSE);',
'                           ',
'    htp.p(''Content-length: '' || dbms_lob.getlength( l_row.comprobante_blob_content ));                       ',
'    -- Set the name of the file ',
'    htp.p(''Content-Disposition: attachment; filename="'' || l_row.comprobante_filename || ''"'');',
'',
'    owa_util.http_header_close; ',
'    --package that provides an interface to download files (BLOBs and BFILEs)',
'    wpg_docload.download_file( l_row.comprobante_blob_content ); ',
'    --stop further processing and immediately exit',
'    --apex_application.stop_apex_engine; ',
'exception ',
'    when others then',
'    raise_application_error(-20001, ''Error: ''|| sqlerrm);  ',
'end; '))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'DESCARGAR_ARCHIVO_RPI'
,p_process_when_type=>'REQUEST_EQUALS_CONDITION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(26201088515866365)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get PK'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin ',
'    if :P24_ID is null then',
'        select "#OWNER#"."SEQ_SOLICITUD".nextval',
'          into :P24_ID',
'          from sys.dual;',
'    end if;',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_type=>'NEVER'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(26203024818866367)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Insert_Solicitud_Historico_SAVE'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'--fix temporal para las solicitudes ya creadas en testing',
'IF :P24_ESTADO_ACTUAL = 2 THEN',
'    PKG_REGISTRO_PROPIEDAD.PRC_GENERAR_NRO_IDENTIFICADOR(:P24_ID);',
'END IF;',
'',
'IF (:P24_SOLICITUD_ESTADO_ACTUAL != :P24_ESTADO_ACTUAL ) THEN',
'    INSERT INTO SOLICITUD_ESTADO_HISTORICO(ID,FECHA,SOLICITUD_ID,ESTADO_ID,USUARIO_ID,OBSERVACIONES) ',
'    VALUES ("SEQ_SOLICITUD_ESTADO_HISTORICO".nextval,SYSDATE(),:p24_id,:p24_estado_actual, (select id from persona where cuil=:app_user),:P24_USUARIO_OBSERVACIONES );',
'    ',
'    --correo notificacion cambio de estado',
'    IF :P24_ESTADO_ACTUAL in (3, 6, 7, 8 ) THEN',
'        ',
'        PKG_CORREO.prc_enviar_correo( p_persona        => :P24_PROFESIONAL_ID,',
'                                      p_tipo_solicitud => :P24_SOLICITUD_TIPO_ID,',
'                                      p_solicitud      => :P24_ID,',
'                                      p_imagen         => :P23_IMAGEN,',
'                                      p_observacion    => :P24_USUARIO_OBSERVACIONES);',
'',
'    END IF;',
'END IF;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>':REQUEST = ''SAVE'' and :REQUEST not in (''DESCARGAR_ARCHIVO_RPI'',''GENERAR_ARCHIVO_DEVOLUCION'')'
,p_process_when_type=>'PLSQL_EXPRESSION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(44934372875539150)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Update_Archivo_Solicitud'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'--Archivo inscriptor',
'IF :P24_ARCHIVO_RPI IS NOT NULL THEN',
'',
'    DECLARE',
'        v_blob blob;',
'        v_filename varchar2(1000);',
'        v_mime_type varchar2(100);',
'    BEGIN',
'            SELECT blob_content, filename, mime_type',
'              INTO v_blob, v_filename, v_mime_type',
'              FROM apex_application_temp_files',
'             WHERE name = :P24_ARCHIVO_RPI;',
'',
'            UPDATE  SOLICITUD                ',
'            SET     COMPROBANTE_BLOB_CONTENT             = v_blob,',
'                    COMPROBANTE_FILENAME                 = v_filename,',
'                    COMPROBANTE_MIME_TYPE                = v_mime_type,',
'                    COMPROBANTE_LAST_UPDATED             = SYSDATE,',
'                    DEVOLUCION_FIRMADO                   = ''N''',
'                    /*RPI_DEVOLUCION_MOTIVOS_ID          = null,',
'                    DESCRIPCION_ARCHIVO_RPI              = null*/',
'            WHERE   ID = :P24_ID;',
'    EXCEPTION',
'        WHEN OTHERS THEN',
'            RAISE_APPLICATION_ERROR(-20000,''Error en la carga del archivo firmado. ''||SQLERRM);',
'    END;',
'',
'ELSIF :P24_RPI_DEVOLUCION_MOTIVOS_ID IS NOT NULL THEN',
'',
'    UPDATE  SOLICITUD                ',
'    SET     RPI_DEVOLUCION_MOTIVOS_ID       = :P24_RPI_DEVOLUCION_MOTIVOS_ID,',
'            DESCRIPCION_ARCHIVO_RPI         = :P24_DESCRIPCION_ARCHIVO_RPI',
'            /*COMPROBANTE_BLOB_CONTENT      = EMPTY_BLOB(),',
'            COMPROBANTE_FILENAME            = null,',
'            COMPROBANTE_MIME_TYPE           = null,',
'            COMPROBANTE_LAST_UPDATED        = null*/',
'    WHERE   ID = :P24_ID;',
'END IF;',
'',
'--Archivo Archivador',
'IF (:P24_DEVOLUCION IS NOT NULL AND :P24_CHK_DEVOLUCION = ''S'') THEN',
'    DECLARE',
'        v_blob blob;',
'        v_filename varchar2(1000);',
'        v_mime_type varchar2(100);',
'    BEGIN',
'            SELECT blob_content, filename, mime_type',
'              INTO v_blob, v_filename, v_mime_type',
'              FROM apex_application_temp_files',
'             WHERE name = :P24_DEVOLUCION;',
'',
'            UPDATE  SOLICITUD                ',
'            SET     DEVOLUCION_BLOB_CONTENT             = v_blob,',
'                    DEVOLUCION_FILENAME                 = v_filename,',
'                    DEVOLUCION_MIME_TYPE                = v_mime_type,',
'                    DEVOLUCION_LAST_UPDATED             = SYSDATE',
'                    -- OBSERVACIONES_DEVOLUCION            = null',
'            WHERE   ID = :P24_ID;',
'    EXCEPTION',
'        WHEN OTHERS THEN',
'            RAISE_APPLICATION_ERROR(-20001,''Error en la carga del archivo digital. ''||SQLERRM);',
'    END;',
'    ',
'ELSIF :P24_CHK_DEVOLUCION = ''N'' THEN',
'    UPDATE  SOLICITUD                ',
'    SET     OBSERVACIONES_DEVOLUCION  = :P24_OBSERVACIONES_DEVOLUCION',
'            /*DEVOLUCION_BLOB_CONTENT             = EMPTY_BLOB(),',
'            DEVOLUCION_FILENAME                 = null,',
'            DEVOLUCION_MIME_TYPE                = null,',
'            DEVOLUCION_LAST_UPDATED             = null*/',
'    WHERE   ID = :P24_ID;',
'    ',
'END IF;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'DESCARGAR_ARCHIVO_RPI,GENERAR_ARCHIVO_DEVOLUCION'
,p_process_when_type=>'REQUEST_NOT_IN_CONDITION'
,p_process_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P24_ARCHIVO_RPI IS NOT NULL ',
'OR :P24_DEVOLUCION IS NOT NULL',
'OR :P24_OBSERVACIONES_DEVOLUCION IS NOT NULL'))
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(26201436797866365)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'Process Row of SOLICITUD'
,p_attribute_02=>'SOLICITUD'
,p_attribute_03=>'P24_ID'
,p_attribute_04=>'ID'
,p_attribute_11=>'I:U:D'
,p_attribute_12=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_type=>'NEVER'
,p_process_success_message=>unistr('Acci\00F3n Procesada.')
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(26202240846866366)
,p_process_sequence=>50
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Guardar_Usuario_CC_&_VF'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'BEGIN',
'    -- Certificado Catastral --- ',
'    if (:P24_CC_BLOB_CONTENT is not null) then',
'        UPDATE SOLICITUD SET CC_USUARIO_ID = :persona_id WHERE ID=:P24_ID;',
'    end if;',
'    ',
unistr('    -- Valuaci\00F3n Fiscal --- '),
'    if (:P24_VF_BLOB_CONTENT is not null) then',
'        UPDATE SOLICITUD SET VF_USUARIO_ID = :persona_id WHERE ID=:P24_ID;',
'    end if;      ',
'    ',
'    -- Guardo los cambpos de la Solicitud en la Base',
'    update solicitud',
'    set MOTIVO_DEVOLUCION = :P24_MOTIVO_DEVOLUCION,      ',
'        RPI_SOLICITAR_ARCHIVO = :P24_RPI_SOLICITAR_ARCHIVO,',
'        RPI_SOLICITAR_ARCHIVO_OBSERV = :P24_RPI_SOLICITAR_ARCHIVO_OBSERV',
'    where id = :P24_ID;',
'',
'END;  '))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(26198604877866356)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(75892307685285807)
,p_process_sequence=>60
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'GENERAR_ARCHIVO_RPI_DEVOLUCION'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'vcName varchar2(200);',
'lParams PK_JRXML2PDF_REPGEN.TPARAMLIST;',
'bl BLOB;',
'begin ',
'',
'vcName := ''ARCHIVO_DEVOLUCION_RPI'';',
'',
'lParams(1).vcName := ''P_SOLICITUD'';',
'lParams(1).vcValue := :P24_ID;',
'lParams(2).vcName := ''P_ID'';',
'lParams(2).vcValue := :P24_ID;',
'',
'    update solicitud',
'    set MOTIVO_DEVOLUCION = :P24_MOTIVO_DEVOLUCION        ',
'    where id = :P24_ID;',
'    ',
'bl := PK_JRXML2PDF_REPGEN.FK_RUN(i_vcName=> vcName,i_lParams=> lParams);',
'',
'update solicitud',
'    set COMPROBANTE_BLOB_CONTENT     = bl,',
'        COMPROBANTE_FILENAME         = :P24_ID || ''-'' || extract(year from fecha) ||''_DEVOLUCION_RPI.pdf'',',
'        COMPROBANTE_MIME_TYPE        = ''application/pdf'',',
'        COMPROBANTE_LAST_UPDATED     = sysdate,',
'        MOTIVO_DEVOLUCION            = :P24_MOTIVO_DEVOLUCION,',
'        DEVOLUCION_FIRMADO = ''N''',
'where id = :P24_ID;',
'',
'',
'exception',
'    when others then',
'        raise_application_Error(-20000,'' error ''||sqlerrm);',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(19682738790242250)
,p_process_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':PERFIL in (15,16)',
''))
,p_process_when_type=>'PLSQL_EXPRESSION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(26203860453866367)
,p_process_sequence=>70
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Write_blob_to_file'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare ',
'    v_comprobante_length number;',
'    v_plano_length number;',
'    v_devolucion_length number;',
'    ',
'    FILE_NAME VARCHAR2(100);',
'    comm_missing  EXCEPTION;',
'BEGIN',
'-- Estado: Expedido - RPI ---------',
'IF (:p24_estado_actual in (8)) THEN',
'',
unistr('    -- Obtengo el tama\00F1o de los blob ---'),
'    SELECT dbms_lob.getlength(COMPROBANTE_BLOB_CONTENT),',
'           dbms_lob.getlength(PLANO_BLOB_CONTENT),',
'           dbms_lob.getlength(DEVOLUCION_BLOB_CONTENT)',
'      ',
'      INTO v_comprobante_length,',
'           v_plano_length,',
'           v_devolucion_length',
'           ',
'      FROM solicitud WHERE ID = :P24_ID; ',
'    ',
'   -- Tipo de Archivo: 1 - Certificado/Devolucion Firmado',
'    if (v_comprobante_length > 0) then',
'        SELECT S.ID||''.1''||''-''||to_char(SYSDATE,''yyyymmdd'')||regexp_substr(S.COMPROBANTE_FILENAME, ''\.[^\.]*$'') into FILE_NAME FROM SOLICITUD S WHERE S.ID=:P24_ID; ',
'        write_blob_to_file(:P24_ID,''ARCHIVOS'',FILE_NAME,1);',
'        UPDATE SOLICITUD SET COMPROBANTE_FILENAME_HARD_DISK = FILE_NAME WHERE ID=:P24_ID;',
'    end if;',
'    ',
'    -- Tipo de Archivo: 2 - Plano/Interes Legitimo',
'    if (v_plano_length > 0) then',
'        SELECT S.ID||''.2''||''-''||to_char(SYSDATE,''yyyymmdd'')||regexp_substr(S.PLANO_FILENAME, ''\.[^\.]*$'') into FILE_NAME FROM SOLICITUD S WHERE S.ID=:P24_ID; ',
'        write_blob_to_file(:P24_ID,''ARCHIVOS'',FILE_NAME,2);',
'        UPDATE SOLICITUD SET PLANO_FILENAME_HARD_DISK = FILE_NAME WHERE ID=:P24_ID;',
'    end if;',
'    ',
'    -- Tipo de Archivo: 5 - Archivo del Jefe de Archivo --- ',
'    if (v_devolucion_length > 0) then',
'        SELECT S.ID||''.5''||''-''||to_char(SYSDATE,''yyyymmdd'')||regexp_substr(S.DEVOLUCION_FILENAME, ''\.[^\.]*$'') into FILE_NAME FROM SOLICITUD S WHERE S.ID=:P24_ID; ',
'        write_blob_to_file(:P24_ID,''ARCHIVOS'',FILE_NAME,5);',
'        UPDATE SOLICITUD SET DEVOLUCION_FILENAME_HARD_DISK = FILE_NAME WHERE ID=:P24_ID;',
'    end if;',
'    ',
'    --- Borro el archivo de Certificado/Devolucion Firmado) ---',
'    UPDATE SOLICITUD SET COMPROBANTE_BLOB_CONTENT = null',
'     WHERE COMPROBANTE_BLOB_CONTENT is not null',
'       AND COMPROBANTE_FILENAME_HARD_DISK is not null',
'       AND ID in (select s.id FROM SOLICITUD S, (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH ',
'              WHERE S.ID = TH.SOLICITUD_ID AND TH.ESTADO_ID in (8));',
'    ',
'    --- Borro el archivo de interes legitimo de Todas las Solicitudes Expedidas (RPI) ---',
'    UPDATE SOLICITUD SET PLANO_BLOB_CONTENT = null',
'     WHERE PLANO_BLOB_CONTENT is not null',
'       AND PLANO_FILENAME_HARD_DISK is not null',
'       AND ID in (select s.id FROM SOLICITUD S, (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH ',
'              WHERE S.ID = TH.SOLICITUD_ID AND TH.ESTADO_ID in (8));',
'    ',
'    --- Borro el archivo del Jefe de Archivo de Todas las Solicitudes Expedidas (RPI) ---',
'    UPDATE SOLICITUD SET DEVOLUCION_BLOB_CONTENT = null',
'     WHERE DEVOLUCION_BLOB_CONTENT is not null',
'       AND DEVOLUCION_FILENAME_HARD_DISK is not null',
'       AND ID in (select s.id FROM SOLICITUD S, (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH ',
'              WHERE S.ID = TH.SOLICITUD_ID AND TH.ESTADO_ID in (8));',
'    ',
'end if;',
'         ',
'END;  '))
,p_process_error_message=>'Error proceso escribir archivo....'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(26198604877866356)
,p_process_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where :p24_estado_actual in (8)'))
,p_process_when_type=>'EXISTS'
,p_process_success_message=>'Solicitud Finalizada!'
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(26201870346866366)
,p_process_sequence=>80
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'reset page'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':REQUEST not in (''DESCARGAR_ARCHIVO_RPI'',''GENERAR_ARCHIVO_DEVOLUCION'')',
''))
,p_process_when_type=>'PLSQL_EXPRESSION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(55268413168609610)
,p_process_sequence=>10
,p_process_point=>'ON_DEMAND'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'CB_OBTENER_LINK_FORMULARIO'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DECLARE',
'    v_link      varchar2(199);',
'    v_solicitud number := APEX_APPLICATION.g_x01;',
'BEGIN',
'',
'    v_link := APEX_PAGE.GET_URL (',
'        p_page   => 2000,',
'        p_clear_cache  => 2000,',
'        p_items  => ''P2000_SOLICITUD'',',
'        p_values => v_solicitud );',
'        ',
'   htp.p(v_link);',
'END;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
