prompt --application/pages/page_00026
begin
--   Manifest
--     PAGE: 00026
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>26
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'REPORTE Solicitudes de Mensura'
,p_step_title=>'Solicitudes de Mensura'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'20076596094'
,p_last_upd_yyyymmddhh24miss=>'20210406142257'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(67632064959685543)
,p_plug_name=>'Solicitudes de Mensura'
,p_icon_css_classes=>'fa-file-text-o'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50745897819672297)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(78038707008827745)
,p_plug_name=>'Solicitudes Ordenadas'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT solicitudes.*,',
'       CASE ',
'           WHEN (ROWNUM <= 5) THEN',
'               APEX_PAGE.GET_URL (',
'                                p_page   => 32,',
'                                p_clear_cache  => 32,',
'                                p_items  => ''P32_ID'',',
'                                p_values => solicitudes.ID )',
'       ELSE ''#''',
'       END URL',
'FROM (',
'        SELECT *',
'        FROM (',
'                SELECT ',
'                    S.ID,  ',
'                    S.FECHA "Fecha",',
'                    S.SOLICITUD_TIPO_ID "Solicitud de",',
'                    S.MENSURA_TIPO_ID "Tipo",',
'                    S.ARCHIVO "Archivo",',
'                    S.vesep "VESEP",',
unistr('                    d.descripcion "Descripci\00F3n",'),
'                    E.DESCRIPCION "Estado",',
'                    S.PERSONA_ID "Usuario",',
'                    S.MC_DEPARTAMENTO_ID "Departamento",',
'                    PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID) "Agente",',
unistr('                    PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) "\00C1rea actual",'),
'                    th.observaciones',
'',
'',
'                 FROM SOLICITUD S, departamento d, PERSONA P2, ESTADO E,',
'                      (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN ',
'                           (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH ',
'',
'                WHERE s.mc_departamento_id = d.id(+)',
'                  --and S.PADRON_LOCALIDAD_ID = CL.ID(+)',
'                  AND S.ID = TH.SOLICITUD_ID',
'                  AND TH.ESTADO_ID = E.ID',
'                  AND E.ID = 4',
'                  AND TH.USUARIO_ID = P2.ID(+)',
'                  AND S.SOLICITUD_TIPO_ID = 3 ',
'                  --AND P2.ID = NVL(PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID), P2.ID) --A.PERSONA_ASIGNADA_ID(+)',
'                  --AND S.ID = A.SOLICITUD_ID(+)',
'                  AND ( ',
'                      (PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID) = :PERSONA_ID ',
'                           AND PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) = :AREA)',
'                       OR',
'                       (:PERFIL = 4)--admin',
'                       OR',
'                      (S.PERSONA_ID = :PERSONA_ID) --Escribano',
'                      OR',
'                       (PKG_MENSURA.FNC_OBTENER_MUNICIPALIDAD(:PERSONA_ID) = S.PADRON_LOCALIDAD_ID AND ',
'                        :PERFIL = 13 AND ',
'                        PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) = 1 ) -- validar municipal ',
'                       OR',
'                       ( (PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID) = :PERSONA_ID ',
'                          OR PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID) is null)',
'                        AND',
'                        PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) = 2 AND :AREA = 2 ',
'                       )  -- validar area jefatura',
'                       OR',
'                      ( --es_jefe?',
'                          PKG_MENSURA.FNC_ES_JEFE_AREA(:PERSONA_ID) = 1 AND PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) = :AREA',
'                      )',
'                  )',
'                AND ((:ES_INTERNO = ''S'' AND TH.ESTADO_ID != 0) OR :ES_INTERNO = ''N'')',
'                ORDER BY s.id)',
'        UNION ALL --Arriba se muestra las solicitudes que esten estado corregido ordenados por el registro mas antiguo',
'        SELECT *',
'        FROM (',
'                SELECT ',
'                    S.ID,  ',
'                    S.FECHA "Fecha",',
'                    S.SOLICITUD_TIPO_ID "Solicitud de",',
'                    S.MENSURA_TIPO_ID "Tipo",',
'                    S.ARCHIVO "Archivo",',
'                    S.vesep "VESEP",',
unistr('                    d.descripcion "Descripci\00F3n",'),
'                    E.DESCRIPCION "Estado",',
'                    S.PERSONA_ID "Usuario",',
'                    S.MC_DEPARTAMENTO_ID "Departamento",',
'                    PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID) "Agente",',
unistr('                    PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) "\00C1rea actual",'),
'                    th.observaciones',
'',
'',
'                 FROM SOLICITUD S, departamento d, PERSONA P2, ESTADO E,',
'                      (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN ',
'                           (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH ',
'',
'                WHERE s.mc_departamento_id = d.id(+)',
'                  --and S.PADRON_LOCALIDAD_ID = CL.ID(+)',
'                  AND S.ID = TH.SOLICITUD_ID',
'                  AND TH.ESTADO_ID = E.ID',
'                  AND E.ID != 4',
'                  AND TH.USUARIO_ID = P2.ID(+)',
'                  AND S.SOLICITUD_TIPO_ID = 3 ',
'                  --AND P2.ID = NVL(PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID), P2.ID) --A.PERSONA_ASIGNADA_ID(+)',
'                  --AND S.ID = A.SOLICITUD_ID(+)',
'                  AND ( ',
'                      (PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID) = :PERSONA_ID ',
'                           AND PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) = :AREA)',
'                       OR',
'                       (:PERFIL = 4)--admin',
'                       OR',
'                      (S.PERSONA_ID = :PERSONA_ID) --Escribano',
'                      OR',
'                       (PKG_MENSURA.FNC_OBTENER_MUNICIPALIDAD(:PERSONA_ID) = S.PADRON_LOCALIDAD_ID AND ',
'                        :PERFIL = 13 AND ',
'                        PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) = 1 ) -- validar municipal ',
'                       OR',
'                       ( (PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID) = :PERSONA_ID ',
'                          OR PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID) is null)',
'                        AND',
'                        PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) = 2 AND :AREA = 2 ',
'                       )  -- validar area jefatura',
'                       OR',
'                      ( --es_jefe?',
'                          PKG_MENSURA.FNC_ES_JEFE_AREA(:PERSONA_ID) = 1 AND PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) = :AREA',
'                      )',
'                  )',
'                AND ((:ES_INTERNO = ''S'' AND TH.ESTADO_ID != 0) OR :ES_INTERNO = ''N'')',
'                ORDER BY s.id)',
') solicitudes',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'EXISTS'
,p_plug_display_when_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from ROL_AREA_PERSONA',
'where :PERSONA_ID = PERSONA_ID',
'and ROL_AREA_ID in (4,6,8)'))
,p_prn_units=>'MILLIMETERS'
,p_prn_paper_size=>'A4'
,p_prn_width=>297
,p_prn_height=>210
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'New'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(78038908494827747)
,p_max_row_count=>'1000000'
,p_no_data_found_message=>'No se encontraron Solicitud ...'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_actions_menu=>'N'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'N'
,p_owner=>'CATASTRO'
,p_internal_uid=>78038908494827747
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(78039023984827748)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>unistr('N\00BA')
,p_column_link=>'#URL#'
,p_column_linktext=>'#ID#'
,p_column_link_attr=>'class="t-Button t-Button--hot t-Button--simple"'
,p_allow_sorting=>'N'
,p_allow_filtering=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(78039134850827749)
,p_db_column_name=>'Fecha'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Fecha'
,p_allow_sorting=>'N'
,p_allow_filtering=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(78039270661827750)
,p_db_column_name=>'Solicitud de'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Solicitud De'
,p_allow_sorting=>'N'
,p_allow_filtering=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(11166262134940062)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(94670778956550901)
,p_db_column_name=>'Tipo'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Tipo de Mensura'
,p_allow_sorting=>'N'
,p_allow_filtering=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(26470707688900206)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(94670818209550902)
,p_db_column_name=>'Archivo'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Archivo'
,p_allow_sorting=>'N'
,p_allow_filtering=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(94670908803550903)
,p_db_column_name=>'VESEP'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'VESEP'
,p_allow_sorting=>'N'
,p_allow_filtering=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'STRING'
,p_heading_alignment=>'LEFT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(94671071579550904)
,p_db_column_name=>unistr('Descripci\00F3n')
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>unistr('Descripci\00F3n')
,p_allow_sorting=>'N'
,p_allow_filtering=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(94671145204550905)
,p_db_column_name=>'Estado'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Estado'
,p_allow_sorting=>'N'
,p_allow_filtering=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(94671299460550906)
,p_db_column_name=>'Usuario'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Solicitante'
,p_allow_sorting=>'N'
,p_allow_filtering=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(26745932656066265)
,p_rpt_show_filter_lov=>'1'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_display_condition=>'ES_INTERNO'
,p_display_condition2=>'S'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(94671395982550907)
,p_db_column_name=>'Departamento'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Departamento'
,p_allow_sorting=>'N'
,p_allow_filtering=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(24130543202045222)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(94671476716550908)
,p_db_column_name=>'Agente'
,p_display_order=>110
,p_column_identifier=>'K'
,p_column_label=>'Usuario / Agente'
,p_allow_sorting=>'N'
,p_allow_filtering=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'RIGHT'
,p_rpt_named_lov=>wwv_flow_api.id(26745932656066265)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(94671503248550909)
,p_db_column_name=>unistr('\00C1rea actual')
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>unistr('\00C1rea Actual')
,p_allow_sorting=>'N'
,p_allow_filtering=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(23292472684565231)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(94671642362550910)
,p_db_column_name=>'OBSERVACIONES'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Observaciones'
,p_allow_sorting=>'N'
,p_allow_filtering=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(94671782057550911)
,p_db_column_name=>'URL'
,p_display_order=>140
,p_column_identifier=>'N'
,p_column_label=>'Url'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(94680600982552513)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'946807'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>unistr('ID:Fecha:Tipo:Departamento:Usuario:Estado:\00C1rea actual:Agente:OBSERVACIONES:')
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(96272816104318245)
,p_report_id=>wwv_flow_api.id(94680600982552513)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'PRESENTADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRESENTADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>1
,p_column_bg_color=>'#E8E8E8'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(96272062693318242)
,p_report_id=>wwv_flow_api.id(94680600982552513)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'EN PROCESO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''EN PROCESO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>2
,p_column_bg_color=>'#FFF5CE'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(96270805438318239)
,p_report_id=>wwv_flow_api.id(94680600982552513)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'A CORREGIR'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''A CORREGIR''  '
,p_enabled=>'Y'
,p_highlight_sequence=>3
,p_column_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(96271694220318241)
,p_report_id=>wwv_flow_api.id(94680600982552513)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'CORREGIDO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''CORREGIDO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>4
,p_column_bg_color=>'#D6D6D6'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(96272403599318243)
,p_report_id=>wwv_flow_api.id(94680600982552513)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'PRE-APROBADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRE-APROBADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>5
,p_column_bg_color=>'#D0F1CC'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(96271262504318240)
,p_report_id=>wwv_flow_api.id(94680600982552513)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'APROBADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''APROBADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>6
,p_column_bg_color=>'#99FF99'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(96273243174318245)
,p_report_id=>wwv_flow_api.id(94680600982552513)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'RECHAZADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''RECHAZADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>7
,p_column_bg_color=>'#FF776B'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(117597255670218850)
,p_plug_name=>'Solicitudes'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ',
'                    S.ID,  ',
'                    S.FECHA "Fecha",',
'                    S.SOLICITUD_TIPO_ID "Solicitud de",',
'                    S.MENSURA_TIPO_ID "Tipo",',
'                    S.ARCHIVO "Archivo",',
'                    S.vesep "VESEP",',
unistr('                    d.descripcion "Descripci\00F3n",'),
'                    E.DESCRIPCION "Estado",',
'                    S.PERSONA_ID "Usuario",',
'                    S.MC_DEPARTAMENTO_ID "Departamento",',
'                    PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID) "Agente",',
unistr('                    PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) "\00C1rea actual",'),
'                    th.observaciones',
'',
'',
'                 FROM SOLICITUD S, departamento d, PERSONA P2, ESTADO E,',
'                      (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN ',
'                           (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH ',
'',
'                WHERE s.mc_departamento_id = d.id(+)',
'                  --and S.PADRON_LOCALIDAD_ID = CL.ID(+)',
'                  AND S.ID = TH.SOLICITUD_ID',
'                  AND TH.ESTADO_ID = E.ID',
'                  ',
'                  AND TH.USUARIO_ID = P2.ID(+)',
'                  AND S.SOLICITUD_TIPO_ID = 3 ',
'                  --AND P2.ID = NVL(PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID), P2.ID) --A.PERSONA_ASIGNADA_ID(+)',
'                  --AND S.ID = A.SOLICITUD_ID(+)',
'                  AND ( ',
'                      (PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID) = :PERSONA_ID ',
'                           AND PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) = :AREA)',
'                       OR',
'                       (:PERFIL = 4)--admin',
'                       OR',
'                       (    :AREA in (7,8,9)',
unistr('                        AND TH.ESTADO_ID =6 )--Area de Registro Inform\00E1tico / GIS / Valuaci\00F3n'),
'                       OR',
'                      (S.PERSONA_ID = :PERSONA_ID) --Escribano',
'                      OR',
'                       (PKG_MENSURA.FNC_OBTENER_MUNICIPALIDAD(:PERSONA_ID) = S.PADRON_LOCALIDAD_ID AND ',
'                        :PERFIL = 13 AND ',
'                        PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) = 1 ) -- validar municipal ',
'                       OR',
'                       ( (PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID) = :PERSONA_ID ',
'                          OR PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID) is null)',
'                        AND',
'                        PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) = 2 AND :AREA = 2 ',
'                       )  -- validar area jefatura',
'                       OR',
'                      ( --es_jefe?',
'                          PKG_MENSURA.FNC_ES_JEFE_AREA(:PERSONA_ID) = 1 AND PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) = :AREA',
'                      )',
'                  )',
'                  AND ((:ES_INTERNO = ''S'' AND TH.ESTADO_ID != 0) OR :ES_INTERNO = ''N'')',
'                ORDER BY S.ID desc'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'EXISTS'
,p_plug_display_when_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from ROL_AREA_PERSONA',
'where (:PERSONA_ID = PERSONA_ID',
'   and ROL_AREA_ID not in (4,6,8) ) ',
'   or :ES_INTERNO = ''N'''))
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(117597701108218851)
,p_name=>'Solicitudes'
,p_max_row_count=>'1000000'
,p_max_row_count_message=>'The maximum row count for this report is #MAX_ROW_COUNT# rows.  Please apply a filter to reduce the number of records in your query.'
,p_no_data_found_message=>'No se encontraron Solicitud Pendientes ...'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_finder_drop_down=>'N'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'N'
,p_show_select_columns=>'N'
,p_show_rows_per_page=>'N'
,p_show_filter=>'N'
,p_show_sort=>'N'
,p_show_control_break=>'N'
,p_show_highlight=>'N'
,p_show_computation=>'N'
,p_show_aggregate=>'N'
,p_show_chart=>'N'
,p_show_group_by=>'N'
,p_show_pivot=>'N'
,p_show_flashback=>'N'
,p_show_download=>'N'
,p_show_help=>'N'
,p_owner=>'GEPLAM'
,p_internal_uid=>117597701108218851
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(17290861223798763)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'CC'
,p_column_label=>unistr('N\00BA')
,p_column_link=>'f?p=&APP_ID.:32:&SESSION.::&DEBUG.:Y,32:P32_ID:#ID#'
,p_column_linktext=>'#ID#'
,p_column_link_attr=>'class="t-Button t-Button--hot t-Button--simple"'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(17291213097798764)
,p_db_column_name=>'Fecha'
,p_display_order=>20
,p_column_identifier=>'BR'
,p_column_label=>'Fecha'
,p_column_html_expression=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<center>',
'<div style="width:70px;">#Fecha#</div>',
'</center>'))
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(17289602959798762)
,p_db_column_name=>'VESEP'
,p_display_order=>50
,p_column_identifier=>'BW'
,p_column_label=>'VESEP'
,p_column_type=>'STRING'
,p_heading_alignment=>'LEFT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(17290028943798763)
,p_db_column_name=>'Archivo'
,p_display_order=>60
,p_column_identifier=>'CA'
,p_column_label=>'Archivo'
,p_column_html_expression=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<center>',
'<div style="width:40px;">#Archivo#</div>',
'</center>'))
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(17291650597798764)
,p_db_column_name=>'Estado'
,p_display_order=>100
,p_column_identifier=>'CF'
,p_column_label=>'Estado'
,p_column_html_expression=>'<span style="display:block; width:100px">#Estado#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(17293687359798765)
,p_db_column_name=>'OBSERVACIONES'
,p_display_order=>140
,p_column_identifier=>'CN'
,p_column_label=>'Observaciones'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(14505046385064343)
,p_db_column_name=>'Solicitud de'
,p_display_order=>160
,p_column_identifier=>'CQ'
,p_column_label=>'Solicitud De'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(11166262134940062)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(25645121972252610)
,p_db_column_name=>'Tipo'
,p_display_order=>170
,p_column_identifier=>'CR'
,p_column_label=>'Tipo de Mensura'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(26470707688900206)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(25645224760252611)
,p_db_column_name=>unistr('\00C1rea actual')
,p_display_order=>180
,p_column_identifier=>'CS'
,p_column_label=>unistr('\00C1rea Actual')
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(23292472684565231)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(25645584720252614)
,p_db_column_name=>'Agente'
,p_display_order=>200
,p_column_identifier=>'CU'
,p_column_label=>'Usuario / Agente'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'RIGHT'
,p_rpt_named_lov=>wwv_flow_api.id(26745932656066265)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(25645622741252615)
,p_db_column_name=>'Usuario'
,p_display_order=>210
,p_column_identifier=>'CV'
,p_column_label=>'Solicitante'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(26745932656066265)
,p_rpt_show_filter_lov=>'1'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_display_condition=>'ES_INTERNO'
,p_display_condition2=>'S'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(38127108690827906)
,p_db_column_name=>unistr('Descripci\00F3n')
,p_display_order=>220
,p_column_identifier=>'CW'
,p_column_label=>unistr('Descripci\00F3n')
,p_column_type=>'STRING'
,p_display_condition_type=>'NEVER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(38127451294827909)
,p_db_column_name=>'Departamento'
,p_display_order=>230
,p_column_identifier=>'CX'
,p_column_label=>'Departamento'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(24130543202045222)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(117622723568220430)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'172940'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>unistr('ID:Fecha:Tipo:Departamento:Usuario:Estado:\00C1rea actual:Agente:OBSERVACIONES')
,p_sort_column_1=>'ID'
,p_sort_direction_1=>'DESC'
,p_sort_column_2=>'Fecha'
,p_sort_direction_2=>'DESC'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(24223860621432977)
,p_report_id=>wwv_flow_api.id(117622723568220430)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'PRESENTADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRESENTADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>1
,p_column_bg_color=>'#E8E8E8'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(24223075138432976)
,p_report_id=>wwv_flow_api.id(117622723568220430)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'EN PROCESO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''EN PROCESO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>2
,p_column_bg_color=>'#FFF5CE'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(24221820075432974)
,p_report_id=>wwv_flow_api.id(117622723568220430)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'A CORREGIR'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''A CORREGIR''  '
,p_enabled=>'Y'
,p_highlight_sequence=>3
,p_column_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(24222628286432976)
,p_report_id=>wwv_flow_api.id(117622723568220430)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'CORREGIDO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''CORREGIDO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>4
,p_column_bg_color=>'#D6D6D6'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(24223488147432977)
,p_report_id=>wwv_flow_api.id(117622723568220430)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'PRE-APROBADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRE-APROBADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>5
,p_column_bg_color=>'#D0F1CC'
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(24222229831432975)
,p_report_id=>wwv_flow_api.id(117622723568220430)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'APROBADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''APROBADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>6
,p_column_bg_color=>'#99FF99'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(24224210153432978)
,p_report_id=>wwv_flow_api.id(117622723568220430)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'RECHAZADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''RECHAZADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>7
,p_column_bg_color=>'#FF776B'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(18034131624180641)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(67632064959685543)
,p_button_name=>'CREATE'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Nueva Solicitud'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_redirect_url=>'f?p=&APP_ID.:32:&SESSION.::&DEBUG.:32::'
,p_button_condition=>'OBTENER_TIPO_SOLICITUD_POR_PERFIL(:PERFIL, 3) = 1'
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-plus'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(17297984641798794)
,p_branch_name=>'Cambiar_Pass_Redirect'
,p_branch_action=>'f?p=&APP_ID.:8:&SESSION.::&DEBUG.::P8_ID:&PERSONA_ID.'
,p_branch_point=>'BEFORE_HEADER'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>50
,p_branch_condition_type=>'EXISTS'
,p_branch_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona',
'where cuil = :app_user',
'  and PASSWORD_CHANGE = 1'))
);
wwv_flow_api.component_end;
end;
/
