prompt --application/pages/page_00027
begin
--   Manifest
--     PAGE: 00027
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>27
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'MODAL Escritura'
,p_alias=>'MODAL-ESCRITURA'
,p_page_mode=>'MODAL'
,p_step_title=>'Escritura'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_dialog_height=>'580'
,p_dialog_width=>'800'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210405123902'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(29924874599828021)
,p_plug_name=>'Botonera'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50729062024672289)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_03'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(86598810109398381)
,p_plug_name=>'Escritura'
,p_region_name=>'modalEscritura'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'TABLE'
,p_query_table=>'MENSURA_ESCRITURA'
,p_include_rowid_column=>false
,p_is_editable=>false
,p_plug_source_type=>'NATIVE_FORM'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'PLSQL_EXPRESSION'
,p_plug_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P27_ESCRITURA_ID is not null ',
'AND (:ES_INTERNO = ''S'' OR :P27_ESTADO_SOLICITUD not in (0,3))'))
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(33320724288172672)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(29924874599828021)
,p_button_name=>'CREAR'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Crear Escritura'
,p_button_position=>'REGION_TEMPLATE_CREATE'
,p_button_condition=>'P27_ESCRITURA_ID'
,p_button_condition_type=>'ITEM_IS_NULL'
,p_icon_css_classes=>'fa-plus'
,p_database_action=>'INSERT'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(33320384908172672)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(29924874599828021)
,p_button_name=>'ELIMINAR'
,p_button_action=>'REDIRECT_URL'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Eliminar Escritura'
,p_button_position=>'REGION_TEMPLATE_DELETE'
,p_button_redirect_url=>unistr('javascript:apex.confirm(''\00BFConfirma que desea eliminar la Escritura con sus Matr\00EDculas y Propietarios?'', ''ELIMINAR'');')
,p_button_execute_validations=>'N'
,p_button_condition=>':P27_ESCRITURA_ID is not null and :P27_ESTADO_SOLICITUD in (0,3) AND :ES_INTERNO != ''S'''
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-trash'
,p_database_action=>'DELETE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(33319982473172670)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(29924874599828021)
,p_button_name=>'GUARDAR'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Guardar Cambios'
,p_button_position=>'REGION_TEMPLATE_EDIT'
,p_button_condition=>':P27_ESCRITURA_ID is not null AND :P27_ESTADO_SOLICITUD in (0,3) AND :ES_INTERNO != ''S'''
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-save'
,p_database_action=>'UPDATE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(33321140439172672)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(29924874599828021)
,p_button_name=>'CANCELAR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Cancelar'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-times'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(23519651094654825)
,p_name=>'P27_PROFESIONAL_OTRO_NOMBRE'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(86598810109398381)
,p_item_source_plug_id=>wwv_flow_api.id(86598810109398381)
,p_prompt=>'Profesional Nombre'
,p_source=>'PROFESIONAL_OTRO_NOMBRE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>100
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(23519900925658799)
,p_name=>'P27_PROFESIONAL_OTRO_MP'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(86598810109398381)
,p_item_source_plug_id=>wwv_flow_api.id(86598810109398381)
,p_prompt=>'MP'
,p_source=>'PROFESIONAL_OTRO_MP'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>6
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(29925372907828026)
,p_name=>'P27_PROFESIONAL_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(86598810109398381)
,p_item_source_plug_id=>wwv_flow_api.id(86598810109398381)
,p_prompt=>'Escribano'
,p_source=>'PROFESIONAL_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select  D, R',
'from ( select  APELLIDO||'', ''||NOMBRE||'' - MP: ''||PROFESIONAL_MATRICULA D, ID R',
'         from    PERSONA',
'        where   PROFESIONAL_TIPO_ID = 1',
'      UNION',
'       select ''OTRO (Especificar)'' D, 0 R',
'         from dual)',
'ORDER BY R ASC',
''))
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(29925590394828028)
,p_name=>'P27_FECHA'
,p_source_data_type=>'DATE'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(86598810109398381)
,p_item_source_plug_id=>wwv_flow_api.id(86598810109398381)
,p_prompt=>'Fecha'
,p_source=>'FECHA'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_04=>'both'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(29925740062828030)
,p_name=>'P27_ESCRITURA_ID'
,p_source_data_type=>'NUMBER'
,p_is_primary_key=>true
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(86598810109398381)
,p_item_source_plug_id=>wwv_flow_api.id(86598810109398381)
,p_source=>'ESCRITURA_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(29925820363828031)
,p_name=>'P27_SOLICITUD_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(86598810109398381)
,p_item_source_plug_id=>wwv_flow_api.id(86598810109398381)
,p_source=>'SOLICITUD_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(29925979603828032)
,p_name=>'P27_NUMERO_ESCRITURA'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(86598810109398381)
,p_item_source_plug_id=>wwv_flow_api.id(86598810109398381)
,p_prompt=>unistr('N\00FAmero')
,p_source=>'NUMERO_ESCRITURA'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>30
,p_cMaxlength=>20
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(29926032973828033)
,p_name=>'P27_CON_ESCRITURA'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(86598810109398381)
,p_item_source_plug_id=>wwv_flow_api.id(86598810109398381)
,p_prompt=>'Tipo de Escritura'
,p_source=>'CON_ESCRITURA'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_CON_ESCRITURA'
,p_lov=>'.'||wwv_flow_api.id(53388130226690060)||'.'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33592495067289906)
,p_name=>'P27_ESTADO_SOLICITUD'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(86598810109398381)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(33381261470602815)
,p_computation_sequence=>10
,p_computation_item=>'P27_ESTADO_SOLICITUD'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'FUNCTION_BODY'
,p_computation=>'return FNC_OBTENER_ULTIMO_ESTADO(:P27_SOLICITUD_ID);'
,p_compute_when_type=>'NEVER'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(29927142605828044)
,p_validation_name=>'CON_ESCRITURA not null'
,p_validation_sequence=>10
,p_validation=>'P27_CON_ESCRITURA'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'Debe seleccionar si es con Escritura.'
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(29927287882828045)
,p_validation_name=>'NUMERO_ESCRITURA not null'
,p_validation_sequence=>20
,p_validation=>'P27_NUMERO_ESCRITURA'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('El N\00FAmero de la Escritura es un dato requerido.')
,p_validation_condition=>'P27_CON_ESCRITURA'
,p_validation_condition2=>'S'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(29925979603828032)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(29927345981828046)
,p_validation_name=>'FECHA not null'
,p_validation_sequence=>30
,p_validation=>'P27_NUMERO_ESCRITURA'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'La Fecha es un dato requerido.'
,p_validation_condition=>'P27_CON_ESCRITURA'
,p_validation_condition2=>'S'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(29925590394828028)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(29927499566828047)
,p_validation_name=>'PROFESIONAL_ID not null'
,p_validation_sequence=>40
,p_validation=>'P27_PROFESIONAL_ID'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'El Escribano es un dato requerido.'
,p_validation_condition=>'P27_CON_ESCRITURA'
,p_validation_condition2=>'S'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(29925372907828026)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(29927744254828050)
,p_validation_name=>'SIN_ESCRITURA unique'
,p_validation_sequence=>50
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT  1',
'FROM    MENSURA_ESCRITURA',
'WHERE   CON_ESCRITURA = ''N''',
'AND     SOLICITUD_ID = :P27_SOLICITUD_ID;'))
,p_validation_type=>'NOT_EXISTS'
,p_error_message=>'Solo se permite una Escritura sin escritura.'
,p_validation_condition=>'P27_CON_ESCRITURA'
,p_validation_condition2=>'N'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(29926032973828033)
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(23520460107660804)
,p_validation_name=>'Profesional_Otro_Nombre_Not_Null'
,p_validation_sequence=>60
,p_validation=>'P27_PROFESIONAL_OTRO_NOMBRE'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'El Nombre del Profesional es requerido.'
,p_validation_condition=>'P27_PROFESIONAL_ID'
,p_validation_condition_type=>'ITEM_IS_ZERO'
,p_associated_item=>wwv_flow_api.id(23519651094654825)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(23520593792660805)
,p_validation_name=>'Profesional_Otro_MP_Not_Null'
,p_validation_sequence=>70
,p_validation=>'P27_PROFESIONAL_OTRO_MP'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'La Matricula Profesional es requerida.'
,p_validation_condition=>'P27_PROFESIONAL_ID'
,p_validation_condition_type=>'ITEM_IS_ZERO'
,p_associated_item=>wwv_flow_api.id(23519900925658799)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(29926193514828034)
,p_name=>'CANCELAR'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(33321140439172672)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(29926206042828035)
,p_event_id=>wwv_flow_api.id(29926193514828034)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(29926737599828040)
,p_name=>'CON_ESCRITURA'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P27_CON_ESCRITURA'
,p_condition_element=>'P27_CON_ESCRITURA'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'S'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(29926889432828041)
,p_event_id=>wwv_flow_api.id(29926737599828040)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P27_NUMERO_ESCRITURA,P27_FECHA,P27_PROFESIONAL_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(29926994687828042)
,p_event_id=>wwv_flow_api.id(29926737599828040)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P27_NUMERO_ESCRITURA,P27_FECHA,P27_PROFESIONAL_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(29927041090828043)
,p_event_id=>wwv_flow_api.id(29926737599828040)
,p_event_result=>'FALSE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P27_NUMERO_ESCRITURA,P27_FECHA,P27_PROFESIONAL_ID'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23520199833660801)
,p_name=>'Change_igual_0'
,p_event_sequence=>30
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P27_PROFESIONAL_ID'
,p_condition_element=>'P27_PROFESIONAL_ID'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'0'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23520294955660802)
,p_event_id=>wwv_flow_api.id(23520199833660801)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P27_PROFESIONAL_OTRO_NOMBRE,P27_PROFESIONAL_OTRO_MP'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23520311227660803)
,p_event_id=>wwv_flow_api.id(23520199833660801)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P27_PROFESIONAL_OTRO_NOMBRE,P27_PROFESIONAL_OTRO_MP'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(29926367143828036)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_DML'
,p_process_name=>'PROCESO_AUTOMATICA'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_type=>'NEVER'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(29926575057828038)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'PROCESO'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'PKG_MENSURA.PRC_CONTROL_ESCRITURA(p_accion          => :REQUEST,',
'                                  p_escritura_id    => :P27_ESCRITURA_ID,',
'                                  p_solicitud       => :P27_SOLICITUD_ID,',
'                                  p_profesional     => :P27_PROFESIONAL_ID,',
'                                  p_nro_escritura   => :P27_NUMERO_ESCRITURA,',
'                                  p_fecha           => :P27_FECHA,',
'                                  p_con_escritura   => :P27_CON_ESCRITURA,',
'                                  p_profesional_otro_nombre  => :P27_PROFESIONAL_OTRO_NOMBRE,',
'                                  p_profesional_otro_mp      => :P27_PROFESIONAL_OTRO_MP',
'                               );',
''))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(29926408268828037)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(29925067631828023)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_region_id=>wwv_flow_api.id(86598810109398381)
,p_process_type=>'NATIVE_FORM_INIT'
,p_process_name=>'Initialize form MODAL Escritura'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
