prompt --application/pages/page_00029
begin
--   Manifest
--     PAGE: 00029
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>29
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'REPORTE Historico Jefe Mensura'
,p_alias=>'REPORTE-HISTORICO-JEFE-MENSURA'
,p_step_title=>unistr('Solicitudes Hist\00F3rico Mensura')
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>wwv_flow_api.id(36177586901013101)
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20201106173005'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(103796188720657288)
,p_plug_name=>unistr('Solicitudes Hist\00F3rico Mensura')
,p_icon_css_classes=>'fa-file-text-o'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50745897819672297)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(153761379431190595)
,p_plug_name=>'Solicitudes'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ',
'    S.ID,  ',
'    S.FECHA "Fecha",',
'    S.SOLICITUD_TIPO_ID "Solicitud de",',
'    S.MENSURA_TIPO_ID "Tipo",',
'    S.ARCHIVO "Archivo",',
'    S.vesep "VESEP",',
'    S.mc_departamento_id "Departamento",',
'    E.DESCRIPCION "Estado",',
'    S.PERSONA_ID "Usuario",',
'    PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID) "Agente",',
unistr('    --A.AREA_ACTUAL_ID "\00C1rea actual",'),
unistr('    PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) "\00C1rea actual",'),
'    th.observaciones',
'',
' FROM SOLICITUD S, PERSONA P2, ESTADO E,',
'     --AREAS_SOLICITUD A, catastro_localidad CL,departamento d,',
'      (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN ',
'           (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH',
'',
'WHERE S.ID = TH.SOLICITUD_ID',
'  --and s.mc_departamento_id = d.id(+)',
' -- and S.PADRON_LOCALIDAD_ID = CL.ID(+)',
'  AND TH.ESTADO_ID = E.ID',
'  AND TH.USUARIO_ID = P2.ID(+)',
'  AND S.SOLICITUD_TIPO_ID = 3 ',
'  --AND P2.ID = NVL(PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID), P2.ID) --A.PERSONA_ASIGNADA_ID(+)',
'  --AND S.ID = A.SOLICITUD_ID(+)',
'',
' -- AND :AREA = 2',
'  AND exists( SELECT 1 FROM AREAS_SOLICITUD',
'            WHERE SOLICITUD_ID = S.ID ',
'             AND (PERSONA_ASIGNADA_ID = :PERSONA_ID',
'             OR  PERSONA_ANTERIOR_ID = :PERSONA_ID ))',
'',
'      --( A.ID = PKG_MENSURA.FNC_OBTENER_SOLICITUD_AREA_ACTUAL(S.ID)) OR',
'ORDER BY s.id desc'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(153761824869190596)
,p_name=>'Solicitudes'
,p_max_row_count=>'1000000'
,p_max_row_count_message=>'The maximum row count for this report is #MAX_ROW_COUNT# rows.  Please apply a filter to reduce the number of records in your query.'
,p_no_data_found_message=>'No se encontraron Solicitud Pendientes ...'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_finder_drop_down=>'N'
,p_show_actions_menu=>'N'
,p_report_list_mode=>'NONE'
,p_show_detail_link=>'N'
,p_owner=>'GEPLAM'
,p_internal_uid=>153761824869190596
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(36166666957971767)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'CC'
,p_column_label=>unistr('N\00BA')
,p_column_link=>'f?p=&APP_ID.:32:&SESSION.::&DEBUG.:32:P32_ID,P32_READ_ONLY:#ID#,S'
,p_column_linktext=>'#ID#'
,p_column_link_attr=>'class="t-Button t-Button--hot t-Button--simple"'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(36167027557971768)
,p_db_column_name=>'Fecha'
,p_display_order=>20
,p_column_identifier=>'BR'
,p_column_label=>'Fecha'
,p_column_html_expression=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<center>',
'<div style="width:70px;">#Fecha#</div>',
'</center>'))
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(36165484621971764)
,p_db_column_name=>'VESEP'
,p_display_order=>50
,p_column_identifier=>'BW'
,p_column_label=>'VESEP'
,p_column_type=>'STRING'
,p_heading_alignment=>'LEFT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(36165845551971765)
,p_db_column_name=>'Archivo'
,p_display_order=>60
,p_column_identifier=>'CA'
,p_column_label=>'Archivo'
,p_column_html_expression=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<center>',
'<div style="width:40px;">#Archivo#</div>',
'</center>'))
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(36167496982971769)
,p_db_column_name=>'Estado'
,p_display_order=>100
,p_column_identifier=>'CF'
,p_column_label=>'Estado'
,p_column_html_expression=>'<span style="display:block; width:100px">#Estado#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(36167893230971770)
,p_db_column_name=>'OBSERVACIONES'
,p_display_order=>140
,p_column_identifier=>'CN'
,p_column_label=>'Observaciones'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(36165177706971763)
,p_db_column_name=>'Solicitud de'
,p_display_order=>160
,p_column_identifier=>'CQ'
,p_column_label=>'Solicitud De'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(11166262134940062)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(36168200852971770)
,p_db_column_name=>'Tipo'
,p_display_order=>170
,p_column_identifier=>'CR'
,p_column_label=>'Tipo de Mensura'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(26470707688900206)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(36168650742971771)
,p_db_column_name=>unistr('\00C1rea actual')
,p_display_order=>180
,p_column_identifier=>'CS'
,p_column_label=>unistr('\00C1rea Actual')
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(23292472684565231)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(36169007944971772)
,p_db_column_name=>'Agente'
,p_display_order=>200
,p_column_identifier=>'CU'
,p_column_label=>'Usuario / Agente'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'RIGHT'
,p_rpt_named_lov=>wwv_flow_api.id(26745932656066265)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(36169474879971773)
,p_db_column_name=>'Usuario'
,p_display_order=>210
,p_column_identifier=>'CV'
,p_column_label=>'Solicitante'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(26745932656066265)
,p_rpt_show_filter_lov=>'1'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_display_condition=>'ES_INTERNO'
,p_display_condition2=>'S'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(38127541340827910)
,p_db_column_name=>'Departamento'
,p_display_order=>220
,p_column_identifier=>'CW'
,p_column_label=>'Departamento'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(24130543202045222)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(153786847329192175)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'361698'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>unistr('ID:Fecha:Tipo:Departamento:Usuario:Estado:\00C1rea actual:Agente:OBSERVACIONES:')
,p_sort_column_1=>'ID'
,p_sort_direction_1=>'DESC'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(78298518047196949)
,p_report_id=>wwv_flow_api.id(153786847329192175)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'PRESENTADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRESENTADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>1
,p_column_bg_color=>'#E8E8E8'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(78297718453196949)
,p_report_id=>wwv_flow_api.id(153786847329192175)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'EN PROCESO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''EN PROCESO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>2
,p_column_bg_color=>'#FFF5CE'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(78296593896196948)
,p_report_id=>wwv_flow_api.id(153786847329192175)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'A CORREGIR'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''A CORREGIR''  '
,p_enabled=>'Y'
,p_highlight_sequence=>3
,p_column_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(78297315441196948)
,p_report_id=>wwv_flow_api.id(153786847329192175)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'CORREGIDO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''CORREGIDO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>4
,p_column_bg_color=>'#D6D6D6'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(78298177720196949)
,p_report_id=>wwv_flow_api.id(153786847329192175)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'PRE-APROBADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRE-APROBADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>5
,p_column_bg_color=>'#D0F1CC'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(78296995743196948)
,p_report_id=>wwv_flow_api.id(153786847329192175)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'APROBADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''APROBADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>6
,p_column_bg_color=>'#99FF99'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(78298975875196950)
,p_report_id=>wwv_flow_api.id(153786847329192175)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'RECHAZADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''RECHAZADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>7
,p_column_bg_color=>'#FF776B'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(36173879860971799)
,p_branch_name=>'Cambiar_Pass_Redirect'
,p_branch_action=>'f?p=&APP_ID.:8:&SESSION.::&DEBUG.::P8_ID:&PERSONA_ID.'
,p_branch_point=>'BEFORE_HEADER'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>50
,p_branch_condition_type=>'EXISTS'
,p_branch_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona',
'where cuil = :app_user',
'  and PASSWORD_CHANGE = 1'))
);
wwv_flow_api.component_end;
end;
/
