prompt --application/pages/page_00034
begin
--   Manifest
--     PAGE: 00034
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>34
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'REPORTE Nueva Solicitud'
,p_alias=>'NUEVA-SOLICITUD'
,p_page_mode=>'MODAL'
,p_step_title=>'Nueva Solicitud'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_dialog_chained=>'N'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210315125014'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(11716495207175528)
,p_plug_name=>'Nueva Solicitud'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(11716611347175530)
,p_plug_name=>'Buttons Container'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50729062024672289)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_03'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(64005506776436779)
,p_name=>'Solicitudes'
,p_template=>wwv_flow_api.id(50728007787672288)
,p_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#:u-colors:t-Cards--featured force-fa-lg:t-Cards--3cols:t-Cards--animColorFill'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ID,',
'       DESCRIPCION "CARD_TITLE",',
'       ORGANISMO_ID,',
'       ''fa fa-file-plus'' "CARD_ICON",',
'       /*CASE ID',
'           WHEN 3 THEN',
'               APEX_PAGE.GET_URL (',
'                    p_page   => 32,',
'                    p_clear_cache  => 32 )',
'           ELSE*/',
'               CASE ORGANISMO_ID',
'                   WHEN 1 THEN',
'                   APEX_PAGE.GET_URL (',
'                        p_page   => 31,',
'                        p_clear_cache  => 31,',
'                        p_items  => ''P31_ORGANISMO,P31_SOLICITUD_TIPO_ID'',',
'                        p_values => ORGANISMO_ID||'',''||ID )',
'                   WHEN 2 THEN',
'                   APEX_PAGE.GET_URL (',
'                        p_page   => 31,',
'                        p_clear_cache  => 31,',
'                        p_items  => ''P31_ORGANISMO,P31_SOLICITUD_TIPO_PROPIEDAD'',',
'                        p_values => ORGANISMO_ID||'',''||ID )',
'                   END "CARD_LINK"',
'  from SOLICITUD_TIPO',
' where ORGANISMO_ID = :P34_ORGANISMO',
'  and  OBTENER_TIPO_SOLICITUD_POR_PERFIL(:PERFIL, ID) = 1',
'  and  ((id = 10 and :perfil = 12 and :persona_id = 1100) -- Estado Parcelario de Organismo Exento solo para Una Persona en Particular',
'     or (id = 10 and :perfil !=12)                        -- Estado Parcelario Para cualquier Perfil',
'     or (id != 10))                                       -- Otras Solicitudes ',
'  and  ID != 3'))
,p_ajax_enabled=>'Y'
,p_ajax_items_to_submit=>'P34_ORGANISMO'
,p_query_row_template=>wwv_flow_api.id(51913252266547681)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_no_data_found=>'No se encontraron Solicitudes.'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(13661213155549973)
,p_query_column_id=>1
,p_column_alias=>'ID'
,p_column_display_sequence=>1
,p_column_heading=>'Id'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(13662070084549974)
,p_query_column_id=>2
,p_column_alias=>'CARD_TITLE'
,p_column_display_sequence=>3
,p_column_heading=>'Card Title'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(13661643402549973)
,p_query_column_id=>3
,p_column_alias=>'ORGANISMO_ID'
,p_column_display_sequence=>2
,p_column_heading=>'Organismo Id'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(13662837116549974)
,p_query_column_id=>4
,p_column_alias=>'CARD_ICON'
,p_column_display_sequence=>5
,p_column_heading=>'Card Icon'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(13662499337549974)
,p_query_column_id=>5
,p_column_alias=>'CARD_LINK'
,p_column_display_sequence=>4
,p_column_heading=>'Card Link'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(11716891604175532)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(11716611347175530)
,p_button_name=>'CANCELAR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Cancelar'
,p_button_position=>'REGION_TEMPLATE_CLOSE'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-times'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(11716550197175529)
,p_name=>'P34_ORGANISMO'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(11716495207175528)
,p_item_default=>'1'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(11716905001175533)
,p_validation_name=>'ORGANISMO NOT NULL'
,p_validation_sequence=>10
,p_validation=>'P34_ORGANISMO'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'Debe seleccionar un Organismo.'
,p_associated_item=>wwv_flow_api.id(11716550197175529)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(11717071758175534)
,p_name=>'Cancel Dialog'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(11716891604175532)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(11717118352175535)
,p_event_id=>wwv_flow_api.id(11717071758175534)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(11717423935175538)
,p_name=>'Refrescar'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P34_ORGANISMO'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(11717525313175539)
,p_event_id=>wwv_flow_api.id(11717423935175538)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(64005506776436779)
);
wwv_flow_api.component_end;
end;
/
