prompt --application/pages/page_00041
begin
--   Manifest
--     PAGE: 00041
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>41
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'SOLICITUD PRESENTADA CATASTRO'
,p_step_title=>'Solicitud Presentada Catastro'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'',
'',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#P41_VF_WS_MESSAGE_CONTAINER .t-Form-itemWrapper{',
'    justify-content: center;',
'}',
'',
'#P41_VF_WS_MESSAGE{',
'    color: red;',
'    font-weight: bold;',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_help_text=>'No help is available for this page.'
,p_page_comment=>unistr('onChange=\201Djavascript:f_AsignaNombre()\201D;')
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210407122453'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(25644758608252606)
,p_plug_name=>'Solicitud Presentada Catastro'
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useRegionTitle'
,p_plug_template=>wwv_flow_api.id(50764894046672306)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(104665753362355633)
,p_plug_name=>'SOLICITUD'
,p_region_template_options=>'#DEFAULT#:t-TabsRegion-mod--fillLabels:t-TabsRegion-mod--pill:t-TabsRegion-mod--large'
,p_plug_template=>wwv_flow_api.id(50762297377672305)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(104671314857355661)
,p_plug_name=>'Estado de la Solicitud'
,p_parent_plug_id=>wwv_flow_api.id(104665753362355633)
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useBreadcrumbTitle'
,p_plug_template=>wwv_flow_api.id(50764894046672306)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(110281777836870774)
,p_plug_name=>'Estado Actual'
,p_parent_plug_id=>wwv_flow_api.id(104671314857355661)
,p_region_template_options=>'#DEFAULT#:t-Region--accent1:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'PLSQL_EXPRESSION'
,p_plug_display_when_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'(:PERFIL = 2 and :P41_SOLICITUD_ESTADO_ACTUAL in (1,2,4))',
'or  ',
'(:PERFIL = 3 and :P41_SOLICITUD_ESTADO_ACTUAL in (1,2,4,5))',
'or ',
'(:PERFIL = 4 and :P41_SOLICITUD_ESTADO_ACTUAL in (1,2,3,4,5,6,7))'))
,p_plug_read_only_when_type=>'PLSQL_EXPRESSION'
,p_plug_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P41_ESTADO_ACTUAL in (6,7) ',
'and :perfil != 4'))
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(116390340819397972)
,p_plug_name=>'Seguimiento de la Solicitud'
,p_parent_plug_id=>wwv_flow_api.id(104671314857355661)
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--accent1:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50738418481672294)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    H.ID, ',
'    TO_CHAR(H.fecha, ''DD/MM/YYYY - HH24:MI'')||''hrs.'' Fecha,',
'    E.DESCRIPCION Estado,',
'    per.descripcion||'': ''|| p.apellido||'', ''||p.nombre Agente,',
'    h.OBSERVACIONES Observaciones',
'    ',
'from SOLICITUD_ESTADO_HISTORICO H, ESTADO E, persona p, perfil per',
'WHERE H.SOLICITUD_ID = :P41_ID',
'AND H.ESTADO_ID = E.ID',
'AND H.USUARIO_ID = p.ID(+)',
'and p.perfil_id = per.id',
'',
'ORDER BY H.ID ASC'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'ALWAYS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_document_header=>'APEX'
,p_prn_units=>'MILLIMETERS'
,p_prn_paper_size=>'A4'
,p_prn_width=>210
,p_prn_height=>297
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(116391289891397981)
,p_max_row_count=>'1000000'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_search_bar=>'N'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'N'
,p_owner=>'CATASTRO'
,p_internal_uid=>116391289891397981
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52588223582212354)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52588688473212355)
,p_db_column_name=>'ESTADO'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Estado'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52589048202212355)
,p_db_column_name=>'AGENTE'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Usuario/ Agente '
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52589448441212355)
,p_db_column_name=>'OBSERVACIONES'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Observaciones'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52589898903212355)
,p_db_column_name=>'FECHA'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Fecha'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(116721272777271683)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'525902'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'FECHA:ESTADO:AGENTE:OBSERVACIONES:'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(52590637287212356)
,p_report_id=>wwv_flow_api.id(116721272777271683)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'PRESENTADO'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRESENTADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>1
,p_column_bg_color=>'#E8E8E8'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(52591092155212356)
,p_report_id=>wwv_flow_api.id(116721272777271683)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'EN PROCESO'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''EN PROCESO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>2
,p_column_bg_color=>'#FFF5CE'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(52591480414212357)
,p_report_id=>wwv_flow_api.id(116721272777271683)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'A CORREGIR'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''A CORREGIR''  '
,p_enabled=>'Y'
,p_highlight_sequence=>3
,p_column_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(52591835719212357)
,p_report_id=>wwv_flow_api.id(116721272777271683)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'CORREGIDO'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''CORREGIDO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>4
,p_column_bg_color=>'#D6D6D6'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(52592227317212357)
,p_report_id=>wwv_flow_api.id(116721272777271683)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'PRE-APROBADO'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRE-APROBADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>5
,p_column_bg_color=>'#D0F1CC'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(52592633797212357)
,p_report_id=>wwv_flow_api.id(116721272777271683)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'APROBADO'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''APROBADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>6
,p_column_bg_color=>'#99FF99'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(52593086806212358)
,p_report_id=>wwv_flow_api.id(116721272777271683)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'RECHAZADO'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''RECHAZADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>7
,p_column_bg_color=>'#FF776B'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(110645646356043157)
,p_plug_name=>'Solicitud de Referencia'
,p_parent_plug_id=>wwv_flow_api.id(104665753362355633)
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useBreadcrumbTitle'
,p_plug_template=>wwv_flow_api.id(50764894046672306)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'EXISTS'
,p_plug_display_when_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from solicitud',
'where id = (select SOLICITUD_DE_REFERENCIA_ID ',
'            from solicitud ',
'            where id = :p41_id)'))
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(110645798979043158)
,p_plug_name=>'Solicitud de Referencia'
,p_parent_plug_id=>wwv_flow_api.id(110645646356043157)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50724384228672284)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ',
'    S.ID,',
unistr('    S.ID "N\00BA", '),
'    S.FECHA "Fecha",',
'    T.DESCRIPCION "Solicitud de",',
'    CT.DESCRIPCION "Tipo",',
unistr('    --S.MATRICULA_CATASTRAL||'' ''||S.MATRICULA_CATASTRAL_OP||S.PADRON_NUMERO "Matr\00EDcula / Padr\00F3n",'),
unistr('    S.MATRICULA_CATASTRAL||'' ''||S.MATRICULA_CATASTRAL_OP "Matr\00EDcula",'),
unistr('    S.PADRON_NUMERO||'' ''||S.PADRON_LOTE||'' ''||S.PADRON_MANZANA "Padr\00F3n",'),
'    ''CUIL: ''||p.CUIL||'': ''||p.APELLIDO||'', ''||p.NOMBRE "Profesional",',
'    E.DESCRIPCION "Estado",',
'    p2.APELLIDO||'', ''||p2.NOMBRE "Agente",',
'    dbms_lob.getlength(COMPROBANTE_BLOB_CONTENT) COMPROBANTE_BLOB_CONTENT,',
'    dbms_lob.getlength(PLANO_BLOB_CONTENT) PLANO_BLOB_CONTENT,',
'    dbms_lob.getlength(CC_BLOB_CONTENT) CC_BLOB_CONTENT',
'',
' FROM SOLICITUD S, SOLICITUD_TIPO T, PERSONA P, PERSONA P2, ESTADO E, CATASTRADO_TIPO CT,',
'      (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH ',
'      ',
'WHERE S.SOLICITUD_TIPO_ID = T.ID',
'  AND S.PERSONA_ID = P.Id',
'  AND S.CATASTRADO_TIPO_ID = CT.ID',
'  AND S.ID = TH.SOLICITUD_ID',
'  AND TH.ESTADO_ID = E.ID',
'  AND TH.USUARIO_ID = P2.ID(+)',
'  and s.id = (select SOLICITUD_DE_REFERENCIA_ID ',
'              from solicitud ',
'              where id = :p41_id)',
'',
'',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_document_header=>'APEX'
,p_prn_units=>'MILLIMETERS'
,p_prn_paper_size=>'A4'
,p_prn_width=>210
,p_prn_height=>297
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(110645827167043159)
,p_max_row_count=>'1000000'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'C'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:EMAIL:XLS:PDF:RTF'
,p_detail_link=>unistr('f?p=&APP_ID.:41:&SESSION.::&DEBUG.:41:P41_ID:#N\00BA#')
,p_detail_link_text=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-pencil.png" class="apex-edit-pencil" alt="">'
,p_detail_link_attr=>'target="_blank"'
,p_owner=>'CATASTRO'
,p_internal_uid=>110645827167043159
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52597604651212362)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'BM'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52594040574212359)
,p_db_column_name=>unistr('N\00BA')
,p_display_order=>20
,p_column_identifier=>'AS'
,p_column_label=>unistr('N\00BA')
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52594469578212360)
,p_db_column_name=>'Fecha'
,p_display_order=>30
,p_column_identifier=>'AT'
,p_column_label=>'Fecha'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52594857166212360)
,p_db_column_name=>'Tipo'
,p_display_order=>40
,p_column_identifier=>'AU'
,p_column_label=>'Tipo'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52595226348212360)
,p_db_column_name=>unistr('Matr\00EDcula')
,p_display_order=>50
,p_column_identifier=>'AV'
,p_column_label=>unistr('Matr\00EDcula')
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52595681306212361)
,p_db_column_name=>unistr('Padr\00F3n')
,p_display_order=>60
,p_column_identifier=>'AW'
,p_column_label=>unistr('Padr\00F3n')
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52596090783212361)
,p_db_column_name=>'Profesional'
,p_display_order=>70
,p_column_identifier=>'AZ'
,p_column_label=>'Profesional'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52596454835212361)
,p_db_column_name=>'Estado'
,p_display_order=>80
,p_column_identifier=>'BA'
,p_column_label=>'Estado'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52596895199212361)
,p_db_column_name=>'Agente'
,p_display_order=>90
,p_column_identifier=>'BB'
,p_column_label=>'Agente'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52597282152212362)
,p_db_column_name=>'COMPROBANTE_BLOB_CONTENT'
,p_display_order=>100
,p_column_identifier=>'BH'
,p_column_label=>'Comprobante'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DOWNLOAD:SOLICITUD:COMPROBANTE_BLOB_CONTENT:ID::COMPROBANTE_MIME_TYPE:COMPROBANTE_FILENAME:COMPROBANTE_LAST_UPDATED:COMPROBANTE_CHARACTER_SET:attachment::'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52598036923212362)
,p_db_column_name=>'PLANO_BLOB_CONTENT'
,p_display_order=>110
,p_column_identifier=>'BN'
,p_column_label=>'Plano'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DOWNLOAD:SOLICITUD:PLANO_BLOB_CONTENT:ID::PLANO_MIME_TYPE:PLANO_FILENAME:PLANO_LAST_UPDATED:PLANO_CHARACTER_SET:attachment::'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52598472247212362)
,p_db_column_name=>'CC_BLOB_CONTENT'
,p_display_order=>120
,p_column_identifier=>'BO'
,p_column_label=>'Certificado'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DOWNLOAD:SOLICITUD:CC_BLOB_CONTENT:ID::CC_MIME_TYPE:CC_FILENAME:CC_LAST_UPDATED:CC_CHARACTER_SET:attachment::'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52598805190212363)
,p_db_column_name=>'Solicitud de'
,p_display_order=>130
,p_column_identifier=>'BP'
,p_column_label=>'Solicitud De'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(110725809154168652)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'525992'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>unistr('N\00BA:Fecha:Solicitud de:Tipo:Matr\00EDcula:Padr\00F3n:Profesional:Estado:PLANO_BLOB_CONTENT:CC_BLOB_CONTENT:')
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(111047696869011874)
,p_plug_name=>'Datos Catastrales'
,p_parent_plug_id=>wwv_flow_api.id(104665753362355633)
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useBreadcrumbTitle'
,p_plug_template=>wwv_flow_api.id(50764894046672306)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'ALWAYS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(104669686492355657)
,p_plug_name=>unistr('Vesep, N\00BA de Archivo y Tipo de Operaci\00F3n')
,p_parent_plug_id=>wwv_flow_api.id(111047696869011874)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>50
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'PLSQL_EXPRESSION'
,p_plug_display_when_condition=>':P41_SOLICITUD_TIPO_ID in (1,10)'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(104671726171355661)
,p_plug_name=>'Datos Catastrales &P41_PROVISORIO.'
,p_parent_plug_id=>wwv_flow_api.id(111047696869011874)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(110319107803209659)
,p_plug_name=>'Propietario / Sujeto'
,p_parent_plug_id=>wwv_flow_api.id(111047696869011874)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50724384228672284)
,p_plug_display_sequence=>60
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'NEVER'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(114036212682612153)
,p_plug_name=>'Propietario / Sujeto'
,p_parent_plug_id=>wwv_flow_api.id(110319107803209659)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>150
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select',
'    sp.ID,',
'    SP.SECUeNCIA "Orden",',
'    pt.descripcion Tipo,',
'    sp.DNI "D.N.I",',
'    sp.CUIL "CUIL/T",',
unistr('    sp.RAZON_SOCIAL||sp.NOMBRE||'' ''||sp.APELLIDO "Nombre o Raz\00F3n Social",'),
'    s.descripcion Sexo,',
'    sp.FECHANACIMIENTO "Fecha/Nac.",',
'    p.nacionalidad Nacionalidad,',
'    sp.DOMICILIO_CALLE ||'' ''||sp.DOMICILIO_NUMERO "Domicilio",',
'    l.codigopostal||'': ''||l.DESCRIPCION Localidad,',
'    ec.descripcion "Estado Civil",',
'    sp.SOLICITUD_ID,',
'    USUARIO_ID,',
unistr('    dt.descripcion "D\00D1O Tipo",'),
'    ''Cargar Fotos'' "Cargar Fotos",',
'    sp.sucesion',
'  ',
unistr('  from SOLICITUD_PERSONAS SP, pais p, localidad l, sexo s, ESTADO_CIVIL ec, PERSONA_TIPO pt , DUE\00D1O_TIPO dt '),
' WHERE ((SP.SOLICITUD_ID = :P41_ID) OR (SP.SOLICITUD_ID IS NULL AND SP.USUARIO_ID = :PERSONA_ID))',
'   AND SP.INTERVINIENTES_TIPO_ID = 1',
'   and sp.NACIONALIDAD_ID = p.id(+)',
'   and sp.DOMICILIO_LOCALIDAD_ID = l.id(+)',
'   and sp.sexo_id = s.id(+)',
'   and sp.ESTADO_CIVIL_ID = ec.id(+)',
'   and sp.PERSONA_TIPO_ID = pt.id(+)',
unistr('   and sp.DUE\00D1O_TIPO_ID = dt.id(+)'),
'   ',
' order by sp.id asc'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(114036556539612153)
,p_name=>'Report 1'
,p_max_row_count_message=>'The maximum row count for this report is #MAX_ROW_COUNT# rows.  Please apply a filter to reduce the number of records in your query.'
,p_no_data_found_message=>'No data found.'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_search_bar=>'N'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'C'
,p_detail_link=>'f?p=&APP_ID.:313:&SESSION.::&DEBUG.:RP,313:P313_ID:#ID#'
,p_detail_link_text=>'<center><span aria-label="Edit"><span aria-hidden="true" class="fa fa-search-plus"></span></span></center>'
,p_owner=>'CATASTRO'
,p_internal_uid=>114036556539612153
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52610773268212372)
,p_db_column_name=>'ID'
,p_display_order=>1
,p_column_identifier=>'A'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52609584182212371)
,p_db_column_name=>'Orden'
,p_display_order=>11
,p_column_identifier=>'L'
,p_column_label=>'Orden'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52609952326212371)
,p_db_column_name=>'TIPO'
,p_display_order=>21
,p_column_identifier=>'M'
,p_column_label=>'Tipo'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52605968614212369)
,p_db_column_name=>unistr('D\00D1O Tipo')
,p_display_order=>31
,p_column_identifier=>'U'
,p_column_label=>unistr('D\00F1o Tipo')
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52605589307212368)
,p_db_column_name=>'SUCESION'
,p_display_order=>41
,p_column_identifier=>'T'
,p_column_label=>'Sucesion'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'CENTER'
,p_rpt_named_lov=>wwv_flow_api.id(50926661583711499)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52606398191212369)
,p_db_column_name=>'D.N.I'
,p_display_order=>51
,p_column_identifier=>'B'
,p_column_label=>'D.N.I'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52606758290212369)
,p_db_column_name=>'CUIL/T'
,p_display_order=>61
,p_column_identifier=>'C'
,p_column_label=>'CUIL&#x2F;T'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52610351983212372)
,p_db_column_name=>unistr('Nombre o Raz\00F3n Social')
,p_display_order=>71
,p_column_identifier=>'O'
,p_column_label=>unistr('Nombre y Apellido<br> o Raz\00F3n Social')
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52607138743212370)
,p_db_column_name=>'SEXO'
,p_display_order=>81
,p_column_identifier=>'F'
,p_column_label=>'Sexo'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52607595153212370)
,p_db_column_name=>'Fecha/Nac.'
,p_display_order=>91
,p_column_identifier=>'G'
,p_column_label=>'Fecha nac.'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52607938941212370)
,p_db_column_name=>'NACIONALIDAD'
,p_display_order=>101
,p_column_identifier=>'H'
,p_column_label=>'Nacionalidad'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52608337933212370)
,p_db_column_name=>'Domicilio'
,p_display_order=>111
,p_column_identifier=>'I'
,p_column_label=>'Domicilio'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52608755089212371)
,p_db_column_name=>'LOCALIDAD'
,p_display_order=>121
,p_column_identifier=>'J'
,p_column_label=>'Localidad'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52609199489212371)
,p_db_column_name=>'Estado Civil'
,p_display_order=>131
,p_column_identifier=>'K'
,p_column_label=>'Estado Civil'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52611165102212372)
,p_db_column_name=>'SOLICITUD_ID'
,p_display_order=>141
,p_column_identifier=>'P'
,p_column_label=>'Solicitud Id'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52611510334212373)
,p_db_column_name=>'USUARIO_ID'
,p_display_order=>151
,p_column_identifier=>'R'
,p_column_label=>'Usuario Id'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52611964255212373)
,p_db_column_name=>'Cargar Fotos'
,p_display_order=>161
,p_column_identifier=>'S'
,p_column_label=>'Fotos'
,p_column_link=>'f?p=&APP_ID.:312:&SESSION.::&DEBUG.:RP,312:P312_SOLICITUD_PERSONAS_ID,P312_SECUENCIA:#ID#,1'
,p_column_linktext=>'#Cargar Fotos#'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
,p_display_condition_type=>'NEVER'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(114047593358614434)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'526123'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>unistr('Orden:TIPO:D\00D1O Tipo:SUCESION:D.N.I:CUIL/T:Nombre o Raz\00F3n Social:SEXO:Fecha/Nac.:NACIONALIDAD:')
,p_sort_column_1=>'Orden'
,p_sort_direction_1=>'ASC'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(111332313425919254)
,p_plug_name=>'Beneficiario'
,p_parent_plug_id=>wwv_flow_api.id(111047696869011874)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50724384228672284)
,p_plug_display_sequence=>70
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'NEVER'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(112820330744857768)
,p_plug_name=>'Beneficiario / Solicitante'
,p_parent_plug_id=>wwv_flow_api.id(111332313425919254)
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>160
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select',
'    sp.ID,',
'    SP.SECUeNCIA "Orden",',
'    pt.descripcion Tipo,',
'    sp.DNI "D.N.I",',
'    sp.CUIL "CUIL/T",',
unistr('    sp.RAZON_SOCIAL||sp.NOMBRE||'' ''||sp.APELLIDO "Nombre o Raz\00F3n Social",'),
'    s.descripcion Sexo,',
'    sp.FECHANACIMIENTO "Fecha/Nac.",',
'    p.nacionalidad Nacionalidad,',
'    sp.DOMICILIO_CALLE ||'' ''||sp.DOMICILIO_NUMERO "Domicilio",',
'    l.codigopostal||'': ''||l.DESCRIPCION Localidad,',
'    ec.descripcion "Estado Civil",',
'    sp.SOLICITUD_ID,',
'    USUARIO_ID,',
'    ''Cargar Fotos'' "Cargar Fotos"',
'  ',
'  from SOLICITUD_PERSONAS SP, pais p, localidad l, sexo s, ESTADO_CIVIL ec, PERSONA_TIPO pt',
' WHERE ((SP.SOLICITUD_ID = :P41_ID) OR (SP.SOLICITUD_ID IS NULL AND SP.USUARIO_ID = :PERSONA_ID))',
'   AND SP.INTERVINIENTES_TIPO_ID = 2',
'   and sp.NACIONALIDAD_ID = p.id(+)',
'   and sp.DOMICILIO_LOCALIDAD_ID = l.id(+)',
'   and sp.sexo_id = s.id(+)',
'   and sp.ESTADO_CIVIL_ID = ec.id(+)',
'   and sp.PERSONA_TIPO_ID = pt.id(+)',
'   ',
' order by sp.id asc'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(112820555962857770)
,p_max_row_count_message=>'The maximum row count for this report is #MAX_ROW_COUNT# rows.  Please apply a filter to reduce the number of records in your query.'
,p_no_data_found_message=>'No data found.'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_search_bar=>'N'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'C'
,p_detail_link=>'f?p=&APP_ID.:313:&SESSION.::&DEBUG.:RP,313:P313_ID:#ID#'
,p_detail_link_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<center><span aria-label="Edit"><span aria-hidden="true" class="fa fa-search-plus"></span></span></center>',
''))
,p_owner=>'CATASTRO'
,p_internal_uid=>112820555962857770
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52613327405212375)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52613793399212375)
,p_db_column_name=>'D.N.I'
,p_display_order=>30
,p_column_identifier=>'B'
,p_column_label=>'D.N.I'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52614182896212375)
,p_db_column_name=>'CUIL/T'
,p_display_order=>40
,p_column_identifier=>'C'
,p_column_label=>'CUIL&#x2F;T'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52614563582212376)
,p_db_column_name=>'SEXO'
,p_display_order=>50
,p_column_identifier=>'D'
,p_column_label=>'Sexo'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52614990105212376)
,p_db_column_name=>'Fecha/Nac.'
,p_display_order=>60
,p_column_identifier=>'E'
,p_column_label=>'Fecha nac.'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52615320505212376)
,p_db_column_name=>'NACIONALIDAD'
,p_display_order=>70
,p_column_identifier=>'F'
,p_column_label=>'Nacionalidad'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52615735148212376)
,p_db_column_name=>'Domicilio'
,p_display_order=>80
,p_column_identifier=>'G'
,p_column_label=>'Domicilio'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52616110035212377)
,p_db_column_name=>'LOCALIDAD'
,p_display_order=>90
,p_column_identifier=>'H'
,p_column_label=>'Localidad'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52616588064212377)
,p_db_column_name=>'Estado Civil'
,p_display_order=>100
,p_column_identifier=>'I'
,p_column_label=>'Estado Civil'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52616933267212377)
,p_db_column_name=>'Orden'
,p_display_order=>110
,p_column_identifier=>'J'
,p_column_label=>'Orden'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52617352082212378)
,p_db_column_name=>'TIPO'
,p_display_order=>120
,p_column_identifier=>'K'
,p_column_label=>'Tipo'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52617707432212378)
,p_db_column_name=>unistr('Nombre o Raz\00F3n Social')
,p_display_order=>130
,p_column_identifier=>'L'
,p_column_label=>unistr('Nombre y Apellido<br> o Raz\00F3n Social')
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52618133144212378)
,p_db_column_name=>'SOLICITUD_ID'
,p_display_order=>140
,p_column_identifier=>'M'
,p_column_label=>'Solicitud Id'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52618599324212378)
,p_db_column_name=>'USUARIO_ID'
,p_display_order=>150
,p_column_identifier=>'N'
,p_column_label=>'Usuario Id'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(52618993184212379)
,p_db_column_name=>'Cargar Fotos'
,p_display_order=>160
,p_column_identifier=>'O'
,p_column_label=>'Fotos'
,p_column_link=>'f?p=&APP_ID.:312:&SESSION.::&DEBUG.:RP,312:P312_SOLICITUD_PERSONAS_ID,P312_SECUENCIA:#ID#,1'
,p_column_linktext=>'#Cargar Fotos#'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
,p_display_condition_type=>'NEVER'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(113019500754660428)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'526193'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>unistr('Orden:TIPO:D.N.I:CUIL/T:Nombre o Raz\00F3n Social:SEXO:Fecha/Nac.:NACIONALIDAD')
,p_sort_column_1=>'Orden'
,p_sort_direction_1=>'ASC'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(116938841284345545)
,p_plug_name=>'Catastrado &P41_PROVISORIO.'
,p_parent_plug_id=>wwv_flow_api.id(111047696869011874)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P41_CATASTRADO_TIPO_ID'
,p_plug_display_when_cond2=>'1'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(116939950918346979)
,p_plug_name=>'No Catastrado &P41_PROVISORIO.'
,p_parent_plug_id=>wwv_flow_api.id(111047696869011874)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>40
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P41_CATASTRADO_TIPO_ID'
,p_plug_display_when_cond2=>'2'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(111047788534011875)
,p_plug_name=>'Archivos'
,p_parent_plug_id=>wwv_flow_api.id(104665753362355633)
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useBreadcrumbTitle'
,p_plug_template=>wwv_flow_api.id(50764894046672306)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(104535862226555436)
,p_plug_name=>'&P41_REGION_NAME_CC_EP.'
,p_parent_plug_id=>wwv_flow_api.id(111047788534011875)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>120
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'PLSQL_EXPRESSION'
,p_plug_display_when_condition=>':P41_SOLICITUD_TIPO_ID in (1,10) and :P41_SOLICITUD_ESTADO_ACTUAL != 1'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(110876154439012890)
,p_plug_name=>'Comprobante de Pago'
,p_parent_plug_id=>wwv_flow_api.id(111047788534011875)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>100
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_NULL'
,p_plug_display_when_condition=>'P41_COMPROBANTE_NUMERO'
,p_plug_read_only_when_type=>'ALWAYS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(111756052988554532)
,p_plug_name=>unistr('Valuaci\00F3n Fiscal')
,p_parent_plug_id=>wwv_flow_api.id(111047788534011875)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>130
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'EXISTS'
,p_plug_display_when_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where :P41_SOLICITUD_TIPO_ID in (1,2)',
'and :P41_SOLICITUD_ESTADO_ACTUAL != 1'))
,p_plug_read_only_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_read_only_when=>'P41_SOLICITUD_ESTADO_ACTUAL'
,p_plug_read_only_when2=>'3'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(116995532556797276)
,p_plug_name=>'Plano'
,p_parent_plug_id=>wwv_flow_api.id(111047788534011875)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>110
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'PLSQL_EXPRESSION'
,p_plug_display_when_condition=>':P41_SOLICITUD_TIPO_ID in (1,10)'
,p_plug_read_only_when_type=>'ALWAYS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(14203537643661806)
,p_button_sequence=>50
,p_button_plug_id=>wwv_flow_api.id(104535862226555436)
,p_button_name=>'VER_CC_PDF'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--simple:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Ver &P41_REGION_NAME_CC_EP_ABREV.'
,p_button_position=>'BODY'
,p_button_redirect_url=>'f?p=&APP_ID.:43:&SESSION.::&DEBUG.:43:P43_MOSTRAR_PDF,P43_ID:3,&P41_ID.'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where CC_BLOB_CONTENT is not null',
'and ID = :P41_ID'))
,p_button_condition_type=>'EXISTS'
,p_icon_css_classes=>'fa-search'
,p_button_cattributes=>'style="width:200px";'
,p_grid_new_row=>'N'
,p_grid_new_column=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(14203476680661805)
,p_button_sequence=>60
,p_button_plug_id=>wwv_flow_api.id(111756052988554532)
,p_button_name=>'VER_VF_PDF'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--simple:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>unistr('Ver Valuaci\00F3n Fiscal')
,p_button_position=>'BODY'
,p_button_redirect_url=>'f?p=&APP_ID.:43:&SESSION.::&DEBUG.:43:P43_MOSTRAR_PDF,P43_ID:4,&P41_ID.'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where VF_BLOB_CONTENT is not null',
'and ID = :P41_ID'))
,p_button_condition_type=>'EXISTS'
,p_icon_css_classes=>'fa-search'
,p_button_cattributes=>'style="width:200px";'
,p_grid_new_row=>'N'
,p_grid_new_column=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(17149193171206312)
,p_button_sequence=>60
,p_button_plug_id=>wwv_flow_api.id(116995532556797276)
,p_button_name=>'VER_PLANO_PDF'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--simple:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Ver Plano'
,p_button_position=>'BODY'
,p_button_redirect_url=>'f?p=&APP_ID.:43:&SESSION.::&DEBUG.:43:P43_ID,P43_MOSTRAR_PDF:&P41_ID.,2'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where PLANO_BLOB_CONTENT is not null',
'and ID = :P41_ID'))
,p_button_condition_type=>'EXISTS'
,p_icon_css_classes=>'fa-search'
,p_button_cattributes=>'style="width:200px";'
,p_grid_new_row=>'N'
,p_grid_column=>8
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(11717652055175540)
,p_button_sequence=>70
,p_button_plug_id=>wwv_flow_api.id(110876154439012890)
,p_button_name=>'VER_COMPROBANTE_PDF'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--simple:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Ver Comprobante'
,p_button_position=>'BODY'
,p_button_redirect_url=>'f?p=&APP_ID.:43:&SESSION.::&DEBUG.:43:P43_MOSTRAR_PDF,P43_ID:1,&P41_ID.'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where COMPROBANTE_BLOB_CONTENT is not null',
'and ID = :P41_ID'))
,p_button_condition_type=>'EXISTS'
,p_icon_css_classes=>'fa-search'
,p_button_cattributes=>'style="width:200px";'
,p_grid_new_row=>'N'
,p_grid_column=>8
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(33384050592602843)
,p_button_sequence=>60
,p_button_plug_id=>wwv_flow_api.id(111756052988554532)
,p_button_name=>'GENERAR_VALUACION_FISCAL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--primary:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>unistr('Generar Valuaci\00F3n Fiscal')
,p_button_position=>'REGION_TEMPLATE_COPY'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where ( ID = :P41_ID)',
'and :P41_SOLICITUD_ESTADO_ACTUAL in (2,4)',
'or (:PERFIL != 2 and :P41_SOLICITUD_ESTADO_ACTUAL = 5)'))
,p_button_condition_type=>'EXISTS'
,p_icon_css_classes=>'fa-file-pdf-o'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(17517110331449836)
,p_button_sequence=>70
,p_button_plug_id=>wwv_flow_api.id(111756052988554532)
,p_button_name=>'FIRMA_VF'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft:t-Button--gapLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Firma VF'
,p_button_position=>'REGION_TEMPLATE_COPY'
,p_button_redirect_url=>'f?p=&APP_ID.:48:&SESSION.::&DEBUG.:48:P48_SOLICITUD_ID,P48_TIPO_DOCUMENTO:&P41_ID.,4'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM   SOLICITUD',
'WHERE  ID = :P41_ID',
'AND    :P41_SOLICITUD_ESTADO_ACTUAL = 5',
'--AND    VF_FIRMADO = ''N''',
'AND    VF_FILENAME is not null',
'and 1=1'))
,p_button_condition_type=>'EXISTS'
,p_icon_css_classes=>'fa-key'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(37024861883152323)
,p_button_sequence=>70
,p_button_plug_id=>wwv_flow_api.id(104535862226555436)
,p_button_name=>'GENERAR_CERTIFICADO_CATASTRAL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--primary:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Generar &P41_REGION_NAME_CC_EP_ABREV.'
,p_button_position=>'REGION_TEMPLATE_COPY'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where ( ID = :P41_ID)',
'and :P41_SOLICITUD_ESTADO_ACTUAL in (2,4)',
'or (:PERFIL != 2 and :P41_SOLICITUD_ESTADO_ACTUAL = 5)'))
,p_button_condition_type=>'EXISTS'
,p_icon_css_classes=>'fa-file-pdf-o'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(17517249529449837)
,p_button_sequence=>80
,p_button_plug_id=>wwv_flow_api.id(104535862226555436)
,p_button_name=>'FIRMA_CC'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft:t-Button--gapLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Firma CC'
,p_button_position=>'REGION_TEMPLATE_COPY'
,p_button_redirect_url=>'f?p=&APP_ID.:48:&SESSION.::&DEBUG.:48:P48_SOLICITUD_ID,P48_TIPO_DOCUMENTO:&P41_ID.,3'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM   SOLICITUD',
'WHERE  ID = :P41_ID',
'AND    :P41_SOLICITUD_ESTADO_ACTUAL = 5',
'--AND    CC_FIRMADO = ''N''',
'AND    CC_FILENAME is not null',
'and 1=1'))
,p_button_condition_type=>'EXISTS'
,p_icon_css_classes=>'fa-key'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(52586126390212352)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(25644758608252606)
,p_button_name=>'CANCEL'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Volver'
,p_button_position=>'REGION_TEMPLATE_CREATE'
,p_button_redirect_url=>'f?p=&APP_ID.:3:&SESSION.::&DEBUG.:RP,3::'
,p_icon_css_classes=>'fa-times'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(52585770749212352)
,p_button_sequence=>80
,p_button_plug_id=>wwv_flow_api.id(25644758608252606)
,p_button_name=>'SAVE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Guardar Cambios'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'(:PERFIL = 2 and :P41_SOLICITUD_ESTADO_ACTUAL in (1,2,4))',
'or  ',
'(:PERFIL = 3 and :P41_SOLICITUD_ESTADO_ACTUAL in (1,2,4,5))',
'or ',
'(:PERFIL = 4 and :P41_SOLICITUD_ESTADO_ACTUAL in (1,2,3,4,5,6,7))'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-save'
,p_database_action=>'UPDATE'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(52644161891212396)
,p_branch_name=>'Go To Page 3'
,p_branch_action=>'f?p=&APP_ID.:3:&SESSION.::&DEBUG.:::&success_msg=#SUCCESS_MSG#'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_when_button_id=>wwv_flow_api.id(52585770749212352)
,p_branch_sequence=>1
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(18608562790821004)
,p_name=>'P41_CERTIFICADO_TITULARES'
,p_item_sequence=>170
,p_item_plug_id=>wwv_flow_api.id(104535862226555436)
,p_use_cache_before_default=>'NO'
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select CC_TITULARES',
'from (select CC_TITULARES',
'        from solicitud ',
'        where CC_TITULARES is not null',
'        and FNC_GENERAR_MATRICULA(p_id =>      1,',
'                    p_departamento_id  => MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => SECCION, ',
'                    p_parcela          => MATRICULA_CATASTRAL,',
'                    p_opcional         => MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => null) = :P41_MATRICULA_CATASTRAL_DISPLAY',
'        and SOLICITUD_TIPO_ID = :P41_SOLICITUD_TIPO_ID',
'        and FNC_OBTENER_ULTIMO_ESTADO(ID) = 6',
'        order by id desc) ',
'where rownum < 2'))
,p_item_default_type=>'SQL_QUERY'
,p_prompt=>'Titulares Afectados'
,p_source=>'CC_TITULARES'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cMaxlength=>4000
,p_cHeight=>3
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P41_ESTADO_ACTUAL != 1',
'and :P41_SOLICITUD_TIPO_ID = 10'))
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where (ID = :P41_ID)',
'and :P41_SOLICITUD_ESTADO_ACTUAL not in (2,4,5)',
'or (:PERFIL = 2 and :P41_SOLICITUD_ESTADO_ACTUAL = 5)'))
,p_read_only_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'Y'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(18616971220949950)
,p_name=>'P41_PROVISORIO'
,p_item_sequence=>170
,p_item_plug_id=>wwv_flow_api.id(104671726171355661)
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'CASE WHEN :P41_SOLICITUD_TIPO_ID = 10 THEN '' - Provisorio''',
'else ''''',
'END',
'from dual'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(18617273097954737)
,p_name=>'P41_REGION_NAME_CC_EP'
,p_item_sequence=>180
,p_item_plug_id=>wwv_flow_api.id(104671726171355661)
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
unistr('CASE WHEN :P41_SOLICITUD_TIPO_ID = 10 THEN ''Estado Parcelario para Prescripci\00F3n Adquisitiva'''),
'else ''Certificado Catastral''',
'END',
'from dual'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(18617787531960313)
,p_name=>'P41_REGION_NAME_CC_EP_ABREV'
,p_item_sequence=>190
,p_item_plug_id=>wwv_flow_api.id(104671726171355661)
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'CASE WHEN :P41_SOLICITUD_TIPO_ID = 10 THEN ''Estado Parcelario''',
'else ''Certificado Catastral''',
'END',
'from dual'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33383602293602839)
,p_name=>'P41_VF_VALUACION'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(111756052988554532)
,p_use_cache_before_default=>'NO'
,p_item_default=>'return fnc_json_valuacion_fiscal(:P41_ID, ''avaluo'');'
,p_item_default_type=>'PLSQL_FUNCTION_BODY'
,p_prompt=>unistr('Valuaci\00F3n')
,p_source=>'VF_VALUACION'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>30
,p_cMaxlength=>12
,p_tag_attributes=>'onKeypress="return validarNum(event, this, true);"'
,p_display_when=>'P41_ESTADO_ACTUAL'
,p_display_when2=>'1'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where (ID = :P41_ID)',
'and :P41_SOLICITUD_ESTADO_ACTUAL not in (2,4,5)',
'or (:PERFIL = 2 and :P41_SOLICITUD_ESTADO_ACTUAL = 5)'))
,p_read_only_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_03=>'right'
,p_item_comment=>'return fnc_json_valuacion_fiscal(:P41_ID, ''avaluo''); '
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33383760754602840)
,p_name=>'P41_VF_FECHA'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_api.id(111756052988554532)
,p_use_cache_before_default=>'NO'
,p_source=>'VF_FECHA'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33383830081602841)
,p_name=>'P41_VF_TIPO_PARCELA_ID'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_api.id(111756052988554532)
,p_use_cache_before_default=>'NO'
,p_item_default=>'return fnc_json_valuacion_fiscal(:P41_ID, ''tipo'');'
,p_item_default_type=>'PLSQL_FUNCTION_BODY'
,p_prompt=>'Tipo de Parcela'
,p_source=>'VF_TIPO_PARCELA_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_TIPO_PARCELA'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_display_when=>'P41_ESTADO_ACTUAL'
,p_display_when2=>'1'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where (ID = :P41_ID)',
'and :P41_SOLICITUD_ESTADO_ACTUAL not in (2,4,5)',
'or (:PERFIL = 2 and :P41_SOLICITUD_ESTADO_ACTUAL = 5)'))
,p_read_only_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
,p_item_comment=>'return fnc_json_valuacion_fiscal(:P41_ID, ''tipo''); '
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(36241659078528127)
,p_name=>'P41_VF_WS_MESSAGE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(111756052988554532)
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM SOLICITUD',
'WHERE VF_BLOB_CONTENT IS NULL',
'AND fnc_json_valuacion_fiscal(:P41_ID, ''matricula'') = ''INEXISTENTE''',
'AND :P41_ID = ID',
'AND 1=1',
'',
''))
,p_display_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'PLSQL'
,p_attribute_03=>unistr('htp.p(''<p style color red>No se encontraron datos de la Matricula cargada. Ingrese la valuaci\00F3n fiscal y el tipo de parcela.</p>'');')
,p_attribute_04=>'N'
,p_item_comment=>'return fnc_json_valuacion_fiscal(:P41_ID, ''matricula'') = ''INEXISTENTE'';'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(37024290343152317)
,p_name=>'P41_CERTIFICADO_MEDIDAS'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(104535862226555436)
,p_use_cache_before_default=>'NO'
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select CC_MEDIDAS ',
'from (  select CC_MEDIDAS',
'        from solicitud ',
'        where CC_MEDIDAS is not null',
'        --and MATRICULA_CATASTRAL = :P41_MATRICULA_CATASTRAL_1',
'        and FNC_GENERAR_MATRICULA(p_id =>      1,',
'                    p_departamento_id  => MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => SECCION, ',
'                    p_parcela          => MATRICULA_CATASTRAL,',
'                    p_opcional         => MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => null) = :P41_MATRICULA_CATASTRAL_DISPLAY',
'        and SOLICITUD_TIPO_ID = :P41_SOLICITUD_TIPO_ID',
'        and FNC_OBTENER_ULTIMO_ESTADO(ID) = 6',
'        order by id desc) ',
'where rownum < 2'))
,p_item_default_type=>'SQL_QUERY'
,p_prompt=>'Medidas'
,p_source=>'CC_MEDIDAS'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cMaxlength=>15000
,p_cHeight=>3
,p_display_when=>'P41_ESTADO_ACTUAL'
,p_display_when2=>'1'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where (ID = :P41_ID)',
'and :P41_SOLICITUD_ESTADO_ACTUAL not in (2,4,5)',
'or (:PERFIL = 2 and :P41_SOLICITUD_ESTADO_ACTUAL = 5)'))
,p_read_only_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'Y'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(37024398434152318)
,p_name=>'P41_CERTIFICADO_LINDEROS'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(104535862226555436)
,p_use_cache_before_default=>'NO'
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select CC_LINDEROS',
'from (  select CC_LINDEROS',
'        from solicitud ',
'        where CC_LINDEROS is not null',
'        and FNC_GENERAR_MATRICULA(p_id =>      1,',
'                    p_departamento_id  => MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => SECCION, ',
'                    p_parcela          => MATRICULA_CATASTRAL,',
'                    p_opcional         => MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => null) = :P41_MATRICULA_CATASTRAL_DISPLAY',
'        and SOLICITUD_TIPO_ID = :P41_SOLICITUD_TIPO_ID',
'        and FNC_OBTENER_ULTIMO_ESTADO(ID) = 6',
'        order by id desc) ',
'where rownum < 2'))
,p_item_default_type=>'SQL_QUERY'
,p_prompt=>'Linderos'
,p_source=>'CC_LINDEROS'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cMaxlength=>4000
,p_cHeight=>3
,p_begin_on_new_line=>'N'
,p_display_when=>'P41_ESTADO_ACTUAL'
,p_display_when2=>'1'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where (ID = :P41_ID)',
'and :P41_SOLICITUD_ESTADO_ACTUAL not in (2,4,5)',
'or (:PERFIL = 2 and :P41_SOLICITUD_ESTADO_ACTUAL = 5)'))
,p_read_only_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'Y'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(37024464496152319)
,p_name=>'P41_CERTIFICADO_ACTO_PARCELARIO'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_api.id(104535862226555436)
,p_use_cache_before_default=>'NO'
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select CC_ACTO_PARCELARIO',
'from (  select CC_ACTO_PARCELARIO',
'        from solicitud ',
'        where CC_ACTO_PARCELARIO is not null',
'        and FNC_GENERAR_MATRICULA(p_id =>      1,',
'                    p_departamento_id  => MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => SECCION, ',
'                    p_parcela          => MATRICULA_CATASTRAL,',
'                    p_opcional         => MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => null) = :P41_MATRICULA_CATASTRAL_DISPLAY',
'        and SOLICITUD_TIPO_ID = :P41_SOLICITUD_TIPO_ID',
'        and FNC_OBTENER_ULTIMO_ESTADO(ID) = 6',
'        order by id desc)',
'where rownum < 2'))
,p_item_default_type=>'SQL_QUERY'
,p_prompt=>'Acto de Levantamiento Parcelario'
,p_source=>'CC_ACTO_PARCELARIO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cMaxlength=>4000
,p_cHeight=>3
,p_begin_on_new_line=>'N'
,p_display_when=>'P41_ESTADO_ACTUAL'
,p_display_when2=>'1'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where (ID = :P41_ID)',
'and :P41_SOLICITUD_ESTADO_ACTUAL not in (2,4,5)',
'or (:PERFIL = 2 and :P41_SOLICITUD_ESTADO_ACTUAL = 5)'))
,p_read_only_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'Y'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(37024521769152320)
,p_name=>'P41_CERTIFICADO_SUPERFICIE'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_api.id(104535862226555436)
,p_use_cache_before_default=>'NO'
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select CC_SUPERFICIE',
'from (  select CC_SUPERFICIE',
'        from solicitud ',
'        where CC_SUPERFICIE is not null',
'        and FNC_GENERAR_MATRICULA(p_id =>      1,',
'                    p_departamento_id  => MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => SECCION, ',
'                    p_parcela          => MATRICULA_CATASTRAL,',
'                    p_opcional         => MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => null) = :P41_MATRICULA_CATASTRAL_DISPLAY',
'        and SOLICITUD_TIPO_ID = :P41_SOLICITUD_TIPO_ID',
'        and FNC_OBTENER_ULTIMO_ESTADO(ID) = 6',
'        order by id desc) ',
'where rownum < 2'))
,p_item_default_type=>'SQL_QUERY'
,p_prompt=>'Superficie'
,p_source=>'CC_SUPERFICIE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cMaxlength=>4000
,p_cHeight=>3
,p_display_when=>'P41_ESTADO_ACTUAL'
,p_display_when2=>'1'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where (ID = :P41_ID)',
'and :P41_SOLICITUD_ESTADO_ACTUAL not in (2,4,5)',
'or (:PERFIL = 2 and :P41_SOLICITUD_ESTADO_ACTUAL = 5)'))
,p_read_only_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'Y'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(37024640219152321)
,p_name=>'P41_CERTIFICADO_AFECTACIONES'
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_api.id(104535862226555436)
,p_use_cache_before_default=>'NO'
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select CC_AFECTACIONES',
'from (  select CC_AFECTACIONES',
'        from solicitud ',
'        where CC_AFECTACIONES is not null',
'        and FNC_GENERAR_MATRICULA(p_id =>      1,',
'                    p_departamento_id  => MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => SECCION, ',
'                    p_parcela          => MATRICULA_CATASTRAL,',
'                    p_opcional         => MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => null) = :P41_MATRICULA_CATASTRAL_DISPLAY',
'        and SOLICITUD_TIPO_ID = :P41_SOLICITUD_TIPO_ID',
'        and FNC_OBTENER_ULTIMO_ESTADO(ID) = 6',
'        order by id desc)  ',
'where rownum < 2'))
,p_item_default_type=>'SQL_QUERY'
,p_prompt=>'Afectaciones'
,p_source=>'CC_AFECTACIONES'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cMaxlength=>4000
,p_cHeight=>3
,p_display_when=>'P41_ESTADO_ACTUAL'
,p_display_when2=>'1'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where (ID = :P41_ID)',
'and :P41_SOLICITUD_ESTADO_ACTUAL not in (2,4,5)',
'or (:PERFIL = 2 and :P41_SOLICITUD_ESTADO_ACTUAL = 5)'))
,p_read_only_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'Y'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(37024717242152322)
,p_name=>'P41_CERTIFICADO_OBSERVACIONES'
,p_item_sequence=>160
,p_item_plug_id=>wwv_flow_api.id(104535862226555436)
,p_use_cache_before_default=>'NO'
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select CC_OBSERVACIONES',
'from (  select CC_OBSERVACIONES',
'        from solicitud ',
'        where CC_OBSERVACIONES is not null',
'        and FNC_GENERAR_MATRICULA(p_id =>      1,',
'                    p_departamento_id  => MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => SECCION, ',
'                    p_parcela          => MATRICULA_CATASTRAL,',
'                    p_opcional         => MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => null) = :P41_MATRICULA_CATASTRAL_DISPLAY',
'        and SOLICITUD_TIPO_ID = :P41_SOLICITUD_TIPO_ID',
'        and FNC_OBTENER_ULTIMO_ESTADO(ID) = 6',
'        order by id desc) ',
'where rownum < 2'))
,p_item_default_type=>'SQL_QUERY'
,p_prompt=>'Observaciones'
,p_source=>'CC_OBSERVACIONES'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cMaxlength=>3900
,p_cHeight=>3
,p_begin_on_new_line=>'N'
,p_display_when=>'P41_ESTADO_ACTUAL'
,p_display_when2=>'1'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where (ID = :P41_ID)',
'and :P41_SOLICITUD_ESTADO_ACTUAL not in (2,4,5)',
'or (:PERFIL = 2 and :P41_SOLICITUD_ESTADO_ACTUAL = 5)'))
,p_read_only_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'Y'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(38131176402827946)
,p_name=>'P41_IMAGEN'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(110281777836870774)
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'return owa_util.get_cgi_env(''REQUEST_PROTOCOL'')  ||''://''||',
'       owa_util.get_cgi_env(''HTTP_HOST'')         ||''/ords/#WORKSPACE_IMAGES#CATASTRO_ARCA.png'';'))
,p_item_default_type=>'PLSQL_FUNCTION_BODY'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52587150102212353)
,p_name=>'P41_ESTADO_ACTUAL'
,p_is_required=>true
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(110281777836870774)
,p_item_default=>'P41_SOLICITUD_ESTADO_ACTUAL'
,p_item_default_type=>'ITEM'
,p_prompt=>'Estado Actual'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select E.DESCRIPCION, EF.ESTADO_POSIBLE_ID ID',
'',
'from ESTADO_FLUJO EF, PERSONA P, ESTADO E',
'WHERE EF.PERFIL_ID = P.PERFIL_ID',
'  AND P.CUIL = :APP_USER',
'  AND EF.ESTADO_ID = :P41_SOLICITUD_ESTADO_ACTUAL',
'  AND EF.ESTADO_POSIBLE_ID = E.ID',
'',
'order by E.id asc'))
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52587570571212353)
,p_name=>'P41_USUARIO_OBSERVACIONES'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(110281777836870774)
,p_prompt=>'Observaciones / Comentarios'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>60
,p_cMaxlength=>2000
,p_cHeight=>5
,p_begin_on_new_line=>'N'
,p_grid_column=>4
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where :P41_AGC_SOLICITUD_ESTADO_ID in (3,4)'))
,p_read_only_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52600296728212364)
,p_name=>'P41_VESEP'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(104669686492355657)
,p_use_cache_before_default=>'NO'
,p_prompt=>'VESEP'
,p_placeholder=>'Vesep ...'
,p_source=>'VESEP'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>100
,p_cMaxlength=>200
,p_tag_attributes=>'style=''width:372px'''
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52600616992212365)
,p_name=>'P41_ARCHIVO'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(104669686492355657)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Archivo n\00B0')
,p_source=>'ARCHIVO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>10
,p_cMaxlength=>6
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_03=>'center'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52601078282212365)
,p_name=>'P41_OPERACION_TIPO_ID'
,p_item_sequence=>160
,p_item_plug_id=>wwv_flow_api.id(104669686492355657)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Operaci\00F3n')
,p_source=>'OPERACION_TIPO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from OPERACION_TIPO',
'ORDER BY ID ASC'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ...'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:198px'';'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52601761013212365)
,p_name=>'P41_ID'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(104671726171355661)
,p_use_cache_before_default=>'NO'
,p_source=>'ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52602114155212366)
,p_name=>'P41_SOLICUTD_N'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(104671726171355661)
,p_prompt=>unistr('N\00BA de Solicitud')
,p_source=>'P41_ID'
,p_source_type=>'ITEM'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52602503350212366)
,p_name=>'P41_FECHA'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(104671726171355661)
,p_use_cache_before_default=>'NO'
,p_item_default=>'SYSDATE()'
,p_item_default_type=>'PLSQL_EXPRESSION'
,p_source=>'FECHA'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52602904376212366)
,p_name=>'P41_PROFESIONAL_ID'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(104671726171355661)
,p_use_cache_before_default=>'NO'
,p_source=>'PERSONA_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52603341414212366)
,p_name=>'P41_SOLICITUD_ESTADO_ACTUAL'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(104671726171355661)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52603751536212367)
,p_name=>'P41_SOLICITUD_TIPO_ID'
,p_is_required=>true
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(104671726171355661)
,p_use_cache_before_default=>'NO'
,p_item_default=>'1'
,p_prompt=>'Tipo de Solicitud'
,p_source=>'SOLICITUD_TIPO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from SOLICITUD_TIPO',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ...'
,p_cHeight=>1
,p_tag_attributes=>'sStyle=''width:226px'''
,p_begin_on_new_line=>'N'
,p_grid_column=>6
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52604119679212367)
,p_name=>'P41_CATASTRADO_TIPO_ID'
,p_is_required=>true
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(104671726171355661)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Tipo (Matr\00EDcula / Padr\00F3n) &P41_PROVISORIO.')
,p_source=>'CATASTRADO_TIPO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from CATASTRADO_TIPO',
'ORDER BY ID ASC'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ...'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52604513144212367)
,p_name=>'P41_MC_DEPARTAMENTO_ID'
,p_is_required=>true
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(104671726171355661)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Departamento'
,p_source=>'MC_DEPARTAMENTO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select codigo||'': ''||DESCRIPCION as descrip, id ',
'from CATASTRO_DEPARTAMENTO',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ...'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52620017860212380)
,p_name=>'P41_MATRICULA_CATASTRAL_1'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(116938841284345545)
,p_use_cache_before_default=>'NO'
,p_source=>'MATRICULA_CATASTRAL'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52620429673212380)
,p_name=>'P41_MATRICULA_CATASTRAL_DISPLAY'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(116938841284345545)
,p_prompt=>unistr('Matr\00EDcula Catastral &P41_PROVISORIO.')
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select FNC_GENERAR_MATRICULA(p_id =>      1,',
'                    p_departamento_id  => MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => SECCION, ',
'                    p_parcela          => MATRICULA_CATASTRAL,',
'                    p_opcional         => MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => null) "matricula"',
'from   solicitud',
'where  id = :P41_ID;'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_css_classes=>'matricula'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52620845441212380)
,p_name=>'P41_MATRICULA_CATASTRAL_OP_1'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(116938841284345545)
,p_use_cache_before_default=>'NO'
,p_pre_element_text=>'- &nbsp;&nbsp;&nbsp;'
,p_source=>'MATRICULA_CATASTRAL_OP'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>4
,p_cMaxlength=>4
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_grid_column=>6
,p_grid_label_column_span=>0
,p_display_when_type=>'NEVER'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_03=>'center'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52621574585212381)
,p_name=>'P41_PADRON_LOCALIDAD_ID'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(104671726171355661)
,p_prompt=>'Distrito'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select l.codigo||'': ''||l.descripcion as descripcion, l.id as return_value',
'from CATASTRO_LOCALIDAD l',
'order by l.codigo asc'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ...'
,p_tag_attributes=>'sstyle=''width:198px'';'
,p_begin_on_new_line=>'N'
,p_display_when=>':P41_ID > 2080'
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'DIALOG'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
,p_attribute_08=>'300'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52621965953212381)
,p_name=>'P41_PADRON_NUMERO'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(116939950918346979)
,p_prompt=>unistr('Padr\00F3n N\00BA &P41_PROVISORIO.')
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select FNC_GENERAR_MATRICULA(p_id =>      2,',
'                    p_departamento_id  => MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => SECCION, ',
'                    p_parcela          => MATRICULA_CATASTRAL,',
'                    p_opcional         => MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => PADRON_NUMERO) "matricula"',
'from   solicitud',
'where  id = :P41_ID;'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cMaxlength=>8
,p_tag_css_classes=>'matricula'
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);" onChange="agregarCeros(this,8);"'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52622342822212381)
,p_name=>'P41_PADRON_LOTE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(116939950918346979)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Lote'
,p_source=>'PADRON_LOTE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cMaxlength=>3
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"  onChange="agregarCeros(this,3);"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_03=>'center'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52622749184212382)
,p_name=>'P41_PADRON_MANZANA'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(116939950918346979)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Manzana'
,p_source=>'PADRON_MANZANA'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cMaxlength=>3
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52623732626212383)
,p_name=>'P41_CC_IMG'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(104535862226555436)
,p_prompt=>'Cc Img'
,p_source=>'#WORKSPACE_IMAGES#pdf-Icon.png'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_IMAGE'
,p_tag_attributes=>'style="width:40px"'
,p_grid_column=>1
,p_grid_label_column_span=>0
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_attribute_01=>'URL'
,p_attribute_02=>'Plano'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52624136561212383)
,p_name=>'P41_CC_FILENAME'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(104535862226555436)
,p_use_cache_before_default=>'NO'
,p_source=>'CC_FILENAME'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>2
,p_grid_label_column_span=>0
,p_display_when=>'P41_CC_FILENAME'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52624545339212383)
,p_name=>'P41_CC_ARCHIVO_COMPROBANTE_FECHA'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(104535862226555436)
,p_prompt=>'Cargado el:'
,p_source=>'P41_CC_LAST_UPDATED'
,p_source_type=>'ITEM'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>4
,p_grid_label_column_span=>1
,p_display_when=>'P41_CC_LAST_UPDATED'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52624948043212383)
,p_name=>'P41_CC_BLOB_CONTENT'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(104535862226555436)
,p_use_cache_before_default=>'NO'
,p_source=>'CC_BLOB_CONTENT'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_FILE'
,p_cSize=>30
,p_tag_attributes=>'accept="image/*,.pdf"'
,p_begin_on_new_line=>'N'
,p_grid_column=>6
,p_grid_label_column_span=>0
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where CC_BLOB_CONTENT is not null',
'and ID = :P41_ID'))
,p_display_when_type=>'EXISTS'
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'DB_COLUMN'
,p_attribute_02=>'CC_MIME_TYPE'
,p_attribute_03=>'CC_FILENAME'
,p_attribute_04=>'CC_CHARACTER_SET'
,p_attribute_05=>'CC_LAST_UPDATED'
,p_attribute_06=>'Y'
,p_attribute_07=>'<b>Descargar &P41_REGION_NAME_CC_EP_ABREV.</b>'
,p_attribute_08=>'attachment'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52625348067212384)
,p_name=>'P41_CC_MIME_TYPE'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(104535862226555436)
,p_use_cache_before_default=>'NO'
,p_source=>'CC_MIME_TYPE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52625741008212384)
,p_name=>'P41_CC_LAST_UPDATED'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(104535862226555436)
,p_use_cache_before_default=>'NO'
,p_source=>'CC_LAST_UPDATED'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52626188753212384)
,p_name=>'P41_CC_CHARACTER_SET'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(104535862226555436)
,p_use_cache_before_default=>'NO'
,p_source=>'CC_CHARACTER_SET'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52626565801212384)
,p_name=>'P41_CC_USUARIO_ID'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(104535862226555436)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Responsable:'
,p_source=>'CC_USUARIO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select p.APELLIDO||'', ''||p.NOMBRE Agente, id',
'from PERSONA p',
'where p.id = :P41_CC_USUARIO_ID'))
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>1
,p_display_when=>'P41_CC_USUARIO_ID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52627204015212385)
,p_name=>'P41_PERSONA_EXCENTA'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(110876154439012890)
,p_prompt=>'Comprobante de Pago:'
,p_source=>'Persona Exenta del Pago.'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>4
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona p',
'where p.id = :P41_PROFESIONAL_ID',
'  and p.excento = 1'))
,p_display_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52627634006212385)
,p_name=>'P41_COMPROBANTE_NUMERO'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(110876154439012890)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('N\00BA de Referencia de Pago')
,p_source=>'COMPROBANTE_NUMERO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cMaxlength=>10
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_colspan=>10
,p_grid_column=>3
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona p',
'where p.id = :P41_PROFESIONAL_ID',
'  and p.excento = 0'))
,p_display_when_type=>'EXISTS'
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'0'
,p_attribute_03=>'center'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52628080694212385)
,p_name=>'P41_IMG_COMPROBANTE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(110876154439012890)
,p_source=>'#WORKSPACE_IMAGES#Comprobante-Icon.png'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_IMAGE'
,p_tag_attributes=>'style="width:40px"'
,p_grid_column=>1
,p_grid_label_column_span=>0
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona p',
'where p.id = :P41_PROFESIONAL_ID',
'  and p.excento = 0'))
,p_display_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_attribute_01=>'URL'
,p_attribute_02=>'Plano'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52628476718212386)
,p_name=>'P41_FILENAME'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(110876154439012890)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Comprobante de Pago'
,p_source=>'COMPROBANTE_FILENAME'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>2
,p_grid_label_column_span=>0
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona p',
'where p.id = :P41_PROFESIONAL_ID',
'  and p.excento = 0'))
,p_display_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52628842802212386)
,p_name=>'P41_ARCHIVO_COMPROBANTE_FECHA'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(110876154439012890)
,p_prompt=>'Cargado el'
,p_source=>'P41_LAST_UPDATED'
,p_source_type=>'ITEM'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>4
,p_grid_label_column_span=>1
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona p',
'where p.id = :P41_PROFESIONAL_ID',
'  and p.excento = 0'))
,p_display_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52629240483212386)
,p_name=>'P41_BLOB_CONTENT'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(110876154439012890)
,p_use_cache_before_default=>'NO'
,p_source=>'COMPROBANTE_BLOB_CONTENT'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_FILE'
,p_cSize=>30
,p_tag_attributes=>'accept="image/*,.pdf"'
,p_begin_on_new_line=>'N'
,p_grid_column=>6
,p_grid_label_column_span=>0
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona p',
'where p.id = :P41_PROFESIONAL_ID',
'  and p.excento = 0'))
,p_display_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'DB_COLUMN'
,p_attribute_02=>'COMPROBANTE_MIME_TYPE'
,p_attribute_03=>'COMPROBANTE_FILENAME'
,p_attribute_04=>'COMPROBANTE_CHARACTER_SET'
,p_attribute_05=>'COMPROBANTE_LAST_UPDATED'
,p_attribute_06=>'Y'
,p_attribute_07=>'<b>Descargar Comprobante</b>'
,p_attribute_08=>'attachment'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52629600933212386)
,p_name=>'P41_MIME_TYPE'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(110876154439012890)
,p_use_cache_before_default=>'NO'
,p_source=>'COMPROBANTE_MIME_TYPE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52630078785212386)
,p_name=>'P41_LAST_UPDATED'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(110876154439012890)
,p_use_cache_before_default=>'NO'
,p_source=>'COMPROBANTE_LAST_UPDATED'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52630481457212387)
,p_name=>'P41_CHARACTER_SET'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(110876154439012890)
,p_use_cache_before_default=>'NO'
,p_source=>'COMPROBANTE_CHARACTER_SET'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52631127012212387)
,p_name=>'P41_VF_IMG'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(111756052988554532)
,p_prompt=>'Cc Img'
,p_source=>'#WORKSPACE_IMAGES#pdf-Icon.png'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_IMAGE'
,p_tag_attributes=>'style="width:40px"'
,p_grid_column=>1
,p_grid_label_column_span=>0
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_attribute_01=>'URL'
,p_attribute_02=>'Plano'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52631595729212387)
,p_name=>'P41_VF_FILENAME'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(111756052988554532)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Vf Filename'
,p_source=>'VF_FILENAME'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>2
,p_grid_label_column_span=>0
,p_display_when=>'P41_VF_FILENAME'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52631913298212388)
,p_name=>'P41_VF_ARCHIVO_COMPROBANTE_FECHA'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(111756052988554532)
,p_prompt=>'Cargado el:'
,p_source=>'P41_VF_LAST_UPDATED'
,p_source_type=>'ITEM'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>4
,p_grid_label_column_span=>1
,p_display_when=>'P41_VF_LAST_UPDATED'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52632346928212388)
,p_name=>'P41_VF_BLOB_CONTENT'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(111756052988554532)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Vf Blob Content'
,p_source=>'VF_BLOB_CONTENT'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_FILE'
,p_cSize=>30
,p_tag_attributes=>'accept="image/*,.pdf"'
,p_begin_on_new_line=>'N'
,p_grid_column=>6
,p_grid_label_column_span=>0
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from SOLICITUD',
'where VF_BLOB_CONTENT is not null',
'and ID = :P41_ID'))
,p_display_when_type=>'EXISTS'
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'DB_COLUMN'
,p_attribute_02=>'VF_MIME_TYPE'
,p_attribute_03=>'VF_FILENAME'
,p_attribute_04=>'VF_CHARACTER_SET'
,p_attribute_05=>'VF_LAST_UPDATED'
,p_attribute_06=>'Y'
,p_attribute_07=>unistr('<b>Descargar Valuaci\00F3n Fiscal</b>')
,p_attribute_08=>'attachment'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52632745174212388)
,p_name=>'P41_VF_MIME_TYPE'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(111756052988554532)
,p_use_cache_before_default=>'NO'
,p_source=>'VF_MIME_TYPE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52633199840212388)
,p_name=>'P41_VF_LAST_UPDATED'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(111756052988554532)
,p_use_cache_before_default=>'NO'
,p_source=>'VF_LAST_UPDATED'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52633542245212389)
,p_name=>'P41_VF_CHARACTER_SET'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(111756052988554532)
,p_use_cache_before_default=>'NO'
,p_source=>'VF_CHARACTER_SET'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52633994349212389)
,p_name=>'P41_VF_USUARIO_ID'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(111756052988554532)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Responsable:'
,p_source=>'VF_USUARIO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select p.APELLIDO||'', ''||p.NOMBRE Agente, id',
'from PERSONA p',
'where p.id = :P41_VF_USUARIO_ID'))
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>1
,p_display_when=>'P41_VF_USUARIO_ID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52634688928212389)
,p_name=>'P41_IMG_PLANO'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(116995532556797276)
,p_prompt=>'Img Plano'
,p_source=>'#WORKSPACE_IMAGES#Plano-Icon.png'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_IMAGE'
,p_tag_attributes=>'style="width:45px"'
,p_grid_column=>1
,p_grid_label_column_span=>0
,p_display_when=>'P41_PLANO_LAST_UPDATED'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_attribute_01=>'URL'
,p_attribute_02=>'Plano'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52635089551212390)
,p_name=>'P41_PLANO_FILENAME'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(116995532556797276)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Plano'
,p_source=>'PLANO_FILENAME'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>2
,p_grid_label_column_span=>0
,p_display_when=>'P41_PLANO_FILENAME'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52635474089212390)
,p_name=>'P41_ARCHIVO_PLANO_FECHA'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(116995532556797276)
,p_prompt=>'Cargado el'
,p_source=>'P41_PLANO_LAST_UPDATED'
,p_source_type=>'ITEM'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>4
,p_grid_label_column_span=>1
,p_display_when=>'P41_PLANO_LAST_UPDATED'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52635842562212390)
,p_name=>'P41_PLANO_BLOB_CONTENT'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(116995532556797276)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Plano Blob Content'
,p_source=>'PLANO_BLOB_CONTENT'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_FILE'
,p_cSize=>30
,p_tag_attributes=>'accept="image/*,.pdf"'
,p_begin_on_new_line=>'N'
,p_grid_column=>6
,p_grid_label_column_span=>0
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'DB_COLUMN'
,p_attribute_02=>'PLANO_MIME_TYPE'
,p_attribute_03=>'PLANO_FILENAME'
,p_attribute_04=>'PLANO_CHARACTER_SET'
,p_attribute_05=>'PLANO_LAST_UPDATED'
,p_attribute_06=>'Y'
,p_attribute_07=>'<b>Descargar Plano</b>'
,p_attribute_08=>'attachment'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52636204246212390)
,p_name=>'P41_PLANO_MIME_TYPE'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(116995532556797276)
,p_use_cache_before_default=>'NO'
,p_source=>'PLANO_MIME_TYPE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52636644089212391)
,p_name=>'P41_PLANO_LAST_UPDATED'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(116995532556797276)
,p_use_cache_before_default=>'NO'
,p_source=>'PLANO_LAST_UPDATED'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(52637002068212391)
,p_name=>'P41_PLANO_CHARACTER_SET'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(116995532556797276)
,p_use_cache_before_default=>'NO'
,p_source=>'PLANO_CHARACTER_SET'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(25647112738252630)
,p_computation_sequence=>10
,p_computation_item=>'P41_PADRON_LOCALIDAD_ID'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT  NVL(PADRON_LOCALIDAD_ID, SUBSTR(MATRICULA_CATASTRAL, 2, 2))',
'FROM    SOLICITUD',
'WHERE   ID = :P41_ID;'))
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(25645064640252609)
,p_computation_sequence=>10
,p_computation_item=>'P41_SOLICITUD_ESTADO_ACTUAL'
,p_computation_point=>'BEFORE_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ESTADO_ID ',
'FROM SOLICITUD_ESTADO_HISTORICO ',
'WHERE SOLICITUD_ID = :P41_ID',
'  and id IN (SELECT MAX(id) ',
'               FROM SOLICITUD_ESTADO_HISTORICO ',
'           GROUP BY SOLICITUD_ID)'))
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(52637524217212391)
,p_validation_name=>'P41_CC_BLOB_CONTENT Not_null'
,p_validation_sequence=>10
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from solicitud s',
'where :P41_SOLICITUD_TIPO_ID in (1)',
'  and S.ID = :P41_ID',
'  and (dbms_lob.getlength(S.CC_BLOB_CONTENT) = 0 or S.CC_BLOB_CONTENT is null)'))
,p_validation_type=>'NOT_EXISTS'
,p_error_message=>'Es requerido generar el Certificado Catastral.'
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P41_ESTADO_ACTUAL IN (5,6)',
'and',
':P41_SOLICITUD_TIPO_ID in (1)'))
,p_validation_condition_type=>'PLSQL_EXPRESSION'
,p_when_button_pressed=>wwv_flow_api.id(52585770749212352)
,p_associated_item=>wwv_flow_api.id(37024290343152317)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
,p_validation_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from solicitud s',
'where :P41_SOLICITUD_TIPO_ID = 1',
'  AND S.ID = :P41_ID',
'  AND S.CC_BLOB_CONTENT is null',
'  AND :P41_ESTADO_ACTUAL IN (5,6)'))
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(18609310860821012)
,p_validation_name=>'P41_CC_BLOB_CONTENT Not_null_2'
,p_validation_sequence=>20
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from solicitud s',
'where :P41_SOLICITUD_TIPO_ID in (10)',
'  and S.ID = :P41_ID',
'  and (dbms_lob.getlength(S.CC_BLOB_CONTENT) = 0 or S.CC_BLOB_CONTENT is null)'))
,p_validation_type=>'NOT_EXISTS'
,p_error_message=>'Es requerido generar el Informe de Estado Parcelario.'
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P41_ESTADO_ACTUAL IN (5,6)',
'and',
':P41_SOLICITUD_TIPO_ID in (10)'))
,p_validation_condition_type=>'PLSQL_EXPRESSION'
,p_when_button_pressed=>wwv_flow_api.id(52585770749212352)
,p_associated_item=>wwv_flow_api.id(37024290343152317)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
,p_validation_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from solicitud s',
'where :P41_SOLICITUD_TIPO_ID = 10',
'  AND S.ID = :P41_ID',
'  AND S.CC_BLOB_CONTENT is null',
'  AND :P41_ESTADO_ACTUAL IN (5,6)'))
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(52638393447212392)
,p_validation_name=>'VF_Not_null'
,p_validation_sequence=>30
,p_validation=>'P41_VF_BLOB_CONTENT'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('Es requerido generar la Valuaci\00F3n Fiscal.')
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from solicitud s',
'where :P41_SOLICITUD_TIPO_ID in (1,2)',
'  AND S.ID = :P41_ID',
'  AND S.VF_BLOB_CONTENT is null',
'  AND :P41_ESTADO_ACTUAL IN (6)'))
,p_validation_condition_type=>'EXISTS'
,p_when_button_pressed=>wwv_flow_api.id(52585770749212352)
,p_associated_item=>wwv_flow_api.id(33383602293602839)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
,p_validation_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from solicitud s',
'where :P41_SOLICITUD_TIPO_ID in (1,2)',
'  AND S.ID = :P41_ID',
'  AND S.VF_BLOB_CONTENT is null',
'  AND :P41_ESTADO_ACTUAL IN (5,6)'))
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(52637975258212391)
,p_validation_name=>unistr('Validar_Tama\00F1o_2')
,p_validation_sequence=>40
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
' v_length number:=0;',
'begin',
'',
'if (:P41_CC_BLOB_CONTENT is not null) then',
'   ',
'   select doc_size into v_length',
'   from   wwv_flow_files',
'   where  name = :P41_CC_BLOB_CONTENT;',
'',
'    if (v_length > 2097152) then',
'       return(''Certificado Catastral: No puede subir archivos de mas de 2MB!'');',
'    end if;',
'',
'end if;',
'end;'))
,p_validation_type=>'FUNC_BODY_RETURNING_ERR_TEXT'
,p_validation_condition=>':P41_SOLICITUD_TIPO_ID in (1,10)'
,p_validation_condition_type=>'PLSQL_EXPRESSION'
,p_when_button_pressed=>wwv_flow_api.id(52585770749212352)
,p_associated_item=>wwv_flow_api.id(52624948043212383)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(52638794750212392)
,p_validation_name=>unistr('VF_Validar_Tama\00F1o')
,p_validation_sequence=>50
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
' v_length number:=0;',
'begin',
'',
'if (:P41_VF_BLOB_CONTENT is not null) then',
'   ',
'   select doc_size into v_length',
'   from   wwv_flow_files',
'   where  name = :P41_VF_BLOB_CONTENT;',
'',
'    if (v_length > 2097152) then',
unistr('       return(''Valuaci\00F3n Fiscal: No puede subir archivos de mas de 2MB!'');'),
'    end if;',
'',
'end if;',
'end;'))
,p_validation_type=>'FUNC_BODY_RETURNING_ERR_TEXT'
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona p',
'where :P41_SOLICITUD_TIPO_ID in (1,2)'))
,p_validation_condition_type=>'EXISTS'
,p_when_button_pressed=>wwv_flow_api.id(52585770749212352)
,p_associated_item=>wwv_flow_api.id(52632346928212388)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(36239623633528107)
,p_validation_name=>'P41_VF_VALUACION not null'
,p_validation_sequence=>60
,p_validation=>'P41_VF_VALUACION'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('La Valuaci\00F3n es un dato requerido.')
,p_when_button_pressed=>wwv_flow_api.id(33384050592602843)
,p_associated_item=>wwv_flow_api.id(33383602293602839)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(36239709064528108)
,p_validation_name=>'P41_VF_TIPO_PARCELA_ID not null'
,p_validation_sequence=>70
,p_validation=>'P41_VF_TIPO_PARCELA_ID'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'El Tipo de Parcela es un dato requerido.'
,p_when_button_pressed=>wwv_flow_api.id(33384050592602843)
,p_associated_item=>wwv_flow_api.id(33383830081602841)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(17517968261449844)
,p_validation_name=>'APROBAR_SOLICITUD_FIRMA'
,p_validation_sequence=>80
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT    1',
'FROM      SOLICITUD',
'WHERE     ID = :P41_ID',
'AND       ((VF_FIRMADO = ''S'' AND VF_FILENAME is not null AND :P41_SOLICITUD_TIPO_ID = 2)',
'           OR',
'           (CC_FIRMADO = ''S'' AND CC_FILENAME is not null AND :P41_SOLICITUD_TIPO_ID = 1 AND VF_FIRMADO = ''S'' AND VF_FILENAME is not null)',
'           OR',
'           (CC_FIRMADO = ''S'' AND CC_FILENAME is not null AND :P41_SOLICITUD_TIPO_ID = 10 ))'))
,p_validation_type=>'EXISTS'
,p_error_message=>unistr('Para Aprobar la Solicitud, se requiere que todos los documentos est\00E9n Firmados.')
,p_validation_condition=>'P41_ESTADO_ACTUAL'
,p_validation_condition2=>'66'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(52642646223212395)
,p_name=>'Change_Igual_a_1'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P41_SOLICITUD_TIPO_ID'
,p_condition_element=>'P41_SOLICITUD_TIPO_ID'
,p_triggering_condition_type=>'IN_LIST'
,p_triggering_expression=>'1,10'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(52643155885212395)
,p_event_id=>wwv_flow_api.id(52642646223212395)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(104669686492355657)
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(52643611107212396)
,p_event_id=>wwv_flow_api.id(52642646223212395)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(104669686492355657)
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(36239897321528109)
,p_name=>unistr('Generar Valuaci\00F3n Fiscal')
,p_event_sequence=>30
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(33384050592602843)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(36239996382528110)
,p_event_id=>wwv_flow_api.id(36239897321528109)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SUBMIT_PAGE'
,p_attribute_01=>'GENERAR_VALUACION_FISCAL'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(18649385072006618)
,p_name=>'Generar Certificado Catastral'
,p_event_sequence=>40
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(37024861883152323)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18649400309006619)
,p_event_id=>wwv_flow_api.id(18649385072006618)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SUBMIT_PAGE'
,p_attribute_01=>'GENERAR_CERTIFICADO_CATASTRAL'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(52639001664212392)
,p_process_sequence=>10
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from SOLICITUD'
,p_attribute_02=>'SOLICITUD'
,p_attribute_03=>'P41_ID'
,p_attribute_04=>'ID'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(52641820299212394)
,p_process_sequence=>20
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Load_Blob_from_file'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare ',
'    v_comprobante_length number;',
'    v_plano_length number;',
'    v_cc_length number;',
'    v_vf_length number;',
'    ',
'    v_comprobante_filename VARCHAR2(100);',
'    v_plano_filename VARCHAR2(100);',
'    v_cc_filename VARCHAR2(100);',
'    v_vf_filename VARCHAR2(100);',
'        ',
'BEGIN',
'',
'    SELECT dbms_lob.getlength(COMPROBANTE_BLOB_CONTENT), COMPROBANTE_FILENAME_HARD_DISK, ',
'           dbms_lob.getlength(PLANO_BLOB_CONTENT), PLANO_FILENAME_HARD_DISK,',
'           dbms_lob.getlength(CC_BLOB_CONTENT), CC_FILENAME_HARD_DISK,',
'           dbms_lob.getlength(VF_BLOB_CONTENT), VF_FILENAME_HARD_DISK ',
'      INTO v_comprobante_length, v_comprobante_filename, ',
'           v_plano_length, v_plano_filename,',
'           v_cc_length, v_cc_filename,',
'           v_vf_length, v_vf_filename',
'      FROM solicitud WHERE ID = :P41_ID; ',
'    ',
'    if (v_comprobante_length is null and v_comprobante_filename is not null) then',
'      UPDATE SOLICITUD SET COMPROBANTE_BLOB_CONTENT = load_Blob_From_File(v_comprobante_filename) WHERE ID = :P41_ID;',
'    end if;',
'',
'    if (v_plano_length is null and v_plano_filename is not null) then',
'      UPDATE SOLICITUD SET PLANO_BLOB_CONTENT = load_Blob_From_File(v_plano_filename) WHERE ID = :P41_ID;',
'    end if;',
'    ',
'    if (v_cc_length is null and v_cc_filename is not null) then',
'      UPDATE SOLICITUD SET CC_BLOB_CONTENT = load_Blob_From_File(v_cc_filename) WHERE ID = :P41_ID;',
'    end if;',
'    ',
'    if (v_vf_length is null and v_vf_filename is not null) then',
'      UPDATE SOLICITUD SET VF_BLOB_CONTENT = load_Blob_From_File(v_vf_filename) WHERE ID = :P41_ID;',
'    end if;',
'  ',
'',
'EXCEPTION',
'  WHEN OTHERS THEN',
'    DBMS_OUTPUT.PUT_LINE('' No se pudo encontrar el archivo en el FileSystem. '');',
'END;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'P41_ID'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(52639483639212392)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get PK'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin ',
'    if :P41_ID is null then',
'        select "#OWNER#"."SEQ_SOLICITUD".nextval',
'          into :P41_ID',
'          from sys.dual;',
'    end if;',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_type=>'NEVER'
,p_process_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'no r',
'GENERAR_VALUACION_FISCAL,GENERAR_CERTIFICADO_CATASTRAL'))
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(52641459379212394)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Insert_Solicitud_Historico_SAVE'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'IF (:P41_SOLICITUD_ESTADO_ACTUAL != :P41_ESTADO_ACTUAL ) THEN',
'    INSERT INTO SOLICITUD_ESTADO_HISTORICO(ID,FECHA,SOLICITUD_ID,ESTADO_ID,USUARIO_ID,OBSERVACIONES) ',
'    VALUES ("SEQ_SOLICITUD_ESTADO_HISTORICO".nextval,SYSDATE(),:p41_id,:p41_estado_actual, (select id from persona where cuil=:app_user),:P41_USUARIO_OBSERVACIONES );',
'',
'    --correo notificacion cambio de estado',
'    IF :P41_ESTADO_ACTUAL in (3, 6, 7) THEN',
'        ',
'        PKG_CORREO.prc_enviar_correo( p_persona        => :P41_PROFESIONAL_ID,',
'                                      p_tipo_solicitud => :P41_SOLICITUD_TIPO_ID,',
'                                      p_solicitud      => :P41_ID,',
'                                      p_imagen         => :P41_IMAGEN,',
'                                      p_observacion    => :P41_USUARIO_OBSERVACIONES );',
'',
'    END IF;',
'END IF;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>':REQUEST = ''SAVE'' and :REQUEST not in (''GENERAR_VALUACION_FISCAL'',''GENERAR_CERTIFICADO_CATASTRAL'')'
,p_process_when_type=>'PLSQL_EXPRESSION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(52639880830212392)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'Process Row of SOLICITUD'
,p_attribute_02=>'SOLICITUD'
,p_attribute_03=>'P41_ID'
,p_attribute_04=>'ID'
,p_attribute_11=>'I:U:D'
,p_attribute_12=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'GENERAR_VALUACION_FISCAL,GENERAR_CERTIFICADO_CATASTRAL'
,p_process_when_type=>'REQUEST_NOT_IN_CONDITION'
,p_process_success_message=>unistr('Acci\00F3n Procesada.')
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(52640608027212393)
,p_process_sequence=>50
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Guardar_Usuario_CC_&_VF'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'BEGIN',
'    -- Certificado Catastral --- ',
'    if (:P41_CC_BLOB_CONTENT is not null) then',
'        UPDATE SOLICITUD SET CC_USUARIO_ID = :persona_id WHERE ID=:P41_ID;',
'    end if;',
'    ',
unistr('    -- Valuaci\00F3n Fiscal --- '),
'    if (:P41_VF_BLOB_CONTENT is not null) then',
'        UPDATE SOLICITUD SET VF_USUARIO_ID = :persona_id WHERE ID=:P41_ID;',
'    end if;      ',
'END;  '))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_type=>'NEVER'
,p_process_comment=>':REQUEST = ''SAVE'' and :REQUEST != ''GENERAR_VALUACION_FISCAL'''
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(52642247596212394)
,p_process_sequence=>60
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Write_blob_to_file'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare ',
'    v_comprobante_length number;',
'    v_plano_length number;',
'    v_cc_length number;',
'    v_vf_length number;',
'    ',
'    FILE_NAME VARCHAR2(100);',
'    comm_missing  EXCEPTION;',
'BEGIN',
'-- Estado: Aprobada o Rechazada ------',
'IF (:p41_estado_actual in (6,7)) THEN',
'',
unistr('    -- Obtengo el tama\00F1o de los blob ---'),
'    SELECT dbms_lob.getlength(COMPROBANTE_BLOB_CONTENT), dbms_lob.getlength(PLANO_BLOB_CONTENT),dbms_lob.getlength(CC_BLOB_CONTENT), dbms_lob.getlength(VF_BLOB_CONTENT)',
'      INTO v_comprobante_length, v_plano_length, v_cc_length, v_vf_length',
'      FROM solicitud WHERE ID = :P41_ID; ',
'    ',
'    -- Tipo de Archivo: 1 - Comprobante de Pago ',
'    if (v_comprobante_length > 0) then',
'        SELECT S.ID||''.1''||''-''||to_char(SYSDATE,''yyyymmdd'')||regexp_substr(S.COMPROBANTE_FILENAME, ''\.[^\.]*$'') into FILE_NAME FROM SOLICITUD S WHERE S.ID=:P41_ID; ',
'        write_blob_to_file(:P41_ID,''ARCHIVOS'',FILE_NAME,1);',
'        UPDATE SOLICITUD SET COMPROBANTE_FILENAME_HARD_DISK = FILE_NAME WHERE ID=:P41_ID;',
'    end if;',
'',
'    -- Tipo de Archivo: 2 - Plano',
'    if (v_plano_length > 0) then',
'        SELECT S.ID||''.2''||''-''||to_char(SYSDATE,''yyyymmdd'')||regexp_substr(S.PLANO_FILENAME, ''\.[^\.]*$'') into FILE_NAME FROM SOLICITUD S WHERE S.ID=:P41_ID; ',
'        write_blob_to_file(:P41_ID,''ARCHIVOS'',FILE_NAME,2);',
'        UPDATE SOLICITUD SET PLANO_FILENAME_HARD_DISK = FILE_NAME WHERE ID=:P41_ID;',
'    end if;',
'    ',
'    -- Tipo de Archivo: 3 - CC',
'    if (v_cc_length > 0) then',
'        SELECT S.ID||''.3''||''-''||to_char(SYSDATE,''yyyymmdd'')||regexp_substr(S.CC_FILENAME, ''\.[^\.]*$'') into FILE_NAME FROM SOLICITUD S WHERE S.ID=:P41_ID; ',
'        write_blob_to_file(:P41_ID,''ARCHIVOS'',FILE_NAME,3);',
'        UPDATE SOLICITUD SET CC_FILENAME_HARD_DISK = FILE_NAME WHERE ID=:P41_ID;',
'    end if;',
'    ',
'    -- Tipo de Archivo: 4 - VF ',
'    if (v_vf_length > 0) then',
'        SELECT S.ID||''.4''||''-''||to_char(SYSDATE,''yyyymmdd'')||regexp_substr(S.VF_FILENAME, ''\.[^\.]*$'') into FILE_NAME FROM SOLICITUD S WHERE S.ID=:P41_ID; ',
'        write_blob_to_file(:P41_ID,''ARCHIVOS'',FILE_NAME,4);',
'        UPDATE SOLICITUD SET VF_FILENAME_HARD_DISK = FILE_NAME WHERE ID=:P41_ID;',
'    end if;',
'    ',
'    -----------------------------------------------------------',
'    --- Borro los blob de Todas las Solicitudes finalizadas ---',
'    -----------------------------------------------------------',
'    -- Tipo de Archivo: 1 - Comprobante de Pago',
'    UPDATE SOLICITUD SET COMPROBANTE_BLOB_CONTENT = null',
'     WHERE COMPROBANTE_BLOB_CONTENT is not null ',
'       AND COMPROBANTE_FILENAME_HARD_DISK is not null',
'       AND ID in (select s.id FROM SOLICITUD S, (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH ',
'              WHERE S.ID = TH.SOLICITUD_ID AND TH.ESTADO_ID in (6,7));',
'              ',
'     -- Tipo de Archivo: 2 - Plano',
'     UPDATE SOLICITUD SET PLANO_BLOB_CONTENT = null',
'     WHERE PLANO_BLOB_CONTENT is not null ',
'       and PLANO_FILENAME_HARD_DISK is not null',
'       AND ID in (select s.id FROM SOLICITUD S, (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH ',
'              WHERE S.ID = TH.SOLICITUD_ID AND TH.ESTADO_ID in (6,7));',
'              ',
'     -- Eliminar de la base el CC y la VF --',
'     -- Tipo de Archivo: 3 - CC',
'     UPDATE SOLICITUD SET CC_BLOB_CONTENT = null',
'     WHERE CC_BLOB_CONTENT is not null ',
'       and CC_FILENAME_HARD_DISK is not null',
'       AND ID in (select s.id FROM SOLICITUD S, (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH ',
'              WHERE S.ID = TH.SOLICITUD_ID AND TH.ESTADO_ID in (6,7));',
'     ',
'     -- Tipo de Archivo: 4 - VF',
'     UPDATE SOLICITUD SET VF_BLOB_CONTENT = null',
'     WHERE VF_BLOB_CONTENT is not null ',
'       and VF_FILENAME_HARD_DISK is not null',
'       AND ID in (select s.id FROM SOLICITUD S, (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH ',
'              WHERE S.ID = TH.SOLICITUD_ID AND TH.ESTADO_ID in (6,7));',
'    -----------------------------------------------------------              ',
'              ',
'    ',
'end if;',
'         ',
'END;  '))
,p_process_error_message=>'Error proceso escribir archivo....'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(52585770749212352)
,p_process_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where :p41_estado_actual in (6,7)',
'and :REQUEST not in (''GENERAR_VALUACION_FISCAL'',''GENERAR_CERTIFICADO_CATASTRAL'')'))
,p_process_when_type=>'EXISTS'
,p_process_success_message=>'Solicitud Finalizada!'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(52641092377212393)
,p_process_sequence=>70
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SEND_EMAIL'
,p_process_name=>'Send_Email'
,p_attribute_01=>'Catastro-Online'
,p_attribute_02=>'ketu19@hotmail.com'
,p_attribute_06=>'Mail de Prueba'
,p_attribute_07=>'mail de Prueba'
,p_attribute_10=>'N'
,p_process_error_message=>'No se pudo enviar el email.'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(52585770749212352)
,p_process_when_type=>'NEVER'
,p_process_success_message=>'Email Enviado'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(33384147845602844)
,p_process_sequence=>90
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'GENERAR_VALUACION_FISCAL'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'vcName varchar2(200);',
'lParams PK_JRXML2PDF_REPGEN.TPARAMLIST;',
'bl BLOB;',
'v_tipo_parcela tipo_parcela.descripcion%type;',
'Responsable varchar2(200);',
'begin ',
'',
'    begin',
'        select tp.descripcion into v_tipo_parcela',
'        from   tipo_parcela tp',
'        where  tp.id = :P41_VF_TIPO_PARCELA_ID;',
'        ',
'    exception',
'        when no_data_found then',
'            null;',
'    end;',
'    ',
'    -- Obtengo El responsable de la Solicitud --',
'    select p.APELLIDO||'', ''||p.NOMBRE into Responsable',
'    from PERSONA p',
'    where p.id = :PERSONA_ID;',
'    ',
'    update JRXML_REPORT_IMAGES',
'       set jri_image = f_bmp2jpg (',
unistr('                                 ZT_QR.F_QR_AS_BMP (p_data               => ''Valuaci\00F3n Fiscal - Nro. de matricula: ''|| nvl(:P41_PADRON_NUMERO, :P41_MATRICULA_CATASTRAL_DISPLAY) ||'),
unistr('                                                                            '' - Valuaci\00F3n ''||EXTRACT(year from sysdate)||'': $''||:P41_VF_VALUACION||'' - Tipo de Parcela: ''||v_tipo_parcela || '' - Responsable: '' || Responsable,'),
'                                                    p_error_correction   => ''M''))',
'    where JRI_ID = 4',
'    and   JRI_JRD_ID = 1;',
'    ',
'    commit;',
'    ',
'    vcName := ''VALUACION_FISCAL'';',
'',
'    lParams(1).vcName := ''P_SOLICITUD'';',
'    lParams(1).vcValue := :P41_ID;',
'    lParams(2).vcName := ''P_VALUACION'';',
'    lParams(2).vcValue := :P41_VF_VALUACION;',
'    lParams(3).vcName := ''P_TIPO_PARCELA'';',
'    lParams(3).vcValue := :P41_VF_TIPO_PARCELA_ID;',
'',
'    bl := PK_JRXML2PDF_REPGEN.FK_RUN(i_vcName=> vcName, i_lParams=> lParams);',
'',
'    update solicitud',
'        set VF_BLOB_CONTENT = bl,',
'            VF_FILENAME     = :P41_ID || '' - '' || extract(year from fecha) || ''valuacion_fiscal.pdf'',',
'            VF_MIME_TYPE    = ''application/pdf'',',
'            VF_VALUACION    = :P41_VF_VALUACION,',
'            VF_LAST_UPDATED = sysdate,',
'            VF_FECHA        = sysdate,',
'            VF_TIPO_PARCELA_ID = :P41_VF_TIPO_PARCELA_ID,',
'            VF_USUARIO_ID   = :PERSONA_ID,',
'            VF_FIRMADO      = ''N''',
'    where id = :P41_ID;',
'exception',
'    when others then',
'        raise_application_Error(-20000,'' Error ''||sqlerrm);',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(33384050592602843)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(40076488117386901)
,p_process_sequence=>100
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'GENERAR_CERTIFICADO CATASTRAL'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'vcName varchar2(200);',
'lParams PK_JRXML2PDF_REPGEN.TPARAMLIST;',
'bl BLOB;',
'NameArchivo varchar2(50);',
'Responsable varchar2(200);',
'begin ',
'',
'     if :p41_SOLICITUD_TIPO_ID = 10 then',
'        NameArchivo := ''Estado_Parcelario'';',
'        vcName := ''ESTADO_PARCELARIO'';',
'    else',
'        NameArchivo := ''Certificado_Catastral'';',
'        vcName := ''CERTIFICADO_CATASTRAL'';',
'    end if;',
'    ',
'    -- Obtengo El responsable de la Solicitud --',
'    select p.APELLIDO||'', ''||p.NOMBRE into Responsable',
'    from PERSONA p',
'    where p.id = :PERSONA_ID;',
'',
'    UPDATE solicitud',
'    SET cc_medidas = :P41_CERTIFICADO_MEDIDAS,',
'        cc_linderos = :P41_CERTIFICADO_LINDEROS,',
'        cc_superficie = :P41_CERTIFICADO_SUPERFICIE,',
'        cc_acto_parcelario = :P41_CERTIFICADO_ACTO_PARCELARIO,',
'        cc_afectaciones = :P41_CERTIFICADO_AFECTACIONES,',
'        cc_observaciones = :P41_CERTIFICADO_OBSERVACIONES,',
'        cc_titulares = :P41_CERTIFICADO_TITULARES',
'    WHERE id = :P41_ID;    ',
'    ',
'',
'',
'   IF :p41_SOLICITUD_TIPO_ID = 10 THEN',
'        update JRXML_REPORT_IMAGES',
unistr('            set jri_image = f_bmp2jpg (ZT_QR.F_QR_AS_BMP (p_data => ''Estado Parcelario para Prescripci\00F3n Adquisitiva N\00B0 ''||:P41_ID||''/''|| extract(year from TO_DATE(:P41_FECHA))||'' Digital - Nro. de Matr\00EDcula/Padr\00F3n Provisorio: ''|| nvl(:P41_PADRON_NUM')
||'ERO, :P41_MATRICULA_CATASTRAL_DISPLAY) ||'' - Responsable: '' || Responsable,p_error_correction   => ''M'' ))',
'         where JRI_ID = 45',
'         and   JRI_JRD_ID = 14;',
'        commit;',
'    ELSE',
'        update JRXML_REPORT_IMAGES',
unistr('            set jri_image = f_bmp2jpg (ZT_QR.F_QR_AS_BMP (p_data => ''Certificado Catastral N\00B0 ''||:P41_ID||''/''|| extract(year from TO_DATE(:P41_FECHA)) || '' Digital - Nro. de matricula: ''|| nvl(:P41_PADRON_NUMERO, :P41_MATRICULA_CATASTRAL_DISPLAY) ||''')
||' - Responsable: '' || Responsable ,p_error_correction   => ''M''))',
'         where JRI_ID = 38',
'         and   JRI_JRD_ID = 3;',
'        commit;',
'    END IF;     ',
'    ',
'    lParams(1).vcName := ''P_ID'';',
'    lParams(1).vcValue := :P41_ID;',
'    bl := PK_JRXML2PDF_REPGEN.FK_RUN(i_vcName=>vcName, i_lParams=> lParams);',
'',
'    update solicitud',
'        set CC_BLOB_CONTENT = bl,',
'            CC_FILENAME     = :P41_ID || ''-'' || extract(year from fecha) ||'' ''|| NameArchivo ||''.pdf'',',
'            CC_MIME_TYPE    = ''application/pdf'',',
'            CC_LAST_UPDATED = sysdate,',
'            CC_FECHA        = sysdate,',
'            CC_USUARIO_ID   = :PERSONA_ID,',
'            CC_FIRMADO      = ''N''',
'    where id = :P41_ID;',
'',
'exception',
'    when others then',
'        raise_application_Error(-20000,'' error ''||sqlerrm);',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(37024861883152323)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(52640250894212393)
,p_process_sequence=>110
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'reset page'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(52585770749212352)
);
wwv_flow_api.component_end;
end;
/
