prompt --application/pages/page_00048
begin
--   Manifest
--     PAGE: 00048
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>48
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'FIRMAR_DOCUMENTO'
,p_alias=>'FIRMAR-DOCUMENTO'
,p_page_mode=>'MODAL'
,p_step_title=>'Firmar Documento'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210409134446'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(17515690995449821)
,p_plug_name=>'body'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_footer=>'<span id="log-firma"><span>'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(17515799010449822)
,p_plug_name=>'Botonera'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50729062024672289)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_03'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(17515881617449823)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(17515799010449822)
,p_button_name=>'CANCELAR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Cancelar'
,p_button_position=>'REGION_TEMPLATE_CLOSE'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-times'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(17515936869449824)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(17515799010449822)
,p_button_name=>'FIRMAR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Firmar'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-key'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17516064245449825)
,p_name=>'P48_NOMBRE_FIRMA'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(17515690995449821)
,p_prompt=>'Nombre de la Firma'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT   NOMBRE D, NOMBRE R',
'FROM     NOMBRE_FIRMA_PERSONA',
'WHERE    PERSONA_ID = :PERSONA_ID;'))
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17516100862449826)
,p_name=>'P48_SOLICITUD_ID'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(17515690995449821)
,p_prompt=>unistr('Nro\00B0 de Solicitud')
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17516211724449827)
,p_name=>'P48_TIPO_DOCUMENTO'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(17515690995449821)
,p_prompt=>'Tipo Documento'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_TIPOS_DOCUMENTO_FIRMA'
,p_lov=>'.'||wwv_flow_api.id(18446326520027052)||'.'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17516844259449833)
,p_name=>'P48_ARCHIVO_ID'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(17515690995449821)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17517626443449841)
,p_name=>'P48_TOKEN'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(17515690995449821)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17858877055157808)
,p_name=>'P48_POSICION_X'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(17515690995449821)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17858972968157809)
,p_name=>'P48_POSICION_Y'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(17515690995449821)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17859041551157810)
,p_name=>'P48_ANCHO_PX'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(17515690995449821)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17859151386157811)
,p_name=>'P48_ALTO_PX'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(17515690995449821)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17859220553157812)
,p_name=>'P48_FUNTE_PX'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(17515690995449821)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17859393411157813)
,p_name=>'P48_NUEVA_HOJA_FINAL'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_api.id(17515690995449821)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17859471172157814)
,p_name=>'P48_FIRMA_TODAS_PAGINAS'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_api.id(17515690995449821)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17859560677157815)
,p_name=>'P48_PROTOCOL'
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_api.id(17515690995449821)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17859619238157816)
,p_name=>'P48_SERVER'
,p_item_sequence=>150
,p_item_plug_id=>wwv_flow_api.id(17515690995449821)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17859713619157817)
,p_name=>'P48_PORT'
,p_item_sequence=>160
,p_item_plug_id=>wwv_flow_api.id(17515690995449821)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(27474335787309201)
,p_name=>'P48_DIRECCION'
,p_item_sequence=>170
,p_item_plug_id=>wwv_flow_api.id(17515690995449821)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(17517771452449842)
,p_computation_sequence=>10
,p_computation_item=>'P48_TOKEN'
,p_computation_point=>'BEFORE_HEADER'
,p_computation=>'PKG_SEGURIDAD.fnc_obtener_parametro_gral(''TOKEN_WS_FIRMA'')'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(17859811257157818)
,p_computation_sequence=>20
,p_computation_item=>'P48_PROTOCOL'
,p_computation_point=>'BEFORE_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT  VALOR',
'FROM    PARAMETROS_GENERALES',
'WHERE   CODIGO = ''FIRMA_PROTOCOL'''))
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(17859932697157819)
,p_computation_sequence=>30
,p_computation_item=>'P48_SERVER'
,p_computation_point=>'BEFORE_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT  VALOR',
'FROM    PARAMETROS_GENERALES',
'WHERE   CODIGO = ''FIRMA_SERVER'''))
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(17860028913157820)
,p_computation_sequence=>40
,p_computation_item=>'P48_PORT'
,p_computation_point=>'BEFORE_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT  VALOR',
'FROM    PARAMETROS_GENERALES',
'WHERE   CODIGO = ''FIRMA_PORT'''))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(17516328898449828)
,p_name=>'Cencelar'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(17515881617449823)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(17516440350449829)
,p_event_id=>wwv_flow_api.id(17516328898449828)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(17516538557449830)
,p_name=>'FIRMAR'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(17515936869449824)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(17516699235449831)
,p_event_id=>wwv_flow_api.id(17516538557449830)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CONFIRM'
,p_attribute_01=>unistr('\00BFConfirma que desea Firmar?')
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(17516777605449832)
,p_event_id=>wwv_flow_api.id(17516538557449830)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'$("#log-firma").text("Iniciando Firma...");',
'',
'callFirmador($v("P48_NOMBRE_FIRMA"), $v("P48_TOKEN"), $v("P48_ARCHIVO_ID"), $v("P48_TIPO_DOCUMENTO"), ',
'             $v("P48_POSICION_X"), $v("P48_POSICION_Y"), $v("P48_ANCHO_PX"), $v("P48_ALTO_PX"), $v("P48_FUNTE_PX"), $v("P48_DIRECCION"),',
'             ($v("P48_NUEVA_HOJA_FINAL") == ''true''), ($v("P48_FIRMA_TODAS_PAGINAS") == ''true''),',
'             $v("P48_PROTOCOL"), $v("P48_SERVER"), $v("P48_PORT"));',
'/*',
'console.log($v("P48_NOMBRE_FIRMA"), $v("P48_TOKEN"), $v("P48_ARCHIVO_ID"), $v("P48_TIPO_DOCUMENTO"), ',
'             $v("P48_POSICION_X"), $v("P48_POSICION_Y"), $v("P48_ANCHO_PX"), $v("P48_ALTO_PX"), $v("P48_FUNTE_PX"), ',
'             ($v("P48_NUEVA_HOJA_FINAL") == ''true''), ($v("P48_FIRMA_TODAS_PAGINAS") == ''true''),',
'             $v("P48_PROTOCOL"), $v("P48_SERVER"), $v("P48_PORT"));',
'             */'))
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(17517545168449840)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'CLOSE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(17516955309449834)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Obtener datos'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'IF :P48_TIPO_DOCUMENTO in (3,4,5,6,7) THEN',
'    :P48_ARCHIVO_ID := :P48_SOLICITUD_ID;',
'ELSE',
'    SELECT ID',
'    INTO  :P48_ARCHIVO_ID',
'    FROM  SOLICITUD_ARCHIVOS',
'    WHERE SOLICITUD_ID = :P48_SOLICITUD_ID',
'    AND  ARCHIVO_TIPO_ID = :P48_TIPO_DOCUMENTO;',
'END IF;',
'',
'--Obtener ministerio',
'IF :P48_TIPO_DOCUMENTO in (5,6) THEN',
unistr('    :P48_DIRECCION := ''Direcci\00F3n general del Registro de la Propiedad inmobiliaria'';'),
'ELSE',
unistr('    :P48_DIRECCION := ''Direcci\00F3n General de Rentas'';'),
'END IF;',
'',
'--Parametros para firmar',
'IF :P48_TIPO_DOCUMENTO in (7) THEN --plano',
'    :P48_POSICION_X := 2870;',
'    :P48_POSICION_Y := 1790;',
'    :P48_ANCHO_PX := 400;',
'    :P48_ALTO_PX := 150;',
'    :P48_FUNTE_PX := 18;',
'    :P48_NUEVA_HOJA_FINAL := ''false'';',
'    :P48_FIRMA_TODAS_PAGINAS := ''false'';',
'    ',
'ELSE',
'    :P48_POSICION_X := 40;',
'    :P48_POSICION_Y := 100;',
'    :P48_ANCHO_PX := 250;',
'    :P48_ALTO_PX := 100;',
'    :P48_FUNTE_PX := 11;',
'    :P48_NUEVA_HOJA_FINAL := ''true'';',
'    :P48_FIRMA_TODAS_PAGINAS := ''true'';',
'',
'END IF;',
'',
'exception when others then null;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
