prompt --application/pages/page_00101
begin
--   Manifest
--     PAGE: 00101
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>101
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Login Page'
,p_alias=>'LOGIN_DESKTOP'
,p_step_title=>'Login Page'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_first_item=>'AUTO_FIRST_ITEM'
,p_autocomplete_on_off=>'OFF'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.t-PageBody--login {',
'background: url( #WORKSPACE_IMAGES#Background2.jpg );',
'background-size: 100% auto;',
'}',
'.t-Login-region{',
'    background-color: white;',
'}',
'span.t-Login-logo {',
'background-image: url(''#WORKSPACE_IMAGES#LOGO_ARCA.png'');',
'background-size: cover;',
'width: 400px;',
'height: 140px;',
'}',
'/* background-image: url(''#WORKSPACE_IMAGES#Logo_FBlanco.png''); */'))
,p_step_template=>wwv_flow_api.id(50708195083672275)
,p_page_template_options=>'#DEFAULT#:t-LoginPage--split'
,p_page_is_public_y_n=>'Y'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210407094949'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(106358933352584572)
,p_plug_name=>unistr('Gesti\00F3n de Tramites Web')
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50754146547672301)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_footer=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<br><center>',
'  <span style=" color: #666666;">  ',
unistr('    <FONT SIZE=2>Direccion Provincial de Tecnologia - ARCA - Agencia de Recaudaci\00F3n Catamarca | Copyright \00A9 2021 |'),
'    <a href="f?p=&APP_ALIAS.:205:&APP_SESSION."> Contacto </a>',
'    </font>',
'   <br>',
'      <FONT SIZE=2>',
'         <a href="f?p=&APP_ALIAS.:500:&APP_SESSION.">Built with &hearts; using Oracle Apex</a>',
'    </font>',
'</span>',
'</center>',
'',
'',
''))
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51628728107726572)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(106358933352584572)
,p_button_name=>'LOGIN'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Ingresar'
,p_button_position=>'BELOW_BOX'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where 1=1'))
,p_button_condition_type=>'EXISTS'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51629176925726572)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(106358933352584572)
,p_button_name=>'BTN_Nuevo_Proveedor'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_image_alt=>'Nuevo Usuario'
,p_button_position=>'BELOW_BOX'
,p_button_redirect_url=>'f?p=&APP_ID.:2:&SESSION.::&DEBUG.:RP,2::'
,p_button_condition_type=>'NEVER'
,p_button_cattributes=>'sstyle="width:47%;'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51629589399726572)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(106358933352584572)
,p_button_name=>'BTN_Blanquear_Contrasenia'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--simple:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_image_alt=>unistr('Olvide mi contrase\00F1a')
,p_button_position=>'BELOW_BOX'
,p_button_redirect_url=>'f?p=&APP_ID.:204:&SESSION.::&DEBUG.:RP,204::'
,p_button_condition_type=>'NEVER'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51629910020726572)
,p_button_sequence=>50
,p_button_plug_id=>wwv_flow_api.id(106358933352584572)
,p_button_name=>'BTN_Manual_DGC'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--simple:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_image_alt=>'Manual de usuario - DGC'
,p_button_position=>'BELOW_BOX'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_button_cattributes=>'target=_blank'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23520662185660806)
,p_button_sequence=>60
,p_button_plug_id=>wwv_flow_api.id(106358933352584572)
,p_button_name=>'BTN_Manual_DGC_Mensura'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--simple:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_image_alt=>'Manual de usuario - DGC - Mensura'
,p_button_position=>'BELOW_BOX'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_button_cattributes=>'target=_blank'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(17342904395612003)
,p_button_sequence=>70
,p_button_plug_id=>wwv_flow_api.id(106358933352584572)
,p_button_name=>'BTN_Manual_RPI'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--simple:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_image_alt=>'Manual de usuario - RPI'
,p_button_position=>'BELOW_BOX'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_button_cattributes=>'target=_blank'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(17343300830612007)
,p_button_sequence=>80
,p_button_plug_id=>wwv_flow_api.id(106358933352584572)
,p_button_name=>'BTN_Manual_Billetera_Virtual'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--simple:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_image_alt=>'Manual de usuario - Billetera Virtual'
,p_button_position=>'BELOW_BOX'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_button_cattributes=>'target=_blank'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51630312927726573)
,p_button_sequence=>90
,p_button_plug_id=>wwv_flow_api.id(106358933352584572)
,p_button_name=>'BTN_Video'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--simple:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_image_alt=>'Instructivo en Video'
,p_button_position=>'BELOW_BOX'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_button_condition_type=>'NEVER'
,p_button_cattributes=>'target=_blank'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51630747161726573)
,p_name=>'P101_MENSAJE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(106358933352584572)
,p_pre_element_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<center>',
'',
unistr('<h3 style="color: #ff0000;">En estos momentos se est\00E1n realizando tareas de mantenimiento</h3>'),
'<br>',
'<FONT FACE="Franklin Gothic" size=4>',
unistr('<span style=" color: #666666;">El sistema estar&aacute; disponible a la brevedad<br><br>Ingrese nuevamente m\00E1s tarde.</span></font>'),
'',
'</center>'))
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where 1=2'))
,p_display_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_escape_on_http_output=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51631108166726573)
,p_name=>'P101_USERNAME'
,p_is_required=>true
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(106358933352584572)
,p_placeholder=>'Ingrese su CUIL/T ...'
,p_post_element_text=>'<span class="t-Login-iconValidation a-Icon icon-check"></span>'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>40
,p_cMaxlength=>11
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where 1=1'))
,p_display_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50814781766672342)
,p_item_css_classes=>'icon-login-username'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51631505702726574)
,p_name=>'P101_PASSWORD'
,p_is_required=>true
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(106358933352584572)
,p_placeholder=>unistr('Ingrese su Contrase\00F1a ...')
,p_post_element_text=>'<span class="t-Login-iconValidation a-Icon icon-check"></span>'
,p_display_as=>'NATIVE_PASSWORD'
,p_cSize=>40
,p_cMaxlength=>100
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where 1=1'))
,p_display_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50814781766672342)
,p_item_css_classes=>'icon-login-password'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51631986860726574)
,p_name=>'P101_CUIL'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(106358933352584572)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51634717473726576)
,p_name=>'New'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(51629910020726572)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51635233889726576)
,p_event_id=>wwv_flow_api.id(51634717473726576)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'window.open(''#WORKSPACE_IMAGES#Manual.de.Usuario.pdf'', ''_blank'');'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51635665014726576)
,p_name=>'New_1'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(51630312927726573)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51636126379726577)
,p_event_id=>wwv_flow_api.id(51635665014726576)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'window.open(''https://www.youtube.com/watch?v=LxinQCijEIk'', ''_blank'');'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(17343076036612004)
,p_name=>'New_2'
,p_event_sequence=>30
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(17342904395612003)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(17343242099612006)
,p_event_id=>wwv_flow_api.id(17343076036612004)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'window.open(''#WORKSPACE_IMAGES#Manual.de.Usuario.RPI.pdf'', ''_blank'');'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(17343439562612008)
,p_name=>'New_3'
,p_event_sequence=>40
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(17343300830612007)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(17343640553612010)
,p_event_id=>wwv_flow_api.id(17343439562612008)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'window.open(''#WORKSPACE_IMAGES#Billetera.Virtual.pdf'', ''_blank'');'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23520704700660807)
,p_name=>'New_4'
,p_event_sequence=>50
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23520662185660806)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23520841405660808)
,p_event_id=>wwv_flow_api.id(23520704700660807)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'window.open(''#WORKSPACE_IMAGES#Manual.de.Usuario.Final.Mensura.pdf'', ''_blank'');'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51632331106726575)
,p_process_sequence=>50
,p_process_point=>'AFTER_FOOTER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Confirmar Usuario'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'UPDATE PERSONA SET ESTADO_ID = 1 WHERE CUIL = :P101_CUIL;',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'P101_CUIL'
,p_process_when_type=>'ITEM_NOT_NULL_OR_ZERO'
,p_process_success_message=>'Su usuario ha sido confirmado. Ya puede ingresar al sistema.'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51632789669726575)
,p_process_sequence=>9
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Set Username_id Cookie'
,p_process_sql_clob=>'OWA_COOKIE.send (''usuario_id'', 24);'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_type=>'NEVER'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51633519927726575)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Set Username Cookie'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex_authentication.send_login_username_cookie (',
'    p_username => lower(:P101_USERNAME) );'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51633105446726575)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Login'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex_authentication.login(',
'    p_username => :P101_USERNAME,',
'    p_password => :P101_PASSWORD );',
'    ',
'',
'',
''))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51634352075726576)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'Clear Page(s) Cache'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51633982562726575)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get Username Cookie'
,p_process_sql_clob=>':P101_USERNAME := apex_authentication.get_login_username_cookie;'
);
wwv_flow_api.component_end;
end;
/
