prompt --application/pages/page_00201
begin
--   Manifest
--     PAGE: 00201
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>201
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>unistr('Modificar Contrase\00F1a')
,p_page_mode=>'MODAL'
,p_step_title=>unistr('Modificar Contrase\00F1a')
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20201006202333'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(16556892100058605)
,p_plug_name=>'Buttons'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50729062024672289)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_03'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(101065893138342554)
,p_plug_name=>unistr('Modificar Contrase\00F1a')
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51667357452736986)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(16556892100058605)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Cancelar'
,p_button_position=>'REGION_TEMPLATE_CLOSE'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-times'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51666997160736985)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(16556892100058605)
,p_button_name=>'SAVE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Guardar Cambios'
,p_button_position=>'REGION_TEMPLATE_EDIT'
,p_icon_css_classes=>'fa-edit'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(51673933117736995)
,p_branch_name=>'Login'
,p_branch_action=>'&LOGOUT_URL.'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>1
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(51674358865736995)
,p_branch_name=>'Cambiar_Pass_Redirect'
,p_branch_action=>'f?p=&APP_ID.:8:&SESSION.::&DEBUG.::P8_ID:&PERSONA_ID.'
,p_branch_point=>'BEFORE_HEADER'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>40
,p_branch_condition_type=>'EXISTS'
,p_branch_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona',
'where cuil = :APP_USER',
'  and PASSWORD_CHANGE = 1'))
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51668582450736987)
,p_name=>'P201_NOMBRE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(101065893138342554)
,p_prompt=>'Usuario'
,p_source=>'USUARIO'
,p_source_type=>'ITEM'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51668954437736987)
,p_name=>'P201_PASSWORD_ACTUAL'
,p_is_required=>true
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(101065893138342554)
,p_prompt=>unistr('Contrase\00F1a Actual')
,p_display_as=>'NATIVE_PASSWORD'
,p_cSize=>30
,p_cMaxlength=>64
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51669314778736987)
,p_name=>'P201_PASSWORD_NUEVA'
,p_is_required=>true
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(101065893138342554)
,p_prompt=>unistr('Contrase\00F1a Nueva')
,p_display_as=>'NATIVE_PASSWORD'
,p_cSize=>30
,p_cMaxlength=>64
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51669762583736988)
,p_name=>'P201_PASSWORD_CONFIRMAR_NUEVA'
,p_is_required=>true
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(101065893138342554)
,p_prompt=>unistr('Confirmar Contrase\00F1a Nueva')
,p_display_as=>'NATIVE_PASSWORD'
,p_cSize=>30
,p_cMaxlength=>64
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51671423786736989)
,p_validation_name=>unistr('Validar Contrase\00F1a Actual')
,p_validation_sequence=>10
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona ',
'where id = :PERSONA_ID',
'and password = f_encrypt(:P201_PASSWORD_ACTUAL);'))
,p_validation_type=>'EXISTS'
,p_error_message=>unistr('La contrase\00F1a ingresa no coincide con la actual.')
,p_validation_condition=>'P201_PASSWORD_ACTUAL'
,p_validation_condition_type=>'ITEM_NOT_NULL_OR_ZERO'
,p_when_button_pressed=>wwv_flow_api.id(51666997160736985)
,p_associated_item=>wwv_flow_api.id(51668954437736987)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51671000568736989)
,p_validation_name=>unistr('Confirmacion de Contrase\00F1a')
,p_validation_sequence=>20
,p_validation=>'return :P201_PASSWORD_NUEVA = :P201_PASSWORD_CONFIRMAR_NUEVA;'
,p_validation_type=>'FUNC_BODY_RETURNING_BOOLEAN'
,p_error_message=>unistr('La contrase\00F1a ingresada a confirmar no coincide con la nueva.')
,p_validation_condition=>'return :P201_PASSWORD_NUEVA is not null and :P201_PASSWORD_CONFIRMAR_NUEVA is not null;'
,p_validation_condition_type=>'FUNCTION_BODY'
,p_when_button_pressed=>wwv_flow_api.id(51666997160736985)
,p_associated_item=>wwv_flow_api.id(51669762583736988)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51672911872736992)
,p_name=>'Close Dialog'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(51667357452736986)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51673411967736995)
,p_event_id=>wwv_flow_api.id(51672911872736992)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CLOSE'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(16556937078058606)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>unistr('Modificar Contrase\00F1a')
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'update persona',
'    set password = f_encrypt(:P201_PASSWORD_CONFIRMAR_NUEVA)',
'where id = :PERSONA_ID;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_success_message=>unistr('Su contrase\00F1a ha sido modificada con \00E9xito, por favor ingrese al sistema con su nueva clave.')
);
wwv_flow_api.component_end;
end;
/
