prompt --application/pages/page_00202
begin
--   Manifest
--     PAGE: 00202
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>202
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Mis Datos'
,p_step_title=>'Mis Datos'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20200806141434'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(16557038111058607)
,p_plug_name=>'Breadcrumb'
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useBreadcrumbTitle'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50764894046672306)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_01'
,p_menu_id=>wwv_flow_api.id(50701543475672259)
,p_plug_source_type=>'NATIVE_BREADCRUMB'
,p_menu_template_id=>wwv_flow_api.id(50817546519672348)
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(101102323194818782)
,p_plug_name=>'Datos Personales'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    p.ID,',
'    dt.descripcion||'':''||p.DOCUMENTO_NUMERO "Documento",',
'    p.CUIL "CUIL/T",',
'    p.APELLIDO||'', ''||p.NOMBRE "Apellido y Nombres",',
'    p.FECHANACIMIENTO "Fecha/Nac.",',
'    pais.nacionalidad Nacionalidad,',
unistr('    -- p.DOMICILIO_CALLE Calle, p.DOMICILIO_NUMERO "N\00B0",'),
'    -- l.codigopostal||'': ''||l.DESCRIPCION Localidad,',
'    p.CELULAR, ',
'	p.EMAIL, ',
'	',
'	--- PROFESIONALES ---',
'	PT.DESCRIPCION Profesion,',
unistr('    p.PROFESIONAL_MATRICULA Matr\00EDcula,'),
'    PC.DESCRIPCION Caracter,',
'	p.PROFESIONAL_REGISTRO Registro,',
'	p.PROFESIONAL_DOM_LABORAL "Domicilio Laboral", ',
'	d.DESCRIPCION Departamento,',
'    PERFIL.DESCRIPCION Perfil',
'    ',
'from persona p, DOCUMENTO_TIPO dt, ESTADO_CIVIL ec, PAIS, departamento d, PROFESIONAL_TIPO PT, PROFESIONAL_CARACTER PC, PERFIL',
'where p.DOCUMENTO_TIPO_ID = dt.id',
'and p.ESTADO_CIVIL_ID = ec.id(+)',
'and p.NACIONALIDAD_ID = pais.id',
'and p.PROFESIONAL_DOM_LAB_DPTO_ID = d.id(+)',
'AND P.PROFESIONAL_TIPO_ID = PT.ID(+)',
'AND P.PROFESIONAL_CARACTER_ID = PC.ID(+)',
'AND P.PERFIL_ID = PERFIL.ID',
'and p.id = :PERSONA_ID;',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(101102589252818801)
,p_max_row_count=>'1000000'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'C'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:EMAIL:XLS:PDF:RTF'
,p_detail_link=>'f?p=&APP_ID.:105:&SESSION.::&DEBUG.:RP,105:P105_ID:#ID#'
,p_detail_link_text=>'<span aria-label="Edit"><span class="fa fa-edit" aria-hidden="true" title="Edit"></span></span>'
,p_owner=>'SIPROM'
,p_internal_uid=>101102589252818801
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51682098148740101)
,p_db_column_name=>'ID'
,p_display_order=>1
,p_column_identifier=>'C'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51680850748740100)
,p_db_column_name=>'CUIL/T'
,p_display_order=>3
,p_column_identifier=>'AD'
,p_column_label=>'Cuil&#x2F;t'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51682874808740102)
,p_db_column_name=>'Apellido y Nombres'
,p_display_order=>40
,p_column_identifier=>'X'
,p_column_label=>'Apellido y nombres'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51682470364740102)
,p_db_column_name=>'NACIONALIDAD'
,p_display_order=>70
,p_column_identifier=>'R'
,p_column_label=>'Nacionalidad'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51681223257740101)
,p_db_column_name=>'Documento'
,p_display_order=>130
,p_column_identifier=>'AE'
,p_column_label=>'Documento'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51681684549740101)
,p_db_column_name=>'Fecha/Nac.'
,p_display_order=>140
,p_column_identifier=>'AF'
,p_column_label=>'Fecha&#x2F;nac.'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51677643304740098)
,p_db_column_name=>'CELULAR'
,p_display_order=>150
,p_column_identifier=>'AH'
,p_column_label=>'Celular'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51678024013740098)
,p_db_column_name=>'EMAIL'
,p_display_order=>160
,p_column_identifier=>'AI'
,p_column_label=>'Email'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51678447189740099)
,p_db_column_name=>'PROFESION'
,p_display_order=>170
,p_column_identifier=>'AJ'
,p_column_label=>'Profesion'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51678882554740099)
,p_db_column_name=>unistr('MATR\00CDCULA')
,p_display_order=>180
,p_column_identifier=>'AK'
,p_column_label=>unistr('Matr\00EDcula')
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51679287862740099)
,p_db_column_name=>'CARACTER'
,p_display_order=>190
,p_column_identifier=>'AL'
,p_column_label=>'Caracter'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51679682606740100)
,p_db_column_name=>'REGISTRO'
,p_display_order=>200
,p_column_identifier=>'AM'
,p_column_label=>'Registro'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51680092338740100)
,p_db_column_name=>'Domicilio Laboral'
,p_display_order=>210
,p_column_identifier=>'AN'
,p_column_label=>'Domicilio laboral'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51680479655740100)
,p_db_column_name=>'DEPARTAMENTO'
,p_display_order=>220
,p_column_identifier=>'AO'
,p_column_label=>'Departamento'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51683212924740102)
,p_db_column_name=>'PERFIL'
,p_display_order=>230
,p_column_identifier=>'AP'
,p_column_label=>'Perfil'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(101106969960818843)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'516836'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'Documento:PERFIL:CUIL/T:Apellido y Nombres:NACIONALIDAD:PROFESION:Fecha/Nac.:CELULAR:EMAIL:'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(51685324647740104)
,p_branch_name=>'Cambiar_Pass_Redirect'
,p_branch_action=>'f?p=&APP_ID.:8:&SESSION.::&DEBUG.::P8_ID:&PERSONA_ID.'
,p_branch_point=>'BEFORE_HEADER'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>30
,p_branch_condition_type=>'EXISTS'
,p_branch_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona',
'where cuil = :APP_USER',
'  and PASSWORD_CHANGE = 1'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51684343846740103)
,p_name=>'New'
,p_event_sequence=>10
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(101102323194818782)
,p_bind_type=>'bind'
,p_bind_event_type=>'apexafterclosedialog'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51684824219740104)
,p_event_id=>wwv_flow_api.id(51684343846740103)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(101102323194818782)
);
wwv_flow_api.component_end;
end;
/
