prompt --application/pages/page_00204
begin
--   Manifest
--     PAGE: 00204
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>204
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>unistr('Blanquear Contrase\00F1a')
,p_page_mode=>'MODAL'
,p_step_title=>unistr('Blanquear Contrase\00F1a')
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function validaCuit(sCUIT) ',
'{     ',
'    var aMult = ''5432765432''; ',
'    var aMult = aMult.split(''''); ',
'     ',
'    if (sCUIT && sCUIT.length == 11) ',
'    { ',
'        aCUIT = sCUIT.split(''''); ',
'        var iResult = 0; ',
'        for(i = 0; i <= 9; i++) ',
'        { ',
'            iResult += aCUIT[i] * aMult[i]; ',
'        } ',
'        iResult = (iResult % 11); ',
'        iResult = 11 - iResult; ',
'         ',
'        if (iResult == 11) iResult = 0; ',
'        if (iResult == 10) iResult = 9; ',
'         ',
'        if (iResult == aCUIT[10]) ',
'        { ',
'            return true; ',
'        } ',
'    }     ',
'    return false; ',
'} '))
,p_step_template=>wwv_flow_api.id(50716006757672280)
,p_page_template_options=>'#DEFAULT#'
,p_page_is_public_y_n=>'Y'
,p_protection_level=>'C'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20200720230808'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(101084625980911721)
,p_plug_name=>'Ingrese su usuario y su email, y haga click en enviar.'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50724384228672284)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51691739581745659)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(101084625980911721)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_image_alt=>'Cancel'
,p_button_position=>'REGION_TEMPLATE_CLOSE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51692193791745659)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(101084625980911721)
,p_button_name=>'Blanquear_contrasenia'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_image_alt=>unistr('Blanquear contrase\00F1a')
,p_button_position=>'REGION_TEMPLATE_CREATE'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(51697037797745663)
,p_branch_action=>'f?p=&APP_ID.:101:&SESSION.&success_msg=#SUCCESS_MSG#'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>1
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51692556905745660)
,p_name=>'P204_CUIL'
,p_is_required=>true
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(101084625980911721)
,p_prompt=>'Usuario (cuil)'
,p_placeholder=>'... CUIL/T ...'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>19
,p_cMaxlength=>11
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_03=>'center'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51692994064745660)
,p_name=>'P204_EMAIL'
,p_is_required=>true
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(101084625980911721)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Email'
,p_placeholder=>'... E-mail ...'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>19
,p_cMaxlength=>50
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51693390032745660)
,p_name=>'P204_PASS'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(101084625980911721)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(51693871380745661)
,p_computation_sequence=>10
,p_computation_item=>'P204_PASS'
,p_computation_type=>'QUERY'
,p_computation=>'SELECT DBMS_RANDOM.string(''L'', 10) FROM dual;'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51694182174745661)
,p_validation_name=>unistr('Validar si el cuil es v\00E1lido')
,p_validation_sequence=>20
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'   RES NUMBER;',
'   I   NUMBER;',
'   DIG NUMBER;',
'   NUM NUMBER;',
'   XID varchar(12) := :P204_CUIL;',
'  BEGIN',
'  ',
'   IF LENGTH (XID) != 11 OR',
'      SUBSTR (XID, 1, 2) = ''00'' THEN',
'   RETURN false;',
'   END IF;',
'   ',
'   RES:= 0;',
'   FOR I IN 1..10 LOOP',
'     NUM := TO_NUMBER (SUBSTR (XID, I, 1));',
'     IF I = 1 OR I = 7 THEN RES := RES + NUM * 5;',
'     ELSIF I = 2 OR I = 8  THEN RES := RES + NUM * 4;',
'     ELSIF I = 3 OR I = 9  THEN RES := RES + NUM * 3;',
'     ELSIF I = 4 OR I = 10 THEN RES := RES + NUM * 2;',
'     ELSIF I = 5 THEN RES := RES + NUM * 7;',
'     ELSIF I = 6 THEN RES := RES + NUM * 6;',
'     END IF;',
'   END LOOP;',
'   DIG := 11 - MOD (RES, 11);',
'   IF DIG = 11 THEN DIG := 0; END IF;',
'     ',
'   IF DIG = TO_NUMBER (SUBSTR (XID, 11, 1)) THEN',
'     RETURN true;',
'   ELSE',
'     RETURN false;',
'   END IF;',
'   ',
'   EXCEPTION',
'   WHEN OTHERS THEN',
'     RETURN false;',
'   END;'))
,p_validation_type=>'FUNC_BODY_RETURNING_BOOLEAN'
,p_error_message=>'Usuario (cuil) incorrecto ...'
,p_always_execute=>'Y'
,p_associated_item=>wwv_flow_api.id(51692556905745660)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51694523470745661)
,p_validation_name=>'Valida si el Email es valido'
,p_validation_sequence=>30
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  declare',
'  l_dot_pos    NUMBER;',
'  l_at_pos     NUMBER;',
'  l_str_length NUMBER;',
'  l_user_name varchar(64) := :P204_EMAIL;',
'BEGIN',
'  l_dot_pos    := instr(l_user_name',
'                       ,''.'');',
'  l_at_pos     := instr(l_user_name',
'                       ,''@'');',
'  l_str_length := length(l_user_name);',
'  IF ((l_dot_pos = 0) OR (l_at_pos = 0) OR (l_dot_pos = l_at_pos + 1) OR',
'     (l_at_pos = 1) OR (l_at_pos = l_str_length) OR',
'     (l_dot_pos = l_str_length))',
'  THEN',
'    RETURN FALSE;',
'  END IF;',
'  IF instr(substr(l_user_name',
'                 ,l_at_pos)',
'          ,''.'') = 0',
'  THEN',
'    RETURN FALSE;',
'  END IF;',
'  RETURN TRUE;',
'END;'))
,p_validation_type=>'FUNC_BODY_RETURNING_BOOLEAN'
,p_error_message=>unistr('Email inv\00E1lido ...')
,p_associated_item=>wwv_flow_api.id(51692994064745660)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51694971541745661)
,p_validation_name=>'Validar_Datos_Ingresados'
,p_validation_sequence=>40
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from PERSONA',
'where CUIL = :P204_CUIL',
' and EMAIL = :P204_EMAIL'))
,p_validation_type=>'EXISTS'
,p_error_message=>'Los datos ingresados son incorrectos. Controle que el usuario ingresado y el email sean correctos.'
,p_when_button_pressed=>wwv_flow_api.id(51692193791745659)
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51696000935745662)
,p_name=>'New'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(51691739581745659)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51696591251745662)
,p_event_id=>wwv_flow_api.id(51696000935745662)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CLOSE'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51695602064745662)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Enviar_Email'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DECLARE',
'   msg NVARCHAR2 (2000);',
'   IP NVARCHAR2 (20);',
'begin',
'',
'SELECT VALOR INTO IP FROM PARAMETROS WHERE NOMBRE=''IP'';',
'',
'msg:=''<div style="width: 100%;display:block;position: relative;margin: 5px auto 10px auto;text-align: center;">',
'<FONT FACE="Franklin Gothic"><p style="text-align: center;"><FONT SIZE=4><strong>GE.PLA.M. </strong></font><span style=" color: #666666;"><FONT SIZE=4>Gesti&oacute;n de Planos Municipales</font>',
'<HR><br>',
'',
'<p><strong>USUARIO: </strong> ''||:P204_CUIL||''</p>',
'<p><strong>CONTRASE&Ntilde;A: </strong> ''||:P204_PASS||''</p>',
'<p>Ingrese al sistema GEPLAM y cambie su contrase&ntilde;a en<strong> Mi Cuenta - Cambiar Contrase&ntilde;a</strong>.</p>',
'<a style="background-color: #008CBA;border: none;color: white;padding: 15px 32px;text-align: center;text-decoration: none;display: inline-block;font-size: 16px;" href="http://''||IP||'':8080/apex/f?P=111" target="_blank">Ingresar a GEPLAM</a>',
'',
'</div><HR><br>',
'<div style="width:100%; display: block; position: relative;">',
'<div style="display:block;position: relative;width:260px;height:52px;margin: 0 auto;"><img style="width:260px;height:52px;" src="http://190.228.16.218:8080/apex/r/siprom/files/static/v6/Logo-CatamarcaCiudad-transparente.png"/></div>',
'<div style="font-family:Arial,Helvetica,sans-serif; font-face:arial; font-size:11px; width: 60%;display:block;position: relative;margin: 5px auto 10px auto;text-align: center;"><b>',
'MUNICIPALIDAD DE SAN FERNANDO DEL VALLE DE CATAMARCA<br>DIRECCION DE CONTRATACIONES Y ALMACEN<br>SALTA 1141 - C.P. 4700 - SFV DE CATAMARCA</b></div></div>'';',
'',
'html_email(:P204_EMAIL,''geplam.catamarca@gmail.com'',''GEPLAM - Blanqueo de Clave'',''texto'',msg);',
'',
'UPDATE PERSONA SET PASSWORD = f_encrypt(:P204_PASS) WHERE CUIL=:P204_CUIL;',
'',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_success_message=>unistr('Su contrase\00F1a ha sido blanqueada con \00E9xito. Ingrese a su correo personal para ver la nueva clave.')
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51695259665745662)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'reset page'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
