prompt --application/pages/page_00313
begin
--   Manifest
--     PAGE: 00313
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>313
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Propietario/Sujeto o Beneficiario/Solicitante'
,p_page_mode=>'MODAL'
,p_step_title=>'Propietario/Sujeto o Beneficiario/Solicitante'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var htmldb_delete_message=''"DELETE_CONFIRM_MSG"'';',
'',
'function validaCuit(sCUIT) ',
'{     ',
'    var aMult = ''5432765432''; ',
'    var aMult = aMult.split(''''); ',
'     ',
'    if (sCUIT && sCUIT.length == 11) ',
'    { ',
'        aCUIT = sCUIT.split(''''); ',
'        var iResult = 0; ',
'        for(i = 0; i <= 9; i++) ',
'        { ',
'            iResult += aCUIT[i] * aMult[i]; ',
'        } ',
'        iResult = (iResult % 11); ',
'        iResult = 11 - iResult; ',
'         ',
'        if (iResult == 11) iResult = 0; ',
'        if (iResult == 10) iResult = 9; ',
'         ',
'        if (iResult == aCUIT[10]) ',
'        { ',
'            return true; ',
'        } ',
'    }     ',
'    return false; ',
'}',
'',
'function validarfecha(event, element, _float){',
'	event = event || window.event;',
'	var charCode = event.which || event.keyCode;',
'	if (charCode == 8 || charCode == 13 || charCode == 47 ||(_float ? (element.value.indexOf('','') == -1 ? charCode == 44 : false) : false))',
'		return true;',
'	else if ((charCode < 48) || (charCode > 57))',
'		return false;',
'	return true;',
'}',
'',
''))
,p_step_template=>wwv_flow_api.id(50722836237672283)
,p_page_template_options=>'#DEFAULT#'
,p_dialog_height=>'595'
,p_dialog_width=>'1000'
,p_protection_level=>'C'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20200720230852'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(108045688392730278)
,p_plug_name=>'Propietario / Sujeto'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'TABLE'
,p_query_table=>'SOLICITUD_PERSONAS'
,p_include_rowid_column=>false
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_plug_source_type=>'NATIVE_FORM'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(109373022170648030)
,p_plug_name=>'Region Display'
,p_parent_plug_id=>wwv_flow_api.id(108045688392730278)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_DISPLAY_SELECTOR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'STANDARD'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(109496276209703449)
,p_plug_name=>'Datos Personales'
,p_parent_plug_id=>wwv_flow_api.id(109373022170648030)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50724384228672284)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'ALWAYS'
,p_plug_header=>'<div style="overflow: auto; min-height: 100%; max-height: 100%;">'
,p_plug_footer=>'</div>'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(109498712962722766)
,p_plug_name=>'Domicilio'
,p_parent_plug_id=>wwv_flow_api.id(109373022170648030)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50724384228672284)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'ALWAYS'
,p_plug_header=>'<div style="overflow: auto; min-height: 100%; max-height: 100%;">'
,p_plug_footer=>'</div>'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(123299068508510169)
,p_plug_name=>'Ver Fotos ...'
,p_parent_plug_id=>wwv_flow_api.id(109373022170648030)
,p_region_template_options=>'t-Form--slimPadding'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'ALWAYS'
,p_plug_header=>'<div style="overflow: auto; min-height: 100%; max-height: 100%;">'
,p_plug_footer=>'</div>'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(123299603773510175)
,p_plug_name=>'DNI - Dorso'
,p_parent_plug_id=>wwv_flow_api.id(123299068508510169)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50724384228672284)
,p_plug_display_sequence=>70
,p_plug_new_grid_row=>false
,p_plug_new_grid_column=>false
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(124599426090254433)
,p_plug_name=>'CUIL/T'
,p_parent_plug_id=>wwv_flow_api.id(123299068508510169)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50724384228672284)
,p_plug_display_sequence=>80
,p_plug_new_grid_row=>false
,p_plug_new_grid_column=>false
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(130784693504017159)
,p_plug_name=>'DNI - Frente'
,p_parent_plug_id=>wwv_flow_api.id(123299068508510169)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50724384228672284)
,p_plug_display_sequence=>60
,p_plug_new_grid_row=>false
,p_plug_new_grid_column=>false
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(108062910000730292)
,p_plug_name=>'Buttons'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50729062024672289)
,p_plug_display_sequence=>20
,p_plug_display_point=>'REGION_POSITION_03'
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51798936852755008)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(108062910000730292)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_image_alt=>'Cancelar'
,p_button_position=>'REGION_TEMPLATE_CLOSE'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51779109033754994)
,p_name=>'P313_ID'
,p_source_data_type=>'NUMBER'
,p_is_primary_key=>true
,p_item_sequence=>250
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_source=>'ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51779592583754995)
,p_name=>'P313_SOLICITUD_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>260
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_source=>'SOLICITUD_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51779921893754995)
,p_name=>'P313_SECUENCIA'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>290
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_source=>'SECUENCIA'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51780347744754995)
,p_name=>'P313_INTERVINIENTES_TIPO_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>300
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_source=>'INTERVINIENTES_TIPO_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51780751651754995)
,p_name=>'P313_PERSONA_TIPO_ID'
,p_source_data_type=>'NUMBER'
,p_is_required=>true
,p_item_sequence=>320
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'Persona Tipo'
,p_source=>'PERSONA_TIPO_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from persona_TIPO',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:213px'''
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51781185891754996)
,p_name=>unistr('P313_DUE\00D1O_TIPO_ID')
,p_source_data_type=>'NUMBER'
,p_item_sequence=>330
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>unistr('Due\00F1o Tipo')
,p_source=>unistr('DUE\00D1O_TIPO_ID')
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
unistr('from DUE\00D1O_TIPO'),
'order by id asc'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:213px'''
,p_display_when=>'P313_INTERVINIENTES_TIPO_ID'
,p_display_when2=>'1'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51781598575754996)
,p_name=>'P313_SUCESION'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>340
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_item_default=>'0'
,p_prompt=>unistr('Sucesi\00F3n <FONT size=3; style="color: #ff0000;"><strong>*</strong></font>')
,p_source=>'SUCESION'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:NO;0,SI;1'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:213px'''
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>1
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1 ',
'FROM DUAL',
'WHERE :P313_INTERVINIENTES_TIPO_ID = 1',
'  AND :P313_PERSONA_TIPO_ID = 1'))
,p_display_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51781958025754996)
,p_name=>'P313_CUIL'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>350
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'CUIL/T'
,p_source=>'CUIL'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>32
,p_cMaxlength=>11
,p_tag_attributes=>'onkeypress="return validarNum(event, this, false);"'
,p_colspan=>6
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51782373669754996)
,p_name=>'P313_DNI'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>360
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'D.N.I.'
,p_source=>'DNI'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>32
,p_cMaxlength=>8
,p_tag_attributes=>'onkeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_grid_column=>7
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51782796797754996)
,p_name=>'P313_RAZON_SOCIAL'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>370
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>unistr('Raz\00F3n.Social<FONT size=3; style="color: #ff0000;"><strong>*</strong></font>')
,p_source=>'RAZON_SOCIAL'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>100
,p_tag_attributes=>'astyle=''width:535px'';'
,p_begin_on_new_line=>'N'
,p_grid_column=>7
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51783184962754997)
,p_name=>'P313_APELLIDO'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>380
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'Apellido'
,p_source=>'APELLIDO'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>100
,p_tag_attributes=>'onKeyUp="this.value=this.value.toUpperCase();"; onkeypress="return soloLetras(event);";'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51783584561754997)
,p_name=>'P313_NOMBRE'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>390
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'Nombre'
,p_source=>'NOMBRE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>100
,p_tag_attributes=>'onKeyUp="this.value=this.value.toUpperCase();"; onkeypress="return soloLetras(event);";'
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51783926011754997)
,p_name=>'P313_FECHANACIMIENTO'
,p_source_data_type=>'DATE'
,p_item_sequence=>400
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'Fecha de Nac.'
,p_placeholder=>'Fecha de nacimiento ...'
,p_format_mask=>'DD/MM/YYYY'
,p_source=>'FECHANACIMIENTO'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>32
,p_tag_attributes=>'onkeypress="return validarfecha(event, this, false);"'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_04=>'focus'
,p_attribute_05=>'Y'
,p_attribute_07=>'MONTH_AND_YEAR'
,p_attribute_08=>'1900:sysdate'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51784360578754997)
,p_name=>'P313_NACIONALIDAD_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>410
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_item_default=>'8'
,p_prompt=>'Nacionalidad'
,p_source=>'NACIONALIDAD_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from pais',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:213px'''
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51784720150754997)
,p_name=>'P313_SEXO_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>420
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'Sexo'
,p_source=>'SEXO_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from sexo',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:213px'''
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51785156338754998)
,p_name=>'P313_ESTADO_CIVIL_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>430
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'Estado Civil'
,p_source=>'ESTADO_CIVIL_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from estado_civil',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:213px'''
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51785542400754998)
,p_name=>'P313_USUARIO_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>440
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select id',
'from persona p',
'where p.cuil = :app_user'))
,p_item_default_type=>'SQL_QUERY'
,p_source=>'USUARIO_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51785949466754999)
,p_name=>'P313_OBSERVACIONES'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>450
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_source=>'OBSERVACIONES'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51786353806754999)
,p_name=>'P313_FECHA'
,p_source_data_type=>'DATE'
,p_item_sequence=>460
,p_item_plug_id=>wwv_flow_api.id(109496276209703449)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_item_default=>'SYSDATE'
,p_item_default_type=>'PLSQL_EXPRESSION'
,p_source=>'FECHA'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51787044787755000)
,p_name=>'P313_DOMICILIO_CALLE'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>170
,p_item_plug_id=>wwv_flow_api.id(109498712962722766)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'Calle'
,p_source=>'DOMICILIO_CALLE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>100
,p_tag_attributes=>'onKeyUp="this.value=this.value.toUpperCase();"; onkeypress="return soloLetras(event);";'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51787429417755000)
,p_name=>'P313_DOMICILIO_NUMERO'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>180
,p_item_plug_id=>wwv_flow_api.id(109498712962722766)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>unistr('N\00FAmero')
,p_source=>'DOMICILIO_NUMERO'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>10
,p_tag_attributes=>'onkeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51787835774755000)
,p_name=>'P313_PROVINCIA'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>210
,p_item_plug_id=>wwv_flow_api.id(109498712962722766)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'Provincia'
,p_source=>'DOMICILIO_PROVINCIA_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from provincia',
''))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:213px'''
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51788273300755000)
,p_name=>'P313_DEPARTAMENTO'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>220
,p_item_plug_id=>wwv_flow_api.id(109498712962722766)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'Departamento'
,p_source=>'DOMICILIO_DEPARTAMENTO_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select d.descripcion, d.id',
'from departamento d',
'',
''))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:213px'''
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51788605046755001)
,p_name=>'P313_DOMICILIO_LOCALIDAD_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>230
,p_item_plug_id=>wwv_flow_api.id(109498712962722766)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'Localidad'
,p_source=>'DOMICILIO_LOCALIDAD_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select l.descripcion, l.id',
'  from localidad l',
''))
,p_lov_display_null=>'YES'
,p_cSize=>32
,p_tag_attributes=>'style=''width:506px'''
,p_colspan=>12
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51789669760755002)
,p_name=>'P313_DNI_D_IMG'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(123299603773510175)
,p_prompt=>'IMG Dni D'
,p_source=>'#WORKSPACE_IMAGES#DNI-Dorso.png'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_IMAGE'
,p_tag_attributes=>'style="width:65px"'
,p_grid_column=>1
,p_grid_label_column_span=>0
,p_display_when=>'P313_DNI_D_FILENAME'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_attribute_01=>'URL'
,p_attribute_02=>'DNI - Dorso'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51790091916755002)
,p_name=>'P313_DNI_D_FILENAME'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(123299603773510175)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'DNI - Dorso'
,p_source=>'DNI_D_FILENAME'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>2
,p_grid_label_column_span=>0
,p_display_when=>'P313_DNI_D_FILENAME'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51790411158755002)
,p_name=>'P313_ARCHIVO_DNI_D_FECHA'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(123299603773510175)
,p_prompt=>'Cargado el'
,p_source=>'P313_DNI_D_LAST_UPDATED'
,p_source_type=>'ITEM'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>4
,p_grid_label_column_span=>1
,p_display_when=>'P313_DNI_D_LAST_UPDATED'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51790858182755002)
,p_name=>'P313_DNI_D_BLOB_CONTENT'
,p_source_data_type=>'BLOB'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(123299603773510175)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'Dni D Blob Content'
,p_source=>'DNI_D_BLOB_CONTENT'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_FILE'
,p_cSize=>30
,p_tag_attributes=>'accept="image/*,.pdf"'
,p_begin_on_new_line=>'N'
,p_grid_column=>6
,p_grid_label_column_span=>0
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'DB_COLUMN'
,p_attribute_02=>'DNI_D_MIME_TYPE'
,p_attribute_03=>'DNI_D_FILENAME'
,p_attribute_04=>'DNI_D_CHARACTER_SET'
,p_attribute_05=>'DNI_D_LAST_UPDATED'
,p_attribute_06=>'Y'
,p_attribute_07=>'<b>Descargar DNI - Dorso</b>'
,p_attribute_08=>'attachment'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51791262126755002)
,p_name=>'P313_DNI_D_MIME_TYPE'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(123299603773510175)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_source=>'DNI_D_MIME_TYPE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51791640190755003)
,p_name=>'P313_DNI_D_LAST_UPDATED'
,p_source_data_type=>'DATE'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(123299603773510175)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_source=>'DNI_D_LAST_UPDATED'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51792033290755003)
,p_name=>'P313_DNI_D_CHARACTER_SET'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(123299603773510175)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_source=>'DNI_D_CHARACTER_SET'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51792701952755004)
,p_name=>'P313_CUIL_IMG'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(124599426090254433)
,p_prompt=>'CUIL/T'
,p_source=>'#WORKSPACE_IMAGES#cuil-2.png'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_IMAGE'
,p_tag_attributes=>'style="width:65px"'
,p_grid_column=>1
,p_grid_label_column_span=>0
,p_display_when=>'P313_CUIL_FILENAME'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_attribute_01=>'URL'
,p_attribute_02=>'CUIL/T'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51793163605755004)
,p_name=>'P313_CUIL_FILENAME'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(124599426090254433)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'CUIL/T'
,p_source=>'CUIL_FILENAME'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>2
,p_grid_label_column_span=>0
,p_display_when=>'P313_CUIL_FILENAME'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51793550626755004)
,p_name=>'P313_ARCHIVO_CUIL_FECHA'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(124599426090254433)
,p_prompt=>'Cargado el'
,p_source=>'P313_CUIL_LAST_UPDATED'
,p_source_type=>'ITEM'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>4
,p_grid_label_column_span=>1
,p_display_when=>'P313_CUIL_LAST_UPDATED'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51793902895755004)
,p_name=>'P313_CUIL_BLOB_CONTENT'
,p_source_data_type=>'BLOB'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(124599426090254433)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'CUIL Blob Content'
,p_source=>'CUIL_BLOB_CONTENT'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_FILE'
,p_cSize=>30
,p_tag_attributes=>'accept="image/*,.pdf"'
,p_begin_on_new_line=>'N'
,p_grid_column=>6
,p_grid_label_column_span=>0
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'DB_COLUMN'
,p_attribute_02=>'CUIL_MIME_TYPE'
,p_attribute_03=>'CUIL_FILENAME'
,p_attribute_04=>'CUIL_CHARACTER_SET'
,p_attribute_05=>'CUIL_LAST_UPDATED'
,p_attribute_06=>'Y'
,p_attribute_07=>'<b>Descargar CUIL/T</b>'
,p_attribute_08=>'attachment'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51794391591755004)
,p_name=>'P313_CUIL_MIME_TYPE'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(124599426090254433)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_source=>'CUIL_MIME_TYPE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51794723573755005)
,p_name=>'P313_CUIL_LAST_UPDATED'
,p_source_data_type=>'DATE'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(124599426090254433)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_source=>'CUIL_LAST_UPDATED'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51795197429755005)
,p_name=>'P313_CUIL_CHARACTER_SET'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(124599426090254433)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_source=>'CUIL_CHARACTER_SET'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51795857955755006)
,p_name=>'P313_DNI_F_IMG'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(130784693504017159)
,p_prompt=>'IMG Dni F '
,p_source=>'#WORKSPACE_IMAGES#DNI-Frente.png'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_IMAGE'
,p_tag_attributes=>'style="width:65px"'
,p_grid_column=>1
,p_grid_label_column_span=>0
,p_display_when=>'P313_DNI_F_FILENAME'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_attribute_01=>'URL'
,p_attribute_02=>'DNI'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51796238563755006)
,p_name=>'P313_DNI_F_FILENAME'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(130784693504017159)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'DNI - Frente'
,p_source=>'DNI_F_FILENAME'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>2
,p_grid_label_column_span=>0
,p_display_when=>'P313_DNI_F_FILENAME'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51796602441755006)
,p_name=>'P313_ARCHIVO_DNI_F_FECHA'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(130784693504017159)
,p_prompt=>'Cargado el'
,p_source=>'P313_DNI_F_LAST_UPDATED'
,p_source_type=>'ITEM'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>4
,p_grid_label_column_span=>1
,p_display_when=>'P313_DNI_F_LAST_UPDATED'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51797033451755007)
,p_name=>'P313_DNI_F_BLOB_CONTENT'
,p_source_data_type=>'BLOB'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(130784693504017159)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_prompt=>'Dni F Blob Content'
,p_source=>'DNI_F_BLOB_CONTENT'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_FILE'
,p_cSize=>30
,p_tag_attributes=>'accept="image/*,.pdf"'
,p_begin_on_new_line=>'N'
,p_grid_column=>6
,p_grid_label_column_span=>0
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'DB_COLUMN'
,p_attribute_02=>'DNI_F_MIME_TYPE'
,p_attribute_03=>'DNI_F_FILENAME'
,p_attribute_04=>'DNI_F_CHARACTER_SET'
,p_attribute_05=>'DNI_F_LAST_UPDATED'
,p_attribute_06=>'Y'
,p_attribute_07=>'<b>Descargar DNI - Frente</b>'
,p_attribute_08=>'attachment'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51797462267755007)
,p_name=>'P313_DNI_F_MIME_TYPE'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(130784693504017159)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_source=>'DNI_F_MIME_TYPE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51797842095755007)
,p_name=>'P313_DNI_F_LAST_UPDATED'
,p_source_data_type=>'DATE'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(130784693504017159)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_source=>'DNI_F_LAST_UPDATED'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51798250676755007)
,p_name=>'P313_DNI_F_CHARACTER_SET'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(130784693504017159)
,p_item_source_plug_id=>wwv_flow_api.id(108045688392730278)
,p_source=>'DNI_F_CHARACTER_SET'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51811884781755016)
,p_name=>'On_load'
,p_event_sequence=>1
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51812363835755016)
,p_event_id=>wwv_flow_api.id(51811884781755016)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P313_CUIL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51812781921755017)
,p_name=>'Change'
,p_event_sequence=>9
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P313_PERSONA_TIPO_ID'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51813225840755017)
,p_event_id=>wwv_flow_api.id(51812781921755017)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P313_SUCESION,P313_DNI,P313_CUIL,P313_RAZON_SOCIAL,P313_APELLIDO,P313_NOMBRE,P313_FECHANACIMIENTO,P313_NACIONALIDAD_ID,P313_SEXO_ID,P313_ESTADO_CIVIL_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51813727996755017)
,p_event_id=>wwv_flow_api.id(51812781921755017)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P313_SUCESION,P313_DNI,P313_CUIL,P313_RAZON_SOCIAL,P313_APELLIDO,P313_NOMBRE,P313_FECHANACIMIENTO,P313_SEXO_ID,P313_ESTADO_CIVIL_ID,P313_DOMICILIO_CALLE,P313_DOMICILIO_NUMERO'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51814222361755017)
,p_event_id=>wwv_flow_api.id(51812781921755017)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(130784693504017159)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51814795021755018)
,p_event_id=>wwv_flow_api.id(51812781921755017)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(123299603773510175)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51815240017755018)
,p_event_id=>wwv_flow_api.id(51812781921755017)
,p_event_result=>'TRUE'
,p_action_sequence=>50
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(124599426090254433)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51815636666755018)
,p_name=>'Cancel Dialog'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(51798936852755008)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51816129417755018)
,p_event_id=>wwv_flow_api.id(51815636666755018)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51816586075755018)
,p_name=>'Change_igual_1'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P313_PERSONA_TIPO_ID'
,p_condition_element=>'P313_PERSONA_TIPO_ID'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'1'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51817090308755019)
,p_event_id=>wwv_flow_api.id(51816586075755018)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P313_SUCESION,P313_DNI,P313_CUIL,P313_APELLIDO,P313_NOMBRE,P313_FECHANACIMIENTO,P313_NACIONALIDAD_ID,P313_SEXO_ID,P313_ESTADO_CIVIL_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51817531391755019)
,p_event_id=>wwv_flow_api.id(51816586075755018)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P313_DNI,P313_APELLIDO,P313_NOMBRE,P313_FECHANACIMIENTO,P313_NACIONALIDAD_ID,P313_SEXO_ID,P313_ESTADO_CIVIL_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51818056947755019)
,p_event_id=>wwv_flow_api.id(51816586075755018)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(130784693504017159)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51818592256755019)
,p_event_id=>wwv_flow_api.id(51816586075755018)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(123299603773510175)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51819085164755020)
,p_event_id=>wwv_flow_api.id(51816586075755018)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(124599426090254433)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51819414212755020)
,p_name=>'Change_igual_2'
,p_event_sequence=>30
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P313_PERSONA_TIPO_ID'
,p_condition_element=>'P313_PERSONA_TIPO_ID'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'2'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51819955104755020)
,p_event_id=>wwv_flow_api.id(51819414212755020)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_ENABLE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P313_CUIL'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51820467661755021)
,p_event_id=>wwv_flow_api.id(51819414212755020)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P313_RAZON_SOCIAL,P313_CUIL'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51820985724755021)
,p_event_id=>wwv_flow_api.id(51819414212755020)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(124599426090254433)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51811083854755016)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get PK'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin ',
'    if :P313_ID is null then',
'        select "#OWNER#"."SEQ_SOLICITUD_PERSONAS".nextval',
'          into :P313_ID',
'          from sys.dual;',
'    end if;',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51778139829754993)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(108045688392730278)
,p_process_type=>'NATIVE_FORM_DML'
,p_process_name=>'Process form Propietario / Sujeto'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51811465909755016)
,p_process_sequence=>50
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close Dialog'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'CREATE,SAVE,DELETE'
,p_process_when_type=>'REQUEST_IN_CONDITION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51777779729754993)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_region_id=>wwv_flow_api.id(108045688392730278)
,p_process_type=>'NATIVE_FORM_INIT'
,p_process_name=>'Initialize form Porpietario / Sujeto'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
