prompt --application/shared_components/email/templates/solicitud_cambio_estado
begin
--   Manifest
--     REPORT LAYOUT: Solicitud Cambio Estado
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_email_template(
 p_id=>wwv_flow_api.id(42429810389527660)
,p_name=>'Solicitud Cambio Estado'
,p_static_id=>'SOLICITUD_CAMBIO_ESTADO'
,p_subject=>unistr('Su solicitud N\00B0 #NRO_SOLICITUD# cambi\00F3 a estado #ESTADO#.')
,p_html_body=>wwv_flow_string.join(wwv_flow_t_varchar2(
unistr('<b>Estimado/a #SOLICITANTE#, su solicitud cambi\00F3 de estado.</b>'),
'<br>',
'<br>',
'<b>Detalles de tu solicitud:</b>',
'<br>',
'<table width="100%">',
'  <tr>',
'    <th align="left">Numero Solicitud</th>',
'    <td>#NRO_SOLICITUD#</td>',
'  </tr>',
'  <tr>',
'    <th align="left">Fecha Solicitud</th>',
'    <td>#FECHA_SOLICITUD#</td>',
'  </tr>',
'  <tr>',
'    <th align="left">Solicitada por</th>',
'    <td>#SOLICITANTE#</td>',
'  </tr>',
'  <tr>',
'    <th align="left">Estado</th>',
'    <td>#ESTADO#</td>',
'  </tr>',
'  <tr>',
unistr('    <th align="left">Observaci\00F3n</th>'),
'    <td>#OBSERVACION#</td>',
'  </tr>',
'  <tr>',
'    <th align="left">Fecha cambio de estado</th>',
'    <td>#FECHA_ACTUAL#</td>',
'  </tr>',
'</table>',
'<br>',
unistr('Necesita consultar su solicitud? <a href="https://tramitesweb.arca.gob.ar">Click aqu\00ED.</a>'),
'<br>',
'<br>',
'Gracias por utilizar la plataforma de Tramites Web de ARCA.<br>',
'<br>'))
,p_html_header=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<img src="#IMAGEN#" alt="Logo" width="400" height="220"> ',
'<br>',
unistr('<b style="font-size: 24px;">Notificaci\00F3n Autom\00E1tica - #TITULO#</b>')))
,p_html_footer=>'<!--<a href="#MY_APPLICATION_LINK#">Visit My Application and manage your email preferences</a>.-->'
,p_text_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Hello #CUSTOMER_NAME#,',
'',
'Thank you for placing your order!',
'',
'Order Details',
'--------------------------------------------------------------------------------',
'  Order Date:       #ORDER_DATE#',
'  Order Number:     #ORDER_NUMBER#',
'  Ship To:          #SHIP_TO#',
'  Shipping Address: #SHIPPING_ADDRESS_LINE_1#',
'                    #SHIPPING_ADDRESS_LINE_2#',
'  Items Ordered:    #ITEMS_ORDERED#',
'  Order Total:      #ORDER_TOTAL#',
'--------------------------------------------------------------------------------',
'',
'Need to make a change to your order? Manage your order #ORDER_NUMBER# here: #ORDER_URL#'))
);
wwv_flow_api.component_end;
end;
/
