prompt --application/shared_components/logic/application_computations/usuario_perfil
begin
--   Manifest
--     APPLICATION COMPUTATION: USUARIO_PERFIL
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_flow_computation(
 p_id=>wwv_flow_api.id(51872977315945852)
,p_computation_sequence=>15
,p_computation_item=>'USUARIO_PERFIL'
,p_computation_point=>'AFTER_LOGIN'
,p_computation_type=>'QUERY'
,p_computation_processed=>'REPLACE_EXISTING'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select PER.DESCRIPCION PERFIL',
'from persona P, PERFIL PER',
'where P.cuil = :app_user',
'  AND P.PERFIL_ID = PER.ID',
''))
);
wwv_flow_api.component_end;
end;
/
