prompt --application/shared_components/security/authorizations/catastro_interno
begin
--   Manifest
--     SECURITY SCHEME: CATASTRO_INTERNO
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_security_scheme(
 p_id=>wwv_flow_api.id(39013254416829395)
,p_name=>'CATASTRO_INTERNO'
,p_scheme_type=>'NATIVE_EXISTS'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM   PERFIL',
'WHERE  ID = :PERFIL',
'AND    (ORGANISMO_ID = 1',
'AND    INTERNO = ''S'')',
'OR',
':PERFIL = 8'))
,p_error_message=>'Acceso solo para Internos de Catastro'
,p_caching=>'BY_USER_BY_PAGE_VIEW'
);
wwv_flow_api.component_end;
end;
/
