prompt --application/shared_components/security/authorizations/contador
begin
--   Manifest
--     SECURITY SCHEME: CONTADOR
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_security_scheme(
 p_id=>wwv_flow_api.id(97464954706957511)
,p_name=>'CONTADOR'
,p_scheme_type=>'NATIVE_EXISTS'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM DUAL',
'WHERE :PERFIL = 17'))
,p_error_message=>'No tiene privilegios para ver esta pantalla'
,p_caching=>'BY_USER_BY_SESSION'
);
wwv_flow_api.component_end;
end;
/
