prompt --application/shared_components/security/authorizations/organismo_catastro_municipal
begin
--   Manifest
--     SECURITY SCHEME: ORGANISMO_CATASTRO_MUNICIPAL
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_security_scheme(
 p_id=>wwv_flow_api.id(25513234456441238)
,p_name=>'ORGANISMO_CATASTRO_MUNICIPAL'
,p_scheme_type=>'NATIVE_EXISTS'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM   PERFIL',
'WHERE  ID = :PERFIL',
'AND    (1 = NVL(ORGANISMO_ID, 1)',
'OR    ID = 13)'))
,p_error_message=>unistr('Acceso solo para Direcci\00F3n General de Catastro')
,p_caching=>'BY_USER_BY_PAGE_VIEW'
);
wwv_flow_api.component_end;
end;
/
