prompt --application/shared_components/security/authorizations/usuario_colegios
begin
--   Manifest
--     SECURITY SCHEME: USUARIO-COLEGIOS
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_security_scheme(
 p_id=>wwv_flow_api.id(16994788226601441)
,p_name=>'USUARIO-COLEGIOS'
,p_scheme_type=>'NATIVE_EXISTS'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM   PERSONA P2',
'WHERE  (PERFIL_ID = 5',
'OR  PERFIL_ID = 6',
'OR  PERFIL_ID = 7)',
'AND CUIL = :APP_USER'))
,p_error_message=>'Insufficient privileges, user is not an Administrator'
,p_caching=>'BY_USER_BY_PAGE_VIEW'
);
wwv_flow_api.component_end;
end;
/
