prompt --application/shared_components/user_interface/lovs/lov_cuil_persona
begin
--   Manifest
--     LOV_CUIL_PERSONA
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_list_of_values(
 p_id=>wwv_flow_api.id(25276012992010539)
,p_lov_name=>'LOV_CUIL_PERSONA'
,p_lov_query=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT CUIL ||'' - ''|| APELLIDO ||'', ''||NOMBRE D,',
'       ID R',
'FROM   PERSONA',
'ORDER BY 1'))
,p_source_type=>'SQL'
,p_location=>'LOCAL'
,p_return_column_name=>'R'
,p_display_column_name=>'D'
,p_group_sort_direction=>'ASC'
,p_default_sort_direction=>'ASC'
);
wwv_flow_api.component_end;
end;
/
