prompt --application/shared_components/user_interface/lovs/lov_estados_mercadopago
begin
--   Manifest
--     LOV_ESTADOS_MERCADOPAGO
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_list_of_values(
 p_id=>wwv_flow_api.id(38334746908832465)
,p_lov_name=>'LOV_ESTADOS_MERCADOPAGO'
,p_lov_query=>'.'||wwv_flow_api.id(38334746908832465)||'.'
,p_location=>'STATIC'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(38335019944832467)
,p_lov_disp_sequence=>1
,p_lov_disp_value=>'Autorizado'
,p_lov_return_value=>'authorized'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(38335454366832468)
,p_lov_disp_sequence=>2
,p_lov_disp_value=>'En Proceso'
,p_lov_return_value=>'in_process'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(38335818867832468)
,p_lov_disp_sequence=>3
,p_lov_disp_value=>'Pendiente'
,p_lov_return_value=>'pending'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(38336296627832469)
,p_lov_disp_sequence=>4
,p_lov_disp_value=>'Aprobado'
,p_lov_return_value=>'approved'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(38336644795832469)
,p_lov_disp_sequence=>5
,p_lov_disp_value=>'Rechazado'
,p_lov_return_value=>'rejected'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(38337076326832469)
,p_lov_disp_sequence=>6
,p_lov_disp_value=>'Cancelado'
,p_lov_return_value=>'cancelled'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(38337438364832469)
,p_lov_disp_sequence=>7
,p_lov_disp_value=>'Devuelto'
,p_lov_return_value=>'refunded'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(38337808662832469)
,p_lov_disp_sequence=>8
,p_lov_disp_value=>'Devuelto en Parte'
,p_lov_return_value=>'partially_refunded'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(38338217350832470)
,p_lov_disp_sequence=>9
,p_lov_disp_value=>'Contracargo'
,p_lov_return_value=>'charged_back'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(38338677658832470)
,p_lov_disp_sequence=>10
,p_lov_disp_value=>unistr('Ocurri\00F3 un error interno.')
,p_lov_return_value=>'vacated'
);
wwv_flow_api.component_end;
end;
/
