prompt --application/shared_components/user_interface/lovs/lov_matricula_origen_formato
begin
--   Manifest
--     LOV_MATRICULA_ORIGEN_FORMATO
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_list_of_values(
 p_id=>wwv_flow_api.id(12293065331867638)
,p_lov_name=>'LOV_MATRICULA_ORIGEN_FORMATO'
,p_lov_query=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select  FNC_GENERAR_MATRICULA(p_id => mm.CATASTRADO_TIPO_ID,',
'                    p_departamento_id  => mm.MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => mm.PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => mm.SECCION, ',
'                    p_parcela          => mm.MATRICULA_CATASTRAL,',
'                    p_opcional         => mm.MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => mm.PADRON_NUMERO) D,',
'        MATRICULA_ID R',
'from    MENSURA_MATRICULA mm,',
'        MENSURA_ESCRITURA me',
'where   mm.ESCRITURA_ID = me.ESCRITURA_ID;'))
,p_source_type=>'SQL'
,p_location=>'LOCAL'
,p_return_column_name=>'R'
,p_display_column_name=>'D'
,p_group_sort_direction=>'ASC'
,p_default_sort_column_name=>'D'
,p_default_sort_direction=>'ASC'
);
wwv_flow_api.component_end;
end;
/
