prompt --application/shared_components/user_interface/lovs/lov_medios_de_pago
begin
--   Manifest
--     LOV_MEDIOS_DE_PAGO
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_list_of_values(
 p_id=>wwv_flow_api.id(36950837406137176)
,p_lov_name=>'LOV_MEDIOS_DE_PAGO'
,p_lov_query=>'.'||wwv_flow_api.id(36950837406137176)||'.'
,p_location=>'STATIC'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(36951142717137181)
,p_lov_disp_sequence=>1
,p_lov_disp_value=>unistr('Tarjeta D\00E9bito/Cr\00E9dito')
,p_lov_return_value=>'card'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(36951577123137182)
,p_lov_disp_sequence=>2
,p_lov_disp_value=>unistr('PagoF\00E1cil')
,p_lov_return_value=>'pagofacil'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(36951953364137182)
,p_lov_disp_sequence=>3
,p_lov_disp_value=>'RapiPago'
,p_lov_return_value=>'rapipago'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(36952316798137182)
,p_lov_disp_sequence=>4
,p_lov_disp_value=>'Carga Virtual'
,p_lov_return_value=>'cargavirtual'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(36952786449137183)
,p_lov_disp_sequence=>5
,p_lov_disp_value=>'Cobro Express'
,p_lov_return_value=>'cobroexpress'
);
wwv_flow_api.component_end;
end;
/
