prompt --application/pages/page_00002
begin
--   Manifest
--     PAGE: 00002
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>2
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'REGISTRO DE PERSONA'
,p_page_mode=>'MODAL'
,p_step_title=>'REGISTRO DE PERSONA'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function validaCuit(sCUIT) ',
'{     ',
'    var aMult = ''5432765432''; ',
'    var aMult = aMult.split(''''); ',
'     ',
'    if (sCUIT && sCUIT.length == 11) ',
'    { ',
'        aCUIT = sCUIT.split(''''); ',
'        var iResult = 0; ',
'        for(i = 0; i <= 9; i++) ',
'        { ',
'            iResult += aCUIT[i] * aMult[i]; ',
'        } ',
'        iResult = (iResult % 11); ',
'        iResult = 11 - iResult; ',
'         ',
'        if (iResult == 11) iResult = 0; ',
'        if (iResult == 10) iResult = 9; ',
'         ',
'        if (iResult == aCUIT[10]) ',
'        { ',
'            return true; ',
'        } ',
'    }     ',
'    return false; ',
'} ',
'',
''))
,p_page_template_options=>'#DEFAULT#'
,p_page_is_public_y_n=>'Y'
,p_protection_level=>'C'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20200720230512'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(105601871946040370)
,p_plug_name=>'PERSONA'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(105614867063084056)
,p_plug_name=>'DOMICILIO'
,p_parent_plug_id=>wwv_flow_api.id(105601871946040370)
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50738418481672294)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'NEVER'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(105614962168084057)
,p_plug_name=>unistr('USUARIO Y CONTRASE\00D1A')
,p_parent_plug_id=>wwv_flow_api.id(105601871946040370)
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50738418481672294)
,p_plug_display_sequence=>40
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(105615039675084058)
,p_plug_name=>unistr('PROFESI\00D3N Y DATOS DE CONTACTO')
,p_parent_plug_id=>wwv_flow_api.id(105601871946040370)
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50738418481672294)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'NEVER'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(105615102493084059)
,p_plug_name=>'EL QUE SUSCRIBE'
,p_parent_plug_id=>wwv_flow_api.id(105601871946040370)
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50738418481672294)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'NEVER'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(105602472360040379)
,p_plug_name=>'Buttons'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50729062024672289)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_03'
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(50865915410688910)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(105602472360040379)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_image_alt=>'Cancelar'
,p_button_position=>'REGION_TEMPLATE_CLOSE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(50865146477688909)
,p_button_sequence=>5
,p_button_plug_id=>wwv_flow_api.id(105602472360040379)
,p_button_name=>'CREATE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Crear'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>'P2_ID'
,p_button_condition_type=>'ITEM_IS_NULL'
,p_database_action=>'INSERT'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(50865529754688910)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(105602472360040379)
,p_button_name=>'SAVE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Guardar Cambios'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>'P2_ID'
,p_button_condition_type=>'ITEM_IS_NOT_NULL'
,p_database_action=>'UPDATE'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(50874251444688925)
,p_branch_name=>'Go To Page 200'
,p_branch_action=>'f?p=&APP_ID.:200:&SESSION.::&DEBUG.:RP::&success_msg=#SUCCESS_MSG#'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_when_button_id=>wwv_flow_api.id(50865146477688909)
,p_branch_sequence=>10
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50852848840688897)
,p_name=>'P2_CUIL'
,p_is_required=>true
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(105601871946040370)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Cuil'
,p_placeholder=>'... CUIL/T ...'
,p_source=>'CUIL'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>19
,p_cMaxlength=>11
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_03=>'center'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50853248624688899)
,p_name=>'P2_ID'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(105601871946040370)
,p_use_cache_before_default=>'NO'
,p_source=>'ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50853611304688899)
,p_name=>'P2_DOCUMENTO_TIPO_ID'
,p_is_required=>true
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(105601871946040370)
,p_use_cache_before_default=>'NO'
,p_item_default=>'1'
,p_prompt=>'Documento'
,p_source=>'DOCUMENTO_TIPO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select DOCUMENTO_TIPO.DESCRIPCION as DESCRIPCION, DOCUMENTO_TIPO.ID as ID',
' from DOCUMENTO_TIPO DOCUMENTO_TIPO'))
,p_cHeight=>1
,p_tag_attributes=>'style=''width:200px'';'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50854036028688899)
,p_name=>'P2_DOCUMENTO_NUMERO'
,p_is_required=>true
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(105601871946040370)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('N\00BA')
,p_placeholder=>unistr('... N\00BA de documento ...')
,p_source=>'DOCUMENTO_NUMERO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>19
,p_cMaxlength=>10
,p_tag_attributes=>'onkeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>2
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_03=>'center'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50854420781688900)
,p_name=>'P2_APELLIDO'
,p_is_required=>true
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(105601871946040370)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Apellido'
,p_placeholder=>'Apellidos'
,p_source=>'APELLIDO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>19
,p_cMaxlength=>100
,p_tag_attributes=>'onKeyUp="this.value=this.value.toUpperCase();"; onkeypress="return soloLetras(event);";'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50854895434688900)
,p_name=>'P2_NOMBRE'
,p_is_required=>true
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(105601871946040370)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Nombre'
,p_placeholder=>'Nombres ...'
,p_source=>'NOMBRE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>19
,p_cMaxlength=>100
,p_tag_attributes=>'onKeyUp="this.value=this.value.toUpperCase();"; onkeypress="return soloLetras(event);";'
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>2
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50855267243688900)
,p_name=>'P2_FECHANACIMIENTO'
,p_is_required=>true
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(105601871946040370)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Fecha de Nac.'
,p_placeholder=>'Fecha de nacimiento ...'
,p_format_mask=>'DD-MM-YYYY'
,p_source=>'FECHANACIMIENTO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>32
,p_cMaxlength=>255
,p_tag_attributes=>'readonly="readonly"'
,p_display_when_type=>'NEVER'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_04=>'focus'
,p_attribute_05=>'Y'
,p_attribute_07=>'MONTH_AND_YEAR'
,p_attribute_08=>'1900:sysdate'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50855664714688901)
,p_name=>'P2_SEXO_ID'
,p_is_required=>true
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(105601871946040370)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Sexo'
,p_source=>'SEXO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select SEXO.DESCRIPCION as DESCRIPCION,',
'    SEXO.ID as ID ',
' from SEXO SEXO'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50856068813688901)
,p_name=>'P2_ESTADO_CIVIL_ID'
,p_is_required=>true
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(105601871946040370)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Estado Civil'
,p_source=>'ESTADO_CIVIL_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from estado_civil',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:155px'';'
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>2
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50856465702688901)
,p_name=>'P2_NACIONALIDAD_ID'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(105601871946040370)
,p_use_cache_before_default=>'NO'
,p_item_default=>'8'
,p_source=>'NACIONALIDAD_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50856871514688901)
,p_name=>'P2_DOMICILIO_LOCALIDAD_ID'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(105601871946040370)
,p_use_cache_before_default=>'NO'
,p_item_default=>'1066'
,p_source=>'DOMICILIO_LOCALIDAD_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50857256872688901)
,p_name=>'P2_SEPARADOR_1'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_api.id(105601871946040370)
,p_pre_element_text=>'<hr>'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when_type=>'NEVER'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50857682033688902)
,p_name=>'P2_SEPARADOR_2'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_api.id(105601871946040370)
,p_pre_element_text=>'<hr>'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when_type=>'NEVER'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50858378416688904)
,p_name=>'2_PROVINCIA'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(105614867063084056)
,p_use_cache_before_default=>'NO'
,p_item_default=>'3'
,p_prompt=>'Provincia'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from PROVINCIA',
'where pais_id=8'))
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'DIALOG'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_04=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50858731258688905)
,p_name=>'2_DEPARTAMENTO'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(105614867063084056)
,p_use_cache_before_default=>'NO'
,p_item_default=>'143'
,p_prompt=>'Departamento'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from departamento',
'where provincia_id=:provincia'))
,p_lov_display_null=>'YES'
,p_lov_cascade_parent_items=>'PROVINCIA'
,p_ajax_optimize_refresh=>'Y'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'DIALOG'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_04=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50859199184688905)
,p_name=>'P2_DOMICILIO_CALLE'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(105614867063084056)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Calle'
,p_placeholder=>'Domicilio ...'
,p_source=>'DOMICILIO_CALLE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>100
,p_tag_attributes=>'onKeyUp="this.value=this.value.toUpperCase();";'
,p_colspan=>7
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50859503697688905)
,p_name=>'P2_DOMICILIO_NUMERO'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(105614867063084056)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('N\00BA')
,p_placeholder=>'Domicilio ...'
,p_source=>'DOMICILIO_NUMERO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>10
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50860274018688906)
,p_name=>'P2_USUARIO'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(105614962168084057)
,p_prompt=>'Usuario'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50860637364688906)
,p_name=>'P2_PASSWORD_1'
,p_is_required=>true
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(105614962168084057)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Contrase\00F1a')
,p_source=>'PASSWORD'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_PASSWORD'
,p_cSize=>19
,p_cMaxlength=>20
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50861001579688906)
,p_name=>'P2_PASSWORD_2'
,p_is_required=>true
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(105614962168084057)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Confirmar'
,p_display_as=>'NATIVE_PASSWORD'
,p_cSize=>19
,p_cMaxlength=>20
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50861429338688907)
,p_name=>'P2_EMAIL'
,p_is_required=>true
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(105614962168084057)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Email'
,p_placeholder=>'E-mail ...'
,p_source=>'EMAIL'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>19
,p_cMaxlength=>50
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50861844556688907)
,p_name=>'P2_EMAIL_1'
,p_is_required=>true
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(105614962168084057)
,p_prompt=>'Repetir Email'
,p_placeholder=>'E-mail ...'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>19
,p_cMaxlength=>50
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50862279493688907)
,p_name=>'P2_ESTADO_ID'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(105614962168084057)
,p_use_cache_before_default=>'NO'
,p_item_default=>'1'
,p_source=>'ESTADO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50862600946688907)
,p_name=>'P2_PERFIL_ID'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(105614962168084057)
,p_use_cache_before_default=>'NO'
,p_item_default=>'1'
,p_source=>'PERFIL_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50863325914688908)
,p_name=>'P2_PROFESION'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(105615039675084058)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Profesion'
,p_placeholder=>unistr('Profesi\00F3n ...')
,p_source=>'PROFESION'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>100
,p_tag_attributes=>'onKeyUp="this.value=this.value.toUpperCase();";'
,p_colspan=>7
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50863766541688908)
,p_name=>'P2_TELEFONO'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(105615039675084058)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Tel\00E9fono')
,p_placeholder=>unistr('Tel\00E9fono ...')
,p_source=>'TELEFONO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>20
,p_tag_attributes=>'onkeypress="return validarNum(event, this, false);"'
,p_colspan=>7
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50864160649688908)
,p_name=>'P2_CELULAR'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(105615039675084058)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Celular'
,p_placeholder=>'Celular ...'
,p_source=>'CELULAR'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>20
,p_tag_attributes=>'onkeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(50866827143688916)
,p_computation_sequence=>10
,p_computation_item=>'P2_PASSWORD_1'
,p_computation_type=>'QUERY'
,p_computation=>'select f_encrypt(:P2_PASSWORD_1) from dual where :P2_PASSWORD_1 is not null;'
,p_computation_error_message=>unistr('La Contrase\00F1a no puede estar en blanco.')
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(50866466389688915)
,p_computation_sequence=>40
,p_computation_item=>'P2_PASSWORD_2'
,p_computation_type=>'QUERY'
,p_computation=>'select f_encrypt(:P2_PASSWORD_2) from dual where :P2_PASSWORD_2 is not null;'
,p_computation_error_message=>unistr('La confirmaci\00F3n de la contrase\00F1a no puede estar en blanco.')
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(50868092965688917)
,p_validation_name=>unistr('Validar si el cuil es v\00E1lido')
,p_validation_sequence=>10
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'   RES NUMBER;',
'   I   NUMBER;',
'   DIG NUMBER;',
'   NUM NUMBER;',
'   XID varchar(12) := :P2_CUIL;',
'  BEGIN',
'  ',
'   IF LENGTH (XID) != 11 OR',
'      SUBSTR (XID, 1, 2) = ''00'' THEN',
'   RETURN false;',
'   END IF;',
'   ',
'   RES:= 0;',
'   FOR I IN 1..10 LOOP',
'     NUM := TO_NUMBER (SUBSTR (XID, I, 1));',
'     IF I = 1 OR I = 7 THEN RES := RES + NUM * 5;',
'     ELSIF I = 2 OR I = 8  THEN RES := RES + NUM * 4;',
'     ELSIF I = 3 OR I = 9  THEN RES := RES + NUM * 3;',
'     ELSIF I = 4 OR I = 10 THEN RES := RES + NUM * 2;',
'     ELSIF I = 5 THEN RES := RES + NUM * 7;',
'     ELSIF I = 6 THEN RES := RES + NUM * 6;',
'     END IF;',
'   END LOOP;',
'   DIG := 11 - MOD (RES, 11);',
'   IF DIG = 11 THEN DIG := 0; END IF;',
'     ',
'   IF DIG = TO_NUMBER (SUBSTR (XID, 11, 1)) THEN',
'     RETURN true;',
'   ELSE',
'     RETURN false;',
'   END IF;',
'   ',
'   EXCEPTION',
'   WHEN OTHERS THEN',
'     RETURN false;',
'   END;'))
,p_validation_type=>'FUNC_BODY_RETURNING_BOOLEAN'
,p_error_message=>unistr('CUIL inv\00E1lido ...')
,p_always_execute=>'Y'
,p_associated_item=>wwv_flow_api.id(50852848840688897)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(50869296782688918)
,p_validation_name=>'Validar si el DNI existe'
,p_validation_sequence=>10
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from PERSONA',
'where DOCUMENTO_TIPO_ID = :P2_DOCUMENTO_TIPO_ID',
'  and DOCUMENTO_NUMERO=:P2_DOCUMENTO_NUMERO'))
,p_validation_type=>'NOT_EXISTS'
,p_error_message=>unistr('El Tipo y N\00FAmero de Documento ingresado ya existe ...')
,p_associated_item=>wwv_flow_api.id(50854036028688899)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(50868414081688918)
,p_validation_name=>'Valida si el Email es valido'
,p_validation_sequence=>20
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  declare',
'  l_dot_pos    NUMBER;',
'  l_at_pos     NUMBER;',
'  l_str_length NUMBER;',
'  l_user_name varchar(64) := :P2_EMAIL;',
'BEGIN',
'  l_dot_pos    := instr(l_user_name',
'                       ,''.'');',
'  l_at_pos     := instr(l_user_name',
'                       ,''@'');',
'  l_str_length := length(l_user_name);',
'  IF ((l_dot_pos = 0) OR (l_at_pos = 0) OR (l_dot_pos = l_at_pos + 1) OR',
'     (l_at_pos = 1) OR (l_at_pos = l_str_length) OR',
'     (l_dot_pos = l_str_length))',
'  THEN',
'    RETURN FALSE;',
'  END IF;',
'  IF instr(substr(l_user_name',
'                 ,l_at_pos)',
'          ,''.'') = 0',
'  THEN',
'    RETURN FALSE;',
'  END IF;',
'  RETURN TRUE;',
'END;'))
,p_validation_type=>'FUNC_BODY_RETURNING_BOOLEAN'
,p_error_message=>unistr('Email inv\00E1lido ...')
,p_associated_item=>wwv_flow_api.id(50861429338688907)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(50868869399688918)
,p_validation_name=>'Validar si el cuil existe'
,p_validation_sequence=>20
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from PERSONA',
'where cuil=:P2_cuil'))
,p_validation_type=>'NOT_EXISTS'
,p_error_message=>'EL CUIL/T ingresado ya existe en la base de datos ...'
,p_associated_item=>wwv_flow_api.id(50852848840688897)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(50869686891688918)
,p_validation_name=>unistr('Confirmacion de Contrase\00F1a')
,p_validation_sequence=>30
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'if :P2_PASSWORD_1= :P2_PASSWORD_2 then',
'  return true;',
'else',
'  return false;',
'end if;',
'end;'))
,p_validation_type=>'FUNC_BODY_RETURNING_BOOLEAN'
,p_error_message=>unistr('Las contrase\00F1as ingresadas deben coincidir, reingrese su contrase\00F1a ...')
,p_associated_item=>wwv_flow_api.id(50860637364688906)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(50867262280688917)
,p_validation_name=>'Validar si el email existe'
,p_validation_sequence=>40
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona',
'where EMAIL=:P2_EMAIL'))
,p_validation_type=>'NOT_EXISTS'
,p_error_message=>'El Email ingresado ya existe en la Base de Datos ...'
,p_associated_item=>wwv_flow_api.id(50861429338688907)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(50867631698688917)
,p_validation_name=>'Confirmacion de Email'
,p_validation_sequence=>50
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'if :P2_EMAIL= :P2_EMAIL_1 then',
'  return true;',
'else',
'  return false;',
'end if;',
'end;'))
,p_validation_type=>'FUNC_BODY_RETURNING_BOOLEAN'
,p_error_message=>unistr('El Email ingresado deben coincidir con la confirmacion, reingrese su email y la confirmaci\00F3n ...')
,p_associated_item=>wwv_flow_api.id(50861429338688907)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(50872366422688921)
,p_name=>'Cancel Dialog'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(50865915410688910)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(50872852591688923)
,p_event_id=>wwv_flow_api.id(50872366422688921)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(50873280323688924)
,p_name=>'REFRESH_USUARIO'
,p_event_sequence=>30
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P2_CUIL'
,p_bind_type=>'bind'
,p_bind_event_type=>'focusout'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(50873795953688924)
,p_event_id=>wwv_flow_api.id(50873280323688924)
,p_event_result=>'TRUE'
,p_action_sequence=>80
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P2_USUARIO'
,p_attribute_01=>'SQL_STATEMENT'
,p_attribute_03=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select :p2_cuil',
'from dual;'))
,p_attribute_07=>'P2_CUIL'
,p_attribute_08=>'Y'
,p_attribute_09=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50870371945688919)
,p_process_sequence=>10
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from PERSONA'
,p_attribute_02=>'PERSONA'
,p_attribute_03=>'P2_ID'
,p_attribute_04=>'ID'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50870710147688919)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get PK'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin ',
'    if :P2_ID is null then',
'        select "#OWNER#"."SEQ_PERSONA".nextval',
'          into :P2_ID',
'          from sys.dual;',
'    end if;',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(50865146477688909)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50871140678688919)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'Process Row of PERSONA'
,p_attribute_02=>'PERSONA'
,p_attribute_03=>'P2_ID'
,p_attribute_04=>'ID'
,p_attribute_11=>'I'
,p_attribute_12=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50869924202688918)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Enviar Email'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DECLARE',
'   msg NVARCHAR2 (2000);',
'   IP NVARCHAR2 (20);',
'begin',
'',
'SELECT VALOR INTO IP FROM PARAMETROS WHERE NOMBRE=''IP'';',
'',
'msg:=''<div style="width: 100%;display:block;position: relative;margin: 5px auto 10px auto;text-align: center;">',
'<FONT FACE="Franklin Gothic"><p style="text-align: center;"><FONT SIZE=4><strong>GE.PLA.M. </strong></font><span style=" color: #666666;"><FONT SIZE=4>Gesti&oacute;n de Planos Municipales</font>',
'<HR><br>',
'',
'',
'Estimado Profesional, para ingresar al Sistema de Gesti&oacute;n de Plano Municipales tipee los siguientes datos:',
'<br><br><b>Usuario:</b> ''||:P2_CUIL||''.',
'<br><b>Password:</b> Su contrase&#241;a.',
'<br><br>',
'',
'<a style="background-color: #008CBA;border: none;color: white;padding: 15px 32px;text-align: center;text-decoration: none;display: inline-block;font-size: 16px;" href="http://''||IP||'':8080/apex/f?p=111:101::::101:P101_CUIL:''||:P2_CUIL||''" target="_bl'
||'ank">GE.PLA.M. - INGRESO</a>',
'',
'</div><HR><br>',
'<div style="width:100%; display: block; position: relative;">',
'<div style="display:block;position: relative;width:260px;height:52px;margin: 0 auto;"><img style="width:260px;height:52px;" src="http://''||IP||'':8080/apex/r/geplam/files/static/v6/Logo-CatamarcaCiudad-transparente.png"/></div>',
'<div style="font-family:Arial,Helvetica,sans-serif; font-face:arial; font-size:11px; width: 60%;display:block;position: relative;margin: 5px auto 10px auto;text-align: center;"><b>',
'MUNICIPALIDAD DE SAN FERNANDO DEL VALLE DE CATAMARCA<br>DIRECCION DE CONTRATACIONES Y ALMACEN<br>SALTA 1141 - C.P. 4700 - SFV DE CATAMARCA</b></div></div>'';',
'',
'html_email(:P2_EMAIL,''geplam.catamarca@gmail.com'',''GEPLAM - Nuevo Profesional'',''texto'',msg);',
'',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_type=>'NEVER'
,p_process_success_message=>unistr('Se le envi\00F3 un E-mail con sus datos de usuario y contrase\00F1a. Revise su correo electr\00F3nico.')
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50871532409688919)
,p_process_sequence=>50
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'reset page'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50871941712688920)
,p_process_sequence=>60
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close Dialog'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(50865915410688910)
);
wwv_flow_api.component_end;
end;
/
