prompt --application/pages/page_00003
begin
--   Manifest
--     PAGE: 00003
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>3
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Solicitudes de Catastro'
,p_step_title=>'Solicitudes de Catastro'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>wwv_flow_api.id(23029469933142432)
,p_last_updated_by=>'20291903887'
,p_last_upd_yyyymmddhh24miss=>'20210323130007'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(50344241820886807)
,p_plug_name=>'Solicitudes de Catastro'
,p_icon_css_classes=>'fa-file-text-o'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50745897819672297)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(100309432531420114)
,p_plug_name=>'Solicitudes'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ',
'    S.ID,  ',
'    S.FECHA "Fecha",',
'    T.DESCRIPCION "Solicitud de",',
'    S.CATASTRADO_TIPO_ID "Tipo",',
'    CASE ',
'        WHEN S.CATASTRADO_TIPO_ID = 1 AND S.SECCION IS NOT NULL THEN',
'            FNC_GENERAR_MATRICULA(p_id => S.CATASTRADO_TIPO_ID,',
'                    p_departamento_id  => S.MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => S.PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => S.SECCION, ',
'                    p_parcela          => S.MATRICULA_CATASTRAL,',
'                    p_opcional         => S.MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => null)',
'        WHEN S.CATASTRADO_TIPO_ID = 1 AND S.SECCION IS NULL THEN',
'            SUBSTR(S.MATRICULA_CATASTRAL,1,2)||''-''||',
'            SUBSTR(S.MATRICULA_CATASTRAL,3,2)||''-''||',
'            SUBSTR(S.MATRICULA_CATASTRAL,5,2)||''-''||',
'            SUBSTR(S.MATRICULA_CATASTRAL,7,4)||''-''||S.MATRICULA_CATASTRAL_OP',
'        ELSE ''----''',
unistr('    END  "Matr\00EDcula",'),
'    ',
unistr('    --CL.CODIGO||'' ''||S.PADRON_NUMERO||'' ''||S.PADRON_LOTE||'' ''||S.PADRON_MANZANA "Padr\00F3n",'),
unistr('    --SUBSTR(CL.CODIGO,1,2)||''-''||SUBSTR(CL.CODIGO,3,2)||''-''||S.PADRON_NUMERO "Padr\00F3n",'),
'    CASE S.CATASTRADO_TIPO_ID',
'     WHEN 2 THEN',
'        --SUBSTR(CL.CODIGO,1,2)||''-''||SUBSTR(CL.CODIGO,3,2)||''-''||S.PADRON_NUMERO   ',
'        FNC_GENERAR_MATRICULA(p_id => 2,',
'                    p_departamento_id  => S.MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => S.PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => S.SECCION, ',
'                    p_parcela          => S.MATRICULA_CATASTRAL,',
'                    p_opcional         => S.MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => S.PADRON_NUMERO)',
'     ELSE',
'         ''---''',
unistr('     END "Padr\00F3n",'),
'    S.ARCHIVO "Archivo",',
'    S.vesep "VESEP",',
'    d.descripcion "Departamento",',
'    E.DESCRIPCION "Estado",',
'    p.APELLIDO||'', ''||p.NOMBRE "Agente",',
'    s.PERSONA_ID,',
'    th.observaciones,',
'    CASE :ES_INTERNO',
'            WHEN ''S'' THEN',
'                ''<a class="t-Button t-Button--hot t-Button--simple" title="Ver Solicitud" href="'' ||',
'                APEX_PAGE.GET_URL (',
'                    p_page   => 41,',
'                    p_clear_cache  => 41,',
'                    p_items  => ''P41_ID'',',
'                    p_values => S.ID )     ||''">''||S.ID||''</a>''',
'            ELSE',
'                ''<a class="t-Button t-Button--hot t-Button--simple" title="Ver Solicitud" href="'' ||',
'                APEX_PAGE.GET_URL (',
'                    p_page   => 31,',
'                    p_clear_cache  => 31,',
'                    p_items  => ''P31_ID,P31_ORGANISMO'',',
'                    p_values => S.ID ||'',''|| T.ORGANISMO_ID ) ||''">''||S.ID||''</a>'' ',
'    END "LINK"',
'',
' FROM SOLICITUD S, SOLICITUD_TIPO T, departamento d, PERSONA P2, PERSONA P, ESTADO E, catastro_localidad CL,',
'      (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH ',
' ',
'WHERE S.SOLICITUD_TIPO_ID = T.ID',
'  and s.mc_departamento_id = d.id(+)',
'  and S.PADRON_LOCALIDAD_ID = CL.ID(+)',
'  AND S.ID = TH.SOLICITUD_ID',
'  AND TH.ESTADO_ID = E.ID',
'  --AND ((:PERFIL = 14 AND E.ID = 1) OR (:PERFIL = 15 AND E.ID != 1) )',
'  AND TH.USUARIO_ID = P.ID(+)',
'  AND (:ES_INTERNO = ''S'' OR P2.CUIL = :APP_USER)',
'  AND T.ORGANISMO_ID = 1',
'  AND T.ID <> 3',
'  AND S.PERSONA_ID = P2.ID',
' -- AND P2.CUIL = :APP_USER',
'  ',
'ORDER BY s.id desc  '))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(100309877969420115)
,p_name=>'Solicitudes'
,p_max_row_count=>'1000000'
,p_max_row_count_message=>'The maximum row count for this report is #MAX_ROW_COUNT# rows.  Please apply a filter to reduce the number of records in your query.'
,p_no_data_found_message=>'No se ha creado ninguna solicitud ...'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_finder_drop_down=>'N'
,p_report_list_mode=>'NONE'
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:EMAIL:XLS:PDF:RTF'
,p_owner=>'GEPLAM'
,p_internal_uid=>100309877969420115
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50886440239693109)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'CC'
,p_column_label=>unistr('N\00BA')
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50886821455693110)
,p_db_column_name=>'Fecha'
,p_display_order=>20
,p_column_identifier=>'BR'
,p_column_label=>'Fecha'
,p_column_html_expression=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<center>',
'<div style="width:70px;">#Fecha#</div>',
'</center>'))
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50888883821693111)
,p_db_column_name=>'Solicitud de'
,p_display_order=>30
,p_column_identifier=>'CM'
,p_column_label=>'Solicitud De'
,p_column_html_expression=>'<span style="display:block; width:150px">#Solicitud de#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50884890419693106)
,p_db_column_name=>'VESEP'
,p_display_order=>50
,p_column_identifier=>'BW'
,p_column_label=>'VESEP'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50885608200693109)
,p_db_column_name=>'Archivo'
,p_display_order=>60
,p_column_identifier=>'CA'
,p_column_label=>'Archivo'
,p_column_html_expression=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<center>',
'<div style="width:40px;">#Archivo#</div>',
'</center>'))
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_display_condition=>'ES_INTERNO'
,p_display_condition2=>'S'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50886085177693109)
,p_db_column_name=>'Departamento'
,p_display_order=>70
,p_column_identifier=>'CB'
,p_column_label=>'Departamento'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50887212435693110)
,p_db_column_name=>'Estado'
,p_display_order=>100
,p_column_identifier=>'CF'
,p_column_label=>'Estado'
,p_column_html_expression=>'<span style="display:block; width:100px">#Estado#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50887677462693110)
,p_db_column_name=>'Agente'
,p_display_order=>110
,p_column_identifier=>'CG'
,p_column_label=>'Usuario / Agente'
,p_column_html_expression=>'<span style="display:block; width:100px">#Agente#</span>'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50888029967693110)
,p_db_column_name=>unistr('Matr\00EDcula')
,p_display_order=>120
,p_column_identifier=>'CI'
,p_column_label=>unistr('Matr\00EDcula')
,p_column_html_expression=>unistr('<span style="display:block; width:130px">#Matr\00EDcula#</span>')
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50888489912693111)
,p_db_column_name=>unistr('Padr\00F3n')
,p_display_order=>130
,p_column_identifier=>'CJ'
,p_column_label=>unistr('Padr\00F3n')
,p_column_html_expression=>unistr('<span style="display:block; width:70px">#Padr\00F3n#</span>')
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50889252935693111)
,p_db_column_name=>'OBSERVACIONES'
,p_display_order=>140
,p_column_identifier=>'CN'
,p_column_label=>'Observaciones'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(10885697984106844)
,p_db_column_name=>'LINK'
,p_display_order=>150
,p_column_identifier=>'CO'
,p_column_label=>unistr('N\00BA')
,p_column_type=>'STRING'
,p_display_text_as=>'WITHOUT_MODIFICATION'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(11162357624928113)
,p_db_column_name=>'Tipo'
,p_display_order=>160
,p_column_identifier=>'CP'
,p_column_label=>'Tipo'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'CENTER'
,p_rpt_named_lov=>wwv_flow_api.id(53456923003168201)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(33381066583602813)
,p_db_column_name=>'PERSONA_ID'
,p_display_order=>170
,p_column_identifier=>'CQ'
,p_column_label=>'Solicitante'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(26745932656066265)
,p_rpt_show_filter_lov=>'1'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_display_condition=>'ES_INTERNO'
,p_display_condition2=>'S'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(100334900429421694)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'508896'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>unistr('LINK:Fecha:Solicitud de:Estado:Tipo:Matr\00EDcula:Padr\00F3n:Archivo:PERSONA_ID:Agente:OBSERVACIONES:')
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(21067930680923648)
,p_report_id=>wwv_flow_api.id(100334900429421694)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'PRESENTADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRESENTADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>1
,p_column_bg_color=>'#E8E8E8'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(21067196412923645)
,p_report_id=>wwv_flow_api.id(100334900429421694)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'EN PROCESO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''EN PROCESO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>2
,p_column_bg_color=>'#FFF5CE'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(21066029353923622)
,p_report_id=>wwv_flow_api.id(100334900429421694)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'A CORREGIR'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''A CORREGIR''  '
,p_enabled=>'Y'
,p_highlight_sequence=>3
,p_column_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(21066736806923637)
,p_report_id=>wwv_flow_api.id(100334900429421694)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'CORREGIDO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''CORREGIDO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>4
,p_column_bg_color=>'#D6D6D6'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(21067545307923647)
,p_report_id=>wwv_flow_api.id(100334900429421694)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'PRE-APROBADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRE-APROBADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>5
,p_column_bg_color=>'#D0F1CC'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(21066422533923623)
,p_report_id=>wwv_flow_api.id(100334900429421694)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'APROBADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''APROBADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>6
,p_column_bg_color=>'#99FF99'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(21068350521923651)
,p_report_id=>wwv_flow_api.id(100334900429421694)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'RECHAZADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''RECHAZADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>7
,p_column_bg_color=>'#FF776B'
);
wwv_flow_api.create_worksheet_notify(
 p_id=>wwv_flow_api.id(6495481195694848)
,p_report_id=>wwv_flow_api.id(100334900429421694)
,p_owner=>'27184775226'
,p_language=>'es-ar'
,p_email_subject=>'alta'
,p_email_address=>'estudioandreacampos.ac@gmail.com'
,p_start_date=>'2021.02.11.18:23:35'
,p_notify_interval=>'D'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(50892861959693121)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(50344241820886807)
,p_button_name=>'CREATE'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Nueva Solicitud'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_redirect_url=>'f?p=&APP_ID.:34:&SESSION.::&DEBUG.:34:P34_ORGANISMO:1'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'(OBTENER_TIPO_SOLICITUD_POR_PERFIL(:PERFIL, 1) = 1)',
'OR',
'(OBTENER_TIPO_SOLICITUD_POR_PERFIL(:PERFIL, 2) = 1)'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-file-plus'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(50893330486693122)
,p_branch_name=>'Cambiar_Pass_Redirect'
,p_branch_action=>'f?p=&APP_ID.:8:&SESSION.::&DEBUG.::P8_ID:&PERSONA_ID.'
,p_branch_point=>'BEFORE_HEADER'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>50
,p_branch_condition_type=>'EXISTS'
,p_branch_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona',
'where cuil = :app_user',
'  and PASSWORD_CHANGE = 1'))
);
wwv_flow_api.component_end;
end;
/
