prompt --application/pages/page_00004
begin
--   Manifest
--     PAGE: 00004
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>4
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Solicitudes Presentadas'
,p_step_title=>'Solicitudes Presentadas'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20200824122241'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(50344138833886806)
,p_plug_name=>'Solicitudes Presentadas'
,p_icon_css_classes=>'fa-file-text-o'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50745897819672297)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(100424475339723984)
,p_plug_name=>'Solicitudes Presentadas'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ',
'    S.ID, ',
'    S.FECHA "Fecha",',
'    s.vesep VESEP,',
'    T.DESCRIPCION "Solicitud de",',
'    CT.DESCRIPCION "Tipo",',
'    CASE ',
'        WHEN S.CATASTRADO_TIPO_ID = 1 AND S.SECCION IS NOT NULL THEN',
'            FNC_GENERAR_MATRICULA(p_id => S.CATASTRADO_TIPO_ID,',
'                    p_departamento_id  => S.MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => S.PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => S.SECCION, ',
'                    p_parcela          => S.MATRICULA_CATASTRAL,',
'                    p_opcional         => S.MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => null)',
'        WHEN S.CATASTRADO_TIPO_ID = 1 AND S.SECCION IS NULL THEN',
'            SUBSTR(S.MATRICULA_CATASTRAL,1,2)||''-''||',
'            SUBSTR(S.MATRICULA_CATASTRAL,3,2)||''-''||',
'            SUBSTR(S.MATRICULA_CATASTRAL,5,2)||''-''||',
'            SUBSTR(S.MATRICULA_CATASTRAL,7,4)||''-''||S.MATRICULA_CATASTRAL_OP',
'        ELSE ''----''',
'    END ',
'    /*SUBSTR(S.MATRICULA_CATASTRAL,1,2)||''-''||',
'    SUBSTR(S.MATRICULA_CATASTRAL,3,2)||''-''||',
'    SUBSTR(S.MATRICULA_CATASTRAL,5,2)||''-''||',
unistr('    SUBSTR(S.MATRICULA_CATASTRAL,7,4)||''-''||S.MATRICULA_CATASTRAL_OP*/ "Matr\00EDcula",'),
unistr('    --CL.CODIGO||'' ''||S.PADRON_NUMERO||'' ''||S.PADRON_LOTE||'' ''||S.PADRON_MANZANA "Padr\00F3n",'),
'    ',
'    CASE S.CATASTRADO_TIPO_ID',
'     WHEN 2 THEN',
'        SUBSTR(CL.CODIGO,1,2)||''-''||SUBSTR(CL.CODIGO,3,2)||''-''||S.PADRON_NUMERO   ',
'     ELSE',
'         ''---''',
unistr('    END "Padr\00F3n",'),
unistr('    --SUBSTR(CL.CODIGO,1,2)||''-''||SUBSTR(CL.CODIGO,3,2)||''-''||S.PADRON_NUMERO "Padr\00F3n",'),
unistr('    S.ARCHIVO "Archivo N\00B0",'),
'    d.descripcion Dpto,',
'    p.APELLIDO||'', ''||p.NOMBRE "Profesional",',
'    E.DESCRIPCION "Estado",',
'    p2.APELLIDO||'', ''||p2.NOMBRE "Agente",',
'    th.observaciones',
'',
' FROM SOLICITUD S, SOLICITUD_TIPO T, departamento D, PERSONA P, PERSONA P2, ESTADO E, CATASTRADO_TIPO CT, catastro_localidad CL,',
'      (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH ',
'      ',
'WHERE S.SOLICITUD_TIPO_ID = T.ID',
'  and S.MC_DEPARTAMENTO_ID = D.id',
'  AND S.PERSONA_ID = P.Id',
'  AND S.CATASTRADO_TIPO_ID = CT.ID(+)',
'  and s.PADRON_LOCALIDAD_ID = CL.ID(+)',
'  AND S.ID = TH.SOLICITUD_ID',
'  AND TH.ESTADO_ID = E.ID',
'  AND TH.USUARIO_ID = P2.ID(+)',
'  ',
'  ',
'order by id desc  '))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(100424922021723992)
,p_name=>'Solicitudes'
,p_max_row_count=>'1000000'
,p_max_row_count_message=>'The maximum row count for this report is #MAX_ROW_COUNT# rows.  Please apply a filter to reduce the number of records in your query.'
,p_no_data_found_message=>'No se ha creado ninguna solicitud ...'
,p_allow_report_saving=>'N'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_finder_drop_down=>'N'
,p_report_list_mode=>'NONE'
,p_show_detail_link=>'N'
,p_show_filter=>'N'
,p_show_sort=>'N'
,p_show_control_break=>'N'
,p_show_highlight=>'N'
,p_show_computation=>'N'
,p_show_aggregate=>'N'
,p_show_chart=>'N'
,p_show_group_by=>'N'
,p_show_pivot=>'N'
,p_show_flashback=>'N'
,p_download_formats=>'CSV:EMAIL:XLS'
,p_owner=>'GEPLAM'
,p_internal_uid=>100424922021723992
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50895287436696352)
,p_db_column_name=>'ID'
,p_display_order=>1
,p_column_identifier=>'A'
,p_column_label=>'Solicitud'
,p_column_link=>'f?p=&APP_ID.:41:&SESSION.::&DEBUG.:41:P41_ID:#ID#'
,p_column_linktext=>'#ID#'
,p_column_link_attr=>'class="t-Button t-Button--simple t-Button--hot t-Button--stretch"'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50895688738696353)
,p_db_column_name=>'Estado'
,p_display_order=>108
,p_column_identifier=>'BQ'
,p_column_label=>'Estado'
,p_column_html_expression=>'<span style="display:block; width:100px">#Estado#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50896089308696353)
,p_db_column_name=>'Fecha'
,p_display_order=>118
,p_column_identifier=>'BR'
,p_column_label=>'Fecha'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50896420604696353)
,p_db_column_name=>'Tipo'
,p_display_order=>128
,p_column_identifier=>'BT'
,p_column_label=>'Tipo'
,p_column_html_expression=>'<span style="display:block; width:100px">#Tipo#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50896843277696353)
,p_db_column_name=>unistr('Archivo N\00B0')
,p_display_order=>138
,p_column_identifier=>'BU'
,p_column_label=>'Archivo'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50897285848696354)
,p_db_column_name=>'DPTO'
,p_display_order=>148
,p_column_identifier=>'BV'
,p_column_label=>'Departamento'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50897612597696354)
,p_db_column_name=>'VESEP'
,p_display_order=>158
,p_column_identifier=>'BW'
,p_column_label=>'Vesep'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50894889557696352)
,p_db_column_name=>'Profesional'
,p_display_order=>168
,p_column_identifier=>'BX'
,p_column_label=>'Profesional'
,p_column_html_expression=>'<span style="display:block; width:100px">#Profesional#</span>'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50898059068696354)
,p_db_column_name=>'Agente'
,p_display_order=>178
,p_column_identifier=>'CE'
,p_column_label=>'Agente'
,p_column_html_expression=>'<span style="display:block; width:100px">#Agente#</span>'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50898447866696355)
,p_db_column_name=>unistr('Matr\00EDcula')
,p_display_order=>188
,p_column_identifier=>'CF'
,p_column_label=>unistr('Matr\00EDcula')
,p_column_html_expression=>unistr('<span style="display:block; width:130px">#Matr\00EDcula#</span>')
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50898845810696355)
,p_db_column_name=>unistr('Padr\00F3n')
,p_display_order=>198
,p_column_identifier=>'CG'
,p_column_label=>unistr('Padr\00F3n')
,p_column_html_expression=>unistr('<span style="display:block; width:80px">#Padr\00F3n#</span>')
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50899282151696355)
,p_db_column_name=>'Solicitud de'
,p_display_order=>208
,p_column_identifier=>'CH'
,p_column_label=>'Solicitud De'
,p_column_html_expression=>'<span style="display:block; width:140px">#Solicitud de#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(50899635704696355)
,p_db_column_name=>'OBSERVACIONES'
,p_display_order=>218
,p_column_identifier=>'CI'
,p_column_label=>'Observaciones'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(100429031804724005)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'509000'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>unistr('ID:Fecha:Solicitud de:Tipo:Matr\00EDcula:Padr\00F3n:Archivo N\00B0:Profesional:Estado:Agente:OBSERVACIONES')
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(50900467100696356)
,p_report_id=>wwv_flow_api.id(100429031804724005)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'PRESENTADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRESENTADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>1
,p_column_bg_color=>'#E8E8E8'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(50900841424696356)
,p_report_id=>wwv_flow_api.id(100429031804724005)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'EN PROCESO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''EN PROCESO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>2
,p_column_bg_color=>'#FFF5CE'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(50901216767696357)
,p_report_id=>wwv_flow_api.id(100429031804724005)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'A CORREGIR'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''A CORREGIR''  '
,p_enabled=>'Y'
,p_highlight_sequence=>3
,p_column_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(50901693065696357)
,p_report_id=>wwv_flow_api.id(100429031804724005)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'CORREGIDO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''CORREGIDO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>4
,p_column_bg_color=>'#D6D6D6'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(50902002386696357)
,p_report_id=>wwv_flow_api.id(100429031804724005)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'PRE-APROBADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRE-APROBADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>5
,p_column_bg_color=>'#D0F1CC'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(50902495570696358)
,p_report_id=>wwv_flow_api.id(100429031804724005)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'APROBADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''APROBADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>6
,p_column_bg_color=>'#99FF99'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(50902801950696358)
,p_report_id=>wwv_flow_api.id(100429031804724005)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'RECHAZADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''RECHAZADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>7
,p_column_bg_color=>'#FF776B'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(50903397005696359)
,p_branch_name=>'Cambiar_Pass_Redirect'
,p_branch_action=>'f?p=&APP_ID.:8:&SESSION.::&DEBUG.::P8_ID:&PERSONA_ID.'
,p_branch_point=>'BEFORE_HEADER'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>20
,p_branch_condition_type=>'EXISTS'
,p_branch_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona',
'where cuil = :app_user',
'  and PASSWORD_CHANGE = 1'))
);
wwv_flow_api.component_end;
end;
/
