prompt --application/pages/page_00006
begin
--   Manifest
--     PAGE: 00006
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>6
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'REPORTE Matricula Censal Mensura'
,p_alias=>'REPORTE-MATRICULA-CENSAL-MENSURA'
,p_page_mode=>'MODAL'
,p_step_title=>unistr('Descripci\00F3n Literal del Pol\00EDgono - Mejoras')
,p_autocomplete_on_off=>'OFF'
,p_javascript_file_urls=>'#APP_IMAGES#jquery.maskedinput.js'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'$.mask.definitions[''~''] = "[+-]";',
'$("#P6_NUEVA_MATRICULA_CATASTRAL").mask("99-99-99-9999-9999");'))
,p_page_template_options=>'#DEFAULT#:ui-dialog--stretch'
,p_protection_level=>'C'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210407153036'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(12156055394936036)
,p_plug_name=>'REPORTE Matricula Censal Mensura'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ID,',
'       MATRICULA_ID,',
'       MANZANA,',
'       LOTE,',
'       SUPERFICIE,',
'       TIPO_INMUEBLE_ID,',
'       NUEVA_MATRICULA_CATASTRAL,',
'       SOLICITUD_ID,',
'       ESCRITURA_ID',
'  from MENSURA_MATRICULA_CENSAL',
'order by id'))
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_plug_source_type=>'NATIVE_FORM'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(12161274490936067)
,p_plug_name=>'Buttons'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50729062024672289)
,p_plug_display_sequence=>20
,p_plug_display_point=>'REGION_POSITION_03'
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(12597382866128215)
,p_plug_name=>'Tabs'
,p_region_template_options=>'#DEFAULT#:t-TabsRegion-mod--fillLabels:t-TabsRegion-mod--pill'
,p_plug_template=>wwv_flow_api.id(50762297377672305)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_DISPLAY_SELECTOR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'PLSQL_EXPRESSION'
,p_plug_read_only_when=>':AREA IS NOT NULL OR :ES_INTERNO = ''S'''
,p_attribute_01=>'STANDARD'
,p_attribute_02=>'Y'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(12597416862128216)
,p_plug_name=>'Mejoras'
,p_parent_plug_id=>wwv_flow_api.id(12597382866128215)
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(12597722131128219)
,p_plug_name=>'Reporte Mejoras'
,p_parent_plug_id=>wwv_flow_api.id(12597416862128216)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT c001 "ID",',
'       c002 "TIPO_MEJORA",',
'       c003 "LETRA",',
'       c004 "TIPO_EDIFICACION",',
'       seq_id',
'FROM   APEX_collections ',
'WHERE  collection_name = ''MEJORAS''',
'AND    c010 = ''MEJORA''',
'ORDER BY seq_id;'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_document_header=>'APEX'
,p_prn_units=>'MILLIMETERS'
,p_prn_paper_size=>'A4'
,p_prn_width=>297
,p_prn_height=>210
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Reporte Mejoras'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(14210186928687306)
,p_max_row_count=>'1000000'
,p_no_data_found_message=>'No se encontraron Mejoras.'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_actions_menu=>'N'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'N'
,p_owner=>'CATASTRO'
,p_internal_uid=>14210186928687306
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(14210417639687309)
,p_db_column_name=>'LETRA'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Letra'
,p_column_link=>'f?p=&APP_ID.:18:&SESSION.::&DEBUG.:18:P18_ID,P18_MATRICULA_CENSAL_MEJORA_ID,P18_BLOQUE_XIII_ESTADO_ACTUAL:#ID#,#ID#,&P6_BLOQUE_XIII_ESTADO_ACTUAL.'
,p_column_linktext=>'#LETRA#'
,p_column_link_attr=>'class="t-Button t-Button--simple t-Button--hot t-Button--stretch"'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(14501464891064307)
,p_db_column_name=>'TIPO_MEJORA'
,p_display_order=>40
,p_column_identifier=>'F'
,p_column_label=>'Tipo de Mejora'
,p_column_type=>'STRING'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(14199019269600021)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(14501508230064308)
,p_db_column_name=>'TIPO_EDIFICACION'
,p_display_order=>50
,p_column_identifier=>'G'
,p_column_label=>unistr('Tipo de Edificaci\00F3n')
,p_column_type=>'STRING'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(14216037190695632)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(14501683342064309)
,p_db_column_name=>'SEQ_ID'
,p_display_order=>60
,p_column_identifier=>'H'
,p_column_label=>'Seq Id'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(14504837675064341)
,p_db_column_name=>'ID'
,p_display_order=>70
,p_column_identifier=>'I'
,p_column_label=>'Id'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(14400264041240171)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'144003'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'LETRA:TIPO_EDIFICACION:TIPO_MEJORA:'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(14504340915064336)
,p_plug_name=>'Mensaje'
,p_parent_plug_id=>wwv_flow_api.id(12597416862128216)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>unistr('Sin mejoras disponible para Bald\00EDo.')
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(12597522990128217)
,p_plug_name=>unistr('Descripci\00F3n Literal del Pol\00EDgono')
,p_parent_plug_id=>wwv_flow_api.id(12597382866128215)
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'PLSQL_EXPRESSION'
,p_plug_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':AREA IS NOT NULL',
'OR',
':P6_BLOQUE_XIII_ESTADO_ACTUAL NOT IN (0,3)'))
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(12161511609936068)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(12161274490936067)
,p_button_name=>'CANCELAR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Cancelar'
,p_button_position=>'REGION_TEMPLATE_CLOSE'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-times'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(12163197561936077)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(12161274490936067)
,p_button_name=>'ELIMINAR'
,p_button_action=>'REDIRECT_URL'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Eliminar Planilla Censal'
,p_button_position=>'REGION_TEMPLATE_DELETE'
,p_button_redirect_url=>unistr('javascript:apex.confirm(''\00BFConfirma que desea Eliminar la Matr\00EDcula Censal?'',''DELETE'');')
,p_button_execute_validations=>'N'
,p_button_condition=>':P6_ID is not null and :AREA IS NULL and :P6_BLOQUE_XIII_ESTADO_ACTUAL in (0,3)'
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-trash'
,p_database_action=>'DELETE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(12163530647936077)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(12161274490936067)
,p_button_name=>'GUARDAR'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Guardar Cambios'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P6_ID IS NOT NULL',
'AND (:AREA IS NULL  ',
'AND :P6_BLOQUE_XIII_ESTADO_ACTUAL in (0,3))',
'OR :AREA = 4'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-save'
,p_database_action=>'UPDATE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(12163982366936078)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(12161274490936067)
,p_button_name=>'CREAR'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Crear Planilla Censal'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>'P6_ID'
,p_button_condition_type=>'ITEM_IS_NULL'
,p_icon_css_classes=>'fa-plus'
,p_database_action=>'INSERT'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(12597665728128218)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(12597722131128219)
,p_button_name=>'NUEVA_MEJORA'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Nueva Mejora'
,p_button_position=>'RIGHT_OF_IR_SEARCH_BAR'
,p_button_redirect_url=>'f?p=&APP_ID.:18:&SESSION.::&DEBUG.:18:P18_BLOQUE_XIII_ESTADO_ACTUAL:&P6_BLOQUE_XIII_ESTADO_ACTUAL.'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'(:ES_INTERNO = ''N'' OR :AREA IS NULL) ',
'AND :P6_BLOQUE_XIII_ESTADO_ACTUAL IN (0,3)'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-plus'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12156364777936040)
,p_name=>'P6_ID'
,p_source_data_type=>'NUMBER'
,p_is_primary_key=>true
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(12156055394936036)
,p_item_source_plug_id=>wwv_flow_api.id(12156055394936036)
,p_source=>'ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12156740325936057)
,p_name=>'P6_MATRICULA_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(12156055394936036)
,p_item_source_plug_id=>wwv_flow_api.id(12156055394936036)
,p_prompt=>unistr('Matr\00EDcula Origen')
,p_source=>'MATRICULA_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select  CASE CATASTRADO_TIPO_ID',
'            WHEN 1 THEN',
'                FNC_GENERAR_MATRICULA(p_id     => 1,',
'                            p_departamento_id  => MC_DEPARTAMENTO_ID, ',
'                            p_distrito_id      => PADRON_LOCALIDAD_ID, ',
'                            p_seccion          => SECCION, ',
'                            p_parcela          => MATRICULA_CATASTRAL,',
'                            p_opcional         => MATRICULA_CATASTRAL_OP,',
'                            p_manzana          => null,',
'                            p_lote             => null,',
'                            p_padron           => null) ',
'                            ',
'            WHEN 2 THEN',
'                FNC_GENERAR_MATRICULA(p_id     => 2,',
'                            p_departamento_id  => MC_DEPARTAMENTO_ID, ',
'                            p_distrito_id      => PADRON_LOCALIDAD_ID, ',
'                            p_seccion          => SECCION, ',
'                            p_parcela          => MATRICULA_CATASTRAL,',
'                            p_opcional         => MATRICULA_CATASTRAL_OP,',
'                            p_manzana          => null,',
'                            p_lote             => null,',
'                            p_padron           => PADRON_NUMERO) ',
'        ELSE',
unistr('            ''Producto de la Unificaci\00F3n'''),
'        END D,',
'        MATRICULA_ID R',
'FROM    MENSURA_MATRICULA mm',
'WHERE   mm.ESCRITURA_ID = :P6_ESCRITURA_ID',
'OR      MATRICULA_ID = 0',
'ORDER BY MATRICULA_ID '))
,p_lov_display_null=>'YES'
,p_lov_cascade_parent_items=>'P6_ESCRITURA_ID'
,p_ajax_items_to_submit=>'P6_ESCRITURA_ID'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':AREA IS NOT NULL',
'OR ',
':P6_BLOQUE_XIII_ESTADO_ACTUAL NOT IN (0,3)'))
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12157178875936063)
,p_name=>'P6_MANZANA'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(12156055394936036)
,p_item_source_plug_id=>wwv_flow_api.id(12156055394936036)
,p_prompt=>'Manzana'
,p_source=>'MANZANA'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_COD_MANZANA'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select chr( ascii(''A'')+level-1 ) d,',
'       chr( ascii(''A'')+level-1 ) r',
'from   dual',
'connect by level <= 26'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':AREA IS NOT NULL',
'OR ',
':P6_BLOQUE_XIII_ESTADO_ACTUAL NOT IN (0,3)'))
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12157503915936063)
,p_name=>'P6_LOTE'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(12156055394936036)
,p_item_source_plug_id=>wwv_flow_api.id(12156055394936036)
,p_prompt=>'Lote'
,p_source=>'LOTE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>32
,p_cMaxlength=>3
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);" onChange="agregarCeros(this,3);"'
,p_begin_on_new_line=>'N'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':AREA IS NOT NULL',
'OR ',
':P6_BLOQUE_XIII_ESTADO_ACTUAL NOT IN (0,3)'))
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12157901221936063)
,p_name=>'P6_SUPERFICIE'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(12156055394936036)
,p_item_source_plug_id=>wwv_flow_api.id(12156055394936036)
,p_prompt=>'Superficie Terreno'
,p_source=>'SUPERFICIE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>60
,p_cMaxlength=>100
,p_begin_on_new_line=>'N'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':AREA IS NOT NULL',
'OR ',
':P6_BLOQUE_XIII_ESTADO_ACTUAL NOT IN (0,3)'))
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12158340341936064)
,p_name=>'P6_TIPO_INMUEBLE_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(12156055394936036)
,p_item_source_plug_id=>wwv_flow_api.id(12156055394936036)
,p_prompt=>'Tipo de Inmueble'
,p_source=>'TIPO_INMUEBLE_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_TIPO_INMUEBLE'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':AREA IS NOT NULL',
'OR ',
':P6_BLOQUE_XIII_ESTADO_ACTUAL NOT IN (0,3)'))
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12158767432936064)
,p_name=>'P6_NUEVA_MATRICULA_CATASTRAL'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(12156055394936036)
,p_item_source_plug_id=>wwv_flow_api.id(12156055394936036)
,p_prompt=>'Nueva Matricula Catastral'
,p_placeholder=>'99-99-99-9999-9999'
,p_source=>'NUEVA_MATRICULA_CATASTRAL'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>20
,p_read_only_when=>'(:ES_INTERNO = ''N'' or :P6_BLOQUE_XIII_ESTADO_ACTUAL in (0,3,6,7) or :AREA != 4)'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12207298936663101)
,p_name=>'P6_NORTE'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_api.id(12597522990128217)
,p_item_default=>'N'
,p_prompt=>'Norte'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:Norte;N,NorEste;NE,NorOeste;NO'
,p_cHeight=>1
,p_read_only_when=>':ES_INTERNO = ''S'' OR (:ES_INTERNO = ''N'' and :P6_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3))'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12207380603663102)
,p_name=>'P6_SUR'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_api.id(12597522990128217)
,p_prompt=>'Sur'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:Sur;S,SurEste;SE,SurOeste;SO'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_read_only_when=>':ES_INTERNO = ''S'' OR (:ES_INTERNO = ''N'' and :P6_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3))'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12207420589663103)
,p_name=>'P6_ESTE'
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_api.id(12597522990128217)
,p_prompt=>'Este'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:Este;E,NorEste;ENE,SurEste;ESE'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_read_only_when=>':ES_INTERNO = ''S'' OR (:ES_INTERNO = ''N'' and :P6_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3))'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12207580928663104)
,p_name=>'P6_OESTE'
,p_item_sequence=>150
,p_item_plug_id=>wwv_flow_api.id(12597522990128217)
,p_prompt=>'Oeste'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:Oeste;O,NorOeste;ONO,SurOeste;OSU'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_read_only_when=>':ES_INTERNO = ''S'' OR (:ES_INTERNO = ''N'' and :P6_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3))'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12207614257663105)
,p_name=>'P6_N_MEDIDAS'
,p_item_sequence=>160
,p_item_plug_id=>wwv_flow_api.id(12597522990128217)
,p_item_default=>'Sin datos'
,p_prompt=>'Medidas'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cHeight=>8
,p_read_only_when=>':ES_INTERNO = ''S'' OR (:ES_INTERNO = ''N'' and :P6_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3))'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12207741341663106)
,p_name=>'P6_S_COLINDANTES'
,p_item_sequence=>210
,p_item_plug_id=>wwv_flow_api.id(12597522990128217)
,p_item_default=>'Sin datos'
,p_prompt=>'Linderos/Colindantes'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cHeight=>8
,p_begin_on_new_line=>'N'
,p_read_only_when=>':ES_INTERNO = ''S'' OR (:ES_INTERNO = ''N'' and :P6_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3))'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12207874110663107)
,p_name=>'P6_E_COLINDANTES'
,p_item_sequence=>220
,p_item_plug_id=>wwv_flow_api.id(12597522990128217)
,p_item_default=>'Sin datos'
,p_prompt=>'Linderos/Colindantes'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cHeight=>8
,p_begin_on_new_line=>'N'
,p_read_only_when=>':ES_INTERNO = ''S'' OR (:ES_INTERNO = ''N'' and :P6_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3))'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12207943234663108)
,p_name=>'P6_O_COLINDANTES'
,p_item_sequence=>230
,p_item_plug_id=>wwv_flow_api.id(12597522990128217)
,p_item_default=>'Sin datos'
,p_prompt=>'Linderos/Colindantes'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cHeight=>8
,p_begin_on_new_line=>'N'
,p_read_only_when=>':ES_INTERNO = ''S'' OR (:ES_INTERNO = ''N'' and :P6_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3))'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12208486546663113)
,p_name=>'P6_N_COLINDANTES'
,p_item_sequence=>200
,p_item_plug_id=>wwv_flow_api.id(12597522990128217)
,p_item_default=>'Sin datos'
,p_prompt=>'Linderos/Colindantes'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cHeight=>8
,p_read_only_when=>':ES_INTERNO = ''S'' OR (:ES_INTERNO = ''N'' and :P6_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3))'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12208571713663114)
,p_name=>'P6_S_MEDIDAS'
,p_item_sequence=>170
,p_item_plug_id=>wwv_flow_api.id(12597522990128217)
,p_item_default=>'Sin datos'
,p_prompt=>'Medidas'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cHeight=>8
,p_begin_on_new_line=>'N'
,p_read_only_when=>':ES_INTERNO = ''S'' OR (:ES_INTERNO = ''N'' and :P6_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3))'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12208693119663115)
,p_name=>'P6_O_MEDIDAS'
,p_item_sequence=>190
,p_item_plug_id=>wwv_flow_api.id(12597522990128217)
,p_item_default=>'Sin datos'
,p_prompt=>'Medidas'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cHeight=>8
,p_begin_on_new_line=>'N'
,p_read_only_when=>':ES_INTERNO = ''S'' OR (:ES_INTERNO = ''N'' and :P6_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3))'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12208724545663116)
,p_name=>'P6_E_MEDIDAS'
,p_item_sequence=>180
,p_item_plug_id=>wwv_flow_api.id(12597522990128217)
,p_item_default=>'Sin datos'
,p_prompt=>'Medidas'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cHeight=>8
,p_begin_on_new_line=>'N'
,p_read_only_when=>':ES_INTERNO = ''S'' OR (:ES_INTERNO = ''N'' and :P6_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3))'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12596959155128211)
,p_name=>'P6_ESCRITURA_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(12156055394936036)
,p_item_source_plug_id=>wwv_flow_api.id(12156055394936036)
,p_prompt=>'Escritura'
,p_source=>'ESCRITURA_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT  --nvl(NUMERO_ESCRITURA, ''Sin Escritura'') ||'' - ''||FECHA D,',
'        CASE ',
'            WHEN ESCRITURA_ID = 0 THEN',
unistr('                ''Producto de la Unificaci\00F3n'' --NUMERO_ESCRITURA'),
'            WHEN NUMERO_ESCRITURA IS NULL THEN',
'                ''Sin Escritura''',
'            ELSE ',
'                NUMERO_ESCRITURA ||'' - ''||FECHA',
'        END D,',
'        ESCRITURA_ID R',
'FROM    MENSURA_ESCRITURA',
'WHERE   SOLICITUD_ID = :P6_SOLICITUD_ID',
'OR      ESCRITURA_ID = 0 --producto unificacion',
'ORDER BY ESCRITURA_ID '))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':AREA IS NOT NULL',
'OR ',
':P6_BLOQUE_XIII_ESTADO_ACTUAL NOT IN (0,3)'))
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(44934095925539147)
,p_name=>'P6_BLOQUE_XIII_ESTADO_ACTUAL'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_api.id(12156055394936036)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(79801621780873102)
,p_name=>'P6_SOLICITUD_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(12156055394936036)
,p_item_source_plug_id=>wwv_flow_api.id(12156055394936036)
,p_source=>'SOLICITUD_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(14501795891064310)
,p_computation_sequence=>10
,p_computation_item=>'P6_ESCRITURA_ID'
,p_computation_point=>'BEFORE_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT  mm.ESCRITURA_ID',
'FROM    MENSURA_MATRICULA_CENSAL mmc,',
'        MENSURA_MATRICULA mm',
'WHERE   mmc.MATRICULA_ID = mm.MATRICULA_ID',
'AND     mmc.ID = :P6_ID;'))
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(18620307837666236)
,p_validation_name=>'P6_ESCRITURA_ID NOT NULL'
,p_validation_sequence=>10
,p_validation=>'P6_ESCRITURA_ID'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'La escritura es un dato requerido.'
,p_validation_condition=>'P6_ID'
,p_validation_condition_type=>'ITEM_IS_NOT_NULL'
,p_associated_item=>wwv_flow_api.id(12596959155128211)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(18620494419666237)
,p_validation_name=>'P6_MATRICULA_ID NOT NULL'
,p_validation_sequence=>20
,p_validation=>'P6_MATRICULA_ID'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('La matr\00EDcula es un dato requerido.')
,p_validation_condition=>'P6_ID'
,p_validation_condition_type=>'ITEM_IS_NOT_NULL'
,p_associated_item=>wwv_flow_api.id(12156740325936057)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(18620529986666238)
,p_validation_name=>'P6_MANZANA NOT NULL'
,p_validation_sequence=>30
,p_validation=>'P6_MANZANA'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'La manzana es un dato requerido.'
,p_associated_item=>wwv_flow_api.id(12157178875936063)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(18620647095666239)
,p_validation_name=>'P6_LOTE NOT NULL'
,p_validation_sequence=>40
,p_validation=>'P6_LOTE'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'El lote es un dato requerido.'
,p_associated_item=>wwv_flow_api.id(12157503915936063)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(18620798824666240)
,p_validation_name=>'P6_NUEVA_MATRICULA_CATASTRAL NOT NULL'
,p_validation_sequence=>50
,p_validation=>'P6_NUEVA_MATRICULA_CATASTRAL'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('La nueva matr\00EDcula es un dato requerido.')
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':PERFIL = 4',
'OR ',
':AREA = 4'))
,p_validation_condition_type=>'PLSQL_EXPRESSION'
,p_associated_item=>wwv_flow_api.id(12158767432936064)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(18620834619666241)
,p_validation_name=>'P6_SUPERFICIE NOT NULL'
,p_validation_sequence=>60
,p_validation=>'P6_SUPERFICIE'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'La superficie es un dato requerido.'
,p_associated_item=>wwv_flow_api.id(12157901221936063)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(18620914466666242)
,p_validation_name=>'P6_TIPO_INMUEBLE_ID NOT NULL'
,p_validation_sequence=>70
,p_validation=>'P6_TIPO_INMUEBLE_ID'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'El tipo de inmueble es un dato requerido.'
,p_associated_item=>wwv_flow_api.id(12158340341936064)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(33379921014602802)
,p_validation_name=>'MEJORAS'
,p_validation_sequence=>80
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM   APEX_collections ',
'WHERE  collection_name = ''MEJORAS''',
'AND    c010 = ''MEJORA'''))
,p_validation_type=>'EXISTS'
,p_error_message=>'Se debe cargar al menos una Mejora.'
,p_validation_condition=>'P6_TIPO_INMUEBLE_ID'
,p_validation_condition2=>'2'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(36240346793528114)
,p_validation_name=>'N_MEDIDAS not null'
,p_validation_sequence=>90
,p_validation=>'P6_N_MEDIDAS'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'Las medidas son datos requeridos.'
,p_associated_item=>wwv_flow_api.id(12207614257663105)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(36240738614528118)
,p_validation_name=>'N_COLINDATES not null'
,p_validation_sequence=>100
,p_validation=>'P6_N_COLINDANTES'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'Los Linderos/Colindantes son datos requeridos.'
,p_associated_item=>wwv_flow_api.id(12208486546663113)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(36241076312528121)
,p_validation_name=>'O_COLINDATES not null'
,p_validation_sequence=>110
,p_validation=>'P6_O_COLINDANTES'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'Los Linderos/Colindantes son datos requeridos.'
,p_associated_item=>wwv_flow_api.id(12207943234663108)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(36240914718528120)
,p_validation_name=>'E_COLINDATES not null'
,p_validation_sequence=>120
,p_validation=>'P6_E_COLINDANTES'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'Los Linderos/Colindantes son datos requeridos.'
,p_associated_item=>wwv_flow_api.id(12207874110663107)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(36240813178528119)
,p_validation_name=>'S_COLINDATES not null'
,p_validation_sequence=>130
,p_validation=>'P6_S_COLINDANTES'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'Los Linderos/Colindantes son datos requeridos.'
,p_associated_item=>wwv_flow_api.id(12207741341663106)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(36240650262528117)
,p_validation_name=>'O_MEDIDAS not null'
,p_validation_sequence=>140
,p_validation=>'P6_O_MEDIDAS'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'Las medidas son datos requeridos.'
,p_associated_item=>wwv_flow_api.id(12208693119663115)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(36240578165528116)
,p_validation_name=>'E_MEDIDAS not null'
,p_validation_sequence=>150
,p_validation=>'P6_E_MEDIDAS'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'Las medidas son datos requeridos.'
,p_associated_item=>wwv_flow_api.id(12208724545663116)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(36240401896528115)
,p_validation_name=>'S_MEDIDAS not null'
,p_validation_sequence=>160
,p_validation=>'P6_S_MEDIDAS'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'Las medidas son datos requeridos.'
,p_associated_item=>wwv_flow_api.id(12208571713663114)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(12161668109936068)
,p_name=>'CANCEL_DIALOG'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(12161511609936068)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(12162434931936072)
,p_event_id=>wwv_flow_api.id(12161668109936068)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(14500835832064301)
,p_name=>'REFRESH_MODAL_MEJORA'
,p_event_sequence=>20
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(12597722131128219)
,p_bind_type=>'bind'
,p_bind_event_type=>'apexafterclosedialog'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(14500946861064302)
,p_event_id=>wwv_flow_api.id(14500835832064301)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(12597722131128219)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(14503510729064328)
,p_name=>'TIPO_INMUEBLE_BALDIO'
,p_event_sequence=>30
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P6_TIPO_INMUEBLE_ID'
,p_condition_element=>'P6_TIPO_INMUEBLE_ID'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'1'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(14503688516064329)
,p_event_id=>wwv_flow_api.id(14503510729064328)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(12597722131128219)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(14503792475064330)
,p_event_id=>wwv_flow_api.id(14503510729064328)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(12597722131128219)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(14504421492064337)
,p_event_id=>wwv_flow_api.id(14503510729064328)
,p_event_result=>'FALSE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(14504340915064336)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(14504583403064338)
,p_event_id=>wwv_flow_api.id(14503510729064328)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(14504340915064336)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(12208891047663117)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'GET_PK'
,p_process_sql_clob=>':P6_ID := "SEQ_MENSURA_MATRICULA_CENSAL".nextval;'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(12163982366936078)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(12597199676128213)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'BORRAR_TABLAS_INTERMEDIAS'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DELETE FROM MENSURA_MATRICULA_CENSAL_DLP WHERE matricula_censal_id = :P6_ID;',
'',
'DELETE FROM MENSURA_MATRICULA_CENSAL_MEJORA_DETALLE WHERE matricula_censal_mejora_id in ',
'(SELECT id ',
' FROM MENSURA_MATRICULA_CENSAL_MEJORA',
' WHERE matricula_censal_id = :P6_ID );',
'',
'DELETE FROM MENSURA_MATRICULA_CENSAL_MEJORA WHERE matricula_censal_id = :P6_ID;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'P6_ID'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(12164776332936080)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(12156055394936036)
,p_process_type=>'NATIVE_FORM_DML'
,p_process_name=>'Process form REPORTE Matricula Censal Mensura'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(12597209940128214)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'PROCESAR_DLP'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'PKG_MENSURA.PRC_MATRICULA_CENSAL_DLP(   p_matricula_censal_id  => :P6_ID,',
'                                        p_n_codigo             => :P6_NORTE,',
'                                        p_n_medidas            => :P6_N_MEDIDAS,',
'                                        p_n_colindantes        => :P6_N_COLINDANTES,',
'                                        p_s_codigo             => :P6_SUR,',
'                                        p_s_medidas            => :P6_S_MEDIDAS,',
'                                        p_s_colindantes        => :P6_S_COLINDANTES,',
'                                        p_e_codigo             => :P6_ESTE,',
'                                        p_e_medidas            => :P6_E_MEDIDAS,',
'                                        p_e_colindantes        => :P6_E_COLINDANTES,',
'                                        p_o_codigo             => :P6_OESTE,',
'                                        p_o_medidas            => :P6_O_MEDIDAS,',
'                                        p_o_colindantes        => :P6_O_COLINDANTES );   ',
'                                        ',
'        '))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>':REQUEST IN (''CREAR'',''GUARDAR'')'
,p_process_when_type=>'SQL_EXPRESSION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(14503892042064331)
,p_process_sequence=>50
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'PROCESAR_MEJORAS'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'--CARGAR MEJORAS',
'FOR i IN (SELECT c001 "id", ',
'                 c002 "tipo_mejora",',
'                 c003 "letra",',
'                 c004 "tipo_edificacion",',
'                 c005 "superficie_cubierta",',
'                 c006 "superficie_semicubierta",',
'                 c007 "estado_conservacion_id",',
'                 c008 "antiguedad",',
'                 seq_id',
'          FROM   APEX_collections ',
'          WHERE  collection_name = ''MEJORAS''',
'          AND    c010 = ''MEJORA'' )',
'LOOP',
'',
'    INSERT INTO MENSURA_MATRICULA_CENSAL_MEJORA ( id,',
'                                                  matricula_censal_id,',
'                                                  letra,',
'                                                  matricula_tipo_mejora_id,',
'                                                  matricula_tipo_edificacion_id,',
'                                                  superficie_cubierta,',
'                                                  superficie_semicubierta,',
'                                                  estado_conservacion_id,',
'                                                  antiguedad  )',
'    VALUES ( i."id",',
'             :P6_ID,',
'             i."letra",',
'             i."tipo_mejora",',
'             i."tipo_edificacion",',
'             i."superficie_cubierta",',
'             i."superficie_semicubierta",',
'             i."estado_conservacion_id",',
'             i."antiguedad"  );',
'',
'',
'    --CARGAR DETALLE MEJORAS',
'    FOR j IN (SELECT c007 "caracteristica",',
'                     c008 "detalle"',
'              FROM   APEX_collections ',
'              WHERE  collection_name = ''MEJORAS''',
'              AND    c010 = ''DETALLE''',
'              AND    c001 = i."id" )',
'    LOOP',
'    ',
'        INSERT INTO MENSURA_MATRICULA_CENSAL_MEJORA_DETALLE ( id,',
'                                                              matricula_censal_mejora_id,',
'                                                              caracteristica_edificio_id,',
'                                                              caracteristica_edificio_detalle_id ) ',
'        VALUES ( SEQ_MENSURA_MATRICULA_CENSAL_MEJORA_DETALLE.nextval,',
'                 i."id",',
'                 j."caracteristica",',
'                 j."detalle"  );',
'',
'    END LOOP;',
'END LOOP;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>':P6_TIPO_INMUEBLE_ID = 2 AND :REQUEST IN (''CREAR'',''GUARDAR'')'
,p_process_when_type=>'PLSQL_EXPRESSION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(12165113215936080)
,p_process_sequence=>60
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'CLOSE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_success_message=>unistr('Acci\00F3n Procesada.')
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(78037087946827728)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'UPDATE Objeto de Mensura'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'-- Eliminar y cargamos Todos los Objetos seleccionados de la solicitud',
'DELETE FROM SOLICITUD_MENSURA_OBJETO where SOLICITUD_ID = :P6_SOLICITUD_ID;',
'',
'FOR i IN (SELECT column_value FROM table( apex_string.split(:P32_OBJETO_MENSURA_ID, '':'') ))',
'LOOP',
'	INSERT INTO SOLICITUD_MENSURA_OBJETO',
'    VALUES(i.column_value, :P6_SOLICITUD_ID);',
'',
'END LOOP;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_type=>'NEVER'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(12164358112936080)
,p_process_sequence=>20
,p_process_point=>'BEFORE_HEADER'
,p_region_id=>wwv_flow_api.id(12156055394936036)
,p_process_type=>'NATIVE_FORM_INIT'
,p_process_name=>'Initialize form REPORTE Matricula Censal Mensura'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(14210012365687305)
,p_process_sequence=>30
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Obtener DLPM'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'BEGIN',
'    --Obtener datos norte',
'    SELECT   CODIGO,',
'             MEDIDAS,',
'             COLINDANTES',
'    INTO    :P6_NORTE,',
'            :P6_N_MEDIDAS,',
'            :P6_N_COLINDANTES',
'    FROM     MENSURA_MATRICULA_CENSAL_DLP',
'    WHERE    MATRICULA_CENSAL_ID = :P6_ID',
'    AND      CODIGO in (''N'',''NE'',''NO'');',
'',
'    --Obtener datos sur',
'    SELECT   CODIGO,',
'             MEDIDAS,',
'             COLINDANTES',
'    INTO    :P6_SUR,',
'            :P6_S_MEDIDAS,',
'            :P6_S_COLINDANTES',
'    FROM     MENSURA_MATRICULA_CENSAL_DLP',
'    WHERE    MATRICULA_CENSAL_ID = :P6_ID',
'    AND      CODIGO in (''S'',''SE'',''SO'');',
'',
'    --Obtener datos este',
'    SELECT   CODIGO,',
'             MEDIDAS,',
'             COLINDANTES',
'    INTO    :P6_ESTE,',
'            :P6_E_MEDIDAS,',
'            :P6_E_COLINDANTES',
'    FROM     MENSURA_MATRICULA_CENSAL_DLP',
'    WHERE    MATRICULA_CENSAL_ID = :P6_ID',
'    AND      CODIGO in (''E'',''ENE'',''ESE'');',
'',
'    --Obtener datos oeste',
'    SELECT   CODIGO,',
'             MEDIDAS,',
'             COLINDANTES',
'    INTO    :P6_OESTE,',
'            :P6_O_MEDIDAS,',
'            :P6_O_COLINDANTES',
'    FROM     MENSURA_MATRICULA_CENSAL_DLP',
'    WHERE    MATRICULA_CENSAL_ID = :P6_ID',
'    AND      CODIGO in (''O'',''ONO'',''OSU'');',
'    ',
'EXCEPTION',
'    WHEN others THEN ',
'        RAISE_APPLICATION_ERROR(-20003, ''Error al Obtener los datos DLP. ''||SQLERRM);',
'END;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'P6_ID'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(14501327905064306)
,p_process_sequence=>40
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'CREAR_COLECCION'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex_collection.create_or_truncate_collection(',
'       p_collection_name => ''MEJORAS'');',
'       ',
'IF :P6_ID IS NOT NULL THEN',
'    FOR i IN (SELECT id,',
'                     letra,',
'                     matricula_tipo_mejora_id,',
'                     matricula_tipo_edificacion_id,',
'                     superficie_cubierta,',
'                     superficie_semicubierta,',
'                     estado_conservacion_id,',
'                     antiguedad',
'              FROM   MENSURA_MATRICULA_CENSAL_MEJORA ',
'              WHERE  MATRICULA_CENSAL_ID = :P6_ID)',
'    LOOP',
'        APEX_COLLECTION.ADD_MEMBER(',
'            p_collection_name => ''MEJORAS'',',
'            p_c001            => i.id,',
'            p_c002            => i.matricula_tipo_mejora_id,',
'            p_c003            => i.letra,',
'            p_c004            => i.matricula_tipo_edificacion_id,',
'            p_c005            => i.superficie_cubierta,',
'            p_c006            => i.superficie_semicubierta,',
'            p_c007            => i.estado_conservacion_id,',
'            p_c008            => i.antiguedad,',
'            p_c010            => ''MEJORA''',
'        );',
'',
'    END LOOP;',
'END IF;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
