prompt --application/pages/page_00008
begin
--   Manifest
--     PAGE: 00008
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>8
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>unistr('Modificar Contrase\00F1a (Primera Vez)')
,p_step_title=>unistr('Modificar Contrase\00F1a')
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function validarFecha(event, element, _float){',
'	event = event || window.event;',
'	var charCode = event.which || event.keyCode;',
'	if (charCode == 8 || charCode == 13 || charCode == 47 || (_float ? (element.value.indexOf('','') == -1 ? charCode == 44 : false) : false))',
'		return true;',
'	else if ((charCode < 48) || (charCode > 57))',
'		return false;',
'	return true;',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20200818164323'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(24076530988762638)
,p_plug_name=>unistr('Primer ingreso - Cambiar su Contrase\00F1a')
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useRegionTitle'
,p_plug_template=>wwv_flow_api.id(50764894046672306)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(100445884232850021)
,p_plug_name=>'Catastro Web'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(50907046629707180)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(24076530988762638)
,p_button_name=>'SAVE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Guardar Cambios'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_icon_css_classes=>'fa-plus'
,p_database_action=>'UPDATE'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(50914862787707190)
,p_branch_action=>'f?p=&APP_ID.:101:&SESSION.&success_msg=#SUCCESS_MSG#'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>1
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50907403258707181)
,p_name=>'P8_ID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(100445884232850021)
,p_use_cache_before_default=>'NO'
,p_source=>'ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50907816757707181)
,p_name=>'P8_CUIL'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(100445884232850021)
,p_use_cache_before_default=>'NO'
,p_source=>'CUIL'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50908258461707181)
,p_name=>'P8_PASSWORD_CHANGE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(100445884232850021)
,p_use_cache_before_default=>'NO'
,p_source=>'PASSWORD_CHANGE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50908630637707182)
,p_name=>'P8_NOMBRE'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(100445884232850021)
,p_prompt=>'Usuario'
,p_source=>'USUARIO'
,p_source_type=>'ITEM'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50909018258707182)
,p_name=>'P8_PASSWORD_ACTUAL'
,p_is_required=>true
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(100445884232850021)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Contrase\00F1a Actual')
,p_placeholder=>unistr('Contrase\00F1a actual ....')
,p_display_as=>'NATIVE_PASSWORD'
,p_cSize=>30
,p_cMaxlength=>20
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50909421038707182)
,p_name=>'P8_PASSWORD_1'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(100445884232850021)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Contrase\00F1a Nueva')
,p_source=>'PASSWORD'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_PASSWORD'
,p_cSize=>32
,p_cMaxlength=>64
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50909816214707187)
,p_name=>'P8_PASSWORD_2'
,p_is_required=>true
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(100445884232850021)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Confirmar Contrase\00F1a')
,p_display_as=>'NATIVE_PASSWORD'
,p_cSize=>30
,p_cMaxlength=>20
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50910296169707187)
,p_name=>'P8_FECHANACIMIENTO'
,p_is_required=>true
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(100445884232850021)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Confirme su Fecha de Nacimiento'
,p_placeholder=>'dd/mm/aaaa'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>30
,p_cMaxlength=>10
,p_tag_attributes=>'onKeypress="return validarFecha(event, this, false);"'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_04=>'focus'
,p_attribute_05=>'Y'
,p_attribute_07=>'MONTH_AND_YEAR'
,p_attribute_08=>'1900:sysdate'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(50910712875707187)
,p_computation_sequence=>50
,p_computation_item=>'P8_PASSWORD_2'
,p_computation_type=>'QUERY'
,p_computation=>'select f_encrypt(:P8_PASSWORD_2) from dual where :P8_PASSWORD_2 is not null;'
,p_computation_error_message=>unistr('La confirmaci\00F3n de la contrase\00F1a no puede estar en blanco ...')
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(50911111542707188)
,p_computation_sequence=>50
,p_computation_item=>'P8_PASSWORD_1'
,p_computation_type=>'QUERY'
,p_computation=>'select f_encrypt(:P8_PASSWORD_1) from dual where :P8_PASSWORD_1 is not null;'
,p_computation_error_message=>unistr('La Contrase\00F1a no puede estar en blanco ...')
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(50911991473707188)
,p_validation_name=>'Validar pass actual'
,p_validation_sequence=>10
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'stored_pass varchar2(200);',
'',
'begin',
'select password into stored_pass from persona where id = :P8_ID;',
'',
'if f_encrypt(:P8_PASSWORD_ACTUAL) = stored_pass then',
'  return true;',
'else',
'  return false;',
'end if;',
'end;'))
,p_validation_type=>'FUNC_BODY_RETURNING_BOOLEAN'
,p_error_message=>unistr('Su contrase\00F1a actual no coincide ...')
,p_validation_condition=>'P8_PASSWORD_ACTUAL'
,p_validation_condition_type=>'ITEM_NOT_NULL_OR_ZERO'
,p_when_button_pressed=>wwv_flow_api.id(50907046629707180)
,p_associated_item=>wwv_flow_api.id(50909018258707182)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(50911566109707188)
,p_validation_name=>'Validar Fecha Nac'
,p_validation_sequence=>20
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'stored_date varchar2(200);',
'',
'begin',
'select FECHANACIMIENTO into stored_date from persona where id = :P8_ID;',
'',
'if (to_date(:P8_FECHANACIMIENTO) = stored_date) then',
'  return true;',
'else',
'  return false;',
'end if;',
'end;'))
,p_validation_type=>'FUNC_BODY_RETURNING_BOOLEAN'
,p_error_message=>'Su Fecha de Nacimiento no coincide ...'
,p_validation_condition=>'P8_FECHANACIMIENTO'
,p_validation_condition_type=>'ITEM_NOT_NULL_OR_ZERO'
,p_when_button_pressed=>wwv_flow_api.id(50907046629707180)
,p_associated_item=>wwv_flow_api.id(50910296169707187)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(50912320016707188)
,p_validation_name=>unistr('Confirmacion de Contrase\00F1a')
,p_validation_sequence=>30
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'if :P8_PASSWORD_1= :P8_PASSWORD_2 then',
'  return true;',
'else',
'  return false;',
'end if;',
'end;'))
,p_validation_type=>'FUNC_BODY_RETURNING_BOOLEAN'
,p_error_message=>unistr('Las contrase\00F1as ingresadas deben coincidir, reingrese su contrase\00F1a y la confirmaci\00F3n ...')
,p_when_button_pressed=>wwv_flow_api.id(50907046629707180)
,p_associated_item=>wwv_flow_api.id(50909421038707182)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50912656123707188)
,p_process_sequence=>10
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from PERSONA'
,p_attribute_02=>'PERSONA'
,p_attribute_03=>'P8_ID'
,p_attribute_04=>'ID'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(24076856618762641)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'PASSWORD_CHANGE'
,p_process_sql_clob=>':P8_PASSWORD_CHANGE := 0;'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50913000628707189)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'Process Row of PERSONA'
,p_attribute_02=>'PERSONA'
,p_attribute_03=>'P8_ID'
,p_attribute_04=>'ID'
,p_attribute_11=>'U'
,p_attribute_12=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_success_message=>unistr('Su contrase\00F1a ha sido cambiada \00E9xito. Ingrese al sistema con su nueva clave.')
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50913443154707189)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'reset page'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
