prompt --application/pages/page_00012
begin
--   Manifest
--     PAGE: 00012
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>12
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'REGISTRO DE PERSONA DEL USUARIO'
,p_page_mode=>'MODAL'
,p_step_title=>'REGISTRO DE PERSONA DEL USUARIO'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function validaCuit(sCUIT) ',
'{     ',
'    var aMult = ''5432765432''; ',
'    var aMult = aMult.split(''''); ',
'     ',
'    if (sCUIT && sCUIT.length == 11) ',
'    { ',
'        aCUIT = sCUIT.split(''''); ',
'        var iResult = 0; ',
'        for(i = 0; i <= 9; i++) ',
'        { ',
'            iResult += aCUIT[i] * aMult[i]; ',
'        } ',
'        iResult = (iResult % 11); ',
'        iResult = 11 - iResult; ',
'         ',
'        if (iResult == 11) iResult = 0; ',
'        if (iResult == 10) iResult = 9; ',
'         ',
'        if (iResult == aCUIT[10]) ',
'        { ',
'            return true; ',
'        } ',
'    }     ',
'    return false; ',
'} ',
'',
''))
,p_page_template_options=>'#DEFAULT#'
,p_dialog_height=>'520'
,p_dialog_width=>'1000'
,p_page_is_public_y_n=>'Y'
,p_protection_level=>'C'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210312100438'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(100454709818932162)
,p_plug_name=>'PERSONA'
,p_region_template_options=>'#DEFAULT#:t-TabsRegion-mod--fillLabels:t-TabsRegion-mod--pill'
,p_plug_template=>wwv_flow_api.id(50762297377672305)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(100459866731932173)
,p_plug_name=>'Domicilio'
,p_parent_plug_id=>wwv_flow_api.id(100454709818932162)
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(100462305846932178)
,p_plug_name=>'Usuario y Perfil'
,p_parent_plug_id=>wwv_flow_api.id(100454709818932162)
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(100463843318932182)
,p_plug_name=>unistr('Profesi\00F3n y Datos de Contacto')
,p_region_name=>unistr('Profesi\00F3n')
,p_parent_plug_id=>wwv_flow_api.id(100454709818932162)
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(100465916644932186)
,p_plug_name=>'Datos Personales'
,p_parent_plug_id=>wwv_flow_api.id(100454709818932162)
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(107863130901985471)
,p_plug_name=>'Estado'
,p_parent_plug_id=>wwv_flow_api.id(100454709818932162)
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>50
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(100466280666932187)
,p_plug_name=>'Buttons'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50729062024672289)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_03'
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(50945376129714195)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(100466280666932187)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Cancelar'
,p_button_position=>'REGION_TEMPLATE_CLOSE'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-times'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(50945763649714196)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(100466280666932187)
,p_button_name=>'Password_blanquear'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_image_alt=>unistr('Resetear Contrase\00F1a')
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>'P12_ID'
,p_button_condition_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(50946180075714196)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(100466280666932187)
,p_button_name=>'DELETE'
,p_button_action=>'REDIRECT_URL'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_image_alt=>'Delete'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_redirect_url=>'javascript:apex.confirm(''Realmente desea eliminar el usuario &APP_USER.?'', ''DELETE'');'
,p_button_execute_validations=>'N'
,p_button_condition_type=>'NEVER'
,p_database_action=>'DELETE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(50946590372714196)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(100466280666932187)
,p_button_name=>'CREATE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Crear'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>'P12_ID'
,p_button_condition_type=>'ITEM_IS_NULL'
,p_icon_css_classes=>'fa-plus'
,p_database_action=>'INSERT'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(50946993116714196)
,p_button_sequence=>50
,p_button_plug_id=>wwv_flow_api.id(100466280666932187)
,p_button_name=>'SAVE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Guardar Cambios'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>'P12_ID'
,p_button_condition_type=>'ITEM_IS_NOT_NULL'
,p_icon_css_classes=>'fa-edit'
,p_database_action=>'UPDATE'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(50957634739714203)
,p_branch_name=>'Go To Page 200'
,p_branch_action=>'f?p=&APP_ID.:200:&SESSION.::&DEBUG.:RP::&success_msg=#SUCCESS_MSG#'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_when_button_id=>wwv_flow_api.id(50946590372714196)
,p_branch_sequence=>10
,p_branch_condition_type=>'NEVER'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(9632622129266440)
,p_name=>'P12_ORGANISMO_EXCENTO_ID'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(100462305846932178)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Organismo al que pertenece'
,p_source=>'ORGANISMO_EXCENTO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion||'' - ''||cuit, id',
'from ORGANISMO_EXCENTO',
'order by descripcion asc'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ...'
,p_cSize=>30
,p_grid_column=>4
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(19095976080915801)
,p_name=>'P12_RPI_PERFIL_TRABAJO'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(100462305846932178)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Perfil de Trabajo'
,p_source=>'RPI_PERFIL_DE_TRABAJO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:Certificados;C,Informes;I'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Todos ...'
,p_cHeight=>1
,p_grid_column=>4
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50929864478714182)
,p_name=>'P12_DOMICILIO_LOCALIDAD_ID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(100459866731932173)
,p_use_cache_before_default=>'NO'
,p_item_default=>'1066'
,p_prompt=>'Localidad'
,p_source=>'DOMICILIO_LOCALIDAD_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select l.CODIGOPOSTAL||'': ''||l.descripcion AS descrip, l.id as id',
'from LOCALIDAD L, departamento d',
'where l.departamento_id = d.id',
'  and d.provincia_id = 3',
'ORDER BY L.ID ASC'))
,p_lov_display_null=>'YES'
,p_cSize=>50
,p_cMaxlength=>255
,p_tag_attributes=>'style=''width:189px'';'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'DIALOG'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50930209924714183)
,p_name=>'P12_DOMICILIO_CALLE'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(100459866731932173)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Calle'
,p_placeholder=>'Domicilio ...'
,p_source=>'DOMICILIO_CALLE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>100
,p_tag_attributes=>'onKeyUp="this.value=this.value.toUpperCase();";'
,p_colspan=>8
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50930645704714183)
,p_name=>'P12_DOMICILIO_NUMERO'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(100459866731932173)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('N\00BA')
,p_placeholder=>'Domicilio ...'
,p_source=>'DOMICILIO_NUMERO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>10
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50931356436714184)
,p_name=>'P12_USUARIO'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(100462305846932178)
,p_prompt=>'Usuario'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50931700914714184)
,p_name=>'P12_PERFIL_ID'
,p_is_required=>true
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(100462305846932178)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Perfil'
,p_source=>'PERFIL_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select DESCRIPCION , ID',
'  from PERFIL',
' where id in (SELECT p.id',
'                FROM PERFIL p, persona u',
'               WHERE u.cuil = :app_user',
'                 and ((u.id in (1,2)) -- Just Super Admins',
'                  or  (u.perfil_id = 4 and p.id in (2,3,4,10,11,12,13))',
'                  or  (u.perfil_id = 5 and p.id in (1,5) )',
'                  or  (u.perfil_id = 6 and p.id in (6,8) )',
'                  or  (u.perfil_id = 7 and p.id in (7,9) )',
'                  or  (u.perfil_id = 16 and p.id in (10,12,14,15,16,18))',
'                    )',
'                       group by p.id)',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione ...'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:220px'''
,p_begin_on_new_line=>'N'
,p_grid_column=>4
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'  FROM persona u',
' WHERE :p12_id is null',
'    or (u.cuil = :app_user and u.perfil_id = 4)',
'    OR 1=1',
' '))
,p_read_only_when_type=>'NOT_EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50932198181714185)
,p_name=>'P12_EXCENTO'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(100462305846932178)
,p_use_cache_before_default=>'NO'
,p_item_default=>'0'
,p_source=>'EXCENTO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50932526202714185)
,p_name=>'P12_PASSWORD_1'
,p_is_required=>true
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(100462305846932178)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Contrase\00F1a')
,p_source=>'PASSWORD'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_PASSWORD'
,p_cSize=>30
,p_cMaxlength=>20
,p_display_when_type=>'NEVER'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50932988278714185)
,p_name=>'P12_PASSWORD_2'
,p_is_required=>true
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(100462305846932178)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Confirmar'
,p_display_as=>'NATIVE_PASSWORD'
,p_cSize=>30
,p_cMaxlength=>20
,p_display_when_type=>'NEVER'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50933673387714186)
,p_name=>'P12_EMAIL'
,p_is_required=>true
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(100463843318932182)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Email'
,p_placeholder=>'E-mail ...'
,p_source=>'EMAIL'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>50
,p_begin_on_new_line=>'N'
,p_colspan=>6
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50934082693714186)
,p_name=>'P12_CELULAR'
,p_is_required=>true
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(100463843318932182)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Celular'
,p_placeholder=>'Celular ...'
,p_source=>'CELULAR'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>20
,p_tag_attributes=>'onkeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50934409092714187)
,p_name=>'P12_PROFESIONAL_TIPO'
,p_item_sequence=>170
,p_item_plug_id=>wwv_flow_api.id(100463843318932182)
,p_use_cache_before_default=>'NO'
,p_item_default=>'0'
,p_prompt=>unistr('Profesi\00F3n')
,p_source=>'PROFESIONAL_TIPO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from PROFESIONAL_TIPO',
'ORDER BY ID ASC'))
,p_cHeight=>1
,p_tag_attributes=>'style=''width:220px'''
,p_colspan=>6
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50934816535714187)
,p_name=>'P12_PROFESIONAL_MATRICULA'
,p_item_sequence=>180
,p_item_plug_id=>wwv_flow_api.id(100463843318932182)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('Matr\00EDcula')
,p_source=>'PROFESIONAL_MATRICULA'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>6
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50935224970714187)
,p_name=>'P12_PROFESIONAL_CARACTER_ID'
,p_item_sequence=>190
,p_item_plug_id=>wwv_flow_api.id(100463843318932182)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Caracter'
,p_source=>'PROFESIONAL_CARACTER_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from PROFESIONAL_CARACTER',
'ORDER BY ID ASC'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:220px'''
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'  FROM PERSONA U',
' WHERE U.CUIL = :APP_USER',
'   AND U.PERFIL_ID IN (4,5)',
'   AND (SELECT 1 FROM PERSONA WHERE ID = :P12_ID AND PERFIL_ID = 1) IS NOT NULL'))
,p_display_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50935656026714188)
,p_name=>'P12_PROFESIONAL_REGISTRO'
,p_item_sequence=>200
,p_item_plug_id=>wwv_flow_api.id(100463843318932182)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Registro'
,p_source=>'PROFESIONAL_REGISTRO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>4
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'  FROM PERSONA U',
' WHERE U.CUIL = :APP_USER',
'   AND U.PERFIL_ID IN (4,5)',
'   AND (SELECT 1 FROM PERSONA WHERE ID = :P12_ID AND PERFIL_ID = 1) IS NOT NULL'))
,p_display_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50814969454672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50936063902714188)
,p_name=>'P12_PROFESIONAL_DOM_LABORAL'
,p_item_sequence=>210
,p_item_plug_id=>wwv_flow_api.id(100463843318932182)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Domicilio Laboral'
,p_source=>'PROFESIONAL_DOM_LABORAL'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>100
,p_tag_attributes=>'onKeyUp="this.value=this.value.toUpperCase();";'
,p_colspan=>6
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50936447588714188)
,p_name=>'P12_PROFESIONAL_DOM_LAB_DPTO_ID'
,p_item_sequence=>220
,p_item_plug_id=>wwv_flow_api.id(100463843318932182)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Departamento'
,p_source=>'PROFESIONAL_DOM_LAB_DPTO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from DEPARTAMENTO',
'WHERE PROVINCIA_ID=3 or id=509',
'ORDER BY ID ASC'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:220px'''
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50937148279714189)
,p_name=>'P12_ID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(100465916644932186)
,p_use_cache_before_default=>'NO'
,p_source=>'ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50937538570714189)
,p_name=>'P12_ESTADO_FECHA'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(100465916644932186)
,p_use_cache_before_default=>'NO'
,p_item_default=>'sysdate()'
,p_item_default_type=>'PLSQL_EXPRESSION'
,p_source=>'ESTADO_FECHA'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50937937333714190)
,p_name=>'P12_PASSWORD_CHANGE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(100465916644932186)
,p_use_cache_before_default=>'NO'
,p_item_default=>'1'
,p_source=>'PASSWORD_CHANGE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50938394021714190)
,p_name=>'P12_PASSWORD'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(100465916644932186)
,p_use_cache_before_default=>'NO'
,p_item_default=>'E7FF3D6EC111C42582EC948CCBACFCBC'
,p_source=>'PASSWORD'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50938737467714190)
,p_name=>'P12_DOCUMENTO_TIPO_ID'
,p_is_required=>true
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(100465916644932186)
,p_use_cache_before_default=>'NO'
,p_item_default=>'1'
,p_prompt=>'Documento'
,p_source=>'DOCUMENTO_TIPO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select DOCUMENTO_TIPO.DESCRIPCION as DESCRIPCION, DOCUMENTO_TIPO.ID as ID',
' from DOCUMENTO_TIPO DOCUMENTO_TIPO'))
,p_cHeight=>1
,p_read_only_when=>'P12_ID'
,p_read_only_when_type=>'ITEM_NOT_NULL_OR_ZERO'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50939127937714190)
,p_name=>'P12_DOCUMENTO_NUMERO'
,p_is_required=>true
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(100465916644932186)
,p_use_cache_before_default=>'NO'
,p_prompt=>unistr('N\00FAmero')
,p_placeholder=>unistr('... N\00BA de documento ...')
,p_source=>'DOCUMENTO_NUMERO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>32
,p_cMaxlength=>10
,p_tag_attributes=>'onkeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_03=>'center'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50939549475714191)
,p_name=>'P12_CUIL'
,p_is_required=>true
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(100465916644932186)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Cuil'
,p_placeholder=>'... CUIL/T ...'
,p_source=>'CUIL'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>32
,p_cMaxlength=>11
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_grid_column=>8
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_03=>'center'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50939931698714191)
,p_name=>'P12_APELLIDO'
,p_is_required=>true
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(100465916644932186)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Apellidos'
,p_placeholder=>'Apellidos'
,p_source=>'APELLIDO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>20
,p_cMaxlength=>100
,p_tag_attributes=>'onKeyUp="this.value=this.value.toUpperCase();"; onkeypress="return soloLetras(event);";'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50940324895714191)
,p_name=>'P12_NOMBRE'
,p_is_required=>true
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(100465916644932186)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Nombres'
,p_placeholder=>'Nombres ...'
,p_source=>'NOMBRE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>100
,p_tag_attributes=>'onKeyUp="this.value=this.value.toUpperCase();"; onkeypress="return soloLetras(event);";'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50940782211714191)
,p_name=>'P12_FECHANACIMIENTO'
,p_is_required=>true
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(100465916644932186)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Fecha de Nac.'
,p_placeholder=>'Fecha de nacimiento ...'
,p_format_mask=>'DD-MM-YYYY'
,p_source=>'FECHANACIMIENTO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>32
,p_cMaxlength=>255
,p_tag_attributes=>'readonly="readonly"'
,p_begin_on_new_line=>'N'
,p_grid_column=>8
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_04=>'focus'
,p_attribute_05=>'Y'
,p_attribute_07=>'MONTH_AND_YEAR'
,p_attribute_08=>'1900:sysdate'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50941108391714192)
,p_name=>'P12_SEXO_ID'
,p_is_required=>true
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_api.id(100465916644932186)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Sexo'
,p_source=>'SEXO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select SEXO.DESCRIPCION as DESCRIPCION, SEXO.ID as ID ',
' from SEXO SEXO'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Seleccione...'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:220px'''
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50941577937714192)
,p_name=>'P12_ESTADO_CIVIL_ID'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_api.id(100465916644932186)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Estado Civil'
,p_source=>'ESTADO_CIVIL_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from estado_civil',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:220px'''
,p_begin_on_new_line=>'N'
,p_grid_column=>8
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50941972003714192)
,p_name=>'P12_NACIONALIDAD_ID'
,p_is_required=>true
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_api.id(100465916644932186)
,p_use_cache_before_default=>'NO'
,p_item_default=>'8'
,p_prompt=>'Nacionalidad'
,p_source=>'NACIONALIDAD_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select PAIS.NACIONALIDAD as NACIONALIDAD,',
'    PAIS.ID as ID ',
' from PAIS PAIS'))
,p_lov_display_null=>'YES'
,p_cSize=>32
,p_cMaxlength=>255
,p_tag_attributes=>'style=''width:189px'';'
,p_begin_on_new_line=>'N'
,p_grid_column=>8
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'DIALOG'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50942346861714192)
,p_name=>'P12_SEPARADOR_1'
,p_item_sequence=>150
,p_item_plug_id=>wwv_flow_api.id(100465916644932186)
,p_pre_element_text=>'<hr>'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when_type=>'NEVER'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50942781084714193)
,p_name=>'P12_SEPARADOR_2'
,p_item_sequence=>160
,p_item_plug_id=>wwv_flow_api.id(100465916644932186)
,p_pre_element_text=>'<hr>'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when_type=>'NEVER'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50943452565714194)
,p_name=>'P12_MENSURA_AUTORIZADO'
,p_is_required=>true
,p_item_sequence=>230
,p_item_plug_id=>wwv_flow_api.id(107863130901985471)
,p_use_cache_before_default=>'NO'
,p_item_default=>'0'
,p_prompt=>unistr('Mensura Online - Est\00E1 Autorizado?')
,p_source=>'MENSURA_AUTORIZADO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:NO;0,SI;1'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:220px'''
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'  FROM PERSONA U',
' WHERE U.CUIL = :APP_USER',
'   AND U.PERFIL_ID IN (4,6)',
''))
,p_read_only_when_type=>'NOT_EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50943891630714194)
,p_name=>'P12_MENSURA_RESTINGIDO'
,p_is_required=>true
,p_item_sequence=>250
,p_item_plug_id=>wwv_flow_api.id(107863130901985471)
,p_use_cache_before_default=>'NO'
,p_item_default=>'0'
,p_prompt=>unistr('Mensura Online - Est\00E1 Restringido? ')
,p_source=>'MENSURA_RESTINGIDO'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:NO;0,SI;1'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:220px'''
,p_begin_on_new_line=>'N'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'  FROM PERSONA U',
' WHERE U.CUIL = :APP_USER',
'   AND U.PERFIL_ID IN (4,6)',
''))
,p_read_only_when_type=>'NOT_EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50944276734714194)
,p_name=>'P12_ESTADO_ID'
,p_is_required=>true
,p_item_sequence=>260
,p_item_plug_id=>wwv_flow_api.id(107863130901985471)
,p_use_cache_before_default=>'NO'
,p_item_default=>'1'
,p_prompt=>'Catastro Online - Ingreso al Sistema'
,p_source=>'ESTADO_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from ESTADO_USUARIO',
'where id in (1,2)',
'order by id asc'))
,p_cHeight=>1
,p_tag_attributes=>'style=''width:220px'''
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50944688700714195)
,p_name=>'P12_ESTADO_OBSERVACIONES'
,p_item_sequence=>270
,p_item_plug_id=>wwv_flow_api.id(107863130901985471)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Comentarios'
,p_source=>'ESTADO_OBSERVACIONES'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>32
,p_cMaxlength=>255
,p_cHeight=>4
,p_tag_attributes=>'onKeyUp="this.value=this.value.toUpperCase();";'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(78035751850827715)
,p_name=>'P12_MUNICIPALIDAD_ID'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(100462305846932178)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Municipalidad a la que pertenece'
,p_source=>'MUNICIPALIDAD_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_named_lov=>'LOV_MUNICIPALIDADES'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_grid_column=>4
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(50947465271714197)
,p_computation_sequence=>10
,p_computation_item=>'P12_PASSWORD_1'
,p_computation_type=>'QUERY'
,p_computation=>'select f_encrypt(:P12_PASSWORD_1) from dual where :P12_PASSWORD_1 is not null;'
,p_computation_error_message=>unistr('La Contrase\00F1a no puede estar en blanco.')
,p_compute_when_type=>'NEVER'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(50947880432714197)
,p_computation_sequence=>40
,p_computation_item=>'P12_PASSWORD_2'
,p_computation_type=>'QUERY'
,p_computation=>'select f_encrypt(:P12_PASSWORD_2) from dual where :P12_PASSWORD_2 is not null;'
,p_computation_error_message=>unistr('La confirmaci\00F3n de la contrase\00F1a no puede estar en blanco.')
,p_compute_when_type=>'NEVER'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(50948218501714197)
,p_validation_name=>unistr('Validar si el cuil es v\00E1lido')
,p_validation_sequence=>10
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'   RES NUMBER;',
'   I   NUMBER;',
'   DIG NUMBER;',
'   NUM NUMBER;',
'   XID varchar(12) := :P12_CUIL;',
'  BEGIN',
'  ',
'   IF LENGTH (XID) != 11 OR',
'      SUBSTR (XID, 1, 2) = ''00'' THEN',
'   RETURN false;',
'   END IF;',
'   ',
'   RES:= 0;',
'   FOR I IN 1..10 LOOP',
'     NUM := TO_NUMBER (SUBSTR (XID, I, 1));',
'     IF I = 1 OR I = 7 THEN RES := RES + NUM * 5;',
'     ELSIF I = 2 OR I = 8  THEN RES := RES + NUM * 4;',
'     ELSIF I = 3 OR I = 9  THEN RES := RES + NUM * 3;',
'     ELSIF I = 4 OR I = 10 THEN RES := RES + NUM * 2;',
'     ELSIF I = 5 THEN RES := RES + NUM * 7;',
'     ELSIF I = 6 THEN RES := RES + NUM * 6;',
'     END IF;',
'   END LOOP;',
'   DIG := 11 - MOD (RES, 11);',
'   IF DIG = 11 THEN DIG := 0; END IF;',
'     ',
'   IF DIG = TO_NUMBER (SUBSTR (XID, 11, 1)) THEN',
'     RETURN true;',
'   ELSE',
'     RETURN false;',
'   END IF;',
'   ',
'   EXCEPTION',
'   WHEN OTHERS THEN',
'     RETURN false;',
'   END;'))
,p_validation_type=>'FUNC_BODY_RETURNING_BOOLEAN'
,p_error_message=>unistr('CUIL inv\00E1lido ...')
,p_always_execute=>'Y'
,p_associated_item=>wwv_flow_api.id(50939549475714191)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(50948647885714198)
,p_validation_name=>'Validar si el DNI existe'
,p_validation_sequence=>10
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from PERSONA',
'where DOCUMENTO_TIPO_ID = :P12_DOCUMENTO_TIPO_ID',
'  and DOCUMENTO_NUMERO=:P12_DOCUMENTO_NUMERO'))
,p_validation_type=>'NOT_EXISTS'
,p_error_message=>unistr('El Tipo y N\00FAmero de Documento ingresado ya existe ...')
,p_when_button_pressed=>wwv_flow_api.id(50946590372714196)
,p_associated_item=>wwv_flow_api.id(50939127937714190)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(50949023799714198)
,p_validation_name=>'Valida si el Email es valido'
,p_validation_sequence=>20
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  declare',
'  l_dot_pos    NUMBER;',
'  l_at_pos     NUMBER;',
'  l_str_length NUMBER;',
'  l_user_name varchar(64) := :P12_EMAIL;',
'BEGIN',
'  l_dot_pos    := instr(l_user_name',
'                       ,''.'');',
'  l_at_pos     := instr(l_user_name',
'                       ,''@'');',
'  l_str_length := length(l_user_name);',
'  IF ((l_dot_pos = 0) OR (l_at_pos = 0) OR (l_dot_pos = l_at_pos + 1) OR',
'     (l_at_pos = 1) OR (l_at_pos = l_str_length) OR',
'     (l_dot_pos = l_str_length))',
'  THEN',
'    RETURN FALSE;',
'  END IF;',
'  IF instr(substr(l_user_name',
'                 ,l_at_pos)',
'          ,''.'') = 0',
'  THEN',
'    RETURN FALSE;',
'  END IF;',
'  RETURN TRUE;',
'END;'))
,p_validation_type=>'FUNC_BODY_RETURNING_BOOLEAN'
,p_error_message=>unistr('Email inv\00E1lido ...')
,p_associated_item=>wwv_flow_api.id(50933673387714186)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(50949493198714198)
,p_validation_name=>'Validar si el cuil existe'
,p_validation_sequence=>20
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from PERSONA',
'where cuil=:P12_cuil'))
,p_validation_type=>'NOT_EXISTS'
,p_error_message=>'EL CUIL/T ingresado ya existe en la base de datos ...'
,p_when_button_pressed=>wwv_flow_api.id(50946590372714196)
,p_associated_item=>wwv_flow_api.id(50939549475714191)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(50949813303714198)
,p_validation_name=>unistr('Confirmacion de Contrase\00F1a')
,p_validation_sequence=>30
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'if :P12_PASSWORD_1= :P12_PASSWORD_2 then',
'  return true;',
'else',
'  return false;',
'end if;',
'end;'))
,p_validation_type=>'FUNC_BODY_RETURNING_BOOLEAN'
,p_error_message=>unistr('Las contrase\00F1as ingresadas deben coincidir, reingrese su contrase\00F1a ...')
,p_validation_condition_type=>'NEVER'
,p_associated_item=>wwv_flow_api.id(50932526202714185)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(50952912829714200)
,p_name=>'Cancel Dialog'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(50945376129714195)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(50953465590714200)
,p_event_id=>wwv_flow_api.id(50952912829714200)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(50953831961714200)
,p_name=>'Insertar Usuario'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(50946590372714196)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
,p_display_when_type=>'NEVER'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(50954313938714201)
,p_event_id=>wwv_flow_api.id(50953831961714200)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'INSERT INTO USUARIO(ID, PERSONA_ID, USERNAME, PASSWORD, PERFIL_ID, ESTADO_ID) ',
'VALUES ("SEQ_USUARIO".nextval,2,:P12_CUIL,:P12_PASSWORD_1,1,1);'))
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(50954789507714201)
,p_name=>'REFRESH_USUARIO'
,p_event_sequence=>30
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P12_CUIL'
,p_bind_type=>'bind'
,p_bind_event_type=>'focusout'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(50955282729714201)
,p_event_id=>wwv_flow_api.id(50954789507714201)
,p_event_result=>'TRUE'
,p_action_sequence=>80
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P12_USUARIO'
,p_attribute_01=>'SQL_STATEMENT'
,p_attribute_03=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select :p12_cuil',
'from dual;'))
,p_attribute_07=>'P12_CUIL'
,p_attribute_08=>'Y'
,p_attribute_09=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(50955613993714202)
,p_name=>'Click'
,p_event_sequence=>40
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(50945763649714196)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(50956111697714202)
,p_event_id=>wwv_flow_api.id(50955613993714202)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CONFIRM'
,p_attribute_01=>unistr('Confirma que desea resetear la contrase\00F1a?')
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(50956679758714202)
,p_event_id=>wwv_flow_api.id(50955613993714202)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'  update persona set Password= ''E7FF3D6EC111C42582EC948CCBACFCBC'', Password_Change=1, estado_fecha = sysdate() where id = :p12_id;',
'end;'))
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(50957162480714202)
,p_event_id=>wwv_flow_api.id(50955613993714202)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_ALERT'
,p_attribute_01=>unistr('La Contrase\00F1a ha sido reseteada! Pass: (Arca2021)')
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(9632758398266441)
,p_name=>'Perfil_Change_Municipal'
,p_event_sequence=>50
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P12_PERFIL_ID'
,p_condition_element=>'P12_PERFIL_ID'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'13'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(9632824609266442)
,p_event_id=>wwv_flow_api.id(9632758398266441)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P12_MUNICIPALIDAD_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(9632900061266443)
,p_event_id=>wwv_flow_api.id(9632758398266441)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P12_MUNICIPALIDAD_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(9633389849266447)
,p_event_id=>wwv_flow_api.id(9632758398266441)
,p_event_result=>'FALSE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P12_MUNICIPALIDAD_ID'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(19096017574915802)
,p_name=>'Perfil_Change_RPI'
,p_event_sequence=>60
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P12_PERFIL_ID'
,p_condition_element=>'P12_PERFIL_ID'
,p_triggering_condition_type=>'IN_LIST'
,p_triggering_expression=>'14,15'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(19096129134915803)
,p_event_id=>wwv_flow_api.id(19096017574915802)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P12_RPI_PERFIL_TRABAJO'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(19096356061915805)
,p_event_id=>wwv_flow_api.id(19096017574915802)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P12_RPI_PERFIL_TRABAJO'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(19096296201915804)
,p_event_id=>wwv_flow_api.id(19096017574915802)
,p_event_result=>'FALSE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P12_RPI_PERFIL_TRABAJO'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(9633025053266444)
,p_name=>'Perfil_Change_Organismo_Excento'
,p_event_sequence=>70
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P12_PERFIL_ID'
,p_condition_element=>'P12_PERFIL_ID'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'12'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(9633171989266445)
,p_event_id=>wwv_flow_api.id(9633025053266444)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P12_ORGANISMO_EXCENTO_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(9633281158266446)
,p_event_id=>wwv_flow_api.id(9633025053266444)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P12_ORGANISMO_EXCENTO_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(9633410162266448)
,p_event_id=>wwv_flow_api.id(9633025053266444)
,p_event_result=>'FALSE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P12_ORGANISMO_EXCENTO_ID'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50951763374714199)
,p_process_sequence=>10
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from PERSONA'
,p_attribute_02=>'PERSONA'
,p_attribute_03=>'P12_ID'
,p_attribute_04=>'ID'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50950108498714198)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get PK'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin ',
'    if :P12_ID is null then',
'        select "#OWNER#"."SEQ_PERSONA".nextval',
'          into :P12_ID',
'          from sys.dual;',
'    end if;',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(50946590372714196)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50950547499714199)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'Process Row of PERSONA'
,p_attribute_02=>'PERSONA'
,p_attribute_03=>'P12_ID'
,p_attribute_04=>'ID'
,p_attribute_11=>'I:U:D'
,p_attribute_12=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_success_message=>unistr('Acci\00F3n Procesada.')
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(37023901637152314)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Crear Billetera Virtual'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'insert into billetera_virtual (persona_id, descripcion, fecha)',
'values (:P12_ID, ''Billetera Personal'', sysdate);'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(50946590372714196)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50952196132714199)
,p_process_sequence=>50
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Actualizar_Fecha'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'  update persona set estado_fecha = sysdate() where id = :p12_id;',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(50946993116714196)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50952581559714200)
,p_process_sequence=>60
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Actualizar_exento'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'  if (:P12_PERFIL_ID = 12) then    ',
'      update persona set EXCENTO =1 where id = :p12_id;',
'  else',
'      update persona set EXCENTO =0 where id = :p12_id;',
'  end if;',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(14207031874661841)
,p_process_sequence=>70
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>unistr('Agregar Colecci\00F3n')
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'CASE :REQUEST',
'    WHEN ''SAVE'' THEN',
'        null;',
'    ',
'    WHEN ''CREATE'' THEN',
'        null;',
'    ELSE',
'        null;',
'END CASE;',
'        '))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50950942699714199)
,p_process_sequence=>80
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'reset page'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50951356666714199)
,p_process_sequence=>90
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close Dialog'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
