prompt --application/pages/page_00013
begin
--   Manifest
--     PAGE: 00013
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>13
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Reportes Estadisticos'
,p_alias=>'REPORTES-ESTADISTICOS'
,p_step_title=>unistr('Reportes Estad\00EDsticos ')
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'const enviarItem = (id) => {    ',
'    $s(''P13_USUARIO_ID'', id, '''', false)',
'}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210409094805'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(15686660880023279)
,p_plug_name=>'Breadcrumb'
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useBreadcrumbTitle'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50764894046672306)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_01'
,p_menu_id=>wwv_flow_api.id(50701543475672259)
,p_plug_source_type=>'NATIVE_BREADCRUMB'
,p_menu_template_id=>wwv_flow_api.id(50817546519672348)
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(16557137111058608)
,p_plug_name=>'Filtros'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(16558318884058620)
,p_plug_name=>'Reportes'
,p_region_template_options=>'#DEFAULT#:t-TabsRegion-mod--fillLabels:t-TabsRegion-mod--pill:t-TabsRegion-mod--large'
,p_plug_template=>wwv_flow_api.id(50762297377672305)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(16558451782058621)
,p_plug_name=>'Listado de Solicitudes M'
,p_parent_plug_id=>wwv_flow_api.id(16558318884058620)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ',
'    S.ID,  ',
'    S.FECHA "Fecha",',
'    S.SOLICITUD_TIPO_ID "Solicitud de",',
'    S.MENSURA_TIPO_ID "Tipo",',
'    CASE ',
'        WHEN S.CATASTRADO_TIPO_ID = 1 AND S.SECCION IS NOT NULL THEN',
'            FNC_GENERAR_MATRICULA(p_id => S.CATASTRADO_TIPO_ID,',
'                    p_departamento_id  => S.MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => S.PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => S.SECCION, ',
'                    p_parcela          => S.MATRICULA_CATASTRAL,',
'                    p_opcional         => S.MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => null)',
'        WHEN S.CATASTRADO_TIPO_ID = 1 AND S.SECCION IS NULL THEN',
'            SUBSTR(S.MATRICULA_CATASTRAL,1,2)||''-''||',
'            SUBSTR(S.MATRICULA_CATASTRAL,3,2)||''-''||',
'            SUBSTR(S.MATRICULA_CATASTRAL,5,2)||''-''||',
'            SUBSTR(S.MATRICULA_CATASTRAL,7,4)||''-''||S.MATRICULA_CATASTRAL_OP',
'        ELSE ''----''',
unistr('    END  "Matr\00EDcula",'),
'    CASE S.CATASTRADO_TIPO_ID',
'     WHEN 2 THEN',
'        FNC_GENERAR_MATRICULA(p_id => 2,',
'                    p_departamento_id  => S.MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => S.PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => S.SECCION, ',
'                    p_parcela          => S.MATRICULA_CATASTRAL,',
'                    p_opcional         => S.MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => S.PADRON_NUMERO)',
'     ELSE',
'         ''---''',
unistr('     END "Padr\00F3n",'),
'    --S.ARCHIVO "Archivo",',
'    --S.vesep "VESEP",',
unistr('    d.descripcion "Descripci\00F3n",'),
'    E.DESCRIPCION "Estado",',
'    S.PERSONA_ID "Usuario",',
'    S.MC_DEPARTAMENTO_ID "Departamento",',
'    PKG_MENSURA.FNC_OBTENER_PERSONA_ASIG_ACTUAL(S.ID) "Agente",',
unistr('    --A.AREA_ACTUAL_ID "\00C1rea actual",'),
unistr('    PKG_MENSURA.FNC_OBTENER_AREA_ACTUAL(S.ID) "\00C1rea actual",'),
'    th.observaciones',
'    ',
'',
' FROM solicitud S, departamento d, PERSONA P2, ESTADO E, solicitud_tipo st,',
'     organismo o,',
'     solicitud_estado_historico seh,',
'     --AREAS_SOLICITUD A, catastro_localidad CL,',
'      (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN ',
'           (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH ',
' ',
'WHERE s.mc_departamento_id = d.id(+)',
'  and s.solicitud_tipo_id = st.id',
'  and   st.organismo_id = o.id',
'  and   s.id = seh.solicitud_id',
'  --and S.PADRON_LOCALIDAD_ID = CL.ID(+)',
'  and S.ID = TH.SOLICITUD_ID',
'  and TH.ESTADO_ID = E.ID',
'  and TH.USUARIO_ID = P2.ID(+)',
'  and   o.id = nvl(:P13_ORGANISMO, o.id)',
'  and   st.id = nvl(:P13_TIPO_SOLICITUD, st.id)',
'--and   s.fecha between nvl(:P13_FECHA_DESDE, s.fecha) and nvl(:P13_FECHA_HASTA, s.fecha)',
'  and   s.persona_id = nvl(:P13_PROFESIONAL, s.persona_id)',
'  and   seh.estado_id = nvl(:P13_ESTADO, seh.estado_id)    --( A.ID = PKG_MENSURA.FNC_OBTENER_SOLICITUD_AREA_ACTUAL(S.ID)) OR',
'ORDER BY s.id desc  ',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'NEVER'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_document_header=>'APEX'
,p_prn_units=>'MILLIMETERS'
,p_prn_paper_size=>'A4'
,p_prn_width=>297
,p_prn_height=>210
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Listado de Solicitudes M'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
,p_plug_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'',
'from solicitud s,',
'     solicitud_tipo st,',
'     organismo o,',
'     solicitud_estado_historico seh',
'where s.solicitud_tipo_id = st.id',
'and   st.organismo_id = o.id',
'and   s.id = seh.solicitud_id',
'and   seh.id = fnc_obtener_ultimo_seh(s.id)',
'and   o.id = nvl(:P13_ORGANISMO, o.id)',
'and   st.id = nvl(:P13_TIPO_SOLICITUD, st.id)',
'--and   s.fecha between nvl(:P13_FECHA_DESDE, s.fecha) and nvl(:P13_FECHA_HASTA, s.fecha)',
'and   s.persona_id = nvl(:P13_PROFESIONAL, s.persona_id)',
'and   seh.estado_id = nvl(:P13_ESTADO, seh.estado_id)'))
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(16558794892058624)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:EMAIL:XLS:PDF:RTF'
,p_owner=>'CATASTRO'
,p_internal_uid=>16558794892058624
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(16558818503058625)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(17461296833803426)
,p_db_column_name=>'OBSERVACIONES'
,p_display_order=>520
,p_column_identifier=>'AZ'
,p_column_label=>'Observaciones'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(44931346573539120)
,p_db_column_name=>'Fecha'
,p_display_order=>530
,p_column_identifier=>'BA'
,p_column_label=>'Fecha'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(44931484941539121)
,p_db_column_name=>'Solicitud de'
,p_display_order=>540
,p_column_identifier=>'BB'
,p_column_label=>'Solicitud De'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(44931521670539122)
,p_db_column_name=>'Tipo'
,p_display_order=>550
,p_column_identifier=>'BC'
,p_column_label=>'Tipo'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(44931832348539125)
,p_db_column_name=>unistr('Descripci\00F3n')
,p_display_order=>580
,p_column_identifier=>'BF'
,p_column_label=>unistr('Descripci\00F3n')
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(44931902535539126)
,p_db_column_name=>'Estado'
,p_display_order=>590
,p_column_identifier=>'BG'
,p_column_label=>'Estado'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(44932091838539127)
,p_db_column_name=>'Usuario'
,p_display_order=>600
,p_column_identifier=>'BH'
,p_column_label=>'Usuario'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(44932150150539128)
,p_db_column_name=>'Departamento'
,p_display_order=>610
,p_column_identifier=>'BI'
,p_column_label=>'Departamento'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(44932252910539129)
,p_db_column_name=>'Agente'
,p_display_order=>620
,p_column_identifier=>'BJ'
,p_column_label=>'Agente'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(44932365919539130)
,p_db_column_name=>unistr('\00C1rea actual')
,p_display_order=>630
,p_column_identifier=>'BK'
,p_column_label=>unistr('\00C1rea Actual')
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(44932447867539131)
,p_db_column_name=>unistr('Matr\00EDcula')
,p_display_order=>640
,p_column_identifier=>'BL'
,p_column_label=>unistr('Matr\00EDcula')
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(44932558561539132)
,p_db_column_name=>unistr('Padr\00F3n')
,p_display_order=>650
,p_column_identifier=>'BM'
,p_column_label=>unistr('Padr\00F3n')
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(17481649856811200)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'174817'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>unistr('ID:OBSERVACIONES:Fecha:Solicitud de:Tipo:Descripci\00F3n:Estado:Usuario:Departamento:Agente:\00C1rea actual:Matr\00EDcula:Padr\00F3n')
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(16558541185058622)
,p_plug_name=>'Cantidad de Solicitudes por Tipo'
,p_parent_plug_id=>wwv_flow_api.id(16558318884058620)
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_jet_chart(
 p_id=>wwv_flow_api.id(17461840892803432)
,p_region_id=>wwv_flow_api.id(16558541185058622)
,p_chart_type=>'bar'
,p_height=>'400'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'withRescale'
,p_hover_behavior=>'dim'
,p_stack=>'off'
,p_stack_label=>'off'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'bottom'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(17461945962803433)
,p_chart_id=>wwv_flow_api.id(17461840892803432)
,p_seq=>10
,p_name=>'Cantidad de Solicitudes por Tipo'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select label,',
'       tooltip,',
'       count(id) valor',
'from (select s.id,',
'             st.abreviatura label,',
'             o.descripcion||'': ''||st.abreviatura tooltip',
'       from solicitud s,',
'            solicitud_tipo st,',
'            organismo o,',
'            solicitud_estado_historico seh',
'       where s.solicitud_tipo_id = st.id',
'       and   st.organismo_id = o.id',
'       and   s.id = seh.solicitud_id',
'       and   seh.id = fnc_obtener_ultimo_seh(s.id)',
'       --and   o.id = nvl(:P13_ORGANISMO, o.id)',
'       and   st.organismo_id = nvl(:P13_ORGANISMO, st.organismo_id)',
'       and   st.id = nvl(:P13_TIPO_SOLICITUD, st.id)',
'       --and   s.fecha between nvl(:P13_FECHA_DESDE, s.fecha) and nvl(:P13_FECHA_HASTA, s.fecha)',
'       and   ((s.fecha between nvl(:P13_FECHA_DESDE, s.fecha) and nvl(:P13_FECHA_HASTA, TO_CHAR(s.fecha, ''DD/MM/YYYY'')))',
'         OR',
'         (s.fecha >= nvl(:P13_FECHA_DESDE, s.fecha) and :P13_FECHA_HASTA is null )',
'         OR',
'          (s.fecha <= nvl(:P13_FECHA_HASTA, s.fecha) and :P13_FECHA_DESDE is null )',
'         OR',
'         (:P13_FECHA_DESDE is null and :P13_FECHA_HASTA is null))',
'       and   s.persona_id = nvl(:P13_PROFESIONAL, s.persona_id)',
'       and   seh.estado_id = nvl(:P13_ESTADO, seh.estado_id)',
'       and   (s.OBJ_INFO_ID = nvl(:P13_OBJETO_INFORMACION, s.OBJ_INFO_ID)',
'                or',
'              s.OBJ_INFO_ID is null)',
')',
'group by label, tooltip',
'order by tooltip'))
,p_series_name_column_name=>'TOOLTIP'
,p_items_value_column_name=>'VALOR'
,p_group_name_column_name=>'TOOLTIP'
,p_group_short_desc_column_name=>'TOOLTIP'
,p_items_label_column_name=>'TOOLTIP'
,p_items_short_desc_column_name=>'TOOLTIP'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'outsideBarEdge'
,p_items_label_display_as=>'PERCENT'
,p_threshold_display=>'onIndicator'
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(17462158679803435)
,p_chart_id=>wwv_flow_api.id(17461840892803432)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_title=>'Cantidad de Solicitudes'
,p_format_type=>'decimal'
,p_decimal_places=>0
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(17462049975803434)
,p_chart_id=>wwv_flow_api.id(17461840892803432)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_title=>'Tipos de Solicitud'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'none'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(16558623523058623)
,p_plug_name=>'Cantidad de Solicitudes atendidas por Usuario Interno'
,p_parent_plug_id=>wwv_flow_api.id(16558318884058620)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>40
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'/*select p.usuario usuario,',
'       st.organismo_id organismo,',
'       st.id tipo_solicitud,',
'       count(s.id) cantidad',
'from solicitud s,',
'     (select persona.apellido || '', ''|| persona.nombre usuario, persona.id, persona.perfil_id from persona) p,',
'     solicitud_tipo st,',
'     perfil pe',
'where s.solicitud_tipo_id = st.id',
'and   p.perfil_id = pe.id',
'and   pe.interno = ''S''',
'group by p.usuario,',
'         st.organismo_id,',
'         st.id',
'--order by 2 ',
'*/',
'/* select seh.usuario_id,count(seh.solicitud_id) ',
'    from (select persona.apellido || '', ''|| persona.nombre usuario, persona.id, persona.perfil_id from persona) p,',
'     perfil pe,',
'     solicitud_estado_historico seh',
'    where p.perfil_id = pe.id',
'    and   pe.interno = ''S''',
'    and seh.estado_id = p.id',
'    group by seh.usuario_id',
'    order by 2 desc;*/'))
);
wwv_flow_api.create_jet_chart(
 p_id=>wwv_flow_api.id(17462767221803441)
,p_region_id=>wwv_flow_api.id(16558623523058623)
,p_chart_type=>'pie'
,p_height=>'400'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'withRescale'
,p_hover_behavior=>'dim'
,p_stack=>'off'
,p_stack_label=>'off'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_value_format_type=>'decimal'
,p_value_decimal_places=>0
,p_value_format_scaling=>'none'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'auto'
,p_overview_rendered=>'off'
,p_pie_other_threshold=>0
,p_pie_selection_effect=>'highlight'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(17462861163803442)
,p_chart_id=>wwv_flow_api.id(17462767221803441)
,p_seq=>10
,p_name=>'Torta'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select USUARIO_ID,"Nombre",count(*)',
'from (select SOLICITUD_ID, USUARIO_ID, apellido||'', ''||nombre "Nombre"',
'      from    SOLICITUD_ESTADO_HISTORICO seh, ',
'              persona p,',
'              perfil pe',
'      where  p.PERFIL_ID	= pe.ID',
'        and pe.INTERNO = ''S''',
'        and seh.USUARIO_ID = p.ID',
'--Filtro por Tipo de Solicitud',
'        and (:P13_TIPO_SOLICITUD is null',
'            or',
'            (:P13_TIPO_SOLICITUD is not null ',
'                and :P13_TIPO_SOLICITUD = (select SOLICITUD_TIPO_ID ',
'                                           from SOLICITUD',
'                                           where ID = seh.SOLICITUD_ID',
'                                           )    ',
'             )',
'             )',
'--Filtro por Organismo',
'        and pe.organismo_id = nvl(:P13_ORGANISMO,pe.organismo_id)    ',
'             --',
'--Filtro por Estado',
'        --and seh.estado_id = nvl(:P13_ESTADO,seh.estado_id)',
'             --',
'--Filtro por Fecha',
'             --',
'        and (:P13_FECHA_DESDE is null ',
'            or :P13_FECHA_HASTA is null',
'            or',
'            (:P13_FECHA_DESDE is not null ',
'                and :P13_FECHA_HASTA is not null',
'                and to_date((select FECHA ',
'                             from SOLICITUD',
'                             where ID = seh.SOLICITUD_ID),''dd/mm/yyyy'')',
'                    between to_date(:P13_FECHA_DESDE,''dd/mm/yyyy'') ',
'                    and to_date(:P13_FECHA_HASTA,''dd/mm/yyyy'')',
'             )',
'             )',
'      group by SOLICITUD_ID,USUARIO_ID,apellido||'', ''||nombre)',
'group by USUARIO_ID,"Nombre"',
'order by 3;',
'     '))
,p_ajax_items_to_submit=>'P13_TIPO_SOLICITUD'
,p_series_name_column_name=>'COUNT(*)'
,p_items_value_column_name=>'COUNT(*)'
,p_items_label_column_name=>'Nombre'
,p_items_short_desc_column_name=>'COUNT(*)'
,p_items_label_rendered=>true
,p_items_label_position=>'auto'
,p_items_label_display_as=>'LABEL'
,p_threshold_display=>'onIndicator'
,p_link_target=>'javascript:enviarItem(''#USUARIO_ID#'')'
,p_link_target_type=>'REDIRECT_URL'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(18648619615006611)
,p_plug_name=>'Solicitudes por Usuario'
,p_parent_plug_id=>wwv_flow_api.id(16558623523058623)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_jet_chart(
 p_id=>wwv_flow_api.id(18648702180006612)
,p_region_id=>wwv_flow_api.id(18648619615006611)
,p_chart_type=>'bar'
,p_height=>'400'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hover_behavior=>'dim'
,p_stack=>'off'
,p_stack_label=>'off'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'off'
,p_legend_position=>'auto'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(18648855038006613)
,p_chart_id=>wwv_flow_api.id(18648702180006612)
,p_seq=>10
,p_name=>'Solicitudes por usuario'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT     count(*) "Cantidad de solicitudes",',
'           st.DESCRIPCION "Label",',
'           st.DESCRIPCION || '': Cantidad '' || count(*) || CHR(13) || CHR(10) || '' - Demora promedio '' ||',
'           ROUND(NVL(AVG((seh.fecha - PKG_MENSURA.FNC_OBTENER_ID_ANTERIOR_SEH(seh.solicitud_id,seh.id)) * 24 ),0),2)  || '' hrs - Demora Min '' ||',
'           ROUND(NVL(MIN((seh.fecha - PKG_MENSURA.FNC_OBTENER_ID_ANTERIOR_SEH(seh.solicitud_id,seh.id)) * 24 ),0),2)  || '' hrs - Demora Max '' ||',
'           ROUND(NVL(MAX((seh.fecha - PKG_MENSURA.FNC_OBTENER_ID_ANTERIOR_SEH(seh.solicitud_id,seh.id)) * 24 ),0),2)  || '' hrs.'' "Descripcion"',
'FROM   SOLICITUD_ESTADO_HISTORICO seh, SOLICITUD s, SOLICITUD_TIPO st',
'WHERE  seh.USUARIO_ID = :P13_USUARIO_ID',
'AND    seh.SOLICITUD_ID = s.id',
'AND    s.SOLICITUD_TIPO_ID = st.ID',
'AND    s.SOLICITUD_TIPO_ID != 3',
'AND    seh.SOLICITUD_ID IN ( SELECT id ',
'                             FROM solicitud ',
'                             WHERE SOLICITUD_TIPO_ID = st.ID',
'                 ',
')',
'GROUP BY st.id,st.DESCRIPCION',
'',
'    UNION',
'SELECT "Cantidad de solicitudes",',
'       "Label",',
'       "Descripcion"',
'FROM (',
'    SELECT     count(*) "Cantidad de solicitudes",',
'               ''MENSURA'' "Label",',
'               ''MENSURA'' || '': Cantidad '' || count(*) || CHR(13) || CHR(10) || '' - Demora promedio '' ||',
'               ROUND(NVL(AVG((fecha - PKG_MENSURA.FNC_OBTENER_FECHA_ANTERIOR_MENSURA(solicitud_id,id,PERSONA_ANTERIOR_ID)) * 24 ),0),2)  || '' hrs - Demora Min '' ||',
'               ROUND(NVL(MIN((fecha - PKG_MENSURA.FNC_OBTENER_FECHA_ANTERIOR_MENSURA(solicitud_id,id,PERSONA_ANTERIOR_ID)) * 24 ),0),2)  || '' hrs - Demora Max '' ||',
'               ROUND(NVL(MAX((fecha - PKG_MENSURA.FNC_OBTENER_FECHA_ANTERIOR_MENSURA(solicitud_id,id,PERSONA_ANTERIOR_ID)) * 24 ),0),2)  || '' hrs.'' "Descripcion"',
'    FROM       AREAS_SOLICITUD',
'    WHERE      PERSONA_ANTERIOR_ID = :P13_USUARIO_ID)',
'WHERE EXISTS (SELECT 1',
'              FROM AREAS_SOLICITUD',
'              WHERE PERSONA_ASIGNADA_ID = :P13_USUARIO_ID);'))
,p_ajax_items_to_submit=>'P13_USUARIO_ID'
,p_series_name_column_name=>'Cantidad de solicitudes'
,p_items_value_column_name=>'Cantidad de solicitudes'
,p_group_name_column_name=>'Descripcion'
,p_group_short_desc_column_name=>'Descripcion'
,p_items_label_column_name=>'Label'
,p_items_short_desc_column_name=>'Descripcion'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'auto'
,p_items_label_display_as=>'PERCENT'
,p_threshold_display=>'onIndicator'
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(18648970893006614)
,p_chart_id=>wwv_flow_api.id(18648702180006612)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(18649087750006615)
,p_chart_id=>wwv_flow_api.id(18648702180006612)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>0
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(145603929687147605)
,p_plug_name=>'Listado de Solicitudes'
,p_parent_plug_id=>wwv_flow_api.id(16558318884058620)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ',
'    S.ID,  ',
'    S.FECHA "Fecha",',
'    o.ABREVIATURA Organismo,',
'    st.DESCRIPCION "Solicitud de",',
'    S.CATASTRADO_TIPO_ID "Tipo",',
'    S.MENSURA_TIPO_ID "Tipo de Mensura",',
'    CASE ',
'        WHEN S.CATASTRADO_TIPO_ID = 1 AND S.SECCION IS NOT NULL THEN',
'            FNC_GENERAR_MATRICULA(p_id => S.CATASTRADO_TIPO_ID,',
'                    p_departamento_id  => S.MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => S.PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => S.SECCION, ',
'                    p_parcela          => S.MATRICULA_CATASTRAL,',
'                    p_opcional         => S.MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => null)',
'        WHEN S.CATASTRADO_TIPO_ID = 1 AND S.SECCION IS NULL THEN',
'            SUBSTR(S.MATRICULA_CATASTRAL,1,2)||''-''||',
'            SUBSTR(S.MATRICULA_CATASTRAL,3,2)||''-''||',
'            SUBSTR(S.MATRICULA_CATASTRAL,5,2)||''-''||',
'            SUBSTR(S.MATRICULA_CATASTRAL,7,4)||''-''||S.MATRICULA_CATASTRAL_OP',
'        ELSE ''----''',
unistr('    END  "Matr\00EDcula",'),
'    ',
'    CASE S.CATASTRADO_TIPO_ID',
'     WHEN 2 THEN',
'        FNC_GENERAR_MATRICULA(p_id => 2,',
'                    p_departamento_id  => S.MC_DEPARTAMENTO_ID, ',
'                    p_distrito_id      => S.PADRON_LOCALIDAD_ID, ',
'                    p_seccion          => S.SECCION, ',
'                    p_parcela          => S.MATRICULA_CATASTRAL,',
'                    p_opcional         => S.MATRICULA_CATASTRAL_OP,',
'                    p_manzana          => null,',
'                    p_lote             => null,',
'                    p_padron           => S.PADRON_NUMERO)',
'     ELSE',
'         ''---''',
unistr('     END "Padr\00F3n",'),
'    --S.ARCHIVO "Archivo",',
'    --S.vesep "VESEP",',
'    d.descripcion "Departamento",',
'    E.DESCRIPCION "Estado",',
'    p.APELLIDO||'', ''||p.NOMBRE "Agente",',
'    s.PERSONA_ID,',
'    th.observaciones,',
'    CASE :ES_INTERNO',
'            WHEN ''S'' THEN',
'                ''<a class="t-Button t-Button--hot t-Button--simple" title="Ver Solicitud" href="'' ||',
'                APEX_PAGE.GET_URL (',
'                    p_page   => 41,',
'                    p_clear_cache  => 41,',
'                    p_items  => ''P41_ID'',',
'                    p_values => S.ID )     ||''">''||S.ID||''</a>''',
'            ELSE',
'                ''<a class="t-Button t-Button--hot t-Button--simple" title="Ver Solicitud" href="'' ||',
'                APEX_PAGE.GET_URL (',
'                    p_page   => 31,',
'                    p_clear_cache  => 31,',
'                    p_items  => ''P31_ID,P31_ORGANISMO'',',
'                    p_values => S.ID ||'',''|| st.ORGANISMO_ID ) ||''">''||S.ID||''</a>'' ',
'    END "LINK"',
'',
' FROM SOLICITUD S, departamento d, PERSONA P2, PERSONA P, ESTADO E, catastro_localidad CL, solicitud_tipo st,',
'     organismo o,',
'   --  solicitud_estado_historico seh,',
'      (SELECT * FROM SOLICITUD_ESTADO_HISTORICO WHERE id IN (SELECT MAX(id) FROM SOLICITUD_ESTADO_HISTORICO GROUP BY SOLICITUD_ID)) TH ',
' ',
'WHERE   S.SOLICITUD_TIPO_ID = st.ID',
'  and   s.mc_departamento_id = d.id(+)',
'  and   S.PADRON_LOCALIDAD_ID = CL.ID(+)',
'  and   S.ID = TH.SOLICITUD_ID',
'  and   TH.ESTADO_ID = E.ID',
'  and   TH.USUARIO_ID = P.ID(+)',
'  and   S.PERSONA_ID = P2.ID',
'  and   st.organismo_id = o.id',
' -- and   s.id = seh.solicitud_id',
'  and   st.organismo_id = nvl(:P13_ORGANISMO, st.organismo_id)',
'  and   s.SOLICITUD_TIPO_ID = nvl(:P13_TIPO_SOLICITUD, s.SOLICITUD_TIPO_ID)',
'  and   ((s.fecha between nvl(:P13_FECHA_DESDE, s.fecha) and nvl(:P13_FECHA_HASTA, TO_CHAR(s.fecha, ''DD/MM/YYYY'')))',
'         OR',
'         (s.fecha >= nvl(:P13_FECHA_DESDE, s.fecha) and :P13_FECHA_HASTA is null )',
'         OR',
'          (s.fecha <= nvl(:P13_FECHA_HASTA, s.fecha) and :P13_FECHA_DESDE is null )',
'         OR',
'         (:P13_FECHA_DESDE is null and :P13_FECHA_HASTA is null))',
'  --and   s.persona_id = nvl(:P13_PROFESIONAL, s.persona_id)',
'  and   (exists(SELECT 1',
'               FROM   SOLICITUD_ESTADO_HISTORICO',
'              WHERE   SOLICITUD_ID = s.ID',
'                AND   USUARIO_ID = :P13_PROFESIONAL',
'                AND   ROWNUM = 1)',
'         OR ',
'         (:P13_PROFESIONAL is null))',
'  and   e.id = nvl(:P13_ESTADO, e.id)',
'  and   (s.OBJ_INFO_ID = nvl(:P13_OBJETO_INFORMACION, s.OBJ_INFO_ID)',
'         OR',
'         s.OBJ_INFO_ID is null)',
'ORDER BY s.id desc  '))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(145604375125147606)
,p_name=>'Solicitudes'
,p_max_row_count=>'1000000'
,p_max_row_count_message=>'The maximum row count for this report is #MAX_ROW_COUNT# rows.  Please apply a filter to reduce the number of records in your query.'
,p_no_data_found_message=>'No se ha creado ninguna solicitud ...'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_finder_drop_down=>'N'
,p_report_list_mode=>'NONE'
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:EMAIL:XLS:PDF:RTF'
,p_owner=>'GEPLAM'
,p_internal_uid=>145604375125147606
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(45297109299727504)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'CC'
,p_column_label=>unistr('N\00BA')
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(45297539189727505)
,p_db_column_name=>'Fecha'
,p_display_order=>20
,p_column_identifier=>'BR'
,p_column_label=>'Fecha'
,p_column_html_expression=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<center>',
'<div style="width:70px;">#Fecha#</div>',
'</center>'))
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(45299580017727508)
,p_db_column_name=>'Solicitud de'
,p_display_order=>30
,p_column_identifier=>'CM'
,p_column_label=>'Solicitud De'
,p_column_html_expression=>'<span style="display:block; width:150px">#Solicitud de#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(45296794458727504)
,p_db_column_name=>'Departamento'
,p_display_order=>70
,p_column_identifier=>'CB'
,p_column_label=>'Departamento'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(45297997157727505)
,p_db_column_name=>'Estado'
,p_display_order=>100
,p_column_identifier=>'CF'
,p_column_label=>'Estado'
,p_column_html_expression=>'<span style="display:block; width:100px">#Estado#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(45298355829727506)
,p_db_column_name=>'Agente'
,p_display_order=>110
,p_column_identifier=>'CG'
,p_column_label=>'Usuario / Agente'
,p_column_html_expression=>'<span style="display:block; width:100px">#Agente#</span>'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(45298768727727506)
,p_db_column_name=>unistr('Matr\00EDcula')
,p_display_order=>120
,p_column_identifier=>'CI'
,p_column_label=>unistr('Matr\00EDcula')
,p_column_html_expression=>unistr('<span style="display:block; width:130px">#Matr\00EDcula#</span>')
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(45299134770727507)
,p_db_column_name=>unistr('Padr\00F3n')
,p_display_order=>130
,p_column_identifier=>'CJ'
,p_column_label=>unistr('Padr\00F3n')
,p_column_html_expression=>unistr('<span style="display:block; width:70px">#Padr\00F3n#</span>')
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(45299932273727509)
,p_db_column_name=>'OBSERVACIONES'
,p_display_order=>140
,p_column_identifier=>'CN'
,p_column_label=>'Observaciones'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(45294781351727500)
,p_db_column_name=>'LINK'
,p_display_order=>150
,p_column_identifier=>'CO'
,p_column_label=>unistr('N\00BA')
,p_column_type=>'STRING'
,p_display_text_as=>'WITHOUT_MODIFICATION'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(45295182064727501)
,p_db_column_name=>'Tipo'
,p_display_order=>160
,p_column_identifier=>'CP'
,p_column_label=>'Tipo'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'CENTER'
,p_rpt_named_lov=>wwv_flow_api.id(53456923003168201)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(45295557141727502)
,p_db_column_name=>'PERSONA_ID'
,p_display_order=>170
,p_column_identifier=>'CQ'
,p_column_label=>'Solicitante'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(26745932656066265)
,p_rpt_show_filter_lov=>'1'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_display_condition=>'ES_INTERNO'
,p_display_condition2=>'S'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(44932649035539133)
,p_db_column_name=>'Tipo de Mensura'
,p_display_order=>180
,p_column_identifier=>'CR'
,p_column_label=>'Tipo De Mensura'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'RIGHT'
,p_rpt_named_lov=>wwv_flow_api.id(26470707688900206)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(5519697844313401)
,p_db_column_name=>'ORGANISMO'
,p_display_order=>190
,p_column_identifier=>'CS'
,p_column_label=>'Organismo'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(145629397585149185)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'453003'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>unistr('LINK:Fecha:ORGANISMO:Solicitud de:Tipo:Estado:Matr\00EDcula:Padr\00F3n:PERSONA_ID:Agente:')
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(5529040384331847)
,p_report_id=>wwv_flow_api.id(145629397585149185)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'PRESENTADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRESENTADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>1
,p_column_bg_color=>'#E8E8E8'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(5527870136331845)
,p_report_id=>wwv_flow_api.id(145629397585149185)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'EN PROCESO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''EN PROCESO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>2
,p_column_bg_color=>'#FFF5CE'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(5526656734331843)
,p_report_id=>wwv_flow_api.id(145629397585149185)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'A CORREGIR'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''A CORREGIR''  '
,p_enabled=>'Y'
,p_highlight_sequence=>3
,p_column_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(5527492669331844)
,p_report_id=>wwv_flow_api.id(145629397585149185)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'CORREGIDO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''CORREGIDO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>4
,p_column_bg_color=>'#D6D6D6'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(5528601615331847)
,p_report_id=>wwv_flow_api.id(145629397585149185)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'PRE-APROBADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRE-APROBADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>5
,p_column_bg_color=>'#D0F1CC'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(5527068842331843)
,p_report_id=>wwv_flow_api.id(145629397585149185)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'APROBADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''APROBADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>6
,p_column_bg_color=>'#99FF99'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(5529464091331850)
,p_report_id=>wwv_flow_api.id(145629397585149185)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'RECHAZADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''RECHAZADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>7
,p_column_bg_color=>'#FF776B'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(5528239087331846)
,p_report_id=>wwv_flow_api.id(145629397585149185)
,p_name=>'Estado = ''EXPEDIDO'''
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'EXPEDIDO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''EXPEDIDO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>100
,p_column_bg_color=>'#99FF99'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(16557971114058616)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(16557137111058608)
,p_button_name=>'CONSULTAR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Consultar'
,p_button_position=>'BELOW_BOX'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-search'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(16557226811058609)
,p_name=>'P13_ORGANISMO'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(16557137111058608)
,p_prompt=>'Organismo'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_named_lov=>'LOV_ORGANISMOS'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT DESCRIPCION D, ID R',
'FROM ORGANISMO',
'WHERE ID <> 3'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Todos'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'Y'
,p_attribute_06=>'0'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(16557314616058610)
,p_name=>'P13_TIPO_SOLICITUD'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(16557137111058608)
,p_prompt=>'Tipos de Solicitud'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from SOLICITUD_TIPO ST',
'where (:P13_ORGANISMO = 1 and ST.id in (1,2,3))',
'   or (:P13_ORGANISMO = 2 and ST.id in (4,5,6,7,8,9))'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Todas'
,p_lov_cascade_parent_items=>'P13_ORGANISMO'
,p_ajax_optimize_refresh=>'Y'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'Y'
,p_attribute_06=>'0'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(16557419588058611)
,p_name=>'P13_ESTADO'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(16557137111058608)
,p_prompt=>'Estado'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_named_lov=>'LOV_ESTADOS'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Todos'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'Y'
,p_attribute_06=>'0'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(16557527574058612)
,p_name=>'P13_FECHA_HASTA'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(16557137111058608)
,p_prompt=>'Fecha Hasta'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(16557668284058613)
,p_name=>'P13_FECHA_DESDE'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(16557137111058608)
,p_prompt=>'Fecha Desde'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(16557716300058614)
,p_name=>'P13_PROFESIONAL'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(16557137111058608)
,p_prompt=>'Profesional'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_named_lov=>'LOV_PERSONA'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT APELLIDO ||'', ''||NOMBRE D,',
'       ID R',
'FROM   PERSONA',
'ORDER BY 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Todos'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'Y'
,p_attribute_06=>'0'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(16557803814058615)
,p_name=>'P13_OBJETO_INFORMACION'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(16557137111058608)
,p_prompt=>unistr('Objeto de la Informaci\00F3n')
,p_display_as=>'NATIVE_POPUP_LOV'
,p_named_lov=>'LOV_OBJETO_DE_INFO'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Todos'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_inline_help_text=>'<b>Solo para Formularios RPI.</b>'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'Y'
,p_attribute_06=>'0'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75892600810285810)
,p_name=>'P13_USUARIO_ID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(18648619615006611)
,p_prompt=>'Usuario'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_PERSONA'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT APELLIDO ||'', ''||NOMBRE D,',
'       ID R',
'FROM   PERSONA',
'ORDER BY 1'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'disabled'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(17748090891122512)
,p_name=>'Filtrar Reportes'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(16557971114058616)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(17748161464122513)
,p_event_id=>wwv_flow_api.id(17748090891122512)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>'null;'
,p_attribute_02=>'P13_ORGANISMO,P13_TIPO_SOLICITUD,P13_FECHA_DESDE,P13_FECHA_HASTA,P13_ESTADO,P13_PROFESIONAL,P13_OBJETO_INFORMACION'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(17748442379122516)
,p_event_id=>wwv_flow_api.id(17748090891122512)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(145603929687147605)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(17748327503122515)
,p_event_id=>wwv_flow_api.id(17748090891122512)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(16558541185058622)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(17748251693122514)
,p_event_id=>wwv_flow_api.id(17748090891122512)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(16558623523058623)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(75892704585285811)
,p_name=>'Refresh Solicitudes por Usuario'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P13_USUARIO_ID'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(75892888757285812)
,p_event_id=>wwv_flow_api.id(75892704585285811)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(18648619615006611)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(75892967364285813)
,p_event_id=>wwv_flow_api.id(75892704585285811)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_FOCUS'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P13_USUARIO_ID'
);
wwv_flow_api.component_end;
end;
/
