prompt --application/pages/page_00014
begin
--   Manifest
--     PAGE: 00014
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>14
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Billetera Virtual'
,p_alias=>'BILLETERA-VIRTUAL'
,p_step_title=>'Billetera Virtual'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210303101753'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(17106610403560138)
,p_name=>'Monto'
,p_template=>wwv_flow_api.id(50762297377672305)
,p_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_region_template_options=>'#DEFAULT#:t-TabsRegion-mod--simple'
,p_component_template_options=>'#DEFAULT#:u-colors:t-BadgeList--xxlarge:t-BadgeList--dash:t-BadgeList--fixed'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ''$''||fnc_obtener_monto_billetera(:PERSONA_ID) as "Saldo Actual"',
'from dual'))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(50767338633672309)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(37037979625173050)
,p_query_column_id=>1
,p_column_alias=>'Saldo Actual'
,p_column_display_sequence=>1
,p_column_heading=>'Saldo Actual'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(27224429201569519)
,p_plug_name=>'Transacciones'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select t.id,',
'       t.persona_id organismo_persona,',
'       t.billetera_id,',
'       t.mercado_pago_id,',
'       t.fecha,',
'       t.solicitud_id,',
'       t.transaccion_tipo_id,',
'       t.monto,',
'       t.timestamp,',
'       t.medio_pago,',
'       b.persona_id billetera_persona,',
'       b.organismo_id,',
'       b.descripcion,',
'       CASE  t.segundo_pago_mensura',
'           WHEN ''S'' THEN',
'               ''<span class="fa fa-clipboard-list"></span>''',
'           ELSE ''''',
'       END  "Ver Detalle",',
'       CASE t.segundo_pago_mensura',
'           WHEN ''S'' THEN',
'               ''Segundo pago''',
'           ELSE',
'               ''''',
'       end "segundo_pago_mensura",',
'       case ',
'           when s.solicitud_tipo_id in (1,2,10) then',
'               ''<a href="''||APEX_PAGE.GET_URL (',
'                                                p_page   => 31,',
'                                                p_clear_cache  => 31,',
'                                                p_items  => ''P31_ID,P31_ORGANISMO'',',
'                                                p_values => s.id||'',1'' )||''" ''||',
'               ''class="t-Button t-Button--hot t-Button--simple" title="Ver Solicitud" >''||t.solicitud_id||''</a>''',
'           when s.solicitud_tipo_id = 3 then',
'               ''<a href="''||APEX_PAGE.GET_URL (',
'                                                p_page   => 32,',
'                                                p_clear_cache  => 32,',
'                                                p_items  => ''P32_ID'',',
'                                                p_values => s.id )||''" ''||',
'               ''class="t-Button t-Button--hot t-Button--simple" title="Ver Solicitud" >''||t.solicitud_id||''</a>''',
'           when s.solicitud_tipo_id in (4,5,6,7,8,9) then',
'               ''<a href="''||APEX_PAGE.GET_URL (',
'                                                p_page   => 31,',
'                                                p_clear_cache  => 31,',
'                                                p_items  => ''P31_ID,P31_ORGANISMO'',',
'                                                p_values => s.id||'',2'' )||''" ''||',
'               ''class="t-Button t-Button--hot t-Button--simple" title="Ver Solicitud" >''||t.solicitud_id||''</a>''',
'           else null',
'       end solicitud,',
'       s.solicitud_tipo_id,',
'       fnc_obtener_estado_transaccion(t.id) estado ',
'  from transaccion t,',
'       billetera_virtual b,',
'       solicitud s',
'where  t.billetera_id = b.id',
'and    t.solicitud_id = s.id(+)',
'and    b.persona_id = :PERSONA_ID'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_document_header=>'APEX'
,p_prn_units=>'MILLIMETERS'
,p_prn_paper_size=>'A4'
,p_prn_width=>297
,p_prn_height=>210
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Transacciones'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(27224525874569520)
,p_max_row_count=>'1000000'
,p_no_data_found_message=>'No se encontraron datos.'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_search_bar=>'N'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'N'
,p_owner=>'CATASTRO'
,p_internal_uid=>27224525874569520
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(27224624119569521)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(27224835242569523)
,p_db_column_name=>'BILLETERA_ID'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Billetera'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(27225109941569526)
,p_db_column_name=>'FECHA'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Fecha'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(27225276103569527)
,p_db_column_name=>'SOLICITUD_ID'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Solicitud'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(27225446138569529)
,p_db_column_name=>'MONTO'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Monto'
,p_column_html_expression=>'$#MONTO#'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(27225521896569530)
,p_db_column_name=>'TIMESTAMP'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Hace'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'SINCE'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(27225742254569532)
,p_db_column_name=>'ORGANISMO_PERSONA'
,p_display_order=>110
,p_column_identifier=>'K'
,p_column_label=>'Organismo Persona'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(26745932656066265)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(27225879341569533)
,p_db_column_name=>'BILLETERA_PERSONA'
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>'Persona'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(26745932656066265)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(27225919676569534)
,p_db_column_name=>'ORGANISMO_ID'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Organismo'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(53558424805466271)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(27226014349569535)
,p_db_column_name=>'DESCRIPCION'
,p_display_order=>140
,p_column_identifier=>'N'
,p_column_label=>'Billetera'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(27226171018569536)
,p_db_column_name=>'TRANSACCION_TIPO_ID'
,p_display_order=>150
,p_column_identifier=>'O'
,p_column_label=>unistr('Tipo de Transacci\00F3n')
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(36737898996254275)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(27227436179569549)
,p_db_column_name=>'SOLICITUD'
,p_display_order=>170
,p_column_identifier=>'Q'
,p_column_label=>'Solicitud'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'STRING'
,p_display_text_as=>'WITHOUT_MODIFICATION'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(37023680052152311)
,p_db_column_name=>'MERCADO_PAGO_ID'
,p_display_order=>180
,p_column_identifier=>'R'
,p_column_label=>'Mercado Pago Id'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(37023719527152312)
,p_db_column_name=>'SOLICITUD_TIPO_ID'
,p_display_order=>190
,p_column_identifier=>'S'
,p_column_label=>'Tipo de Solicitud'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(11166262134940062)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(38325931534784001)
,p_db_column_name=>'ESTADO'
,p_display_order=>200
,p_column_identifier=>'T'
,p_column_label=>'Estado'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'STRING'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(38334746908832465)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(38129668712827931)
,p_db_column_name=>'segundo_pago_mensura'
,p_display_order=>210
,p_column_identifier=>'U'
,p_column_label=>'Segundo Pago Mensura'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(38130632173827941)
,p_db_column_name=>'Ver Detalle'
,p_display_order=>220
,p_column_identifier=>'V'
,p_column_label=>'Ver Detalle'
,p_column_link=>'javascript:$s(''P14_TRANSACCION_ID'', #ID#);'
,p_column_linktext=>'#Ver Detalle#'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'STRING'
,p_display_text_as=>'WITHOUT_MODIFICATION'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(13552811336515304)
,p_db_column_name=>'MEDIO_PAGO'
,p_display_order=>230
,p_column_identifier=>'W'
,p_column_label=>'Medio de Pago'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'STRING'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'CENTER'
,p_rpt_named_lov=>wwv_flow_api.id(36950837406137176)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(36727357307099116)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'367274'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'SOLICITUD:FECHA:DESCRIPCION:TRANSACCION_TIPO_ID:MEDIO_PAGO:MONTO:SOLICITUD_TIPO_ID:TIMESTAMP:ESTADO:segundo_pago_mensura:Ver Detalle:'
,p_sort_column_1=>'FECHA'
,p_sort_direction_1=>'DESC'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(18971522369336388)
,p_report_id=>wwv_flow_api.id(36727357307099116)
,p_name=>'Pendiente'
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'Pendiente'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''Pendiente''  '
,p_enabled=>'Y'
,p_highlight_sequence=>10
,p_row_bg_color=>'#E8E8E8'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(18972341589336392)
,p_report_id=>wwv_flow_api.id(36727357307099116)
,p_name=>unistr('Cr\00E9dito')
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'TRANSACCION_TIPO_ID'
,p_operator=>'='
,p_expr=>unistr('CR\00C9DITO')
,p_condition_sql=>' (case when ("TRANSACCION_TIPO_ID" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>unistr('#APXWS_COL_NAME# = ''CR\00C9DITO''  ')
,p_enabled=>'Y'
,p_highlight_sequence=>11
,p_row_bg_color=>'#D0F1CC'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(18972750666336394)
,p_report_id=>wwv_flow_api.id(36727357307099116)
,p_name=>unistr('D\00E9bito')
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'TRANSACCION_TIPO_ID'
,p_operator=>'='
,p_expr=>unistr('D\00C9BITO')
,p_condition_sql=>' (case when ("TRANSACCION_TIPO_ID" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>unistr('#APXWS_COL_NAME# = ''D\00C9BITO''  ')
,p_enabled=>'Y'
,p_highlight_sequence=>12
,p_row_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(18971944544336389)
,p_report_id=>wwv_flow_api.id(36727357307099116)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'Rechazado'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''Rechazado''  '
,p_enabled=>'Y'
,p_highlight_sequence=>20
,p_column_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(18969923440336385)
,p_report_id=>wwv_flow_api.id(36727357307099116)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'Cancelado'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''Cancelado''  '
,p_enabled=>'Y'
,p_highlight_sequence=>21
,p_column_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(18970354499336387)
,p_report_id=>wwv_flow_api.id(36727357307099116)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'Devuelto'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''Devuelto''  '
,p_enabled=>'Y'
,p_highlight_sequence=>22
,p_column_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(18970701509336388)
,p_report_id=>wwv_flow_api.id(36727357307099116)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'Devuelto en Parte'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''Devuelto en Parte''  '
,p_enabled=>'Y'
,p_highlight_sequence=>23
,p_column_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(18971116686336388)
,p_report_id=>wwv_flow_api.id(36727357307099116)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>unistr('Ocurri\00F3 un error interno.')
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>unistr('#APXWS_COL_NAME# = ''Ocurri\00F3 un error interno.''  ')
,p_enabled=>'Y'
,p_highlight_sequence=>24
,p_column_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(38129749894827932)
,p_plug_name=>unistr('Detalle de la Transacci\00F3n')
,p_region_name=>'modalDetalle'
,p_region_template_options=>'#DEFAULT#:js-dialog-autoheight:t-DialogRegion--noPadding:js-dialog-size720x480'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50747982991672298)
,p_plug_display_sequence=>50
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_plug_new_grid_column=>false
,p_plug_display_point=>'REGION_POSITION_04'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ID,',
'       TRANSACCION_ID,',
'       ESTADO,',
'       FECHA,',
'       MERCADO_PAGO_RESPONSE,',
'       MERCADO_PAGO_REQUEST',
'  from DETALLE_TRANSACCION',
'where  TRANSACCION_ID = :P14_TRANSACCION_ID',
'order by FECHA desc'))
,p_plug_source_type=>'NATIVE_IR'
,p_ajax_items_to_submit=>'P14_TRANSACCION_ID'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_document_header=>'APEX'
,p_prn_units=>'MILLIMETERS'
,p_prn_paper_size=>'A4'
,p_prn_width=>297
,p_prn_height=>210
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>unistr('Detalle de la Transacci\00F3n')
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(38129875279827933)
,p_max_row_count=>'1000000'
,p_no_data_found_message=>unistr('No se encontraron detalles de la transacci\00F3n.')
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_search_bar=>'N'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'N'
,p_owner=>'CATASTRO'
,p_internal_uid=>38129875279827933
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(38129972786827934)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(38130045415827935)
,p_db_column_name=>'TRANSACCION_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Transaccion Id'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(38130148742827936)
,p_db_column_name=>'ESTADO'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Estado'
,p_allow_filtering=>'N'
,p_allow_highlighting=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'STRING'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(38334746908832465)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(38130283175827937)
,p_db_column_name=>'FECHA'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Fecha'
,p_allow_filtering=>'N'
,p_allow_highlighting=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(38130338482827938)
,p_db_column_name=>'MERCADO_PAGO_RESPONSE'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Mercado Pago Response'
,p_column_type=>'CLOB'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(38130479360827939)
,p_db_column_name=>'MERCADO_PAGO_REQUEST'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Mercado Pago Request'
,p_column_type=>'CLOB'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(44077041654204888)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'440771'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'ID:TRANSACCION_ID:ESTADO:FECHA:MERCADO_PAGO_RESPONSE:MERCADO_PAGO_REQUEST'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(70673034480047734)
,p_plug_name=>'Billetera Virtual'
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useRegionTitle'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50764894046672306)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_01'
,p_menu_id=>wwv_flow_api.id(50701543475672259)
,p_plug_source_type=>'NATIVE_BREADCRUMB'
,p_menu_template_id=>wwv_flow_api.id(50817546519672348)
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(36536138650202014)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(70673034480047734)
,p_button_name=>'CARGAR'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Cargar Billetera'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_redirect_url=>'f?p=&APP_ID.:36:&SESSION.::&DEBUG.:36::'
,p_icon_css_classes=>'fa-credit-card'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(38130586533827940)
,p_name=>'P14_TRANSACCION_ID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(38129749894827932)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(38130718063827942)
,p_name=>'Abrir modal'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P14_TRANSACCION_ID'
,p_condition_element=>'P14_TRANSACCION_ID'
,p_triggering_condition_type=>'NOT_NULL'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(38130925110827944)
,p_event_id=>wwv_flow_api.id(38130718063827942)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>'null;'
,p_attribute_02=>'P14_TRANSACCION_ID'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(38130888858827943)
,p_event_id=>wwv_flow_api.id(38130718063827942)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'openModal(''modalDetalle'');'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(38131023399827945)
,p_event_id=>wwv_flow_api.id(38130718063827942)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(38129749894827932)
);
wwv_flow_api.component_end;
end;
/
