prompt --application/pages/page_00018
begin
--   Manifest
--     PAGE: 00018
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>18
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Modal Matriculas Censal Mejoras'
,p_alias=>'MODAL-MATRICULAS-CENSAL-MEJORAS'
,p_page_mode=>'MODAL'
,p_step_title=>'Planilla Censal'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'const quitarMejora = id => {',
'    $s("P18_QUITAR_SEQ", id);',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_dialog_chained=>'N'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210405134733'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(12598364534128225)
,p_plug_name=>'body'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'PLSQL_EXPRESSION'
,p_plug_read_only_when=>':ES_INTERNO = ''S'' or :P6_BLOQUE_XIII_ESTADO_ACTUAL not in (0,3)'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(12599088207128232)
,p_plug_name=>'Botonera'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50729062024672289)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_03'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(14209893305687303)
,p_plug_name=>'Detalles de la Mejora'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'PLSQL_EXPRESSION'
,p_plug_read_only_when=>':P18_BLOQUE_XIII_ESTADO_ACTUAL not in (0,3)'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(12599507780128237)
,p_plug_name=>'Reporte Detalles Mejora'
,p_parent_plug_id=>wwv_flow_api.id(14209893305687303)
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT c007,',
'       mced.CARACTERSTICA_DETALLE_VALOR,',
'       mced.CARACTERSTICA_DETALLE_VALOR||'' - ''||descripcion descripcion,',
'       ''<a title="Quitar Mejora" href="javascript:quitarMejora(''||seq_id||'')"><span class="fa fa-times u-color-39-text"></span></a>'' "Quitar"',
'FROM   APEX_collections  c,',
'       MENSURA_CARACTERISTICA_EDIFICIO_DETALLE mced',
'WHERE  collection_name = ''MEJORAS''',
'AND    c.c010 = ''DETALLE''',
'AND    c.c007 = mced.caracteristica_edificio_id',
'AND    c.c008 = mced.id',
'AND    ((c.c001 = :P18_MATRICULA_CENSAL_MEJORA_ID AND :P18_MATRICULA_CENSAL_MEJORA_ID IS NOT NULL)',
'       OR',
'       (c.c001 IS NULL AND :P18_MATRICULA_CENSAL_MEJORA_ID IS NULL))',
'ORDER BY mced.id;'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_document_header=>'APEX'
,p_prn_units=>'MILLIMETERS'
,p_prn_paper_size=>'A4'
,p_prn_width=>297
,p_prn_height=>210
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Reporte Detalles Mejora'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(12599682497128238)
,p_max_row_count=>'1000000'
,p_no_data_found_message=>'No se encontraron detalles para la Mejora.'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_search_bar=>'N'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'N'
,p_owner=>'CATASTRO'
,p_internal_uid=>12599682497128238
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(14209764475687302)
,p_db_column_name=>'DESCRIPCION'
,p_display_order=>20
,p_column_identifier=>'E'
,p_column_label=>unistr('Categor\00EDa / Descripci\00F3n')
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(14210917533687314)
,p_db_column_name=>'Quitar'
,p_display_order=>30
,p_column_identifier=>'F'
,p_column_label=>'&nbsp'
,p_allow_sorting=>'N'
,p_allow_filtering=>'N'
,p_allow_highlighting=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_allow_hide=>'N'
,p_column_type=>'STRING'
,p_display_text_as=>'WITHOUT_MODIFICATION'
,p_column_alignment=>'CENTER'
,p_display_condition_type=>'PLSQL_EXPRESSION'
,p_display_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'(:AREA is null) ',
'and',
':P18_BLOQUE_XIII_ESTADO_ACTUAL in (0,3)'))
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(14408277271409949)
,p_db_column_name=>'C007'
,p_display_order=>40
,p_column_identifier=>'G'
,p_column_label=>unistr('Caracter\00EDstica del Edificio')
,p_column_type=>'STRING'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(14192526927550767)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(18619377027666226)
,p_db_column_name=>'CARACTERSTICA_DETALLE_VALOR'
,p_display_order=>50
,p_column_identifier=>'I'
,p_column_label=>'Puntos'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(14216884301737614)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'142169'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'Quitar:C007:DESCRIPCION::CARACTERSTICA_DETALLE_VALOR'
,p_sum_columns_on_break=>'ID:CARACTERSTICA_DETALLE_VALOR'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(12600212750128244)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(12599507780128237)
,p_button_name=>'AGREGAR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--simple:t-Button--iconLeft:t-Button--stretch:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Agregar'
,p_button_position=>'BODY'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>'(:ES_INTERNO = ''N'' or :AREA is null) and :P6_BLOQUE_XIII_ESTADO_ACTUAL in (0,3)'
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-plus'
,p_grid_new_row=>'N'
,p_grid_new_column=>'Y'
,p_grid_column_span=>2
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(12599430965128236)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(12599088207128232)
,p_button_name=>'GUARDAR'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Guardar Cambios'
,p_button_position=>'REGION_TEMPLATE_CREATE'
,p_button_condition=>'(:ES_INTERNO = ''N'' or :AREA is null) and :P18_BLOQUE_XIII_ESTADO_ACTUAL in (0,3)'
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-save'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(12599297315128234)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(12599088207128232)
,p_button_name=>'ELIMINAR'
,p_button_action=>'REDIRECT_URL'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Eliminar'
,p_button_position=>'REGION_TEMPLATE_EDIT'
,p_button_redirect_url=>unistr('javascript:apex.confirm(''\00BFConfirma que desea Eliminar?'', ''DELETE'');')
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P18_MATRICULA_CENSAL_MEJORA_ID IS NOT null ',
'AND :ES_INTERNO = ''N'' ',
'AND :P18_BLOQUE_XIII_ESTADO_ACTUAL IN (0,3)'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-trash'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(12599333170128235)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(12599088207128232)
,p_button_name=>'CERRAR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Cancelar'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-times'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12598484158128226)
,p_name=>'P18_TIPO_MEJORA_ID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(12598364534128225)
,p_prompt=>'Tipo de Mejora'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_MATRICULA_TIPO_MEJORA'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_read_only_when=>':ES_INTERNO = ''S'' or :P18_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3)'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12598525707128227)
,p_name=>'P18_MATRICULA_CENSAL_ID'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(12598364534128225)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12598647998128228)
,p_name=>'P18_LETRA'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(12598364534128225)
,p_prompt=>'Letra'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_COD_MANZANA'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select chr( ascii(''A'')+level-1 ) d,',
'       chr( ascii(''A'')+level-1 ) r',
'from   dual',
'connect by level <= 26'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_read_only_when=>':ES_INTERNO = ''S'' or :P18_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3)'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12598981795128231)
,p_name=>'P18_ID'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(12598364534128225)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12600068741128242)
,p_name=>'P18_CARACTERISTICA_EDIFICIO'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(12599507780128237)
,p_prompt=>unistr('Caracter\00EDstica del Edificio')
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_CARACTERISTICA_EDIFICIO'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT    ID||'' - ''||DESCRIPCION D,',
'          ID R',
'FROM      MENSURA_CARACTERISTICA_EDIFICIO',
'ORDER BY 2'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_display_when=>':ES_INTERNO = ''N'' or :AREA is null'
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_read_only_when=>':ES_INTERNO = ''S'' or :P18_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3)'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12600181048128243)
,p_name=>'P18_CARACTERISTICA_EDIFICIO_DETALLE'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(12599507780128237)
,p_prompt=>'Detalle'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT    CARACTERSTICA_DETALLE_VALOR||'' - ''||DESCRIPCION D,',
'          ID R',
'FROM      MENSURA_CARACTERISTICA_EDIFICIO_DETALLE',
'WHERE     CARACTERISTICA_EDIFICIO_ID = :P18_CARACTERISTICA_EDIFICIO;'))
,p_lov_display_null=>'YES'
,p_lov_cascade_parent_items=>'P18_CARACTERISTICA_EDIFICIO'
,p_ajax_items_to_submit=>'P18_CARACTERISTICA_EDIFICIO'
,p_ajax_optimize_refresh=>'Y'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_display_when=>':ES_INTERNO = ''N'' or :AREA is null'
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_read_only_when=>':ES_INTERNO = ''S'' or :P18_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3)'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(14209632187687301)
,p_name=>'P18_TIPO_EDIFICACION_ID'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(12598364534128225)
,p_prompt=>unistr('Tipo de Edificaci\00F3n')
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_TIPO_EDIFICACION'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_read_only_when=>':ES_INTERNO = ''S'' or :P18_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3)'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(14406963187409936)
,p_name=>'P18_QUITAR_SEQ'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(12598364534128225)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(14407971249409946)
,p_name=>'P18_SEQ_ID'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(12598364534128225)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(14502690421064319)
,p_name=>'P18_MATRICULA_CENSAL_MEJORA_ID'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_api.id(12598364534128225)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(44932727820539134)
,p_name=>'P18_SUPERFICIE_CUBIERTA'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(12598364534128225)
,p_prompt=>'Superficie Cubierta'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>1000
,p_read_only_when=>':ES_INTERNO = ''S'' or :P18_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3)'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(44932893215539135)
,p_name=>'P18_SUPERFICIE_SEMICUBIERTA'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(12598364534128225)
,p_item_default=>'0'
,p_prompt=>'Superficie Semicubierta'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>1000
,p_begin_on_new_line=>'N'
,p_read_only_when=>':ES_INTERNO = ''S'' or :P18_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3)'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(44932992596539136)
,p_name=>'P18_ESTADO_CONSERVACION_ID'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(12598364534128225)
,p_prompt=>unistr('Estado de Conservaci\00F3n')
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_ESTADO_CONSERVACION'
,p_lov=>'.'||wwv_flow_api.id(46128792579833475)||'.'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_read_only_when=>':ES_INTERNO = ''S'' or :P18_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3)'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(44933070179539137)
,p_name=>'P18_ANTIGUEDAD'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(12598364534128225)
,p_prompt=>unistr('Antig\00FCedad en A\00F1os')
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>30
,p_cMaxlength=>5
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_read_only_when=>':ES_INTERNO = ''S'' or :P18_BLOQUE_XIII_ESTADO_ACTUAL not in (0,1,3)'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(44934189976539148)
,p_name=>'P18_BLOQUE_XIII_ESTADO_ACTUAL'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_api.id(12598364534128225)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(14407393388409940)
,p_validation_name=>'TIPO_MEJORA not null'
,p_validation_sequence=>10
,p_validation=>'P18_TIPO_MEJORA_ID'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'El Tipo de Mejora es un dato requerido.'
,p_associated_item=>wwv_flow_api.id(12598484158128226)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(14407453393409941)
,p_validation_name=>'LETRA not null'
,p_validation_sequence=>20
,p_validation=>'P18_LETRA'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'La Letra es un dato requerido.'
,p_associated_item=>wwv_flow_api.id(12598647998128228)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(14407585250409942)
,p_validation_name=>'TIPO_EDIFICACION not null'
,p_validation_sequence=>30
,p_validation=>'P18_TIPO_EDIFICACION_ID'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('El Tipo de Edificaci\00F3n es un dato requerido.')
,p_associated_item=>wwv_flow_api.id(14209632187687301)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(14407614636409943)
,p_validation_name=>'MEJORA_DETALLE not null'
,p_validation_sequence=>40
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM   APEX_collections  c',
'WHERE  collection_name = ''MEJORAS''',
'AND    c010 = ''DETALLE''',
'AND    (c001 = :P18_MATRICULA_CENSAL_MEJORA_ID',
'        OR',
'        c001 is null);'))
,p_validation_type=>'EXISTS'
,p_error_message=>'Debe ingresar al menos 1 detalle.'
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':REQUEST <> ''ELIMINAR''',
'AND',
':P18_TIPO_MEJORA_ID NOT IN (4)'))
,p_validation_condition_type=>'PLSQL_EXPRESSION'
,p_associated_item=>wwv_flow_api.id(12600181048128243)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(36240171143528112)
,p_validation_name=>'CARACTERISTICA_EDIFICIO not null'
,p_validation_sequence=>50
,p_validation=>'P18_CARACTERISTICA_EDIFICIO'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('La Caracter\00EDstica del Edificio es un dato requerido.')
,p_validation_condition_type=>'NEVER'
,p_associated_item=>wwv_flow_api.id(12600068741128242)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(44933179007539138)
,p_validation_name=>'SUPERFICIE_CUBIERTA not null'
,p_validation_sequence=>60
,p_validation=>'P18_SUPERFICIE_CUBIERTA'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'La Superficie Cubierta es un dato requerido.'
,p_associated_item=>wwv_flow_api.id(44932727820539134)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(44933200346539139)
,p_validation_name=>'SUPERFICIE_SEMICUBIERTA not null'
,p_validation_sequence=>70
,p_validation=>'P18_SUPERFICIE_SEMICUBIERTA'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'La Superficie Semicubierta es un dato requerido.'
,p_associated_item=>wwv_flow_api.id(44932893215539135)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(12600356825128245)
,p_name=>'AGREGAR_DETALLE'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(12600212750128244)
,p_condition_element=>'P18_CARACTERISTICA_EDIFICIO_DETALLE'
,p_triggering_condition_type=>'NOT_NULL'
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(12600415101128246)
,p_event_id=>wwv_flow_api.id(12600356825128245)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DECLARE',
'    v_flag number;',
'BEGIN',
'    SELECT 1',
'    INTO   v_flag',
'    FROM   APEX_collections ',
'    WHERE  collection_name = ''MEJORAS''',
'    AND    c007 = :P18_CARACTERISTICA_EDIFICIO',
'    --AND    c008 = :P18_CARACTERISTICA_EDIFICIO_DETALLE',
'    AND    c010 = ''DETALLE''',
'    AND    (c001 = :P18_MATRICULA_CENSAL_MEJORA_ID or c001 is null);',
'    ',
'    ',
'EXCEPTION',
'    WHEN no_data_found THEN',
'        APEX_COLLECTION.ADD_MEMBER(',
'            p_collection_name => ''MEJORAS'',',
'            p_c001            => :P18_MATRICULA_CENSAL_MEJORA_ID,',
'            p_c007            => :P18_CARACTERISTICA_EDIFICIO,',
'            p_c008            => :P18_CARACTERISTICA_EDIFICIO_DETALLE,',
'            p_c010            => ''DETALLE'');',
'    WHEN others THEN ',
'        null;',
'END;',
'',
'',
''))
,p_attribute_02=>'P18_CARACTERISTICA_EDIFICIO,P18_CARACTERISTICA_EDIFICIO_DETALLE,P18_MATRICULA_CENSAL_MEJORA_ID'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(12600576559128247)
,p_event_id=>wwv_flow_api.id(12600356825128245)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(12599507780128237)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(12600809513128250)
,p_event_id=>wwv_flow_api.id(12600356825128245)
,p_event_result=>'TRUE'
,p_action_sequence=>50
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P18_CARACTERISTICA_EDIFICIO,P18_CARACTERISTICA_EDIFICIO_DETALLE'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(14406757459409934)
,p_name=>'CANCELAR_MODAL'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(12599333170128235)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(78036609651827724)
,p_event_id=>wwv_flow_api.id(14406757459409934)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'FOR i IN (SELECT seq_id ',
'          FROM APEX_collections ',
'          WHERE collection_name = ''MEJORAS'' ',
'          AND c001 is null ',
'          AND c010 = ''DETALLE'')',
'LOOP',
'    APEX_COLLECTION.DELETE_MEMBER(',
'    p_collection_name => ''MEJORAS'',',
'    p_seq => i.seq_id);',
'END LOOP;'))
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(14406861746409935)
,p_event_id=>wwv_flow_api.id(14406757459409934)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(14407039520409937)
,p_name=>'QUITAR_DETALLE_MEJORA_SEQ'
,p_event_sequence=>30
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P18_QUITAR_SEQ'
,p_condition_element=>'P18_QUITAR_SEQ'
,p_triggering_condition_type=>'NOT_NULL'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(14502868769064321)
,p_event_id=>wwv_flow_api.id(14407039520409937)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CONFIRM'
,p_attribute_01=>unistr('\00BFConfirma que desea quitar la Mejora?')
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(14407110370409938)
,p_event_id=>wwv_flow_api.id(14407039520409937)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'APEX_COLLECTION.DELETE_MEMBER(',
'        p_collection_name => ''MEJORAS'',',
'        p_seq => :P18_QUITAR_SEQ);'))
,p_attribute_02=>'P18_QUITAR_SEQ'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(14407226775409939)
,p_event_id=>wwv_flow_api.id(14407039520409937)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(12599507780128237)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(44929759816539104)
,p_name=>'Ocultar Detalles de la Mejora'
,p_event_sequence=>40
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P18_TIPO_MEJORA_ID'
,p_condition_element=>'P18_TIPO_MEJORA_ID'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'4'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(44929854147539105)
,p_event_id=>wwv_flow_api.id(44929759816539104)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(14209893305687303)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(44929941096539106)
,p_event_id=>wwv_flow_api.id(44929759816539104)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(14209893305687303)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(14408107656409948)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'PROCESO_COLECCION'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DECLARE',
'    v_seq number;',
'BEGIN',
'    --validamos si la mejora es nueva o una actualizacion',
'    IF :P18_MATRICULA_CENSAL_MEJORA_ID IS NULL THEN',
'        v_seq := SEQ_MENSURA_MATRICULA_CENSAL_MEJORA.nextval();',
'        --agregamos la nueva mejora',
'        APEX_COLLECTION.ADD_MEMBER(',
'            p_collection_name => ''MEJORAS'',',
'            p_c001            => v_seq,',
'            p_c002            => :P18_TIPO_MEJORA_ID,',
'            p_c003            => :P18_LETRA,',
'            p_c004            => :P18_TIPO_EDIFICACION_ID,',
'            p_c005            => :P18_SUPERFICIE_CUBIERTA,',
'            p_c006            => :P18_SUPERFICIE_SEMICUBIERTA,',
'            p_c007            => :P18_ESTADO_CONSERVACION_ID,',
'            p_c008            => :P18_ANTIGUEDAD,',
'            p_c010            => ''MEJORA'' );',
'        ',
'        if :P18_TIPO_MEJORA_ID = 4 then',
'            --si el tipo de mejora es a demoler borramos el detalle de la coleccion',
'            FOR i IN (SELECT seq_id FROM APEX_collections ',
'                      WHERE collection_name = ''MEJORAS'' ',
'                      AND   c010 = ''DETALLE''',
'                      AND   c001 is null )',
'            LOOP',
'                APEX_COLLECTION.DELETE_MEMBER(',
'                    p_collection_name => ''MEJORAS'',',
'                    p_seq => i.seq_id );',
'            END LOOP;    ',
'        else',
'            --recorremos los nuevos detalles agregados y le asignamos un id maestro',
'            FOR i IN (SELECT seq_id FROM APEX_collections ',
'                      WHERE collection_name = ''MEJORAS'' ',
'                      AND   c010 = ''DETALLE''',
'                      AND   c001 IS NULL )',
'            LOOP',
'                APEX_COLLECTION.UPDATE_MEMBER_ATTRIBUTE (',
'                    p_collection_name => ''MEJORAS'',',
'                    p_seq => i.seq_id,',
'                    p_attr_number => ''1'',',
'                    p_attr_value => v_seq );',
'            END LOOP;',
'        end if;       ',
'        ',
'    --si la mejora ya existe',
'    ELSE',
'        --buscamos la seq_id de la mejora',
'        SELECT seq_id',
'        INTO   v_seq',
'        FROM   APEX_collections ',
'        WHERE  collection_name = ''MEJORAS''',
'        AND    c001 = :P18_MATRICULA_CENSAL_MEJORA_ID',
'        AND    c010 = ''MEJORA'';',
'        ',
'        --Actualizamos la mejora',
'        APEX_COLLECTION.UPDATE_MEMBER (',
'            p_collection_name => ''MEJORAS'',',
'            p_seq             => v_seq,',
'            p_c001            => :P18_MATRICULA_CENSAL_MEJORA_ID,',
'            p_c002            => :P18_TIPO_MEJORA_ID,',
'            p_c003            => :P18_LETRA,',
'            p_c004            => :P18_TIPO_EDIFICACION_ID,',
'            p_c005            => :P18_SUPERFICIE_CUBIERTA,',
'            p_c006            => :P18_SUPERFICIE_SEMICUBIERTA,',
'            p_c007            => :P18_ESTADO_CONSERVACION_ID,',
'            p_c008            => :P18_ANTIGUEDAD,',
'            p_c010            => ''MEJORA'' );',
'        ',
'        if :P18_TIPO_MEJORA_ID = 4 then',
'',
'            --si el tipo de mejora es a demoler borramos el detalle de la coleccion',
'            FOR i IN (SELECT seq_id FROM APEX_collections ',
'                      WHERE collection_name = ''MEJORAS'' ',
'                      AND   c010 = ''DETALLE''',
'                      AND   c001 = :P18_MATRICULA_CENSAL_MEJORA_ID )',
'            LOOP',
'                APEX_COLLECTION.DELETE_MEMBER(',
'                    p_collection_name => ''MEJORAS'',',
'                    p_seq => i.seq_id );',
'            END LOOP;        ',
'        end if;',
'    ',
'    END IF;',
'END;',
'',
'',
'',
''))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(12599430965128236)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(14502981521064322)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'LIMPIAR_COLECCION'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'FOR i IN ( SELECT seq_id ',
'           FROM   APEX_collections ',
'           WHERE  collection_name = ''MEJORAS''',
'           AND    ((c001 = :P18_MATRICULA_CENSAL_MEJORA_ID AND c010 = ''DETALLE'')',
'                  OR',
'                  (c001 = :P18_MATRICULA_CENSAL_MEJORA_ID AND c010 = ''MEJORA'')) )',
'LOOP',
'    APEX_COLLECTION.DELETE_MEMBER(',
'        p_collection_name => ''MEJORAS'',',
'        p_seq => i.seq_id );',
'END LOOP;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'DELETE'
,p_process_when_type=>'REQUEST_EQUALS_CONDITION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(14407866845409945)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'CERRAR'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(12598806937128230)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'CARGAR_COLECCION'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DECLARE',
'    v_flag_detalle varchar2(1);',
'BEGIN',
'    SELECT  c002, c003, c004,',
'            c005, c006, c007, c008',
'    INTO    :P18_TIPO_MEJORA_ID,',
'            :P18_LETRA,',
'            :P18_TIPO_EDIFICACION_ID,',
'            :P18_SUPERFICIE_CUBIERTA,',
'            :P18_SUPERFICIE_SEMICUBIERTA,',
'            :P18_ESTADO_CONSERVACION_ID,',
'            :P18_ANTIGUEDAD',
'    FROM    APEX_collections ',
'    WHERE   collection_name = ''MEJORAS''',
'    AND     c001 = :P18_MATRICULA_CENSAL_MEJORA_ID',
'    AND     c010 = ''MEJORA'';',
'',
'    ',
'    --verificamos si en la coleccion existe el id de detalle para la mejora',
'    SELECT  ''S''',
'    INTO    v_flag_detalle',
'    FROM    APEX_collections ',
'    WHERE   collection_name = ''MEJORAS''',
'    AND     c001 = :P18_MATRICULA_CENSAL_MEJORA_ID',
'    AND     c010 = ''DETALLE''',
'    AND     ROWNUM = 1;',
'',
'EXCEPTION',
'    WHEN no_data_found THEN ',
'        --carga de detalle solo en caso de no existir el id de la mejora en la coleccion',
'        FOR i IN (SELECT CARACTERISTICA_EDIFICIO_ID,',
'                         CARACTERISTICA_EDIFICIO_DETALLE_ID',
'                  FROM   MENSURA_MATRICULA_CENSAL_MEJORA_DETALLE',
'                  WHERE  MATRICULA_CENSAL_MEJORA_ID = :P18_MATRICULA_CENSAL_MEJORA_ID)',
'        LOOP',
'            APEX_COLLECTION.ADD_MEMBER(',
'                p_collection_name => ''MEJORAS'',',
'                p_c001            => :P18_MATRICULA_CENSAL_MEJORA_ID,',
'                p_c007            => i.CARACTERISTICA_EDIFICIO_ID,',
'                p_c008            => i.CARACTERISTICA_EDIFICIO_DETALLE_ID,',
'                p_c010            => ''DETALLE'' ',
'            );',
'        END LOOP;',
'',
'END;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'P18_MATRICULA_CENSAL_MEJORA_ID'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(14504918720064342)
,p_process_sequence=>20
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'LIMPIAR_COLECCION_CANCELADA'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'--limpiar coleccion con detalle cancelados',
'FOR i IN (SELECT seq_id ',
'          FROM   APEX_collections ',
'          WHERE  collection_name = ''MEJORAS''',
'          AND    c001 is null',
'          AND    c010 = ''DETALLE'' )',
'LOOP',
'    APEX_COLLECTION.DELETE_MEMBER(',
'        p_collection_name => ''MEJORAS'',',
'        p_seq => i.seq_id );',
'END LOOP;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_type=>'NEVER'
);
wwv_flow_api.component_end;
end;
/
