prompt --application/pages/page_00023
begin
--   Manifest
--     PAGE: 00023
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>23
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'MODAL Asignar Rol Persona'
,p_alias=>'MODAL-ASIGNAR-ROL-PERSONA'
,p_page_mode=>'MODAL'
,p_step_title=>'Personas Asignadas al Rol'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_dialog_chained=>'N'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20200923151111'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(24075074885762623)
,p_plug_name=>'Persona'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(24075192502762624)
,p_plug_name=>'Botonera'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50729062024672289)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_03'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(24075257780762625)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(24075192502762624)
,p_button_name=>'CANCELAR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Cancelar'
,p_button_position=>'REGION_TEMPLATE_CLOSE'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-times'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(24075331466762626)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(24075192502762624)
,p_button_name=>'AGREGAR'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Agregar'
,p_button_position=>'REGION_TEMPLATE_CREATE'
,p_icon_css_classes=>'fa-plus'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(24075769500762630)
,p_name=>'P23_PERSONA_ID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(24075074885762623)
,p_prompt=>'Persona'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT PS.CUIL ||'' - ''|| PS.APELLIDO ||'', ''||PS.NOMBRE D,',
'       PS.ID R',
'FROM   PERSONA PS, PERFIL PF',
'WHERE PS.PERFIL_ID = PF.ID',
'AND ((PF.INTERNO = ''N''',
'         AND :P23_AREA_ID = 1)',
'     OR',
'     (PF.INTERNO = ''S''',
'         AND :P23_AREA_ID != 1)',
'     )',
'ORDER BY 1'))
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'Y'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
,p_attribute_11=>':'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(24076014713762633)
,p_name=>'P23_ROL_AREA_ID'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(24075074885762623)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(36242330620528134)
,p_name=>'P23_AREA_ID'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(24075074885762623)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(24075612068762629)
,p_validation_name=>'PERSONA_ID not null'
,p_validation_sequence=>10
,p_validation=>'P23_PERSONA_ID'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'La Persona es un dato requerido.'
,p_associated_item=>wwv_flow_api.id(24075769500762630)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(36242419706528135)
,p_validation_name=>'AREA UNICA'
,p_validation_sequence=>20
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from rol_area_persona rap, rol_area ra',
'where rap.ROL_AREA_ID = ra.ID',
'and rap.persona_id = :P23_PERSONA_ID',
'and ra.AREA_ID != :P23_AREA_ID'))
,p_validation_type=>'NOT_EXISTS'
,p_error_message=>unistr('La Persona seleccionada ya pertenece a otra \00C1rea.')
,p_associated_item=>wwv_flow_api.id(24075769500762630)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(24075467199762627)
,p_name=>'CERRAR_MODAL'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(24075257780762625)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(24075521272762628)
,p_event_id=>wwv_flow_api.id(24075467199762627)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(24075859562762631)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'PROCESO'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'--DELETE FROM ROL_AREA_PERSONA WHERE ROL_AREA_ID = :P23_ROL_AREA_ID;',
'',
'FOR i IN (SELECT  column_value FROM table( apex_string.split(:P23_PERSONA_ID, '':'') ))',
'LOOP',
'    DECLARE',
'        v_flag number;',
'    BEGIN',
'        --validacion para ver si la persona ya existe con dicho rol',
'        SELECT 1',
'        INTO   v_flag',
'        FROM   ROL_AREA_PERSONA',
'        WHERE  ROL_AREA_ID = :P23_ROL_AREA_ID',
'        AND    PERSONA_ID = i.column_value;',
'               ',
'    EXCEPTION',
'        WHEN others THEN',
'            --insert de la persona en caso de que no exista',
'            INSERT INTO ROL_AREA_PERSONA (ID, ROL_AREA_ID, PERSONA_ID)',
'            VALUES (SEQ_ROL_AREA_PERSONA.nextval, :P23_ROL_AREA_ID, i.column_value );',
'    END;',
'END LOOP;',
''))
,p_process_error_message=>'#SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(24075912913762632)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'CLOSE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
