prompt --application/pages/page_00036
begin
--   Manifest
--     PAGE: 00036
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>36
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'MODAL MONTO A CARGAR'
,p_alias=>'MONTO-A-CARGAR'
,p_page_mode=>'MODAL'
,p_step_title=>'Monto a cargar'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210210202119'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(36535225425202005)
,p_plug_name=>'Body'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(36536517973202018)
,p_plug_name=>'BOTONERA'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50729062024672289)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_03'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(36536206088202015)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(36536517973202018)
,p_button_name=>'CANCELAR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Cancelar'
,p_button_position=>'REGION_TEMPLATE_CLOSE'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-times'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(36535426015202007)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(36536517973202018)
,p_button_name=>'PAGAR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--iconLeft:t-Button--stretch:t-Button--padTop'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Pagar'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-dollar'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(36535736113202010)
,p_branch_name=>'IR PAG 30'
,p_branch_action=>'f?p=&APP_ID.:30:&SESSION.::&DEBUG.:30::&success_msg=#SUCCESS_MSG#'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>10
,p_branch_condition_type=>'REQUEST_EQUALS_CONDITION'
,p_branch_condition=>'CARD'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(37033637246173007)
,p_branch_name=>'IR PAG 14'
,p_branch_action=>'f?p=&APP_ID.:14:&SESSION.::&DEBUG.:14::&success_msg=#SUCCESS_MSG#'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>20
,p_branch_condition_type=>'REQUEST_EQUALS_CONDITION'
,p_branch_condition=>'TICKET'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(36535353776202006)
,p_name=>'P36_MONTO'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(36535225425202005)
,p_prompt=>'Monto'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>30
,p_cMaxlength=>6
,p_tag_attributes=>'onKeypress="return validarNum(event, this, false);"'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_icon_css_classes=>'fa-dollar'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(36536713536202020)
,p_name=>'P36_MEDIO_DE_PAGO'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(36535225425202005)
,p_prompt=>'Medio de Pago'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'LOV_MEDIOS_DE_PAGO'
,p_lov=>'.'||wwv_flow_api.id(36950837406137176)||'.'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(36536899548202021)
,p_name=>'P36_BILLETERA'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(36535225425202005)
,p_prompt=>'Billetera'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT  DESCRIPCION D,',
'        ID R ',
'FROM    BILLETERA_VIRTUAL',
'WHERE   PERSONA_ID = :PERSONA_ID;'))
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_icon_css_classes=>'fa-money'
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(36536937942202022)
,p_name=>'P36_CORREO'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(36535225425202005)
,p_prompt=>unistr('Correo donde llegar\00E1 el cup\00F3n de pago')
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_icon_css_classes=>'fa-envelope'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'EMAIL'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(36537565758202028)
,p_name=>'P36_TOKEN'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(36535225425202005)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(36539475147202047)
,p_name=>'P36_PUBLIC_KEY'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(36535225425202005)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(37034002617173011)
,p_name=>'P36_SOLICITUD_ID'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(36535225425202005)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(36539610247202049)
,p_computation_sequence=>10
,p_computation_item=>'P36_PUBLIC_KEY'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'FUNCTION_BODY'
,p_computation=>'return PKG_SEGURIDAD.fnc_obtener_parametro_gral(''PUBLIC_KEY_MP'');'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(38126644802827901)
,p_computation_sequence=>20
,p_computation_item=>'P36_TOKEN'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'FUNCTION_BODY'
,p_computation=>'return PKG_SEGURIDAD.fnc_obtener_parametro_gral(''ACCESS_TOKEN_MP'');'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(36536677460202019)
,p_validation_name=>'MONTO not null'
,p_validation_sequence=>10
,p_validation=>'P36_MONTO'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'El Monto es un dato requerido.'
,p_associated_item=>wwv_flow_api.id(36535353776202006)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(36537994287202032)
,p_validation_name=>'CORREO not null'
,p_validation_sequence=>20
,p_validation=>'P36_CORREO'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'El Correo es un dato requerido.'
,p_associated_item=>wwv_flow_api.id(36536937942202022)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(13552778110515303)
,p_validation_name=>'50 pesos min'
,p_validation_sequence=>30
,p_validation=>':P36_MONTO >= 50'
,p_validation_type=>'PLSQL_EXPRESSION'
,p_error_message=>unistr('El Monto m\00EDnimo es de $50')
,p_associated_item=>wwv_flow_api.id(36535353776202006)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(36535800573202011)
,p_name=>'PAGAR_CARD'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(36535426015202007)
,p_condition_element=>'P36_MEDIO_DE_PAGO'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'card'
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(36535970602202012)
,p_event_id=>wwv_flow_api.id(36535800573202011)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SUBMIT_PAGE'
,p_attribute_01=>'CARD'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(36538955742202042)
,p_name=>'PAGAR_TICKET_VALIDACION'
,p_event_sequence=>15
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(36535426015202007)
,p_triggering_condition_type=>'JAVASCRIPT_EXPRESSION'
,p_triggering_expression=>'$v("P36_MEDIO_DE_PAGO") != ''card'' &&  ( $v("P36_MONTO") == '''' || $v("P36_CORREO") == '''')'
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(36539384568202046)
,p_event_id=>wwv_flow_api.id(36538955742202042)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'apex.message.alert( ''El Correo y el Monto son datos requeridos.'');'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(36539270521202045)
,p_event_id=>wwv_flow_api.id(36538955742202042)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_FOCUS'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P36_MONTO'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(36538044189202033)
,p_name=>'PAGAR_TICKET'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(36535426015202007)
,p_triggering_condition_type=>'JAVASCRIPT_EXPRESSION'
,p_triggering_expression=>wwv_flow_string.join(wwv_flow_t_varchar2(
'$v("P36_MEDIO_DE_PAGO") != ''card'' ',
'&& $v("P36_MONTO") != '''' ',
'&& $v("P36_CORREO") != ''''',
'&& $v("P36_MONTO") >= 50'))
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(16958396254503801)
,p_event_id=>wwv_flow_api.id(36538044189202033)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if ( $v("P36_MONTO") < 50 && $v("P36_MONTO") != '''' ){',
unistr('    apex.message.alert( ''El Monto m\00EDnimo es de $50.'')'),
'}'))
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(37037435767173045)
,p_event_id=>wwv_flow_api.id(36538044189202033)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CONFIRM'
,p_attribute_01=>unistr('\00BFConfirma que desea generar la boleta de pago? Se enviara al correo electr\00F3nico indicado anteriormente.')
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(36538199918202034)
,p_event_id=>wwv_flow_api.id(36538044189202033)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'v_response clob;',
'v_token varchar2(199);',
'v_transaccion_id TRANSACCION."ID"%TYPE;',
'begin',
'--:P36_TOKEN',
'v_token := PKG_SEGURIDAD.fnc_obtener_parametro_gral(''ACCESS_TOKEN_MP'');',
'',
'apex_web_service.g_request_headers(1).name := ''Content-Type'';',
'apex_web_service.g_request_headers(1).value := ''application/json'';',
'',
'v_response := apex_web_service.make_rest_request(',
'                        p_url          => ''https://api.mercadopago.com/v1/payments?access_token=''||v_token,',
'                        p_http_method  => ''POST'',',
'                        p_body         =>  ''{',
'                                                "transaction_amount": ''||:P36_MONTO||'',',
'                                                "description": "CARGAR BILLETERA",',
'                                                "payment_method_id": "''||:P36_MEDIO_DE_PAGO||''",',
'                                                "payer": {',
'                                                    "email": "''||:P36_CORREO||''"',
'                                                 }',
'                                            }''',
'              );',
'              ',
'apex_json.parse( v_response );',
'',
'apex_debug.message( v_response );',
'/*',
'if apex_json.get_varchar2( p_path => ''status'') = ''rejected'' then --rechazado',
'        apex_debug.message(''ALGO SALIO MAL!'');',
'else*/',
'     --insert datos pago',
'    insert into transaccion ( PERSONA_ID,',
'                           BILLETERA_ID,',
'                           MERCADO_PAGO_ID,',
'                           SOLICITUD_ID,',
'                           MEDIO_PAGO,',
'                           FECHA,',
'                           TIMESTAMP,',
'                           TRANSACCION_TIPO_ID,',
'                           MONTO )',
'    values (',
'            :PERSONA_ID,',
'            :P36_BILLETERA,',
'            apex_json.get_number( p_path => ''id''),',
'            :P36_SOLICITUD_ID,',
'            :P36_MEDIO_DE_PAGO,',
'            sysdate,',
'            sysdate,',
'            1, --credito',
'            apex_json.get_number( p_path => ''transaction_amount'')',
'           )',
'   returning id into v_transaccion_id;',
'    ',
'    --insert datos detalle pago',
'    insert into DETALLE_TRANSACCION ( TRANSACCION_ID,',
'                                       ESTADO,',
'                                       FECHA,',
'                                       MERCADO_PAGO_RESPONSE  )',
'    values ( v_transaccion_id,',
'            apex_json.get_varchar2( p_path => ''status''),',
'            sysdate,',
'            v_response   );',
'--end if;',
'',
'EXCEPTION',
'    WHEN others THEN',
unistr('        RAISE_APPLICATION_ERROR(-20004, ''Ocurri\00F3 un error al procesar el pago.'');'),
'end;',
'',
''))
,p_attribute_02=>'P36_MONTO,P36_BILLETERA,P36_MEDIO_DE_PAGO,P36_CORREO,P36_SOLICITUD_ID'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(38127809700827913)
,p_event_id=>wwv_flow_api.id(36538044189202033)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SUBMIT_PAGE'
,p_attribute_01=>'TICKET'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(36536392154202016)
,p_name=>'CANCELAR'
,p_event_sequence=>40
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(36536206088202015)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(36536429121202017)
,p_event_id=>wwv_flow_api.id(36536392154202016)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(36538775911202040)
,p_name=>'LOAD'
,p_event_sequence=>60
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(36538827417202041)
,p_event_id=>wwv_flow_api.id(36538775911202040)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P36_CORREO'
,p_attribute_01=>'SQL_STATEMENT'
,p_attribute_03=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT EMAIL',
'FROM   PERSONA',
'WHERE  ID = :PERSONA_ID;'))
,p_attribute_07=>'PERSONA_ID'
,p_attribute_08=>'Y'
,p_attribute_09=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(36537878467202031)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'CLOSE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_type=>'NEVER'
,p_process_success_message=>unistr('El cup\00F3n de pago se gener\00F3 correctamente.')
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(38126788280827902)
,p_process_sequence=>10
,p_process_point=>'ON_DEMAND'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'CB_MERCADOPAGO'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DECLARE',
'    v_json   clob := APEX_APPLICATION.g_x01;',
'    v_transaccion_id  TRANSACCION."ID"%TYPE;',
'BEGIN',
'    apex_json.parse( v_json );',
'',
'    if apex_json.get_varchar2( p_path => ''status'') = ''rejected'' then --rechazado',
'            apex_debug.message(''ALGO SALIO MAL!'');',
'    else',
'        apex_debug.error( ''ELSEEEEEEEEEEEEEEEEEEEEEEEEEEE'' );',
'        --insert datos pago',
'        insert into transaccion ( PERSONA_ID,',
'                               BILLETERA_ID,',
'                               MERCADO_PAGO_ID,',
'                               FECHA,',
'                               TIMESTAMP,',
'                               TRANSACCION_TIPO_ID,',
'                               MONTO  )',
'        values (',
'                :PERSONA_ID,',
'                :P36_BILLETERA,',
'                apex_json.get_number( p_path => ''id''),',
'                sysdate,',
'                sysdate,',
'                1, --credito',
'                apex_json.get_number( p_path => ''transaction_amount'')',
'               )',
'        returning id into v_transaccion_id;',
'',
'        --insert datos detalle pago',
'        insert into DETALLE_TRANSACCION ( TRANSACCION_ID,',
'                                           ESTADO,',
'                                           FECHA,',
'                                           MERCADO_PAGO_RESPONSE  )',
'        values ( v_transaccion_id,',
'                apex_json.get_varchar2( p_path => ''status''),',
'                sysdate,',
'                v_json   );',
'    end if;',
'',
'',
'END;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_type=>'NEVER'
);
wwv_flow_api.component_end;
end;
/
