prompt --application/pages/page_00044
begin
--   Manifest
--     PAGE: 00044
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>44
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Reporte de Pagos'
,p_alias=>'REPORTE-DE-PAGOS-MERCADO-PAGO'
,p_step_title=>'Reporte de Pagos '
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>wwv_flow_api.id(97464954706957511)
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210329142151'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(5520587397313410)
,p_name=>'Monto Billeteras'
,p_template=>wwv_flow_api.id(50762297377672305)
,p_display_sequence=>20
,p_region_template_options=>'#DEFAULT#:t-TabsRegion-mod--simple'
,p_component_template_options=>'#DEFAULT#:u-colors:t-BadgeList--xxlarge:t-BadgeList--dash:t-BadgeList--fixed'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select sum(t.monto) Billetera',
'from TRANSACCION T, DETALLE_TRANSACCION DT',
'where t.id = dt.TRANSACCION_ID ',
'  and dt.ESTADO = ''approved''',
'  and trunc(t.Fecha) between :P44_FECHA_DESDE AND :P44_FECHA_HASTA',
'  and (t.retirado = :P44_MOSTRAR_RETIRO or t.retirado IS NULL) ',
'  and TRANSACCION_TIPO_ID = 1'))
,p_ajax_enabled=>'Y'
,p_ajax_items_to_submit=>'P44_FECHA_DESDE,P44_FECHA_HASTA,P44_MOSTRAR_RETIRO'
,p_query_row_template=>wwv_flow_api.id(50767338633672309)
,p_query_headings_type=>'QUERY_COLUMNS'
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(5521223798313417)
,p_query_column_id=>1
,p_column_alias=>'BILLETERA'
,p_column_display_sequence=>1
,p_column_heading=>'Cargado en todas las Billeteras'
,p_use_as_row_header=>'N'
,p_column_alignment=>'CENTER'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(46175441445600515)
,p_plug_name=>'Tabs'
,p_region_template_options=>'#DEFAULT#:t-TabsRegion-mod--pill:t-TabsRegion-mod--large'
,p_plug_template=>wwv_flow_api.id(50762297377672305)
,p_plug_display_sequence=>50
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_DISPLAY_SELECTOR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'STANDARD'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(46175552031600516)
,p_plug_name=>'Historial'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>70
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_plug_new_grid_column=>false
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT',
'    fecha_retiro,',
'    retiro_persona_id,',
'    sum(monto) as monto',
'FROM transaccion',
'where retirado=''S''',
'GROUP BY fecha_retiro, retiro_persona_id',
'HAVING fecha_retiro between :P44_FECHA_DESDE AND :P44_FECHA_HASTA',
''))
,p_plug_source_type=>'NATIVE_IG'
,p_ajax_items_to_submit=>'P44_FECHA_DESDE,P44_FECHA_HASTA'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_document_header=>'APEX'
,p_prn_units=>'MILLIMETERS'
,p_prn_paper_size=>'A4'
,p_prn_width=>297
,p_prn_height=>210
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Historial'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(46175712473600518)
,p_name=>'FECHA_RETIRO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FECHA_RETIRO'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Fecha Retiro'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>10
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(46175820023600519)
,p_name=>'RETIRO_PERSONA_ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RETIRO_PERSONA_ID'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Persona'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(26745932656066265)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(46176086139600521)
,p_name=>'MONTO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MONTO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Monto'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>30
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(46175623824600517)
,p_internal_uid=>46175623824600517
,p_is_editable=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(46291048004232220)
,p_interactive_grid_id=>wwv_flow_api.id(46175623824600517)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(46291127782232222)
,p_report_id=>wwv_flow_api.id(46291048004232220)
,p_view_type=>'GRID'
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(46291618288232229)
,p_view_id=>wwv_flow_api.id(46291127782232222)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(46175712473600518)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(46292140448232235)
,p_view_id=>wwv_flow_api.id(46291127782232222)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(46175820023600519)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(46295553340260149)
,p_view_id=>wwv_flow_api.id(46291127782232222)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(46176086139600521)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(46176176336600522)
,p_plug_name=>'Filtros'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>40
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(63261169551925087)
,p_name=>'Monto'
,p_template=>wwv_flow_api.id(50762297377672305)
,p_display_sequence=>30
,p_region_template_options=>'#DEFAULT#:t-TabsRegion-mod--simple'
,p_component_template_options=>'#DEFAULT#:u-colors:t-BadgeList--xlarge:t-BadgeList--dash:t-BadgeList--fixed'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'        ''$''||nvl(monto,0) as "Monto Total"',
'        ,''$''||nvl(rpi,0)  as "RPI"',
'        ,''$''||nvl(RentasDGC,0) as "Rentas (DGC)"',
'        ,''$''||nvl(RentasRPI,0) as "Rentas (RPI)"',
'        ,''$''||nvl(Rentas,0) as "Rentas - Total"',
'',
'from',
'(select ',
'sum (t.monto) monto,',
'sum(sc.costo) as rpi,',
'sum(t.monto - (CASE WHEN s.SOLICITUD_TIPO_ID in (1,2,3) THEN 0 END)) as RentasDGC,',
'sum(t.monto - (CASE WHEN s.SOLICITUD_TIPO_ID in (4,5,6,7,8,9) THEN sc.costo END)) as RentasRPI,',
'sum(t.monto - sc.costo) as Rentas',
'',
'from transaccion t,solicitud s,solicitud_costo sc',
'where t.solicitud_id = s.id',
'  and sc.solicitud_tipo_id = s.solicitud_tipo_id',
'  and sc.id = NVL(t.SOLICITUD_COSTO_ID, (select max(id) from SOLICITUD_COSTO where solicitud_tipo_id = s.solicitud_tipo_id group by solicitud_tipo_id))',
' ',
'  /*and (   (t.SOLICITUD_COSTO_ID is not null and sc.id = t.SOLICITUD_COSTO_ID)',
'       or (t.SOLICITUD_COSTO_ID is null     and sc.id in (select max(id) ',
'                                                          from SOLICITUD_COSTO ',
'                                                         where solicitud_tipo_id = s.solicitud_tipo_id',
'                                                         group by solicitud_tipo_id))',
'      )*/',
'  and trunc(t.Fecha) between :P44_FECHA_DESDE AND :P44_FECHA_HASTA',
'  and (t.retirado = :P44_MOSTRAR_RETIRO or t.retirado IS NULL) ',
'  and t.TRANSACCION_TIPO_ID = 2',
') d'))
,p_ajax_enabled=>'Y'
,p_ajax_items_to_submit=>'P44_FECHA_DESDE,P44_FECHA_HASTA,P44_MOSTRAR_RETIRO'
,p_query_row_template=>wwv_flow_api.id(50767338633672309)
,p_query_headings_type=>'QUERY_COLUMNS'
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(46175041767600511)
,p_query_column_id=>1
,p_column_alias=>'Monto Total'
,p_column_display_sequence=>5
,p_column_heading=>'Monto Total'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(26538459740154549)
,p_query_column_id=>2
,p_column_alias=>'RPI'
,p_column_display_sequence=>1
,p_column_heading=>'Rpi'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(5520393518313408)
,p_query_column_id=>3
,p_column_alias=>'Rentas (DGC)'
,p_column_display_sequence=>2
,p_column_heading=>'Rentas (dgc)'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(5520472013313409)
,p_query_column_id=>4
,p_column_alias=>'Rentas (RPI)'
,p_column_display_sequence=>3
,p_column_heading=>'Rentas (rpi)'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(5520032397313405)
,p_query_column_id=>5
,p_column_alias=>'Rentas - Total'
,p_column_display_sequence=>4
,p_column_heading=>'Rentas - Total'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(73378988349934468)
,p_plug_name=>'Transacciones'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>60
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select t.id,',
'       t.persona_id organismo_persona,',
'       t.billetera_id,',
'       t.mercado_pago_id,',
'       TO_CHAR(t.fecha, ''DD-MM-YYYY HH24:MI:SS'') fecha,',
'       t.solicitud_id,',
'       t.transaccion_tipo_id,',
'       t.monto,',
'       t.timestamp,',
'       --b.persona_id billetera_persona,',
'       p.cuil||'': ''||p.apellido||'', ''||p.nombre persona,',
'       b.organismo_id,',
'       ''<span  class="t-Button t-Button--hot t-Button--simple" title="Ver Solicitud" >''||t.solicitud_id||''<span>'' solicitud,',
'       s.solicitud_tipo_id,',
'       O.ABREVIATURA Organismo,',
'       fnc_obtener_estado_transaccion(t.id) estado,',
'       DECODE(t.retirado,''S'',''Si'',''N'',''No'',null,''No'') retirado',
'  from transaccion t,billetera_virtual b,solicitud s, DETALLE_TRANSACCION DT, SOLICITUD_TIPO ST, Organismo O, persona p',
' where t.billetera_id = b.id',
'   and b.persona_id = p.id',
'   and t.solicitud_id = s.id(+)',
'   and s.solicitud_tipo_id = ST.ID(+)',
'   and ST.ORGANISMO_ID = O.ID(+)',
'   and TRUNC(t.Fecha) between :P44_FECHA_DESDE AND :P44_FECHA_HASTA',
'   and (t.retirado = :P44_MOSTRAR_RETIRO or t.retirado IS NULL) ',
'   and t.id = dt.TRANSACCION_ID(+)',
'   and ((TRANSACCION_TIPO_ID = 1 and dt.ESTADO = ''approved'')',
'    or  (TRANSACCION_TIPO_ID = 2))',
'    order by t.id desc',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_ajax_items_to_submit=>'P44_FECHA_DESDE,P44_FECHA_HASTA,P44_MOSTRAR_RETIRO'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_document_header=>'APEX'
,p_prn_units=>'MILLIMETERS'
,p_prn_paper_size=>'A4'
,p_prn_width=>297
,p_prn_height=>210
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Transacciones'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(73379085022934469)
,p_max_row_count=>'1000000'
,p_no_data_found_message=>'No se encontraron datos.'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:EMAIL:XLS:PDF:RTF'
,p_owner=>'CATASTRO'
,p_internal_uid=>73379085022934469
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(46155712654364981)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(46156140995364988)
,p_db_column_name=>'BILLETERA_ID'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Billetera'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(46156950749364989)
,p_db_column_name=>'SOLICITUD_ID'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Solicitud'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(46157354806364990)
,p_db_column_name=>'MONTO'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Monto'
,p_column_html_expression=>'$ #MONTO#'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(46157731248364990)
,p_db_column_name=>'TIMESTAMP'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Hace'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'SINCE'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(46158142799364991)
,p_db_column_name=>'ORGANISMO_PERSONA'
,p_display_order=>110
,p_column_identifier=>'K'
,p_column_label=>'Organismo Persona'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(26745932656066265)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(46158987004364993)
,p_db_column_name=>'ORGANISMO_ID'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Organismo'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(53558424805466271)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(46159795625364994)
,p_db_column_name=>'TRANSACCION_TIPO_ID'
,p_display_order=>150
,p_column_identifier=>'O'
,p_column_label=>'Tipo'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'CENTER'
,p_rpt_named_lov=>wwv_flow_api.id(36737898996254275)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(46160175707364995)
,p_db_column_name=>'SOLICITUD'
,p_display_order=>170
,p_column_identifier=>'Q'
,p_column_label=>'Solicitud'
,p_column_type=>'STRING'
,p_display_text_as=>'WITHOUT_MODIFICATION'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(46160541491364996)
,p_db_column_name=>'MERCADO_PAGO_ID'
,p_display_order=>180
,p_column_identifier=>'R'
,p_column_label=>'MP ID'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(46160919795364996)
,p_db_column_name=>'SOLICITUD_TIPO_ID'
,p_display_order=>190
,p_column_identifier=>'S'
,p_column_label=>'Tipo de Solicitud'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(11166262134940062)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(46162169761364999)
,p_db_column_name=>'ESTADO'
,p_display_order=>200
,p_column_identifier=>'T'
,p_column_label=>'Estado'
,p_column_type=>'STRING'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(38334746908832465)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(46176787680600528)
,p_db_column_name=>'RETIRADO'
,p_display_order=>210
,p_column_identifier=>'V'
,p_column_label=>'Retirado'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(18609154928821010)
,p_db_column_name=>'ORGANISMO'
,p_display_order=>220
,p_column_identifier=>'W'
,p_column_label=>'Organismo'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(19098954557915831)
,p_db_column_name=>'FECHA'
,p_display_order=>230
,p_column_identifier=>'X'
,p_column_label=>'Fecha'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(19099074280915832)
,p_db_column_name=>'PERSONA'
,p_display_order=>240
,p_column_identifier=>'Y'
,p_column_label=>'Persona'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(82881916455464065)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'461625'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'SOLICITUD:FECHA:PERSONA:TRANSACCION_TIPO_ID:MONTO:MERCADO_PAGO_ID:ORGANISMO:SOLICITUD_TIPO_ID:TIMESTAMP:ESTADO:'
,p_sort_column_1=>'ID'
,p_sort_direction_1=>'DESC'
,p_sort_column_2=>'SOLICITUD'
,p_sort_direction_2=>'DESC'
,p_sort_column_3=>'FECHA'
,p_sort_direction_3=>'DESC'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(19616980164706840)
,p_report_id=>wwv_flow_api.id(82881916455464065)
,p_name=>unistr('Cr\00E9dito')
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'TRANSACCION_TIPO_ID'
,p_operator=>'='
,p_expr=>unistr('CR\00C9DITO')
,p_condition_sql=>' (case when ("TRANSACCION_TIPO_ID" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>unistr('#APXWS_COL_NAME# = ''CR\00C9DITO''  ')
,p_enabled=>'Y'
,p_highlight_sequence=>10
,p_row_bg_color=>'#D0F1CC'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(19617324851706840)
,p_report_id=>wwv_flow_api.id(82881916455464065)
,p_name=>unistr('D\00E9bito')
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'TRANSACCION_TIPO_ID'
,p_operator=>'='
,p_expr=>unistr('D\00C9BITO')
,p_condition_sql=>' (case when ("TRANSACCION_TIPO_ID" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>unistr('#APXWS_COL_NAME# = ''D\00C9BITO''  ')
,p_enabled=>'Y'
,p_highlight_sequence=>10
,p_row_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(19616560542706839)
,p_report_id=>wwv_flow_api.id(82881916455464065)
,p_name=>'Pendiente'
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ESTADO'
,p_operator=>'='
,p_expr=>'Pendiente'
,p_condition_sql=>' (case when ("ESTADO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''Pendiente''  '
,p_enabled=>'Y'
,p_highlight_sequence=>30
,p_row_bg_color=>'#E8E8E8'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(46174355719600504)
,p_button_sequence=>50
,p_button_plug_id=>wwv_flow_api.id(46176176336600522)
,p_button_name=>'Consultar'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--iconLeft:t-Button--stretch:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Consultar'
,p_button_position=>'BODY'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-refresh'
,p_grid_new_row=>'N'
,p_grid_column_span=>2
,p_grid_column=>6
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(46175128822600512)
,p_button_sequence=>60
,p_button_plug_id=>wwv_flow_api.id(46176176336600522)
,p_button_name=>'Retirar'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--iconLeft:t-Button--stretch:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Retirar'
,p_button_position=>'BODY'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-gavel'
,p_grid_new_row=>'N'
,p_grid_column=>11
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(46174138457600502)
,p_name=>'P44_FECHA_DESDE'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(46176176336600522)
,p_item_default=>'SYSDATE-30'
,p_item_default_type=>'PLSQL_EXPRESSION'
,p_prompt=>'Fecha Desde'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>30
,p_colspan=>2
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(46174203262600503)
,p_name=>'P44_FECHA_HASTA'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(46176176336600522)
,p_item_default=>'SYSDATE'
,p_item_default_type=>'PLSQL_EXPRESSION'
,p_prompt=>'Fecha Hasta'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(46175202808600513)
,p_name=>'P44_MOSTRAR_RETIRO'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(46176176336600522)
,p_prompt=>'Mostrar Retirados'
,p_display_as=>'NATIVE_YES_NO'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_attribute_01=>'CUSTOM'
,p_attribute_02=>'S'
,p_attribute_03=>'Si'
,p_attribute_04=>'N'
,p_attribute_05=>'No'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(46174462424600505)
,p_computation_sequence=>10
,p_computation_item=>'P44_FECHA_DESDE'
,p_computation_point=>'AFTER_HEADER'
,p_computation=>'SYSDATE-30'
,p_compute_when_type=>'NEVER'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(46174596365600506)
,p_computation_sequence=>20
,p_computation_item=>'P44_FECHA_HASTA'
,p_computation_point=>'AFTER_HEADER'
,p_computation=>'SYSDATE'
,p_compute_when_type=>'NEVER'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(46168988848365026)
,p_name=>'Abrir modal'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P44_TRANSACCION_ID'
,p_condition_element=>'P44_TRANSACCION_ID'
,p_triggering_condition_type=>'NOT_NULL'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(46170423119365029)
,p_event_id=>wwv_flow_api.id(46168988848365026)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>'null;'
,p_attribute_02=>'P44_TRANSACCION_ID'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(46169914069365029)
,p_event_id=>wwv_flow_api.id(46168988848365026)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'openModal(''modalDetalle'');'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(46174668510600507)
,p_name=>'DA Consultar'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(46174355719600504)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(46174805256600509)
,p_event_id=>wwv_flow_api.id(46174668510600507)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(63261169551925087)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(5521385296313418)
,p_event_id=>wwv_flow_api.id(46174668510600507)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(5520587397313410)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(46174935726600510)
,p_event_id=>wwv_flow_api.id(46174668510600507)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(73378988349934468)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(46176389606600524)
,p_name=>'Retirar'
,p_event_sequence=>30
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(46175128822600512)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(46176537733600526)
,p_event_id=>wwv_flow_api.id(46176389606600524)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CONFIRM'
,p_attribute_01=>unistr('\00BFConfirma que desea retirar las transacciones)')
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(46176498907600525)
,p_event_id=>wwv_flow_api.id(46176389606600524)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'v_fecha date := trunc(sysdate);',
'v_persona number := :PERSONA_ID;',
'BEGIN',
'',
'for i in (',
'select t.id',
'  from transaccion t,',
'       billetera_virtual b,',
'       solicitud s',
'where  t.billetera_id = b.id',
'and    t.solicitud_id is NOT NULL',
'and    t.solicitud_id = s.id',
'and    t.Fecha between :P44_FECHA_DESDE AND :P44_FECHA_HASTA',
'and    t.retirado is null)',
'LOOP',
'',
'UPDATE transaccion',
'SET RETIRADO = ''S'',',
'    FECHA_RETIRO = v_fecha,',
'    RETIRO_PERSONA_ID = v_persona',
'WHERE id = i.id;',
'',
'END LOOP;',
'EXCEPTION ',
'    WHEN OTHERS THEN',
'        RAISE_APPLICATION_ERROR(-20000,''Error actualizando las transacciones: ''||sqlerrm);',
'END;        '))
,p_attribute_02=>'P44_FECHA_DESDE,P44_FECHA_HASTA'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(46175375579600514)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'ACTUALIZAR TRANSACCIONES'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'v_fecha date := trunc(sysdate);',
'v_persona number := :PERSONA_ID;',
'BEGIN',
'',
'for i in (',
'select t.id',
'  from transaccion t,',
'       billetera_virtual b,',
'       solicitud s',
'where  t.billetera_id = b.id',
'and    t.solicitud_id is NOT NULL',
'and    t.solicitud_id = s.id',
'and    t.Fecha between :P44_FECHA_DESDE AND :P44_FECHA_HASTA',
'and    t.retirado is null)',
'LOOP',
'',
'UPDATE transaccion',
'SET RETIRADO = ''S'',',
'    FECHA_RETIRO = v_fecha,',
'    RETIRO_PERSONA_ID = v_persona',
'WHERE id = i.id;',
'',
'END LOOP;',
'EXCEPTION ',
'    WHEN OTHERS THEN',
'        RAISE_APPLICATION_ERROR(-20000,''Error actualizando las transacciones: ''||sqlerrm);',
'END;        '))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_type=>'NEVER'
);
wwv_flow_api.component_end;
end;
/
