prompt --application/pages/page_00049
begin
--   Manifest
--     PAGE: 00049
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>49
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'FORMULARIO ADMINISTRAR FIRMAS'
,p_alias=>'FORMULARIO-ADMINISTRAR-FIRMAS'
,p_page_mode=>'MODAL'
,p_step_title=>unistr('Administraci\00F3n de Firmas')
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210322112911'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(18547475012288801)
,p_plug_name=>'Body'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(18548379855288810)
,p_plug_name=>'Firmas'
,p_parent_plug_id=>wwv_flow_api.id(18547475012288801)
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ID,',
'       NOMBRE,',
'       PERSONA_ID,',
'       ''<span title="Quitar Firma" class="fa fa-times u-color-10-text" onclick="$s(''||''''''P49_QUITAR_FIRMA''''''||'', ''||id||'')"></span>'' "Eliminar"',
'  from NOMBRE_FIRMA_PERSONA',
' where PERSONA_ID = NVL(:P49_PERSONA_ID, :PERSONA_ID)',
'order by 1'))
,p_plug_source_type=>'NATIVE_IR'
,p_ajax_items_to_submit=>'P49_PERSONA_ID'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_document_header=>'APEX'
,p_prn_units=>'MILLIMETERS'
,p_prn_paper_size=>'A4'
,p_prn_width=>297
,p_prn_height=>210
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Firmas'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(18548415162288811)
,p_max_row_count=>'1000000'
,p_no_data_found_message=>'No se encontraron Firmas asociadas a la Persona.'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_search_bar=>'N'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'N'
,p_owner=>'CATASTRO'
,p_internal_uid=>18548415162288811
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(18548551723288812)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(18548652453288813)
,p_db_column_name=>'NOMBRE'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Nombre'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(18548732663288814)
,p_db_column_name=>'PERSONA_ID'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Persona'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_rpt_named_lov=>wwv_flow_api.id(26745932656066265)
,p_rpt_show_filter_lov=>'1'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_display_condition=>'PERFIL'
,p_display_condition2=>'4'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(18548850003288815)
,p_db_column_name=>'Eliminar'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Quitar'
,p_column_type=>'STRING'
,p_display_text_as=>'WITHOUT_MODIFICATION'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(18558269200372401)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'185583'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'ID:NOMBRE:PERSONA_ID:Eliminar'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(18547671646288803)
,p_plug_name=>'botonera'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50729062024672289)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_03'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(18548203387288809)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(18547475012288801)
,p_button_name=>'AGREGAR_FIRMA'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft:t-Button--stretch:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Agregar Firma'
,p_button_position=>'BODY'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>':ES_INTERNO = ''N'' OR :PERFIL = 4'
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-plus'
,p_grid_new_row=>'N'
,p_grid_column=>8
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(18547786536288804)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(18547671646288803)
,p_button_name=>'CERRAR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Cerrar'
,p_button_position=>'REGION_TEMPLATE_CLOSE'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-times'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(18548035294288807)
,p_name=>'P49_NOMBRE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(18547475012288801)
,p_prompt=>'Nombre'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_display_when=>':ES_INTERNO = ''N'' OR :PERFIL = 4'
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(18548190220288808)
,p_name=>'P49_PERSONA_ID'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(18547475012288801)
,p_prompt=>'Persona'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT  APELLIDO ||'', ''||NOMBRE ||'' - ''||CUIL "D",',
'        ID "R"',
'FROM    PERSONA',
'WHERE   ID = :PERSONA_ID',
'OR      :PERFIL = 4',
'ORDER BY 1;'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_display_when=>':PERFIL = 4'
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(18549425893288821)
,p_name=>'P49_QUITAR_FIRMA'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(18547475012288801)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(18547819965288805)
,p_name=>'Cerrar'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(18547786536288804)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18547959223288806)
,p_event_id=>wwv_flow_api.id(18547819965288805)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(18548973823288816)
,p_name=>'Persona'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P49_PERSONA_ID'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18549167742288818)
,p_event_id=>wwv_flow_api.id(18548973823288816)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(18548379855288810)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(18549219040288819)
,p_name=>'Agregar Firma'
,p_event_sequence=>30
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(18548203387288809)
,p_condition_element=>'P49_NOMBRE'
,p_triggering_condition_type=>'NOT_NULL'
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18549049718288817)
,p_event_id=>wwv_flow_api.id(18549219040288819)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DECLARE',
'    v_cant number;',
'BEGIN',
'    SELECT COUNT(1)',
'    INTO   v_cant',
'    FROM   NOMBRE_FIRMA_PERSONA',
'    WHERE  PERSONA_ID  = NVL(:P49_PERSONA_ID, :PERSONA_ID);',
'     ',
'    IF v_cant < 3 THEN',
'        INSERT INTO NOMBRE_FIRMA_PERSONA(ID, NOMBRE, PERSONA_ID) VALUES ("SEQ_NOMBRE_FIRMA_PERSONA".nextval, :P49_NOMBRE, NVL(:P49_PERSONA_ID, :PERSONA_ID));',
'    END IF;',
'',
'END;'))
,p_attribute_02=>'P49_PERSONA_ID,P49_NOMBRE'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18550042999288827)
,p_event_id=>wwv_flow_api.id(18549219040288819)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_ALERT'
,p_attribute_01=>'El nombre de la Firma es Requerido.'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18549930444288826)
,p_event_id=>wwv_flow_api.id(18549219040288819)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(18548379855288810)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18550143476288828)
,p_event_id=>wwv_flow_api.id(18549219040288819)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P49_NOMBRE'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(18549545237288822)
,p_name=>'Quitar Firma'
,p_event_sequence=>40
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P49_QUITAR_FIRMA'
,p_condition_element=>'P49_QUITAR_FIRMA'
,p_triggering_condition_type=>'NOT_NULL'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18549778140288824)
,p_event_id=>wwv_flow_api.id(18549545237288822)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CONFIRM'
,p_attribute_01=>unistr('\00BFConfirma que desea eliminar la Firma?')
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18549865295288825)
,p_event_id=>wwv_flow_api.id(18549545237288822)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DELETE FROM NOMBRE_FIRMA_PERSONA',
'WHERE ID = :P49_QUITAR_FIRMA;'))
,p_attribute_02=>'P49_QUITAR_FIRMA'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18550268841288829)
,p_event_id=>wwv_flow_api.id(18549545237288822)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(18548379855288810)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18549609868288823)
,p_event_id=>wwv_flow_api.id(18549545237288822)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P49_QUITAR_FIRMA'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(19818726180380503)
,p_name=>'LOAD'
,p_event_sequence=>50
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(19818894536380504)
,p_event_id=>wwv_flow_api.id(19818726180380503)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P49_PERSONA_ID'
);
wwv_flow_api.component_end;
end;
/
