prompt --application/pages/page_00311
begin
--   Manifest
--     PAGE: 00311
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>311
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Propietario / Sujeto'
,p_page_mode=>'MODAL'
,p_step_title=>'Propietario / Sujeto'
,p_footer_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'',
''))
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var htmldb_delete_message=''"DELETE_CONFIRM_MSG"'';',
'',
'function validaCuit(sCUIT) ',
'{     ',
'    var aMult = ''5432765432''; ',
'    var aMult = aMult.split(''''); ',
'     ',
'    if (sCUIT && sCUIT.length == 11) ',
'    { ',
'        aCUIT = sCUIT.split(''''); ',
'        var iResult = 0; ',
'        for(i = 0; i <= 9; i++) ',
'        { ',
'            iResult += aCUIT[i] * aMult[i]; ',
'        } ',
'        iResult = (iResult % 11); ',
'        iResult = 11 - iResult; ',
'         ',
'        if (iResult == 11) iResult = 0; ',
'        if (iResult == 10) iResult = 9; ',
'         ',
'        if (iResult == aCUIT[10]) ',
'        { ',
'            return true; ',
'        } ',
'    }     ',
'    return false; ',
'}',
'',
'function validarfecha(event, element, _float){',
'	event = event || window.event;',
'	var charCode = event.which || event.keyCode;',
'	if (charCode == 8 || charCode == 13 || charCode == 47 ||(_float ? (element.value.indexOf('','') == -1 ? charCode == 44 : false) : false))',
'		return true;',
'	else if ((charCode < 48) || (charCode > 57))',
'		return false;',
'	return true;',
'}',
'',
''))
,p_step_template=>wwv_flow_api.id(50722836237672283)
,p_page_template_options=>'#DEFAULT#'
,p_dialog_height=>'620'
,p_dialog_width=>'1000'
,p_protection_level=>'C'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210405105445'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(103689110340297409)
,p_plug_name=>'Propietario / Sujeto'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'TABLE'
,p_query_table=>'SOLICITUD_PERSONAS'
,p_include_rowid_column=>false
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_plug_source_type=>'NATIVE_FORM'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(105016444118215161)
,p_plug_name=>'Region Display'
,p_parent_plug_id=>wwv_flow_api.id(103689110340297409)
,p_region_template_options=>'#DEFAULT#:t-TabsRegion-mod--fillLabels:t-TabsRegion-mod--pill'
,p_plug_template=>wwv_flow_api.id(50762297377672305)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'PLSQL_EXPRESSION'
,p_plug_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P311_READ_ONLY IS NOT NULL ',
'OR :P311_USUARIO_ID != :PERSONA_ID',
'OR PKG_MENSURA.FNC_OBTENER_ESTADO_BLOQUE(:P311_SOLICITUD_ID,10) NOT IN (0,3)'))
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(105139698157270580)
,p_plug_name=>'Datos Personales'
,p_parent_plug_id=>wwv_flow_api.id(105016444118215161)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50724384228672284)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_header=>'<div style="overflow: auto; min-height: 100%; max-height: 100%;">'
,p_plug_footer=>'</div>'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(105142134910289897)
,p_plug_name=>'Domicilio'
,p_parent_plug_id=>wwv_flow_api.id(105016444118215161)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50724384228672284)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VALUE_OF_ITEM_IN_CONDITION_IN_COLON_DELIMITED_LIST'
,p_plug_display_when_condition=>'P311_TIPO_SOLICITUD'
,p_plug_display_when_cond2=>'6:7:9'
,p_plug_header=>'<div style="overflow: auto; min-height: 100%; max-height: 100%;">'
,p_plug_footer=>'</div>'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(109141904505291000)
,p_plug_name=>'Cargar Fotos Viejo'
,p_parent_plug_id=>wwv_flow_api.id(105016444118215161)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>50
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    sa.ID,',
'    sa.SOLICITUD_ID,',
'    at.descripcion Tipo,',
'    sa.SECUENCIA,',
'    p.APELLIDO||'', ''||p.NOMBRE "Cargado por",',
'    sa.OBSERVACIONES,',
'    TO_CHAR(sa.FECHA, ''DD/MM/YYYY HH24:MI:SS'') FECHA,',
'    sys.dbms_lob.getlength(sa.BLOB_CONTENT) "BLOB_CONTENT"',
'',
'',
'from SOLICITUD_ARCHIVOS sa, ARCHIVO_TIPO at, persona p',
'where sa.SOLICITUD_PERSONAS_ID = :p311_id',
'  and sa.usuario_id = p.id',
'  and sa.archivo_tipo_id = at.id',
'  '))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'NEVER'
,p_plug_header=>'<div style="overflow: auto; min-height: 100%; max-height: 100%;">'
,p_plug_footer=>'</ div>'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(109142264907291000)
,p_name=>'Report 1'
,p_max_row_count_message=>'The maximum row count for this report is #MAX_ROW_COUNT# rows.  Please apply a filter to reduce the number of records in your query.'
,p_no_data_found_message=>'No data found.'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_search_bar=>'N'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'C'
,p_detail_link=>'f?p=&APP_ID.:312:&SESSION.::&DEBUG.:RP:P312_ID:\#ID#\'
,p_detail_link_text=>'<span aria-label="Edit"><span class="fa fa-edit" aria-hidden="true" title="Edit"></span></span>'
,p_owner=>'CATASTRO'
,p_internal_uid=>109142264907291000
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51715819888751376)
,p_db_column_name=>'ID'
,p_display_order=>1
,p_column_identifier=>'A'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
,p_heading_alignment=>'RIGHT'
,p_column_alignment=>'RIGHT'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51716273641751376)
,p_db_column_name=>'SOLICITUD_ID'
,p_display_order=>2
,p_column_identifier=>'B'
,p_column_label=>'Solicitud Id'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51715406736751375)
,p_db_column_name=>'TIPO'
,p_display_order=>12
,p_column_identifier=>'I'
,p_column_label=>'Tipo'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51717853992751377)
,p_db_column_name=>'Cargado por'
,p_display_order=>22
,p_column_identifier=>'J'
,p_column_label=>'Cargado Por'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51716655851751376)
,p_db_column_name=>'SECUENCIA'
,p_display_order=>42
,p_column_identifier=>'D'
,p_column_label=>'Secuencia'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51717420805751377)
,p_db_column_name=>'BLOB_CONTENT'
,p_display_order=>52
,p_column_identifier=>'H'
,p_column_label=>'Archivo'
,p_allow_sorting=>'N'
,p_allow_filtering=>'N'
,p_allow_highlighting=>'N'
,p_allow_ctrl_breaks=>'N'
,p_allow_aggregations=>'N'
,p_allow_computations=>'N'
,p_allow_charting=>'N'
,p_allow_group_by=>'N'
,p_allow_pivot=>'N'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DOWNLOAD:SOLICITUD_ARCHIVOS:BLOB_CONTENT:ID::MIME_TYPE:FILENAME:LAST_UPDATED:CHARACTER_SET:attachment::'
,p_rpt_show_filter_lov=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51717025725751376)
,p_db_column_name=>'OBSERVACIONES'
,p_display_order=>62
,p_column_identifier=>'F'
,p_column_label=>'Observaciones'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(51715075753751375)
,p_db_column_name=>'FECHA'
,p_display_order=>72
,p_column_identifier=>'K'
,p_column_label=>'Fecha'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(109148857818299192)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'517182'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TIPO:Cargado por:FECHA:BLOB_CONTENT:OBSERVACIONES:'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(111402479597925764)
,p_plug_name=>'Fotos'
,p_parent_plug_id=>wwv_flow_api.id(105016444118215161)
,p_region_template_options=>'t-Form--slimPadding'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>60
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_header=>'<div style="overflow: auto; min-height: 100%; max-height: 100%;">'
,p_plug_footer=>'</div>'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(111403014862925770)
,p_plug_name=>'DNI - Dorso'
,p_parent_plug_id=>wwv_flow_api.id(111402479597925764)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>70
,p_plug_new_grid_row=>false
,p_plug_new_grid_column=>false
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(112702837179670028)
,p_plug_name=>'CUIL/T'
,p_parent_plug_id=>wwv_flow_api.id(111402479597925764)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>80
,p_plug_new_grid_row=>false
,p_plug_new_grid_column=>false
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(118888104593432754)
,p_plug_name=>'DNI - Frente'
,p_parent_plug_id=>wwv_flow_api.id(111402479597925764)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>60
,p_plug_new_grid_row=>false
,p_plug_new_grid_column=>false
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(117502667612772048)
,p_plug_name=>'Notas'
,p_parent_plug_id=>wwv_flow_api.id(103689110340297409)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(103706331948297423)
,p_plug_name=>'Buttons'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50729062024672289)
,p_plug_display_sequence=>20
,p_plug_display_point=>'REGION_POSITION_03'
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(75896379972285847)
,p_button_sequence=>80
,p_button_plug_id=>wwv_flow_api.id(112702837179670028)
,p_button_name=>'VER_CUIL'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Ver CUIL/CUIT'
,p_button_position=>'BODY'
,p_button_redirect_url=>'f?p=&APP_ID.:43:&SESSION.::&DEBUG.:43:P43_ID,P43_MOSTRAR_PDF:&P311_ID.,9'
,p_button_condition=>'P311_CUIL_FILENAME'
,p_button_condition_type=>'ITEM_IS_NOT_NULL'
,p_icon_css_classes=>'fa-file-search'
,p_grid_new_row=>'N'
,p_grid_new_column=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(75896473647285848)
,p_button_sequence=>90
,p_button_plug_id=>wwv_flow_api.id(111403014862925770)
,p_button_name=>'VER_DNI_DORSO'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Ver DNI Dorso'
,p_button_position=>'BODY'
,p_button_redirect_url=>'f?p=&APP_ID.:43:&SESSION.::&DEBUG.:43:P43_ID,P43_MOSTRAR_PDF:&P311_ID.,8'
,p_button_condition=>'P311_DNI_D_FILENAME'
,p_button_condition_type=>'ITEM_IS_NOT_NULL'
,p_icon_css_classes=>'fa-file-search'
,p_grid_new_row=>'N'
,p_grid_new_column=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(75896107834285845)
,p_button_sequence=>100
,p_button_plug_id=>wwv_flow_api.id(118888104593432754)
,p_button_name=>'VER_DNI_FRENTE'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Ver DNI Frente'
,p_button_position=>'BODY'
,p_button_redirect_url=>'f?p=&APP_ID.:43:&SESSION.::&DEBUG.:43:P43_ID,P43_MOSTRAR_PDF:&P311_ID.,7'
,p_button_condition=>'P311_DNI_F_FILENAME'
,p_button_condition_type=>'ITEM_IS_NOT_NULL'
,p_icon_css_classes=>'fa-file-search'
,p_grid_new_row=>'N'
,p_grid_new_column=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51730037943751388)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(103706331948297423)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Cancelar'
,p_button_position=>'REGION_TEMPLATE_CLOSE'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-times'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51730436433751388)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(103706331948297423)
,p_button_name=>'DELETE'
,p_button_action=>'REDIRECT_URL'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Eliminar Persona'
,p_button_position=>'REGION_TEMPLATE_DELETE'
,p_button_redirect_url=>unistr('javascript:apex.confirm(''\00BFConfirma que desea Eliminar la Persona?'', ''DELETE'');')
,p_button_execute_validations=>'N'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P311_ID IS NOT NULL AND :P311_READ_ONLY IS NULL',
'AND :P311_USUARIO_ID = :PERSONA_ID',
'AND PKG_MENSURA.FNC_OBTENER_ESTADO_BLOQUE(:P311_SOLICITUD_ID,10) IN (0,3)'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-trash'
,p_database_action=>'DELETE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51730815275751389)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(103706331948297423)
,p_button_name=>'SAVE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Guardar Cambios'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P311_ID IS NOT NULL AND :P311_READ_ONLY IS NULL',
'AND :P311_USUARIO_ID = :PERSONA_ID',
'AND PKG_MENSURA.FNC_OBTENER_ESTADO_BLOQUE(:P311_SOLICITUD_ID,10) IN (0,3)'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-save'
,p_database_action=>'UPDATE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51731275331751389)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(103706331948297423)
,p_button_name=>'CREATE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Cargar Nueva Persona'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>'P311_ID'
,p_button_condition_type=>'ITEM_IS_NULL'
,p_icon_css_classes=>'fa-plus'
,p_database_action=>'INSERT'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51718601183751378)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(109141904505291000)
,p_button_name=>'Cargar_Foto'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(50816146447672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Cargar Fotos'
,p_button_position=>'TOP'
,p_button_redirect_url=>'f?p=&APP_ID.:312:&SESSION.::&DEBUG.:RP,312:P312_SOLICITUD_PERSONAS_ID,P312_SECUENCIA:&P311_ID.,1'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'  from ARCHIVO_TIPO',
' where id in (4,5,6)',
'   and id not in (select ARCHIVO_TIPO_ID',
'                   from SOLICITUD_ARCHIVOS',
'                  where SOLICITUD_PERSONAS_ID = :P311_id)'))
,p_button_condition_type=>'EXISTS'
,p_button_cattributes=>'style="width:250px";'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10518725724126925)
,p_name=>'P311_MATRICULA'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(103689110340297409)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(11162863440928118)
,p_name=>'P311_PORCENTAJE'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>'% de Partic.'
,p_source=>'PORCENTAJE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>30
,p_cMaxlength=>5
,p_tag_attributes=>'onkeypress="return validateFloatKeyPress(this,event);"'
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>1
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where :P311_MATRICULA is not null or :P311_TIPO_SOLICITUD = 9'))
,p_display_when_type=>'EXISTS'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_02=>'100'
,p_attribute_03=>'right'
,p_item_comment=>'onchange="validateFloatKeyPress(this);"'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(14205894947661829)
,p_name=>'P311_TIPO_SOLICITUD'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(103689110340297409)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51704430157751367)
,p_name=>'P311_SYSDATE_AUX'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_source=>'sysdate'
,p_source_type=>'FUNCTION'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51704856467751368)
,p_name=>'P311_ID'
,p_source_data_type=>'NUMBER'
,p_is_primary_key=>true
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_source=>'ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51705237702751368)
,p_name=>'P311_SOLICITUD_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_source=>'SOLICITUD_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51705653529751368)
,p_name=>'P311_SECUENCIA'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_source=>'SECUENCIA'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51706052462751368)
,p_name=>'P311_INTERVINIENTES_TIPO_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_source=>'INTERVINIENTES_TIPO_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51706493742751369)
,p_name=>'P311_PERSONA_TIPO_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>'Persona Tipo'
,p_source=>'PERSONA_TIPO_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from persona_TIPO',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51706883134751369)
,p_name=>unistr('P311_DUE\00D1O_TIPO_ID')
,p_source_data_type=>'NUMBER'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>unistr('Due\00F1o Tipo')
,p_source=>unistr('DUE\00D1O_TIPO_ID')
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
unistr('from DUE\00D1O_TIPO'),
'order by id asc'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:213px'''
,p_display_when=>'P311_INTERVINIENTES_TIPO_ID'
,p_display_when2=>'1'
,p_display_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51707201308751369)
,p_name=>'P311_SUCESION'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_item_default=>'0'
,p_prompt=>unistr('Sucesi\00F3n <FONT size=3; style="color: #ff0000;"><strong>*</strong></font>')
,p_source=>'SUCESION'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:NO;0,SI;1'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:213px'''
,p_begin_on_new_line=>'N'
,p_begin_on_new_field=>'N'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51707637769751369)
,p_name=>'P311_CUIL'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>'CUIL/T'
,p_source=>'CUIL'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>32
,p_cMaxlength=>11
,p_tag_attributes=>'onkeypress="return validarNum(event, this, false);" '
,p_colspan=>6
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51708012286751370)
,p_name=>'P311_DNI'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>'D.N.I.'
,p_source=>'DNI'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>32
,p_cMaxlength=>8
,p_tag_attributes=>'onkeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_grid_column=>7
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51708481374751370)
,p_name=>'P311_RAZON_SOCIAL'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>unistr('Raz\00F3n.Social<FONT size=3; style="color: #ff0000;"><strong>*</strong></font>')
,p_source=>'RAZON_SOCIAL'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>100
,p_tag_attributes=>'onKeyUp="this.value=this.value.toUpperCase();"; '
,p_begin_on_new_line=>'N'
,p_grid_column=>7
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51708897159751370)
,p_name=>'P311_APELLIDO'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>'Apellido'
,p_source=>'APELLIDO'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>100
,p_tag_attributes=>'onKeyUp="this.value=this.value.toUpperCase();"; onkeypress="return soloLetras(event);";'
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51709231034751370)
,p_name=>'P311_NOMBRE'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>150
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>'Nombre'
,p_source=>'NOMBRE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>100
,p_tag_attributes=>'onKeyUp="this.value=this.value.toUpperCase();"; onkeypress="return soloLetras(event);";'
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51709607447751370)
,p_name=>'P311_FECHANACIMIENTO'
,p_source_data_type=>'DATE'
,p_item_sequence=>160
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>'Fecha de Nac.'
,p_placeholder=>'Fecha de nacimiento ...'
,p_format_mask=>'DD/MM/YYYY'
,p_source=>'FECHANACIMIENTO'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>32
,p_tag_attributes=>'onkeypress="return validarfecha(event, this, false);"'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_03=>'&P311_SYSDATE_AUX.'
,p_attribute_04=>'focus'
,p_attribute_05=>'Y'
,p_attribute_07=>'MONTH_AND_YEAR'
,p_attribute_08=>'1900:sysdate'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51710085150751371)
,p_name=>'P311_NACIONALIDAD_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>170
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_item_default=>'8'
,p_prompt=>unistr('Pa\00EDs')
,p_source=>'NACIONALIDAD_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from pais',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:213px'''
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51710459986751371)
,p_name=>'P311_SEXO_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>180
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>'Sexo'
,p_source=>'SEXO_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from sexo',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:213px'''
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51710841719751371)
,p_name=>'P311_ESTADO_CIVIL_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>190
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>'Estado Civil'
,p_source=>'ESTADO_CIVIL_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from estado_civil',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:213px'''
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51711295593751371)
,p_name=>'P311_USUARIO_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>200
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select id',
'from persona p',
'where p.cuil = :app_user'))
,p_item_default_type=>'SQL_QUERY'
,p_source=>'USUARIO_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51711635311751372)
,p_name=>'P311_OBSERVACIONES'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>210
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_source=>'OBSERVACIONES'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51712046286751372)
,p_name=>'P311_FECHA'
,p_source_data_type=>'DATE'
,p_item_sequence=>220
,p_item_plug_id=>wwv_flow_api.id(105139698157270580)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_item_default=>'SYSDATE'
,p_item_default_type=>'PLSQL_EXPRESSION'
,p_source=>'FECHA'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51712709141751373)
,p_name=>'P311_DOMICILIO_CALLE'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>170
,p_item_plug_id=>wwv_flow_api.id(105142134910289897)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>'Calle'
,p_source=>'DOMICILIO_CALLE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>100
,p_tag_attributes=>'onKeyUp="this.value=this.value.toUpperCase();"; onkeypress="return soloLetras(event);";'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51713171551751373)
,p_name=>'P311_DOMICILIO_NUMERO'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>180
,p_item_plug_id=>wwv_flow_api.id(105142134910289897)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>unistr('N\00FAmero')
,p_source=>'DOMICILIO_NUMERO'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>10
,p_tag_attributes=>'onkeypress="return validarNum(event, this, false);"'
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51713530721751373)
,p_name=>'P311_PROVINCIA'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>190
,p_item_plug_id=>wwv_flow_api.id(105142134910289897)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_item_default=>'3'
,p_prompt=>'Provincia'
,p_source=>'DOMICILIO_PROVINCIA_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'from provincia',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:213px'''
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51713910183751374)
,p_name=>'P311_DEPARTAMENTO'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>210
,p_item_plug_id=>wwv_flow_api.id(105142134910289897)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_item_default=>'143'
,p_prompt=>'Depto.'
,p_source=>'DOMICILIO_DEPARTAMENTO_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select d.descripcion, d.id',
'from departamento d',
'where d.provincia_id = :p311_provincia',
'order by d.descripcion asc'))
,p_lov_display_null=>'YES'
,p_lov_cascade_parent_items=>'P311_PROVINCIA'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_tag_attributes=>'style=''width:213px'''
,p_begin_on_new_line=>'N'
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51714398146751374)
,p_name=>'P311_DOMICILIO_LOCALIDAD_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>220
,p_item_plug_id=>wwv_flow_api.id(105142134910289897)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_item_default=>'1066'
,p_prompt=>'Localidad'
,p_source=>'DOMICILIO_LOCALIDAD_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select l.descripcion, l.id',
'  from localidad l',
' where l.departamento_id = :p311_departamento',
'order by l.descripcion asc'))
,p_lov_display_null=>'YES'
,p_lov_cascade_parent_items=>'P311_DEPARTAMENTO'
,p_ajax_optimize_refresh=>'Y'
,p_cSize=>32
,p_tag_attributes=>'style=''width:506px'''
,p_colspan=>12
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51719673983751379)
,p_name=>'P311_DNI_D_IMG'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(111403014862925770)
,p_prompt=>'IMG Dni D'
,p_source=>'#WORKSPACE_IMAGES#DNI-Dorso.png'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_IMAGE'
,p_tag_attributes=>'style="width:65px"'
,p_grid_column=>1
,p_grid_label_column_span=>0
,p_display_when=>'P311_DNI_D_FILENAME'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_attribute_01=>'URL'
,p_attribute_02=>'DNI - Dorso'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51720030651751379)
,p_name=>'P311_DNI_D_FILENAME'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(111403014862925770)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>'DNI - Dorso'
,p_source=>'DNI_D_FILENAME'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>2
,p_grid_label_column_span=>0
,p_display_when=>'P311_DNI_D_FILENAME'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51720472976751380)
,p_name=>'P311_ARCHIVO_DNI_D_FECHA'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(111403014862925770)
,p_prompt=>'Cargado el'
,p_source=>'P311_DNI_D_LAST_UPDATED'
,p_source_type=>'ITEM'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>4
,p_grid_label_column_span=>1
,p_display_when=>'P311_DNI_D_LAST_UPDATED'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51720819128751380)
,p_name=>'P311_DNI_D_BLOB_CONTENT'
,p_source_data_type=>'BLOB'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(111403014862925770)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>'Dni D Blob Content'
,p_source=>'DNI_D_BLOB_CONTENT'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_FILE'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_grid_column=>7
,p_grid_label_column_span=>0
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'DB_COLUMN'
,p_attribute_02=>'DNI_D_MIME_TYPE'
,p_attribute_03=>'DNI_D_FILENAME'
,p_attribute_04=>'DNI_D_CHARACTER_SET'
,p_attribute_05=>'DNI_D_LAST_UPDATED'
,p_attribute_06=>'Y'
,p_attribute_07=>'<b>Descargar DNI - Dorso</b>'
,p_attribute_08=>'attachment'
,p_attribute_11=>'image/* ,application/pdf'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51721209579751380)
,p_name=>'P311_DNI_D_MIME_TYPE'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(111403014862925770)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_source=>'DNI_D_MIME_TYPE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51721679416751380)
,p_name=>'P311_DNI_D_LAST_UPDATED'
,p_source_data_type=>'DATE'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(111403014862925770)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_source=>'DNI_D_LAST_UPDATED'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51722084746751381)
,p_name=>'P311_DNI_D_CHARACTER_SET'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(111403014862925770)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_source=>'DNI_D_CHARACTER_SET'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51722746323751381)
,p_name=>'P311_CUIL_IMG'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(112702837179670028)
,p_prompt=>'CUIL/T'
,p_source=>'#WORKSPACE_IMAGES#cuil-2.png'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_IMAGE'
,p_tag_attributes=>'style="width:65px"'
,p_grid_column=>1
,p_grid_label_column_span=>0
,p_display_when=>'P311_CUIL_FILENAME'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_attribute_01=>'URL'
,p_attribute_02=>'CUIL/T'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51723156650751382)
,p_name=>'P311_CUIL_FILENAME'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(112702837179670028)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>'CUIL/T'
,p_source=>'CUIL_FILENAME'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>2
,p_grid_label_column_span=>0
,p_display_when=>'P311_CUIL_FILENAME'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51723532049751383)
,p_name=>'P311_ARCHIVO_CUIL_FECHA'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(112702837179670028)
,p_prompt=>'Cargado el'
,p_source=>'P311_CUIL_LAST_UPDATED'
,p_source_type=>'ITEM'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>4
,p_grid_label_column_span=>1
,p_display_when=>'P311_CUIL_LAST_UPDATED'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51723961346751384)
,p_name=>'P311_CUIL_BLOB_CONTENT'
,p_source_data_type=>'BLOB'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(112702837179670028)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>'CUIL Blob Content'
,p_source=>'CUIL_BLOB_CONTENT'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_FILE'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_grid_column=>7
,p_grid_label_column_span=>0
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'DB_COLUMN'
,p_attribute_02=>'CUIL_MIME_TYPE'
,p_attribute_03=>'CUIL_FILENAME'
,p_attribute_04=>'CUIL_CHARACTER_SET'
,p_attribute_05=>'CUIL_LAST_UPDATED'
,p_attribute_06=>'Y'
,p_attribute_07=>'<b>Descargar CUIL/T</b>'
,p_attribute_08=>'attachment'
,p_attribute_11=>'image/* ,application/pdf'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51724361823751384)
,p_name=>'P311_CUIL_MIME_TYPE'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(112702837179670028)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_source=>'CUIL_MIME_TYPE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51724749405751384)
,p_name=>'P311_CUIL_LAST_UPDATED'
,p_source_data_type=>'DATE'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(112702837179670028)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_source=>'CUIL_LAST_UPDATED'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51725102504751384)
,p_name=>'P311_CUIL_CHARACTER_SET'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(112702837179670028)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_source=>'CUIL_CHARACTER_SET'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51725870725751385)
,p_name=>'P311_DNI_F_IMG'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(118888104593432754)
,p_prompt=>'IMG Dni F '
,p_source=>'#WORKSPACE_IMAGES#DNI-Frente.png'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_IMAGE'
,p_tag_attributes=>'style="width:65px"'
,p_grid_column=>1
,p_grid_label_column_span=>0
,p_display_when=>'P311_DNI_F_FILENAME'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_attribute_01=>'URL'
,p_attribute_02=>'DNI'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51726294667751385)
,p_name=>'P311_DNI_F_FILENAME'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(118888104593432754)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_prompt=>'DNI - Frente'
,p_source=>'DNI_F_FILENAME'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>2
,p_grid_label_column_span=>0
,p_display_when=>'P311_DNI_F_FILENAME'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51726650300751386)
,p_name=>'P311_ARCHIVO_DNI_F_FECHA'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(118888104593432754)
,p_prompt=>'Cargado el'
,p_source=>'P311_DNI_F_LAST_UPDATED'
,p_source_type=>'ITEM'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_grid_column=>4
,p_grid_label_column_span=>1
,p_display_when=>'P311_DNI_F_LAST_UPDATED'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51727082815751386)
,p_name=>'P311_DNI_F_BLOB_CONTENT'
,p_source_data_type=>'BLOB'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(118888104593432754)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_source=>'DNI_F_BLOB_CONTENT'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_FILE'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_grid_column=>7
,p_grid_label_column_span=>0
,p_field_template=>wwv_flow_api.id(50815110007672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'DB_COLUMN'
,p_attribute_02=>'DNI_F_MIME_TYPE'
,p_attribute_03=>'DNI_F_FILENAME'
,p_attribute_04=>'DNI_F_CHARACTER_SET'
,p_attribute_05=>'DNI_F_LAST_UPDATED'
,p_attribute_06=>'Y'
,p_attribute_07=>'<b>Descargar DNI - Frente</b>'
,p_attribute_08=>'attachment'
,p_attribute_11=>'image/* ,application/pdf'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51727466644751386)
,p_name=>'P311_DNI_F_MIME_TYPE'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(118888104593432754)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_source=>'DNI_F_MIME_TYPE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51727865586751386)
,p_name=>'P311_DNI_F_LAST_UPDATED'
,p_source_data_type=>'DATE'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(118888104593432754)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_source=>'DNI_F_LAST_UPDATED'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51728277933751386)
,p_name=>'P311_DNI_F_CHARACTER_SET'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(118888104593432754)
,p_item_source_plug_id=>wwv_flow_api.id(103689110340297409)
,p_source=>'DNI_F_CHARACTER_SET'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51728951442751387)
,p_name=>'P311_PD_1'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(117502667612772048)
,p_prompt=>'<span style="color: #ff0000;"><strong>Nota 1:</strong></span>'
,p_source=>'Los campos marcados con asterisco (*) son obligatorios.'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51729312064751387)
,p_name=>'P311_PD_2'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(117502667612772048)
,p_prompt=>'<span style="color: #ff0000;"><strong>Nota 2:</strong></span>'
,p_source=>unistr('En caso de ser una Sucesi\00F3n, no debe cargar el CUIL ni el DNI.')
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when_type=>'NEVER'
,p_field_template=>wwv_flow_api.id(50814832558672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(78034371718827701)
,p_name=>'P311_READ_ONLY'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(103689110340297409)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51745059665751397)
,p_validation_name=>unistr('Validar_d\00F1o_tipo_required')
,p_validation_sequence=>10
,p_validation=>unistr('P311_DUE\00D1O_TIPO_ID')
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('El tipo de due\00F1o es obligatorio.')
,p_validation_condition=>'P311_INTERVINIENTES_TIPO_ID'
,p_validation_condition2=>'1'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(51706883134751369)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51745885252751398)
,p_validation_name=>'Validar_persona_tipo_required'
,p_validation_sequence=>20
,p_validation=>'P311_PERSONA_TIPO_ID'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'El tipo de Persona es obligatorio.'
,p_associated_item=>wwv_flow_api.id(51706493742751369)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(18620092829666233)
,p_validation_name=>'PORCENTAJE NOT NULL'
,p_validation_sequence=>30
,p_validation=>'P311_PORCENTAJE'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'El Porcentaje es obligatorio.'
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where :P311_MATRICULA is not null or :P311_TIPO_SOLICITUD = 9'))
,p_validation_condition_type=>'EXISTS'
,p_associated_item=>wwv_flow_api.id(11162863440928118)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51746276956751398)
,p_validation_name=>'Validar_cuil_required'
,p_validation_sequence=>40
,p_validation=>'P311_CUIL'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('El n\00FAmero de CUIL/T es obligatorio.')
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where :P311_SUCESION = 0',
'  AND :P311_PERSONA_TIPO_ID is not null'))
,p_validation_condition_type=>'EXISTS'
,p_associated_item=>wwv_flow_api.id(51707637769751369)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51743464522751397)
,p_validation_name=>unistr('Validar si el cuil es v\00E1lido')
,p_validation_sequence=>50
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'   RES NUMBER;',
'   I   NUMBER;',
'   DIG NUMBER;',
'   NUM NUMBER;',
'   XID varchar(12) := :P311_CUIL;',
'  BEGIN',
'  ',
'   IF LENGTH (XID) != 11 OR',
'      SUBSTR (XID, 1, 2) = ''00'' THEN',
'   RETURN false;',
'   END IF;',
'   ',
'   RES:= 0;',
'   FOR I IN 1..10 LOOP',
'     NUM := TO_NUMBER (SUBSTR (XID, I, 1));',
'     IF I = 1 OR I = 7 THEN RES := RES + NUM * 5;',
'     ELSIF I = 2 OR I = 8  THEN RES := RES + NUM * 4;',
'     ELSIF I = 3 OR I = 9  THEN RES := RES + NUM * 3;',
'     ELSIF I = 4 OR I = 10 THEN RES := RES + NUM * 2;',
'     ELSIF I = 5 THEN RES := RES + NUM * 7;',
'     ELSIF I = 6 THEN RES := RES + NUM * 6;',
'     END IF;',
'   END LOOP;',
'   DIG := 11 - MOD (RES, 11);',
'   IF DIG = 11 THEN DIG := 0; END IF;',
'     ',
'   IF DIG = TO_NUMBER (SUBSTR (XID, 11, 1)) THEN',
'     RETURN true;',
'   ELSE',
'     RETURN false;',
'   END IF;',
'   ',
'   EXCEPTION',
'   WHEN OTHERS THEN',
'     RETURN false;',
'   END;'))
,p_validation_type=>'FUNC_BODY_RETURNING_BOOLEAN'
,p_error_message=>unistr('El n\00FAmero de CUIL/T ingresado es inv\00E1lido ...')
,p_always_execute=>'Y'
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where :P311_SUCESION = 0',
'  and :P311_CUIL is not null'))
,p_validation_condition_type=>'EXISTS'
,p_associated_item=>wwv_flow_api.id(51707637769751369)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51743899426751397)
,p_validation_name=>'Validar_dni_required'
,p_validation_sequence=>60
,p_validation=>'P311_DNI'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('El n\00FAmero de D.N.I. es obligatorio.')
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM DUAL',
'WHERE :P311_PERSONA_TIPO_ID = 1',
'  and :P311_SUCESION = 0'))
,p_validation_condition_type=>'EXISTS'
,p_associated_item=>wwv_flow_api.id(51708012286751370)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
,p_validation_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM DUAL',
'WHERE :P311_PERSONA_TIPO_ID = 1',
'  AND :P311_SUCESION = 0'))
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51746646646751398)
,p_validation_name=>'Validar_sucesion_required'
,p_validation_sequence=>70
,p_validation=>'P311_SUCESION'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('Indique si se trata de una sucesi\00F3n o no.')
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1 ',
'FROM DUAL',
'WHERE :P311_INTERVINIENTES_TIPO_ID = 1',
'  AND :P311_PERSONA_TIPO_ID = 1',
'  and 1=2'))
,p_validation_condition_type=>'EXISTS'
,p_associated_item=>wwv_flow_api.id(51707201308751369)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51744228453751397)
,p_validation_name=>'Validar_Apellido_required'
,p_validation_sequence=>80
,p_validation=>'P311_APELLIDO'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'El Apellido es obligatorio.'
,p_validation_condition=>'P311_PERSONA_TIPO_ID'
,p_validation_condition2=>'1'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(51708897159751370)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51745440420751398)
,p_validation_name=>'Validar_RazonSocial_required'
,p_validation_sequence=>90
,p_validation=>'P311_RAZON_SOCIAL'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>unistr('La Raz\00F3n Social es obligatorio.')
,p_validation_condition=>'P311_PERSONA_TIPO_ID'
,p_validation_condition2=>'2'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(51708481374751370)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51744623500751397)
,p_validation_name=>'Validar_nombre_required'
,p_validation_sequence=>100
,p_validation=>'P311_NOMBRE'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'El Nombre es obligatorio.'
,p_validation_condition=>'P311_PERSONA_TIPO_ID'
,p_validation_condition2=>'1'
,p_validation_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_associated_item=>wwv_flow_api.id(51709231034751370)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51747876145751399)
,p_validation_name=>unistr('Validar_Tama\00F1o_DNI_F')
,p_validation_sequence=>110
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
' v_length number:=0;',
' v_tipo varchar2(100);',
'begin',
'',
'if (:P311_DNI_F_BLOB_CONTENT is not null) then',
'   ',
'   select doc_size, mime_type',
'   into   v_length, v_tipo',
'   from   wwv_flow_files',
'   where  name = :P311_DNI_F_BLOB_CONTENT;',
'',
'    if (v_length > 5242880) then',
'       return(''DNI - Frente: No puede subir archivos de mas de 5MB!'');',
'    end if;',
'    ',
'    if ((INSTR(v_tipo, ''image/'') <= 0 )',
'       AND INSTR(v_tipo, ''application/pdf'') <= 0) then',
'       return(''DNI - Frente: Tipo de archivo no permitido, solo formatos de imagen o PDF!'');',
'    end if;',
'',
'end if;',
'end;'))
,p_validation_type=>'FUNC_BODY_RETURNING_ERR_TEXT'
,p_associated_item=>wwv_flow_api.id(51727082815751386)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51747037581751398)
,p_validation_name=>unistr('Validar_Tama\00F1o_DNI_D')
,p_validation_sequence=>120
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
' v_length number:=0;',
' v_tipo   varchar2(100);',
'begin',
'',
'if (:P311_DNI_D_BLOB_CONTENT is not null) then',
'   ',
'   select doc_size, mime_type',
'   into   v_length, v_tipo',
'   from   wwv_flow_files',
'   where  name = :P311_DNI_D_BLOB_CONTENT;',
'',
'    if (v_length > 5242880) then',
'       return(''DNI - Dorso: No puede subir archivos de mas de 5MB!'');',
'    end if;',
'    ',
'    if ((INSTR(v_tipo, ''image/'') <= 0 )',
'       AND INSTR(v_tipo, ''application/pdf'') <= 0) then',
'       return(''DNI - Dorso: Tipo de archivo no permitido, solo formatos de imagen o PDF!'');',
'    end if;',
'',
'end if;',
'end;'))
,p_validation_type=>'FUNC_BODY_RETURNING_ERR_TEXT'
,p_associated_item=>wwv_flow_api.id(51720819128751380)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51747421977751399)
,p_validation_name=>unistr('Validar_Tama\00F1o_CUIL')
,p_validation_sequence=>130
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
' v_length number:=0;',
' v_tipo   varchar2(100);',
'begin',
'',
'if (:P311_CUIL_BLOB_CONTENT is not null) then',
'   ',
'   select doc_size, mime_type',
'   into   v_length, v_tipo',
'   from   wwv_flow_files',
'   where  name = :P311_CUIL_BLOB_CONTENT;',
'',
'    if (v_length > 5242880) then',
'       return(''CUIL/T: No puede subir archivos de mas de 5MB!'');',
'    end if;',
'    ',
'    if ((INSTR(v_tipo, ''image/'') <= 0 )',
'       AND INSTR(v_tipo, ''application/pdf'') <= 0) then',
'       return(''CUIL/T: Tipo de archivo no permitido, solo formatos de imagen o PDF!'');',
'    end if;',
'',
'end if;',
'end;'))
,p_validation_type=>'FUNC_BODY_RETURNING_ERR_TEXT'
,p_associated_item=>wwv_flow_api.id(51723961346751384)
,p_error_display_location=>'INLINE_WITH_FIELD'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(18033724054180637)
,p_validation_name=>'PORCENTAJE <= 100'
,p_validation_sequence=>140
,p_validation=>':P311_PORCENTAJE <= 100'
,p_validation_type=>'PLSQL_EXPRESSION'
,p_error_message=>'El Porcentaje no puede ser mayor al 100%'
,p_validation_condition_type=>'NEVER'
,p_associated_item=>wwv_flow_api.id(11162863440928118)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
,p_validation_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where :P311_MATRICULA is not null or :P311_TIPO_SOLICITUD = 9',
''))
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(44929423677539101)
,p_validation_name=>'DNI frontal not null'
,p_validation_sequence=>150
,p_validation=>'P311_DNI_F_BLOB_CONTENT'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'La Foto Frontal del D.N.I. es requerida.'
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM SOLICITUD_PERSONAS',
'WHERE DNI_F_FILENAME IS NULL',
'AND (id = :P311_ID OR :P311_ID IS NULL)',
'AND :P311_MATRICULA IS NOT NULL ',
'AND :P311_PERSONA_TIPO_ID = 1',
'and :P311_SUCESION = 0'))
,p_validation_condition_type=>'EXISTS'
,p_associated_item=>wwv_flow_api.id(51727082815751386)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(44929585915539102)
,p_validation_name=>'DNI Dorso not null'
,p_validation_sequence=>160
,p_validation=>'P311_DNI_D_BLOB_CONTENT'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'La Foto del Dorso del D.N.I. es requerida.'
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM SOLICITUD_PERSONAS',
'WHERE DNI_D_FILENAME IS NULL',
'AND (id = :P311_ID OR :P311_ID IS NULL)',
'AND :P311_MATRICULA IS NOT NULL',
'AND :P311_PERSONA_TIPO_ID = 1',
'and :P311_SUCESION = 0'))
,p_validation_condition_type=>'EXISTS'
,p_associated_item=>wwv_flow_api.id(51720819128751380)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(44929646167539103)
,p_validation_name=>'Foto CUIL/CUIT not null'
,p_validation_sequence=>170
,p_validation=>'P311_CUIL_BLOB_CONTENT'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'La constancia del CUIL/CUIT es requerida.'
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM SOLICITUD_PERSONAS',
'WHERE CUIL_FILENAME IS NULL',
'AND (id = :P311_ID OR :P311_ID IS NULL)',
'AND :P311_MATRICULA IS NOT NULL',
'AND :P311_PERSONA_TIPO_ID is not null',
'and :P311_SUCESION = 0'))
,p_validation_condition_type=>'EXISTS'
,p_associated_item=>wwv_flow_api.id(51723961346751384)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51759093365751405)
,p_name=>'On_load'
,p_event_sequence=>1
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
,p_display_when_type=>'NEVER'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51759573848751406)
,p_event_id=>wwv_flow_api.id(51759093365751405)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P311_SUCESION,P311_DNI,P311_RAZON_SOCIAL,P311_APELLIDO,P311_NOMBRE,P311_FECHANACIMIENTO,P311_NACIONALIDAD_ID,P311_SEXO_ID,P311_ESTADO_CIVIL_ID'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51759944957751406)
,p_name=>'Change'
,p_event_sequence=>9
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P311_PERSONA_TIPO_ID'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51760469888751406)
,p_event_id=>wwv_flow_api.id(51759944957751406)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P311_SUCESION,P311_DNI,P311_CUIL,P311_RAZON_SOCIAL,P311_APELLIDO,P311_NOMBRE,P311_FECHANACIMIENTO,P311_NACIONALIDAD_ID,P311_SEXO_ID,P311_ESTADO_CIVIL_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51760986133751406)
,p_event_id=>wwv_flow_api.id(51759944957751406)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P311_SUCESION,P311_DNI,P311_CUIL,P311_RAZON_SOCIAL,P311_APELLIDO,P311_NOMBRE,P311_FECHANACIMIENTO,P311_SEXO_ID,P311_ESTADO_CIVIL_ID,P311_DOMICILIO_CALLE,P311_DOMICILIO_NUMERO'
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51761441644751407)
,p_event_id=>wwv_flow_api.id(51759944957751406)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(118888104593432754)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51761910917751407)
,p_event_id=>wwv_flow_api.id(51759944957751406)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(111403014862925770)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51762423737751407)
,p_event_id=>wwv_flow_api.id(51759944957751406)
,p_event_result=>'TRUE'
,p_action_sequence=>50
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(112702837179670028)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51750139111751401)
,p_name=>'Cancel Dialog'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(51730037943751388)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51750603532751401)
,p_event_id=>wwv_flow_api.id(51750139111751401)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51751033875751401)
,p_name=>'Change_igual_1'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P311_PERSONA_TIPO_ID'
,p_condition_element=>'P311_PERSONA_TIPO_ID'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'1'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
,p_display_when_type=>'ITEM_IS_NULL'
,p_display_when_cond=>'P311_TIPO_SOLICITUD'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51751517784751401)
,p_event_id=>wwv_flow_api.id(51751033875751401)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P311_SUCESION,P311_DNI,P311_CUIL,P311_APELLIDO,P311_NOMBRE,P311_FECHANACIMIENTO,P311_NACIONALIDAD_ID,P311_SEXO_ID,P311_ESTADO_CIVIL_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51752087139751402)
,p_event_id=>wwv_flow_api.id(51751033875751401)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(118888104593432754)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51752520762751402)
,p_event_id=>wwv_flow_api.id(51751033875751401)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(111403014862925770)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51753052063751402)
,p_event_id=>wwv_flow_api.id(51751033875751401)
,p_event_result=>'TRUE'
,p_action_sequence=>60
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(112702837179670028)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(14205976892661830)
,p_name=>'Change_igual_1_tipo_solic'
,p_event_sequence=>30
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P311_PERSONA_TIPO_ID'
,p_condition_element=>'P311_PERSONA_TIPO_ID'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'1'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_display_when_cond=>'P311_TIPO_SOLICITUD'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(14206262293661833)
,p_event_id=>wwv_flow_api.id(14205976892661830)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P311_SUCESION,P311_DNI,P311_CUIL,P311_APELLIDO,P311_NOMBRE,P311_FECHANACIMIENTO,P311_NACIONALIDAD_ID,P311_SEXO_ID,P311_ESTADO_CIVIL_ID'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(33380197711602804)
,p_event_id=>wwv_flow_api.id(14205976892661830)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(118888104593432754)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(33380202072602805)
,p_event_id=>wwv_flow_api.id(14205976892661830)
,p_event_result=>'TRUE'
,p_action_sequence=>50
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(111403014862925770)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(33380397484602806)
,p_event_id=>wwv_flow_api.id(14205976892661830)
,p_event_result=>'TRUE'
,p_action_sequence=>60
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(112702837179670028)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51753480995751402)
,p_name=>'Change_igual_2'
,p_event_sequence=>40
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P311_PERSONA_TIPO_ID'
,p_condition_element=>'P311_PERSONA_TIPO_ID'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'2'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
,p_display_when_type=>'ITEM_IS_NULL'
,p_display_when_cond=>'P311_TIPO_SOLICITUD'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51753940260751403)
,p_event_id=>wwv_flow_api.id(51753480995751402)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_ENABLE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P311_CUIL'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51754419179751403)
,p_event_id=>wwv_flow_api.id(51753480995751402)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P311_RAZON_SOCIAL,P311_CUIL'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51754964792751403)
,p_event_id=>wwv_flow_api.id(51753480995751402)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(112702837179670028)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(14206475962661835)
,p_name=>'Change_igual_2_tipo_solic'
,p_event_sequence=>50
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P311_PERSONA_TIPO_ID'
,p_condition_element=>'P311_PERSONA_TIPO_ID'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'2'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_display_when_cond=>'P311_TIPO_SOLICITUD'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(14206794544661838)
,p_event_id=>wwv_flow_api.id(14206475962661835)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_ENABLE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P311_CUIL'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(14206698706661837)
,p_event_id=>wwv_flow_api.id(14206475962661835)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P311_RAZON_SOCIAL,P311_CUIL'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(33380409080602807)
,p_event_id=>wwv_flow_api.id(14206475962661835)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(112702837179670028)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51755368428751403)
,p_name=>'Sucesion_Change'
,p_event_sequence=>60
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P311_SUCESION'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51755877080751404)
,p_event_id=>wwv_flow_api.id(51755368428751403)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P311_CUIL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51756205435751404)
,p_name=>'Igual_0'
,p_event_sequence=>70
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P311_SUCESION'
,p_condition_element=>'P311_SUCESION'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'0'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51756747060751404)
,p_event_id=>wwv_flow_api.id(51756205435751404)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_ENABLE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P311_CUIL,P311_DNI'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51757613032751405)
,p_name=>'Igual_1'
,p_event_sequence=>80
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P311_SUCESION'
,p_condition_element=>'P311_SUCESION'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'1'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51758127961751405)
,p_event_id=>wwv_flow_api.id(51757613032751405)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_DISABLE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P311_CUIL,P311_DNI'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51748141851751399)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get PK'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin ',
'    if :P311_ID is null then',
'        select "#OWNER#"."SEQ_SOLICITUD_PERSONAS".nextval',
'          into :P311_ID',
'          from sys.dual;',
'    end if;',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(51731275331751389)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(10517911196126917)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Quitar Propietario de Matricula'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DELETE FROM MENSURA_MATRICULA_PROPIETARIO',
'WHERE PERSONA_ID = :P311_ID;',
'--AND   MATRICULA_ID = :P32_MATRICULA_MAESTRO;',
'',
''))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(51730436433751388)
,p_process_when=>'P311_MATRICULA'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51748584140751400)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Asignar Secuencia Propietario'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare ',
'    v_count number := 0;',
'    v_sec NUMBER := 0; ',
'begin ',
'',
'  select count(*) into v_count ',
'    from solicitud_personas SP ',
'   where ((SP.SOLICITUD_ID = :P311_SOLICITUD_ID) OR (SP.SOLICITUD_ID IS NULL AND SP.USUARIO_ID = :PERSONA_ID))',
'     AND SP.INTERVINIENTES_TIPO_ID = 1;',
'',
'  if v_count != 0 then',
'      select nvl(MAX(SP.SECUENCIA),0) INTO v_sec',
'        from solicitud_personas SP',
'       where ((SP.SOLICITUD_ID = :P311_SOLICITUD_ID) OR (SP.SOLICITUD_ID IS NULL AND SP.USUARIO_ID = :PERSONA_ID))',
'         AND SP.INTERVINIENTES_TIPO_ID = 1',
'       GROUP BY sp.SOLICITUD_ID;',
'  end if;',
'  ',
'  :P311_secuencia := v_sec + 1;',
'',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(51731275331751389)
,p_process_when=>'P311_INTERVINIENTES_TIPO_ID'
,p_process_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_process_when2=>'1'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51749326247751400)
,p_process_sequence=>50
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Asignar Secuencia Solicitante'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare ',
'    v_count number := 0;',
'    v_sec NUMBER := 0; ',
'begin ',
'',
'-- Beneficiario / Solicitante  -- ',
'',
'  ',
'  select count(*) into v_count ',
'    from solicitud_personas SP ',
'   where ((SP.SOLICITUD_ID = :P311_SOLICITUD_ID) OR (SP.SOLICITUD_ID IS NULL AND SP.USUARIO_ID = :PERSONA_ID))',
'     AND SP.INTERVINIENTES_TIPO_ID = 2;',
'',
'  if v_count != 0 then',
'      select nvl(MAX(SP.SECUENCIA),0) INTO v_sec',
'        from solicitud_personas SP',
'       where ((SP.SOLICITUD_ID = :P311_SOLICITUD_ID) OR (SP.SOLICITUD_ID IS NULL AND SP.USUARIO_ID = :PERSONA_ID))',
'         AND SP.INTERVINIENTES_TIPO_ID = 2',
'       GROUP BY sp.SOLICITUD_ID;',
'  end if;',
'  ',
'  :P311_secuencia := v_sec + 1;',
'',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(51731275331751389)
,p_process_when=>'P311_INTERVINIENTES_TIPO_ID'
,p_process_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_process_when2=>'2'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51703455004751366)
,p_process_sequence=>60
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(103689110340297409)
,p_process_type=>'NATIVE_FORM_DML'
,p_process_name=>'Process form Propietario / Sujeto'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_success_message=>unistr('Acci\00F3n Procesada!')
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51749724838751400)
,p_process_sequence=>70
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Asignar_Persona_id_en Solicitud_Archivos'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'update SOLICITUD_ARCHIVOS ',
'set SOLICITUD_PERSONAS_ID = :P311_ID, PER_SECUENCIA = :P311_secuencia',
'where SOLICITUD_ID is null ',
'  and USUARIO_ID = :PERSONA_ID',
'  and SOLICITUD_PERSONAS_ID is null',
'  and ARCHIVO_TIPO_ID in (4,5,6) ',
'  and SECUENCIA = 1;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(51731275331751389)
,p_process_when_type=>'NEVER'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(10518867931126926)
,p_process_sequence=>80
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Asignar Propietario a Matricula'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'INSERT INTO MENSURA_MATRICULA_PROPIETARIO',
'VALUES (:P32_MATRICULA_MAESTRO, :P311_ID);',
'',
'UPDATE SOLICITUD_PERSONAS',
'SET    ORIGEN_MATRICULA	= ''S''',
'WHERE  ID = :P311_ID;',
'',
''))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'P311_MATRICULA'
,p_process_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_process_when2=>'NUEVO'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(14207167717661842)
,p_process_sequence=>90
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>unistr('Actualizar Colecci\00F3n')
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'CASE :REQUEST',
'    WHEN ''SAVE'' THEN',
'        APEX_COLLECTION.UPDATE_MEMBER (',
'        p_collection_name => ''vt_titulares'',',
'        p_seq             => :SECUENCIA,',
'        p_c001            => :P311_ID,',
'        p_c002            => :P311_SOLICITUD_ID,',
'        p_c003            => :P311_RAZON_SOCIAL,',
'        p_c004            => :P311_APELLIDO,',
'        p_c005            => :P311_NOMBRE,',
'        p_c006            => :P311_FECHANACIMIENTO,',
'        p_c007            => :P311_SEXO_ID,',
'        p_c008            => :P311_ESTADO_CIVIL_ID,',
'        p_c009            => :P311_NACIONALIDAD_ID,',
'        p_c010            => :P311_tipo_documento,',
'        p_c011            => :P311_DNI,',
'        p_c012            => :P311_DOMICILIO_LOCALIDAD_ID,',
'        p_c013            => :P311_DOMICILIO_CALLE,',
'        p_c014            => :P311_DOMICILIO_NUMERO,',
'        p_c015            => :P311_PROVINCIA,',
'        p_c016            => :P311_DEPARTAMENTO,',
'        p_c017            => :P311_porcentaje,',
'        p_c018            => :P311_CUIL,',
'        p_c019            => :P311_PERSONA_TIPO_ID',
'        );',
'    ',
'    WHEN ''CREATE'' THEN',
'        APEX_COLLECTION.ADD_MEMBER(',
'        p_collection_name => ''vt_titulares'',',
'        p_c001            => :P311_ID,',
'        p_c002            => :P311_SOLICITUD_ID,',
'        p_c003            => :P311_RAZON_SOCIAL,',
'        p_c004            => :P311_APELLIDO,',
'        p_c005            => :P311_NOMBRE,',
'        p_c006            => :P311_FECHANACIMIENTO,',
'        p_c007            => :P311_SEXO_ID,',
'        p_c008            => :P311_ESTADO_CIVIL_ID,',
'        p_c009            => :P311_NACIONALIDAD_ID,',
'        p_c010            => :P311_tipo_documento,',
'        p_c011            => :P311_DNI,',
'        p_c012            => :P311_DOMICILIO_LOCALIDAD_ID,',
'        p_c013            => :P311_DOMICILIO_CALLE,',
'        p_c014            => :P311_DOMICILIO_NUMERO,',
'        p_c015            => :P311_PROVINCIA,',
'        p_c016            => :P311_DEPARTAMENTO,',
'        p_c017            => :P311_porcentaje,',
'        p_c018            => :P311_CUIL,',
'        p_c019            => :P311_PERSONA_TIPO_ID',
'        );',
'    WHEN ''DELETE'' THEN',
'        APEX_COLLECTION.DELETE_MEMBER (',
'            p_collection_name => ''vt_titulares'',',
'            p_seq => :SECUENCIA);',
'    ELSE',
'        null;',
'END CASE;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_type=>'NEVER'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51748944302751400)
,p_process_sequence=>100
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close Dialog'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'CREATE,SAVE,DELETE'
,p_process_when_type=>'REQUEST_IN_CONDITION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51703019520751366)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_region_id=>wwv_flow_api.id(103689110340297409)
,p_process_type=>'NATIVE_FORM_INIT'
,p_process_name=>'Initialize form Porpietario / Sujeto'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(16406119027025923)
,p_process_sequence=>20
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Initialize from collection vt_titulares'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select  c001,',
'        c002,',
'        c003,',
'        c004,',
'        c005,',
'        c006,',
'        c007,',
'        c008,',
'        c009,',
'        --c010,',
'        c011,',
'        c012,',
'        c013,',
'        c014,',
'        c015,',
'        c016,',
'        c017,',
'        c018,',
'        c019',
'',
'into    :P311_ID,',
'        :P311_SOLICITUD_ID,',
'        :P311_RAZON_SOCIAL,',
'        :P311_APELLIDO,',
'        :P311_NOMBRE,',
'        :P311_FECHANACIMIENTO,',
'        :P311_SEXO_ID, ',
'        :P311_ESTADO_CIVIL_ID,',
'        :P311_NACIONALIDAD_ID,',
'        --:P311_tipo_documento,',
'        :P311_DNI,',
'        :P311_DOMICILIO_LOCALIDAD_ID,',
'        :P311_DOMICILIO_CALLE,',
'        :P311_DOMICILIO_NUMERO,',
'        :P311_PROVINCIA,',
'        :P311_DEPARTAMENTO,',
'        :P311_porcentaje,',
'        :P311_CUIL,',
'        :P311_PERSONA_TIPO_ID',
'from apex_collections',
'where collection_name = ''vt_titulares''',
'and seq_id = :SECUENCIA;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_type=>'NEVER'
);
wwv_flow_api.component_end;
end;
/
