prompt --application/pages/page_00314
begin
--   Manifest
--     PAGE: 00314
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>314
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Mensura. Cargar Archivos'
,p_page_mode=>'MODAL'
,p_step_title=>'Mensura. Cargar Archivos'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>'var htmldb_delete_message=''"DELETE_CONFIRM_MSG"'';'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.ui-dialog{',
'    height: 480px;',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_dialog_height=>'560'
,p_protection_level=>'C'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20201228181917'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(52903200996458108)
,p_plug_name=>'botonera'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50729062024672289)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_03'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(114277778283603386)
,p_plug_name=>'Cargar Archivo'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'TABLE'
,p_query_table=>'SOLICITUD_ARCHIVOS'
,p_include_rowid_column=>false
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_plug_source_type=>'NATIVE_FORM'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51834226309757935)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(52903200996458108)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Cancelar'
,p_button_position=>'REGION_TEMPLATE_CLOSE'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-times'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51833848426757935)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(52903200996458108)
,p_button_name=>'SAVE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Guardar Cambios'
,p_button_position=>'REGION_TEMPLATE_CREATE'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from   dual',
'where  :P314_ID is not null ',
'and    :P314_ARCHIVO_EDITABLE = 1',
'and    FNC_OBTENER_ULTIMO_ESTADO(:P314_SOLICITUD_ID) in (0, 3)',
'and    :P314_USUARIO_ID = :PERSONA_ID'))
,p_button_condition_type=>'EXISTS'
,p_icon_css_classes=>'fa-save'
,p_database_action=>'UPDATE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51835043168757936)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(52903200996458108)
,p_button_name=>'DELETE'
,p_button_action=>'REDIRECT_URL'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_image_alt=>'Eliminar Archivo'
,p_button_position=>'REGION_TEMPLATE_DELETE'
,p_button_redirect_url=>unistr('javascript:apex.confirm(''\00BFConfirma que desea Eliminar el Archivo?'', ''DELETE'');')
,p_button_execute_validations=>'N'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from   dual',
'where  :P314_ID is not null ',
'and    :P314_ARCHIVO_EDITABLE = 1',
'and    :P314_USUARIO_ID = :PERSONA_ID',
'and',
'((',
'    FNC_OBTENER_ULTIMO_ESTADO(:P314_SOLICITUD_ID) in (0, 3)',
'    and    :ES_INTERNO = ''N''',
')',
'or',
'(   ',
'    FNC_OBTENER_ULTIMO_ESTADO(:P314_SOLICITUD_ID) in (2,4,5)',
'    and ',
'    PKG_MENSURA.FNC_AREA_ACCESO_BLOQUE(:AREA, 19) = 1',
'))'))
,p_button_condition_type=>'EXISTS'
,p_icon_css_classes=>'fa-trash'
,p_database_action=>'DELETE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(51834626602757935)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(52903200996458108)
,p_button_name=>'CREATE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Cargar Archivo'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'  from ARCHIVO_TIPO',
' where :p314_id is null',
'   and id in (4,5,6)',
'   and id not in (select ARCHIVO_TIPO_ID',
'                   from SOLICITUD_ARCHIVOS',
'                  where SOLICITUD_PERSONAS_ID = :P314_SOLICITUD_PERSONAS_ID)'))
,p_button_condition_type=>'EXISTS'
,p_icon_css_classes=>'fa-file-plus'
,p_database_action=>'INSERT'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33592174201289903)
,p_name=>'P314_ELIMINAR_ARCHIVO'
,p_item_sequence=>180
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(38128705166827922)
,p_name=>'P314_NOMBRE_ARCHIVO'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_prompt=>'Nombre del Archivo'
,p_source=>'P314_FILENAME'
,p_source_type=>'ITEM'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_display_when=>'P314_ID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51835459543757936)
,p_name=>'P314_ID'
,p_source_data_type=>'NUMBER'
,p_is_primary_key=>true
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_item_source_plug_id=>wwv_flow_api.id(114277778283603386)
,p_source=>'ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51835820025757936)
,p_name=>'P314_ARCHIVO_EDITABLE'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_item_source_plug_id=>wwv_flow_api.id(114277778283603386)
,p_item_default=>'1'
,p_source=>'ARCHIVO_EDITABLE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51836282640757936)
,p_name=>'P314_SOLICITUD_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_item_source_plug_id=>wwv_flow_api.id(114277778283603386)
,p_source=>'SOLICITUD_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51836673028757937)
,p_name=>'P314_SECUENCIA'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_item_source_plug_id=>wwv_flow_api.id(114277778283603386)
,p_source=>'SECUENCIA'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51837085977757937)
,p_name=>'P314_SOLICITUD_PERSONAS_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_item_source_plug_id=>wwv_flow_api.id(114277778283603386)
,p_source=>'SOLICITUD_PERSONAS_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51837430886757937)
,p_name=>'P314_ARCHIVO_TIPO_ID'
,p_source_data_type=>'NUMBER'
,p_is_required=>true
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_item_source_plug_id=>wwv_flow_api.id(114277778283603386)
,p_prompt=>'Tipo de Archivo'
,p_source=>'ARCHIVO_TIPO_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select descripcion, id',
'  from ARCHIVO_TIPO',
'order by id asc'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51837870151757937)
,p_name=>'P314_USUARIO_ID'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_item_source_plug_id=>wwv_flow_api.id(114277778283603386)
,p_item_default=>':persona_id'
,p_item_default_type=>'PLSQL_EXPRESSION'
,p_source=>'USUARIO_ID'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51838219619757938)
,p_name=>'P314_BLOB_CONTENT'
,p_source_data_type=>'BLOB'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_item_source_plug_id=>wwv_flow_api.id(114277778283603386)
,p_prompt=>'Archivo'
,p_source=>'BLOB_CONTENT'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_FILE'
,p_cSize=>60
,p_cMaxlength=>255
,p_tag_attributes=>'accept="image/*,.pdf"'
,p_display_when=>'P314_ELIMINAR_ARCHIVO'
,p_display_when_type=>'ITEM_IS_NULL'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where (:P314_ID is null)',
'   or (:P314_ID is not null and :P314_ARCHIVO_EDITABLE = 1)'))
,p_read_only_when_type=>'NOT_EXISTS'
,p_field_template=>wwv_flow_api.id(50815392461672344)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'DB_COLUMN'
,p_attribute_02=>'MIME_TYPE'
,p_attribute_03=>'FILENAME'
,p_attribute_04=>'CHARACTER_SET'
,p_attribute_05=>'LAST_UPDATED'
,p_attribute_06=>'Y'
,p_attribute_07=>'<b>Descargar Archivo</b>'
,p_attribute_08=>'attachment'
,p_attribute_11=>'image/png,image/jpg.image/jpeg,application/pdf'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51838665645757938)
,p_name=>'P314_FILENAME_HARD_DISK'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_item_source_plug_id=>wwv_flow_api.id(114277778283603386)
,p_source=>'FILENAME_HARD_DISK'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51839092675757938)
,p_name=>'P314_FILENAME'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_item_source_plug_id=>wwv_flow_api.id(114277778283603386)
,p_source=>'FILENAME'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51839435468757938)
,p_name=>'P314_MIME_TYPE'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_item_source_plug_id=>wwv_flow_api.id(114277778283603386)
,p_source=>'MIME_TYPE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51839806077757938)
,p_name=>'P314_CHARACTER_SET'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_item_source_plug_id=>wwv_flow_api.id(114277778283603386)
,p_source=>'CHARACTER_SET'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51840296894757939)
,p_name=>'P314_LAST_UPDATED'
,p_source_data_type=>'DATE'
,p_item_sequence=>150
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_item_source_plug_id=>wwv_flow_api.id(114277778283603386)
,p_source=>'LAST_UPDATED'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51840671239757939)
,p_name=>'P314_OBSERVACIONES'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>160
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_item_source_plug_id=>wwv_flow_api.id(114277778283603386)
,p_prompt=>'Observaciones'
,p_source=>'OBSERVACIONES'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>60
,p_cMaxlength=>500
,p_cHeight=>4
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from   dual',
'where  :P314_ARCHIVO_EDITABLE = 1',
'and    FNC_OBTENER_ULTIMO_ESTADO(:P314_SOLICITUD_ID) in (0, 2, 3)',
'and    :P314_USUARIO_ID = :PERSONA_ID'))
,p_read_only_when_type=>'NOT_EXISTS'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(51841055360757939)
,p_name=>'P314_PD_1'
,p_item_sequence=>170
,p_item_plug_id=>wwv_flow_api.id(114277778283603386)
,p_prompt=>'<span style="color: #ff0000;"><strong>Nota:</strong></span>'
,p_source=>'Los campos marcados con asterisco (*) son obligatorios.'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(50815073042672343)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51846960939757943)
,p_validation_name=>'Not null'
,p_validation_sequence=>9
,p_validation=>'P314_BLOB_CONTENT'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'Archivo: Debe cargar el archivo.'
,p_validation_condition=>'P314_ELIMINAR_ARCHIVO'
,p_validation_condition_type=>'ITEM_IS_NULL'
,p_when_button_pressed=>wwv_flow_api.id(51834626602757935)
,p_associated_item=>wwv_flow_api.id(51838219619757938)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(51846501074757943)
,p_validation_name=>unistr('Validar_Tama\00F1o')
,p_validation_sequence=>10
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
' v_length number:=0;',
'begin',
'',
'if (:P314_blob_content is not null) then',
'   ',
'   select doc_size into v_length',
'   from   wwv_flow_files',
'   where  name = :P314_blob_content;',
'',
'    if (v_length > 5242880) then',
'       return(''No puede subir archivos de mas de 5MB!'');',
'    end if;',
'',
'end if;',
'end;'))
,p_validation_type=>'FUNC_BODY_RETURNING_ERR_TEXT'
,p_validation_condition=>'P314_ELIMINAR_ARCHIVO'
,p_validation_condition_type=>'ITEM_IS_NULL'
,p_associated_item=>wwv_flow_api.id(51838219619757938)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(38127605912827911)
,p_validation_name=>'Validar_Extension'
,p_validation_sequence=>20
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
' v_tipo varchar2(100);',
'begin',
'',
'if (:P314_blob_content is not null) then',
'   ',
'   select mime_type into v_tipo',
'   from   wwv_flow_files',
'   where  name = :P314_blob_content;',
'',
'    if ((INSTR(v_tipo, ''image/'') <= 0 )',
'       AND INSTR(v_tipo, ''application/pdf'') <= 0) then',
'       return(''Tipo de archivo no permitido, solo formatos de imagen o PDF!'');',
'    end if;',
'',
'end if;',
'end;'))
,p_validation_type=>'FUNC_BODY_RETURNING_ERR_TEXT'
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P314_ELIMINAR_ARCHIVO is null',
'AND',
':P314_ARCHIVO_TIPO_ID not in (20, 21, 22)'))
,p_validation_condition_type=>'PLSQL_EXPRESSION'
,p_associated_item=>wwv_flow_api.id(51838219619757938)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(51848493615757944)
,p_name=>'Cancelar'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(51834226309757935)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(51848953009757944)
,p_event_id=>wwv_flow_api.id(51848493615757944)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(18619463595666227)
,p_name=>'Disable CREATE'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(51834626602757935)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
,p_display_when_type=>'NEVER'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18619575778666228)
,p_event_id=>wwv_flow_api.id(18619463595666227)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DISABLE'
,p_affected_elements_type=>'BUTTON'
,p_affected_button_id=>wwv_flow_api.id(51834626602757935)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(18619795609666230)
,p_event_id=>wwv_flow_api.id(18619463595666227)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SUBMIT_PAGE'
,p_attribute_01=>'CREATE'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51847691723757943)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get PK'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin ',
'    if :P311_ID is null then',
'        select "#OWNER#"."SEQ_SOLICITUD_ARCHIVOS".nextval',
'          into :P314_ID',
'          from sys.dual;',
'    end if;',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(51834626602757935)
,p_process_when=>'P314_ELIMINAR_ARCHIVO'
,p_process_when_type=>'ITEM_IS_NULL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51848034246757943)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Asignar Secuencia Archivos'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare ',
'    v_count number := 0;',
'    v_sec NUMBER := 0; ',
'begin ',
' ',
'  select count(*) into v_count ',
'    from SOLICITUD_ARCHIVOS A ',
'   where ((A.SOLICITUD_ID = :P314_SOLICITUD_ID) OR (A.SOLICITUD_ID IS NULL AND A.USUARIO_ID = :PERSONA_ID))',
'     AND A.ARCHIVO_TIPO_ID = :P314_ARCHIVO_TIPO_ID;',
'',
'  if v_count != 0 then',
'      select nvl(MAX(A.SECUENCIA),0) INTO v_sec',
'        from SOLICITUD_ARCHIVOS A',
'       where ((A.SOLICITUD_ID = :P314_SOLICITUD_ID) OR (A.SOLICITUD_ID IS NULL AND A.USUARIO_ID = :PERSONA_ID))',
'         AND A.ARCHIVO_TIPO_ID = :P314_ARCHIVO_TIPO_ID',
'       GROUP BY A.SOLICITUD_ID;',
'  end if;',
'  ',
'  :P314_secuencia := v_sec + 1;',
' ',
'end;',
'',
''))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(51834626602757935)
,p_process_when=>'P314_ELIMINAR_ARCHIVO'
,p_process_when_type=>'ITEM_IS_NULL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51841895253757940)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(114277778283603386)
,p_process_type=>'NATIVE_FORM_DML'
,p_process_name=>'Process form Cargar Archivo'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_success_message=>unistr('Archivo cargado con \00E9xito.')
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51847279091757943)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close Dialog'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'CREATE,SAVE,DELETE'
,p_process_when_type=>'REQUEST_IN_CONDITION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(51841489652757939)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_region_id=>wwv_flow_api.id(114277778283603386)
,p_process_type=>'NATIVE_FORM_INIT'
,p_process_name=>'Initialize form Cargar Archivo'
);
wwv_flow_api.component_end;
end;
/
