prompt --application/pages/page_02000
begin
--   Manifest
--     PAGE: 02000
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>2000
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>unistr('Impresi\00F3n Formulario RPI')
,p_alias=>'IMPRESION-FORMULARIO-RPI'
,p_step_title=>unistr('Impresi\00F3n Formulario RPI')
,p_reload_on_submit=>'A'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code_onload=>'apex.submit(''IMPRIMIR'')'
,p_step_template=>wwv_flow_api.id(50713556216672278)
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210325104055'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17747934189122511)
,p_name=>'P2000_SOLICITUD'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(11165862968928148)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(44306487508768614)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>unistr('Impresi\00F3n RPI')
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'vcName varchar2(200);',
'lParams PK_JRXML2PDF_REPGEN.TPARAMLIST;',
'bl BLOB;',
'begin ',
'',
'select case solicitud_tipo_id',
'        when 4 then ''FORMULARIO01''',
'        when 5 then ''FORMULARIO02''',
'        when 6 then ''FORMULARIO03''',
'        when 7 then ''FORMULARIO04''',
'        when 8 then ''FORMULARIO05''',
'        when 9 then ''FORMULARIO07''',
'       end',
'into vcName',
'from solicitud ',
'where id = :P2000_SOLICITUD;',
'',
'--validacion para ver si generar nuevamente el formulario',
'--IF FNC_OBTENER_ULTIMO_ESTADO(:P2000_SOLICITUD) in (1,3,4) THEN',
'    lParams(1).vcName := ''P_ID'';',
'    lParams(1).vcValue := :P2000_SOLICITUD;',
'',
'    bl := PK_JRXML2PDF_REPGEN.FK_RUN(i_vcName=> vcName,',
'                                     i_lParams=> lParams);',
' /*                                    ',
'    UPDATE SOLICITUD SET RPI_BLOB_CONTENT = bl,',
'                     RPI_FILENAME = :P2000_SOLICITUD||''_''||vcName||''.pdf'',',
'                     RPI_MIME_TYPE = ''application/pdf'',',
'                     RPI_LAST_UPDATED = sysdate,',
'                     RPI_FIRMADO = ''N''',
'    WHERE ID = :P2000_SOLICITUD;',
'    commit;',
'ELSE',
'    BEGIN',
'        SELECT  RPI_BLOB_CONTENT',
'        INTO    bl',
'        FROM    SOLICITUD',
'        WHERE   ID = :P2000_SOLICITUD',
'        AND     RPI_FILENAME IS NOT NULL;',
'',
'        EXCEPTION when others then ',
'            lParams(1).vcName := ''P_ID'';',
'            lParams(1).vcValue := :P2000_SOLICITUD;',
'',
'            bl := PK_JRXML2PDF_REPGEN.FK_RUN(i_vcName=> vcName,',
'                                             i_lParams=> lParams);',
'',
'            UPDATE SOLICITUD SET RPI_BLOB_CONTENT = bl,',
'                             RPI_FILENAME = :P2000_SOLICITUD||''_''||vcName||''.pdf'',',
'                             RPI_MIME_TYPE = ''application/pdf'',',
'                             RPI_LAST_UPDATED = sysdate,',
'                             RPI_FIRMADO = ''N''',
'            WHERE ID = :P2000_SOLICITUD;',
'            commit;',
'    END;',
'END IF;',
'*/',
'',
'PK_JRXML2PDF_REPGEN.PR_SHOW_REPORT(bl);',
'',
'APEX_APPLICATION.STOP_APEX_ENGINE;',
'',
'exception',
'    when others then',
'        raise_application_Error(-20000,'' error ''||sqlerrm);',
'end;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
