prompt --application/shared_components/logic/application_computations/perfil
begin
--   Manifest
--     APPLICATION COMPUTATION: PERFIL
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_flow_computation(
 p_id=>wwv_flow_api.id(51872170090931164)
,p_computation_sequence=>30
,p_computation_item=>'PERFIL'
,p_computation_point=>'AFTER_LOGIN'
,p_computation_type=>'QUERY'
,p_computation_processed=>'REPLACE_EXISTING'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select P.PERFIL_ID',
'from persona P',
'where P.cuil = :app_user'))
);
wwv_flow_api.component_end;
end;
/
