prompt --application/shared_components/navigation/lists/desktop_navigation_bar
begin
--   Manifest
--     LIST: Desktop Navigation Bar
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_list(
 p_id=>wwv_flow_api.id(50838381946672386)
,p_name=>'Desktop Navigation Bar'
,p_list_status=>'PUBLIC'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(44268925421871009)
,p_list_item_display_sequence=>0
,p_list_item_link_text=>'&AREA_NOMBRE.: &ROL_NOMBRE.'
,p_list_item_link_target=>'#'
,p_list_item_icon=>'fa-layers'
,p_list_item_disp_cond_type=>'PLSQL_EXPRESSION'
,p_list_item_disp_condition=>':AREA IS NOT NULL'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(50850127188672469)
,p_list_item_display_sequence=>10
,p_list_item_link_text=>'&USUARIO_PERFIL.: &USUARIO.'
,p_list_item_link_target=>'#'
,p_list_item_icon=>'fa-user-circle'
,p_list_text_02=>'has-username'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(51875864320078803)
,p_list_item_display_sequence=>15
,p_list_item_link_text=>'Datos Personales'
,p_list_item_link_target=>'f?p=&APP_ID.:202:&SESSION.::&DEBUG.:RP,202:::'
,p_list_item_icon=>'fa-user-edit'
,p_parent_list_item_id=>wwv_flow_api.id(50850127188672469)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(18557871248356721)
,p_list_item_display_sequence=>17
,p_list_item_link_text=>'Mis Firmas'
,p_list_item_link_target=>'f?p=&APP_ID.:49:&SESSION.::&DEBUG.:49:::'
,p_list_item_icon=>'fa-file-lock'
,p_parent_list_item_id=>wwv_flow_api.id(50850127188672469)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(50850539985672470)
,p_list_item_display_sequence=>20
,p_list_item_link_text=>unistr('Modificar Contrase\00F1a')
,p_list_item_link_target=>'f?p=&APP_ID.:201:&SESSION.::&DEBUG.:RP,201:::'
,p_list_item_icon=>'fa-key'
,p_parent_list_item_id=>wwv_flow_api.id(50850127188672469)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(17341342822427609)
,p_list_item_display_sequence=>25
,p_list_item_link_text=>'---'
,p_list_item_link_target=>'separator'
,p_parent_list_item_id=>wwv_flow_api.id(50850127188672469)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(50850939552672470)
,p_list_item_display_sequence=>30
,p_list_item_link_text=>unistr('Cerrar Sesi\00F3n')
,p_list_item_link_target=>'&LOGOUT_URL.'
,p_list_item_icon=>'fa-sign-out'
,p_parent_list_item_id=>wwv_flow_api.id(50850127188672469)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(96190308232434224)
,p_list_item_display_sequence=>40
,p_list_item_link_text=>'Feedback'
,p_list_item_link_target=>'f?p=&APP_ID.:10010:&SESSION.::&DEBUG.:10010:P10010_PAGE_ID:&APP_PAGE_ID.:'
,p_list_item_icon=>'fa-comment-o'
,p_list_text_02=>'icon-only'
,p_required_patch=>wwv_flow_api.id(96160190282434106)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.component_end;
end;
/
