prompt --application/shared_components/navigation/lists/desktop_navigation_menu
begin
--   Manifest
--     LIST: Desktop Navigation Menu
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_list(
 p_id=>wwv_flow_api.id(51861495029890220)
,p_name=>'Desktop Navigation Menu'
,p_list_status=>'PUBLIC'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(51861628893890222)
,p_list_item_display_sequence=>10
,p_list_item_link_text=>'Inicio'
,p_list_item_link_target=>'f?p=&APP_ID.:1:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-home fa-2x'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'1'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(51862081966890223)
,p_list_item_display_sequence=>20
,p_list_item_link_text=>'DGC - Solicitudes'
,p_list_item_link_target=>'f?p=&APP_ID.:3:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-file-text-o fa-2x'
,p_list_item_disp_cond_type=>'PLSQL_EXPRESSION'
,p_list_item_disp_condition=>':PERFIL IN (1,2,3,4,8,9,10,11,12)'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(17288199991798745)
,p_list_item_display_sequence=>22
,p_list_item_link_text=>'DGC - Mensura'
,p_list_item_link_target=>'f?p=&APP_ID.:26:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-file-text-o fa-2x'
,p_list_item_disp_cond_type=>'EXISTS'
,p_list_item_disp_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from ROL_AREA_PERSONA',
'where (  (:PERFIL in (2,3,4) and PERSONA_ID = :PERSONA_ID) ',
'       OR :PERFIL in (8,13))',
'     and 1=1'))
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'26,32'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(36164427322971754)
,p_list_item_display_sequence=>23
,p_list_item_link_text=>'DGC - Mensura - Historial'
,p_list_item_link_target=>'f?p=&APP_ID.:29:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-history fa-2x'
,p_list_item_disp_cond_type=>'EXISTS'
,p_list_item_disp_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from ROL_AREA_PERSONA ',
'where PERSONA_ID = :PERSONA_ID and :PERFIL in (2,3,4)',
'  and 1=1',
'',
'/*select 1',
'from ROL_AREA_PERSONA',
'where :PERSONA_ID = PERSONA_ID',
'and rownum < 2*/'))
,p_security_scheme=>wwv_flow_api.id(36177586901013101)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'29'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(39012309700803035)
,p_list_item_display_sequence=>24
,p_list_item_link_text=>'DGC - Archivos Digitales'
,p_list_item_link_target=>'javascript:window.open(''http://190.136.181.39:808/ArchivosAGC/default/index'',''_blank'');'
,p_list_item_icon=>'fa-scatter-chart'
,p_list_item_disp_cond_type=>'PLSQL_EXPRESSION'
,p_list_item_disp_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':PERFIL in (1,2,3,4,8)',
'and 1=1'))
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'39'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(40463101476603741)
,p_list_item_display_sequence=>25
,p_list_item_link_text=>unistr('DGC - Declaraci\00F3n Mejoras')
,p_list_item_link_target=>'javascript:window.open(''http://declaracionmejoras-dgcatastro.arca.gob.ar/login/&PERSONA_ID./&PASSWORD.'',''_blank'');  '
,p_list_item_icon=>'fa-building-o'
,p_list_item_disp_cond_type=>'PLSQL_EXPRESSION'
,p_list_item_disp_condition=>':PERFIL in (1,2,3,4,8,9,10,11)'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(28830575977307028)
,p_list_item_display_sequence=>26
,p_list_item_link_text=>'DGC - Ley Pierri'
,p_list_item_link_target=>'javascript:window.open(''http://saneamiento-titulo.arca.gob.ar/admin/login/&PERSONA_ID./&PASSWORD.'',''_blank'');  '
,p_list_item_icon=>'fa-building-o'
,p_list_item_disp_cond_type=>'PLSQL_EXPRESSION'
,p_list_item_disp_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':PERFIL = 4 ',
'or ',
':PERSONA_ID in (1,2,1100)'))
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(19012653797729362)
,p_list_item_display_sequence=>30
,p_list_item_link_text=>'RPI - Solicitudes'
,p_list_item_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.:15:::'
,p_list_item_icon=>'fa-file-text-o fa-2x'
,p_list_item_disp_cond_type=>'PLSQL_EXPRESSION'
,p_list_item_disp_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':PERFIL IN (1,8,9,10,12,14,15,16,18)',
'and 1=1',
'',
''))
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(75281968311176226)
,p_list_item_display_sequence=>31
,p_list_item_link_text=>'RPI - Historial de Sol.'
,p_list_item_link_target=>'f?p=&APP_ID.:45:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-history fa-2x'
,p_list_item_disp_cond_type=>'EXISTS'
,p_list_item_disp_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from dual',
'where :PERFIL IN (14,15,16,18)'))
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'45'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(51863202480890224)
,p_list_item_display_sequence=>41
,p_list_item_link_text=>'Profesionales'
,p_list_item_link_target=>'f?p=&APP_ID.:11:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-users'
,p_list_item_disp_cond_type=>'EXISTS'
,p_list_item_disp_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 1',
'FROM dual',
'WHERE :PERFIL in (5,6,7) ',
'/* Perfiles de los Colegios */'))
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'11,12'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(18578858622362224)
,p_list_item_display_sequence=>58
,p_list_item_link_text=>'Billetera Virtual [&A01.]'
,p_list_item_link_target=>'f?p=&APP_ID.:14:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-money'
,p_list_item_disp_cond_type=>'PLSQL_EXPRESSION'
,p_list_item_disp_condition=>':PERFIL in (1,8,9,10,11)'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'14'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(19525815541659800)
,p_list_item_display_sequence=>59
,p_list_item_link_text=>'Costo de Solicitudes'
,p_list_item_link_target=>'f?p=&APP_ID.:50:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-dollar'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'50'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(46205690792884074)
,p_list_item_display_sequence=>65
,p_list_item_link_text=>'Reporte de Pagos'
,p_list_item_link_target=>'f?p=&APP_ID.:44:&SESSION.::&DEBUG.:44:::'
,p_list_item_icon=>'fa-suitcase'
,p_list_item_disp_cond_type=>'PLSQL_EXPRESSION'
,p_list_item_disp_condition=>':PERFIL = 17'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(97165220278552184)
,p_list_item_display_sequence=>90
,p_list_item_link_text=>'Enviar Feedback'
,p_list_item_link_target=>'f?p=&APP_ID.:10010:&SESSION.::&DEBUG.:10010:P10010_PAGE_ID:&APP_PAGE_ID.:'
,p_list_item_icon=>'fa-comment-o'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(51865242223890225)
,p_list_item_display_sequence=>95
,p_list_item_link_text=>'Contacto'
,p_list_item_link_target=>'f?p=&APP_ID.:205:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-envelope-o fa-2x'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'205'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(16719306416276054)
,p_list_item_display_sequence=>100
,p_list_item_link_text=>unistr('Administraci\00F3n')
,p_list_item_icon=>'fa-gears'
,p_list_item_disp_cond_type=>'PLSQL_EXPRESSION'
,p_list_item_disp_condition=>':PERFIL in (4,16)'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(14109766105688048)
,p_list_item_display_sequence=>110
,p_list_item_link_text=>unistr('Par\00E1metros Generales')
,p_list_item_link_target=>'f?p=&APP_ID.:9:&SESSION.::&DEBUG.:9:::'
,p_list_item_icon=>'fa-gantt-chart'
,p_parent_list_item_id=>wwv_flow_api.id(16719306416276054)
,p_security_scheme=>wwv_flow_api.id(50841297593672402)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'9,10'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(51862802231890224)
,p_list_item_display_sequence=>120
,p_list_item_link_text=>'Usuarios'
,p_list_item_link_target=>'f?p=&APP_ID.:11:&SESSION.::&DEBUG.:11:::'
,p_list_item_icon=>'fa-users'
,p_list_item_disp_cond_type=>'PLSQL_EXPRESSION'
,p_list_item_disp_condition=>':PERFIL in (4,16)'
,p_parent_list_item_id=>wwv_flow_api.id(16719306416276054)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'11,12'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(16988379535522659)
,p_list_item_display_sequence=>130
,p_list_item_link_text=>unistr('Tipos de Operaci\00F3n')
,p_list_item_link_target=>'f?p=&APP_ID.:19:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-clipboard-list'
,p_list_item_disp_cond_type=>'PLSQL_EXPRESSION'
,p_list_item_disp_condition=>':PERFIL in (4,16)'
,p_parent_list_item_id=>wwv_flow_api.id(16719306416276054)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'19,20'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(17006177166731376)
,p_list_item_display_sequence=>140
,p_list_item_link_text=>'Perfiles'
,p_list_item_link_target=>'f?p=&APP_ID.:21:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-user-wrench'
,p_parent_list_item_id=>wwv_flow_api.id(16719306416276054)
,p_security_scheme=>wwv_flow_api.id(50841297593672402)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'21,22'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(17407649410947596)
,p_list_item_display_sequence=>160
,p_list_item_link_text=>unistr('Reportes Estad\00EDsticos')
,p_list_item_link_target=>'f?p=&APP_ID.:13:&SESSION.::&DEBUG.:RP,13:::'
,p_list_item_icon=>'fa-table'
,p_list_item_disp_cond_type=>'PLSQL_EXPRESSION'
,p_list_item_disp_condition=>':PERFIL in (4)'
,p_parent_list_item_id=>wwv_flow_api.id(16719306416276054)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(25173611473756828)
,p_list_item_display_sequence=>180
,p_list_item_link_text=>'Roles'
,p_list_item_link_target=>'f?p=&APP_ID.:17:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-address-card-o'
,p_parent_list_item_id=>wwv_flow_api.id(16719306416276054)
,p_security_scheme=>wwv_flow_api.id(50841297593672402)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'17,22'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(37006590802035901)
,p_list_item_display_sequence=>190
,p_list_item_link_text=>'Costos de Solicitudes'
,p_list_item_link_target=>'f?p=&APP_ID.:37:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-dollar'
,p_list_item_disp_cond_type=>'PLSQL_EXPRESSION'
,p_list_item_disp_condition=>':PERFIL in (4,16)'
,p_parent_list_item_id=>wwv_flow_api.id(16719306416276054)
,p_security_scheme=>wwv_flow_api.id(50841297593672402)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'37,38'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(39528982149478771)
,p_list_item_display_sequence=>200
,p_list_item_link_text=>'Municipalidades con convenio'
,p_list_item_link_target=>'f?p=&APP_ID.:46:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-clipboard-check'
,p_list_item_disp_cond_type=>'PLSQL_EXPRESSION'
,p_list_item_disp_condition=>':PERFIL in (4)'
,p_parent_list_item_id=>wwv_flow_api.id(16719306416276054)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'46,47'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(96190998947434230)
,p_list_item_display_sequence=>10000
,p_list_item_link_text=>'Administrar Feedback'
,p_list_item_link_target=>'f?p=&APP_ID.:10000:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-user-wrench'
,p_list_item_disp_cond_type=>'PLSQL_EXPRESSION'
,p_list_item_disp_condition=>':PERFIL in (4,16)'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'10000'
);
wwv_flow_api.component_end;
end;
/
