prompt --application/shared_components/user_interface/lovs/lov_disposicion_resolucion
begin
--   Manifest
--     LOV_DISPOSICION_RESOLUCION
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_list_of_values(
 p_id=>wwv_flow_api.id(74686120861499617)
,p_lov_name=>'LOV_DISPOSICION_RESOLUCION'
,p_lov_query=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT  JRD_DESCRIPTION, JRD_ID',
'FROM    JRXML_REPORT_DEFINITIONS',
'WHERE (JRD_ID IN (12,13) AND :AREA = 6)',
'  OR (JRD_ID IN (9,10) AND :AREA != 6)',
''))
,p_source_type=>'SQL'
,p_location=>'LOCAL'
,p_return_column_name=>'JRD_ID'
,p_display_column_name=>'JRD_DESCRIPTION'
,p_group_sort_direction=>'ASC'
,p_default_sort_column_name=>'JRD_DESCRIPTION'
,p_default_sort_direction=>'ASC'
);
wwv_flow_api.component_end;
end;
/
