prompt --application/shared_components/user_interface/lovs/lov_inscripcion_inmueble_mensura
begin
--   Manifest
--     LOV_INSCRIPCION_INMUEBLE_MENSURA
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_list_of_values(
 p_id=>wwv_flow_api.id(10870546983559935)
,p_lov_name=>'LOV_INSCRIPCION_INMUEBLE_MENSURA'
,p_lov_query=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT descripcion, id',
'FROM   TIPO_INSCRIPCION_INMUEBLE',
'where  id IN (1,2);'))
,p_source_type=>'SQL'
,p_location=>'LOCAL'
,p_return_column_name=>'ID'
,p_display_column_name=>'DESCRIPCION'
,p_default_sort_column_name=>'DESCRIPCION'
,p_default_sort_direction=>'ASC'
);
wwv_flow_api.component_end;
end;
/
