prompt --application/shared_components/user_interface/lovs/lov_tipos_documento_firma
begin
--   Manifest
--     LOV_TIPOS_DOCUMENTO_FIRMA
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_list_of_values(
 p_id=>wwv_flow_api.id(18446326520027052)
,p_lov_name=>'LOV_TIPOS_DOCUMENTO_FIRMA'
,p_lov_query=>'.'||wwv_flow_api.id(18446326520027052)||'.'
,p_location=>'STATIC'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(18446624640027053)
,p_lov_disp_sequence=>1
,p_lov_disp_value=>unistr('Disposici\00F3n/Resoluci\00F3n')
,p_lov_return_value=>'52'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(18447081906027053)
,p_lov_disp_sequence=>2
,p_lov_disp_value=>unistr('Resoluci\00F3n')
,p_lov_return_value=>'2'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(18447458970027053)
,p_lov_disp_sequence=>3
,p_lov_disp_value=>'Certificado Catastral'
,p_lov_return_value=>'3'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(18447893417027053)
,p_lov_disp_sequence=>4
,p_lov_disp_value=>unistr('Valuaci\00F3n Fiscal')
,p_lov_return_value=>'4'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(18448216312027053)
,p_lov_disp_sequence=>5
,p_lov_disp_value=>'Formulario RPI'
,p_lov_return_value=>'5'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(18907595000863383)
,p_lov_disp_sequence=>6
,p_lov_disp_value=>'Archivo Digital RPI'
,p_lov_return_value=>'6'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(18956937571692697)
,p_lov_disp_sequence=>7
,p_lov_disp_value=>'Plano Definitivo'
,p_lov_return_value=>'7'
);
wwv_flow_api.component_end;
end;
/
